#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 2798
#define LARGE_STATE_COUNT 125
#define SYMBOL_COUNT 160
#define ALIAS_COUNT 1
#define TOKEN_COUNT 99
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 17
#define MAX_ALIAS_SEQUENCE_LENGTH 10

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_function = 21,
  anon_sym_LPAREN = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_PIPE_AMP = 25,
  anon_sym_AMP_AMP = 26,
  anon_sym_PIPE_PIPE = 27,
  anon_sym_BANG = 28,
  anon_sym_LBRACK = 29,
  anon_sym_RBRACK = 30,
  anon_sym_LBRACK_LBRACK = 31,
  anon_sym_RBRACK_RBRACK = 32,
  anon_sym_declare = 33,
  anon_sym_typeset = 34,
  anon_sym_export = 35,
  anon_sym_readonly = 36,
  anon_sym_local = 37,
  anon_sym_unset = 38,
  anon_sym_unsetenv = 39,
  anon_sym_EQ_TILDE = 40,
  anon_sym_EQ_EQ = 41,
  anon_sym_EQ = 42,
  anon_sym_PLUS_EQ = 43,
  anon_sym_LT = 44,
  anon_sym_GT = 45,
  anon_sym_GT_GT = 46,
  anon_sym_AMP_GT = 47,
  anon_sym_AMP_GT_GT = 48,
  anon_sym_LT_AMP = 49,
  anon_sym_GT_AMP = 50,
  anon_sym_GT_PIPE = 51,
  anon_sym_LT_LT = 52,
  anon_sym_LT_LT_DASH = 53,
  anon_sym_LT_LT_LT = 54,
  anon_sym_BANG_EQ = 55,
  anon_sym_PLUS = 56,
  anon_sym_DASH = 57,
  anon_sym_DASH_EQ = 58,
  anon_sym_LT_EQ = 59,
  anon_sym_GT_EQ = 60,
  anon_sym_QMARK = 61,
  anon_sym_COLON = 62,
  anon_sym_PLUS_PLUS = 63,
  anon_sym_DASH_DASH = 64,
  anon_sym_DOLLAR = 65,
  sym__special_character = 66,
  anon_sym_DQUOTE = 67,
  sym__string_content = 68,
  sym_raw_string = 69,
  sym_ansii_c_string = 70,
  anon_sym_POUND = 71,
  anon_sym_DOLLAR_LBRACE = 72,
  anon_sym_SLASH = 73,
  anon_sym_COLON_QMARK = 74,
  anon_sym_COLON_DASH = 75,
  anon_sym_PERCENT = 76,
  anon_sym_DOLLAR_LPAREN = 77,
  anon_sym_BQUOTE = 78,
  anon_sym_LT_LPAREN = 79,
  anon_sym_GT_LPAREN = 80,
  sym_comment = 81,
  aux_sym__simple_variable_name_token1 = 82,
  anon_sym_STAR = 83,
  anon_sym_AT = 84,
  anon_sym_0 = 85,
  anon_sym__ = 86,
  sym_test_operator = 87,
  anon_sym_AMP = 88,
  sym_heredoc_start = 89,
  sym__simple_heredoc_body = 90,
  sym__heredoc_body_beginning = 91,
  sym__heredoc_body_middle = 92,
  sym__heredoc_body_end = 93,
  sym_file_descriptor = 94,
  sym__empty_value = 95,
  sym__concat = 96,
  sym_variable_name = 97,
  sym_regex = 98,
  sym_program = 99,
  sym__statements = 100,
  aux_sym__statements2 = 101,
  sym__terminated_statement = 102,
  sym_redirected_statement = 103,
  sym_for_statement = 104,
  sym_c_style_for_statement = 105,
  sym_while_statement = 106,
  sym_do_group = 107,
  sym_if_statement = 108,
  sym_elif_clause = 109,
  sym_else_clause = 110,
  sym_case_statement = 111,
  sym_case_item = 112,
  sym_last_case_item = 113,
  sym_function_definition = 114,
  sym_compound_statement = 115,
  sym_subshell = 116,
  sym_pipeline = 117,
  sym_list = 118,
  sym_negated_command = 119,
  sym_test_command = 120,
  sym_declaration_command = 121,
  sym_unset_command = 122,
  sym_command = 123,
  sym_command_name = 124,
  sym_variable_assignment = 125,
  sym_subscript = 126,
  sym_file_redirect = 127,
  sym_heredoc_redirect = 128,
  sym_heredoc_body = 129,
  sym_herestring_redirect = 130,
  sym__expression = 131,
  sym_binary_expression = 132,
  sym_ternary_expression = 133,
  sym_unary_expression = 134,
  sym_postfix_expression = 135,
  sym_parenthesized_expression = 136,
  sym_concatenation = 137,
  sym_string = 138,
  sym_array = 139,
  sym_simple_expansion = 140,
  sym_string_expansion = 141,
  sym_expansion = 142,
  sym_command_substitution = 143,
  sym_process_substitution = 144,
  aux_sym__statements_repeat1 = 145,
  aux_sym_redirected_statement_repeat1 = 146,
  aux_sym_for_statement_repeat1 = 147,
  aux_sym_if_statement_repeat1 = 148,
  aux_sym_case_statement_repeat1 = 149,
  aux_sym_case_item_repeat1 = 150,
  aux_sym_declaration_command_repeat1 = 151,
  aux_sym_unset_command_repeat1 = 152,
  aux_sym_command_repeat1 = 153,
  aux_sym_command_repeat2 = 154,
  aux_sym_heredoc_body_repeat1 = 155,
  aux_sym__literal_repeat1 = 156,
  aux_sym_concatenation_repeat1 = 157,
  aux_sym_string_repeat1 = 158,
  aux_sym_expansion_repeat1 = 159,
  alias_sym_special_variable_name = 160,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK] = "?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_QMARK] = ":?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
  [alias_sym_special_variable_name] = "special_variable_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
  [alias_sym_special_variable_name] = alias_sym_special_variable_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_special_variable_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_index = 8,
  field_initializer = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_redirect = 13,
  field_right = 14,
  field_update = 15,
  field_value = 16,
  field_variable = 17,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[57] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 3},
  [36] = {.index = 42, .length = 1},
  [37] = {.index = 42, .length = 1},
  [39] = {.index = 43, .length = 1},
  [40] = {.index = 44, .length = 2},
  [41] = {.index = 46, .length = 2},
  [42] = {.index = 48, .length = 2},
  [43] = {.index = 50, .length = 2},
  [44] = {.index = 52, .length = 2},
  [45] = {.index = 50, .length = 2},
  [46] = {.index = 54, .length = 2},
  [47] = {.index = 56, .length = 2},
  [48] = {.index = 58, .length = 3},
  [49] = {.index = 61, .length = 2},
  [50] = {.index = 63, .length = 3},
  [51] = {.index = 66, .length = 3},
  [52] = {.index = 69, .length = 3},
  [53] = {.index = 72, .length = 3},
  [54] = {.index = 75, .length = 3},
  [55] = {.index = 78, .length = 4},
  [56] = {.index = 82, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [42] =
    {field_value, 0},
  [43] =
    {field_body, 6},
  [44] =
    {field_body, 6},
    {field_update, 4},
  [46] =
    {field_body, 6},
    {field_condition, 3},
  [48] =
    {field_body, 6},
    {field_initializer, 2},
  [50] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [52] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [54] =
    {field_body, 7},
    {field_update, 4},
  [56] =
    {field_body, 7},
    {field_condition, 3},
  [58] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [61] =
    {field_body, 7},
    {field_initializer, 2},
  [63] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [66] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [69] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [72] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [75] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [78] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [82] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static TSSymbol ts_alias_sequences[57][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = alias_sym_special_variable_name,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = alias_sym_special_variable_name,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [37] = {
    [0] = sym_word,
  },
  [38] = {
    [4] = sym_word,
  },
  [45] = {
    [0] = sym_word,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(78)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'e') ADVANCE(250);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(99)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'i') ADVANCE(249);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(105)
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(80)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(90)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == ']') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(100)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(84)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(82)
      if (lookahead == ']') ADVANCE(57);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(93)
      if (lookahead == ']') ADVANCE(221);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(95)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(96)
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(268);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(223);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(178);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '[') ADVANCE(163);
      if (lookahead == '\\') SKIP(104)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == ';') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(268);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(228);
      if (lookahead != 0) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(230);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 50:
      if (lookahead == '(') ADVANCE(239);
      END_STATE();
    case 51:
      if (lookahead == '(') ADVANCE(240);
      END_STATE();
    case 52:
      if (lookahead == ')') ADVANCE(140);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 56:
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 57:
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 62:
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 63:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 64:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 65:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 66:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 67:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 68:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 69:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 70:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 107:
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 108:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(268);
      END_STATE();
    case 109:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(118)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 110:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(119)
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 111:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 112:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 113:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 114:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(114)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 115:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(115)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 116:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(116)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 117:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(117)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '\\') ADVANCE(67);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '-') ADVANCE(203);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(81);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(68);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(70);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(71);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(72);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(73);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(74);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(76);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(91);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(156);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(170);
      if (lookahead == '~') ADVANCE(168);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '<') ADVANCE(194);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(240);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(240);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '<') ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(214);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(213);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(215);
      if (lookahead == '=') ADVANCE(205);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(235);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '{') ADVANCE(232);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '{') ADVANCE(232);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(227);
      if (lookahead == '\\') ADVANCE(241);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(223);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(227);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(242);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'n') ADVANCE(137);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 117, .external_lex_state = 2},
  [2] = {.lex_state = 117, .external_lex_state = 2},
  [3] = {.lex_state = 117, .external_lex_state = 2},
  [4] = {.lex_state = 117, .external_lex_state = 2},
  [5] = {.lex_state = 117, .external_lex_state = 2},
  [6] = {.lex_state = 117, .external_lex_state = 2},
  [7] = {.lex_state = 23, .external_lex_state = 2},
  [8] = {.lex_state = 117, .external_lex_state = 2},
  [9] = {.lex_state = 117, .external_lex_state = 2},
  [10] = {.lex_state = 23, .external_lex_state = 2},
  [11] = {.lex_state = 23, .external_lex_state = 2},
  [12] = {.lex_state = 23, .external_lex_state = 2},
  [13] = {.lex_state = 117, .external_lex_state = 2},
  [14] = {.lex_state = 117, .external_lex_state = 2},
  [15] = {.lex_state = 117, .external_lex_state = 2},
  [16] = {.lex_state = 117, .external_lex_state = 2},
  [17] = {.lex_state = 117, .external_lex_state = 2},
  [18] = {.lex_state = 117, .external_lex_state = 2},
  [19] = {.lex_state = 24, .external_lex_state = 3},
  [20] = {.lex_state = 117, .external_lex_state = 2},
  [21] = {.lex_state = 117, .external_lex_state = 2},
  [22] = {.lex_state = 117, .external_lex_state = 2},
  [23] = {.lex_state = 117, .external_lex_state = 2},
  [24] = {.lex_state = 117, .external_lex_state = 2},
  [25] = {.lex_state = 117, .external_lex_state = 2},
  [26] = {.lex_state = 117, .external_lex_state = 2},
  [27] = {.lex_state = 117, .external_lex_state = 2},
  [28] = {.lex_state = 117, .external_lex_state = 2},
  [29] = {.lex_state = 117, .external_lex_state = 2},
  [30] = {.lex_state = 117, .external_lex_state = 2},
  [31] = {.lex_state = 117, .external_lex_state = 2},
  [32] = {.lex_state = 117, .external_lex_state = 2},
  [33] = {.lex_state = 117, .external_lex_state = 2},
  [34] = {.lex_state = 117, .external_lex_state = 2},
  [35] = {.lex_state = 117, .external_lex_state = 2},
  [36] = {.lex_state = 24, .external_lex_state = 3},
  [37] = {.lex_state = 117, .external_lex_state = 2},
  [38] = {.lex_state = 117, .external_lex_state = 2},
  [39] = {.lex_state = 117, .external_lex_state = 2},
  [40] = {.lex_state = 117, .external_lex_state = 2},
  [41] = {.lex_state = 117, .external_lex_state = 2},
  [42] = {.lex_state = 117, .external_lex_state = 2},
  [43] = {.lex_state = 117, .external_lex_state = 2},
  [44] = {.lex_state = 117, .external_lex_state = 2},
  [45] = {.lex_state = 117, .external_lex_state = 2},
  [46] = {.lex_state = 117, .external_lex_state = 2},
  [47] = {.lex_state = 117, .external_lex_state = 2},
  [48] = {.lex_state = 117, .external_lex_state = 2},
  [49] = {.lex_state = 117, .external_lex_state = 2},
  [50] = {.lex_state = 117, .external_lex_state = 2},
  [51] = {.lex_state = 117, .external_lex_state = 2},
  [52] = {.lex_state = 117, .external_lex_state = 2},
  [53] = {.lex_state = 117, .external_lex_state = 2},
  [54] = {.lex_state = 117, .external_lex_state = 2},
  [55] = {.lex_state = 117, .external_lex_state = 2},
  [56] = {.lex_state = 117, .external_lex_state = 2},
  [57] = {.lex_state = 24, .external_lex_state = 3},
  [58] = {.lex_state = 117, .external_lex_state = 2},
  [59] = {.lex_state = 117, .external_lex_state = 2},
  [60] = {.lex_state = 117, .external_lex_state = 2},
  [61] = {.lex_state = 117, .external_lex_state = 2},
  [62] = {.lex_state = 117, .external_lex_state = 2},
  [63] = {.lex_state = 117, .external_lex_state = 2},
  [64] = {.lex_state = 117, .external_lex_state = 2},
  [65] = {.lex_state = 117, .external_lex_state = 2},
  [66] = {.lex_state = 117, .external_lex_state = 2},
  [67] = {.lex_state = 117, .external_lex_state = 2},
  [68] = {.lex_state = 117, .external_lex_state = 2},
  [69] = {.lex_state = 117, .external_lex_state = 2},
  [70] = {.lex_state = 117, .external_lex_state = 2},
  [71] = {.lex_state = 117, .external_lex_state = 2},
  [72] = {.lex_state = 24, .external_lex_state = 3},
  [73] = {.lex_state = 24, .external_lex_state = 3},
  [74] = {.lex_state = 117, .external_lex_state = 2},
  [75] = {.lex_state = 117, .external_lex_state = 2},
  [76] = {.lex_state = 117, .external_lex_state = 2},
  [77] = {.lex_state = 117, .external_lex_state = 2},
  [78] = {.lex_state = 117, .external_lex_state = 2},
  [79] = {.lex_state = 117, .external_lex_state = 2},
  [80] = {.lex_state = 117, .external_lex_state = 2},
  [81] = {.lex_state = 117, .external_lex_state = 2},
  [82] = {.lex_state = 117, .external_lex_state = 2},
  [83] = {.lex_state = 117, .external_lex_state = 2},
  [84] = {.lex_state = 117, .external_lex_state = 2},
  [85] = {.lex_state = 117, .external_lex_state = 2},
  [86] = {.lex_state = 117, .external_lex_state = 2},
  [87] = {.lex_state = 117, .external_lex_state = 2},
  [88] = {.lex_state = 117, .external_lex_state = 2},
  [89] = {.lex_state = 117, .external_lex_state = 2},
  [90] = {.lex_state = 117, .external_lex_state = 2},
  [91] = {.lex_state = 117, .external_lex_state = 2},
  [92] = {.lex_state = 117, .external_lex_state = 2},
  [93] = {.lex_state = 117, .external_lex_state = 2},
  [94] = {.lex_state = 117, .external_lex_state = 2},
  [95] = {.lex_state = 117, .external_lex_state = 2},
  [96] = {.lex_state = 117, .external_lex_state = 2},
  [97] = {.lex_state = 117, .external_lex_state = 2},
  [98] = {.lex_state = 117, .external_lex_state = 2},
  [99] = {.lex_state = 117, .external_lex_state = 2},
  [100] = {.lex_state = 117, .external_lex_state = 2},
  [101] = {.lex_state = 117, .external_lex_state = 2},
  [102] = {.lex_state = 117, .external_lex_state = 2},
  [103] = {.lex_state = 117, .external_lex_state = 2},
  [104] = {.lex_state = 117, .external_lex_state = 2},
  [105] = {.lex_state = 117, .external_lex_state = 2},
  [106] = {.lex_state = 117, .external_lex_state = 2},
  [107] = {.lex_state = 117, .external_lex_state = 2},
  [108] = {.lex_state = 117, .external_lex_state = 2},
  [109] = {.lex_state = 117, .external_lex_state = 2},
  [110] = {.lex_state = 117, .external_lex_state = 2},
  [111] = {.lex_state = 117, .external_lex_state = 2},
  [112] = {.lex_state = 117, .external_lex_state = 2},
  [113] = {.lex_state = 117, .external_lex_state = 2},
  [114] = {.lex_state = 117, .external_lex_state = 2},
  [115] = {.lex_state = 117, .external_lex_state = 2},
  [116] = {.lex_state = 117, .external_lex_state = 2},
  [117] = {.lex_state = 117, .external_lex_state = 2},
  [118] = {.lex_state = 117, .external_lex_state = 2},
  [119] = {.lex_state = 117, .external_lex_state = 2},
  [120] = {.lex_state = 117, .external_lex_state = 2},
  [121] = {.lex_state = 117, .external_lex_state = 2},
  [122] = {.lex_state = 117, .external_lex_state = 2},
  [123] = {.lex_state = 117, .external_lex_state = 2},
  [124] = {.lex_state = 117, .external_lex_state = 2},
  [125] = {.lex_state = 117, .external_lex_state = 4},
  [126] = {.lex_state = 1, .external_lex_state = 5},
  [127] = {.lex_state = 111, .external_lex_state = 5},
  [128] = {.lex_state = 111, .external_lex_state = 5},
  [129] = {.lex_state = 1, .external_lex_state = 5},
  [130] = {.lex_state = 111, .external_lex_state = 5},
  [131] = {.lex_state = 111, .external_lex_state = 5},
  [132] = {.lex_state = 111, .external_lex_state = 5},
  [133] = {.lex_state = 1, .external_lex_state = 5},
  [134] = {.lex_state = 111, .external_lex_state = 5},
  [135] = {.lex_state = 23, .external_lex_state = 4},
  [136] = {.lex_state = 112, .external_lex_state = 6},
  [137] = {.lex_state = 111, .external_lex_state = 5},
  [138] = {.lex_state = 23, .external_lex_state = 4},
  [139] = {.lex_state = 112, .external_lex_state = 6},
  [140] = {.lex_state = 111, .external_lex_state = 5},
  [141] = {.lex_state = 10, .external_lex_state = 6},
  [142] = {.lex_state = 113, .external_lex_state = 5},
  [143] = {.lex_state = 12, .external_lex_state = 6},
  [144] = {.lex_state = 24, .external_lex_state = 7},
  [145] = {.lex_state = 114, .external_lex_state = 6},
  [146] = {.lex_state = 117, .external_lex_state = 4},
  [147] = {.lex_state = 117, .external_lex_state = 4},
  [148] = {.lex_state = 12, .external_lex_state = 6},
  [149] = {.lex_state = 114, .external_lex_state = 6},
  [150] = {.lex_state = 117, .external_lex_state = 2},
  [151] = {.lex_state = 14, .external_lex_state = 5},
  [152] = {.lex_state = 114, .external_lex_state = 6},
  [153] = {.lex_state = 113, .external_lex_state = 5},
  [154] = {.lex_state = 12, .external_lex_state = 6},
  [155] = {.lex_state = 12, .external_lex_state = 6},
  [156] = {.lex_state = 117, .external_lex_state = 2},
  [157] = {.lex_state = 14, .external_lex_state = 5},
  [158] = {.lex_state = 114, .external_lex_state = 6},
  [159] = {.lex_state = 114, .external_lex_state = 6},
  [160] = {.lex_state = 114, .external_lex_state = 6},
  [161] = {.lex_state = 113, .external_lex_state = 5},
  [162] = {.lex_state = 114, .external_lex_state = 6},
  [163] = {.lex_state = 114, .external_lex_state = 6},
  [164] = {.lex_state = 117, .external_lex_state = 4},
  [165] = {.lex_state = 114, .external_lex_state = 6},
  [166] = {.lex_state = 117, .external_lex_state = 4},
  [167] = {.lex_state = 12, .external_lex_state = 6},
  [168] = {.lex_state = 117, .external_lex_state = 4},
  [169] = {.lex_state = 113, .external_lex_state = 5},
  [170] = {.lex_state = 117, .external_lex_state = 4},
  [171] = {.lex_state = 114, .external_lex_state = 6},
  [172] = {.lex_state = 113, .external_lex_state = 6},
  [173] = {.lex_state = 114, .external_lex_state = 6},
  [174] = {.lex_state = 111, .external_lex_state = 6},
  [175] = {.lex_state = 1, .external_lex_state = 6},
  [176] = {.lex_state = 111, .external_lex_state = 6},
  [177] = {.lex_state = 114, .external_lex_state = 6},
  [178] = {.lex_state = 117, .external_lex_state = 4},
  [179] = {.lex_state = 114, .external_lex_state = 6},
  [180] = {.lex_state = 111, .external_lex_state = 6},
  [181] = {.lex_state = 111, .external_lex_state = 6},
  [182] = {.lex_state = 1, .external_lex_state = 6},
  [183] = {.lex_state = 14, .external_lex_state = 6},
  [184] = {.lex_state = 111, .external_lex_state = 6},
  [185] = {.lex_state = 117, .external_lex_state = 4},
  [186] = {.lex_state = 117, .external_lex_state = 4},
  [187] = {.lex_state = 113, .external_lex_state = 6},
  [188] = {.lex_state = 1, .external_lex_state = 6},
  [189] = {.lex_state = 114, .external_lex_state = 6},
  [190] = {.lex_state = 111, .external_lex_state = 6},
  [191] = {.lex_state = 117, .external_lex_state = 2},
  [192] = {.lex_state = 111, .external_lex_state = 6},
  [193] = {.lex_state = 23, .external_lex_state = 2},
  [194] = {.lex_state = 37, .external_lex_state = 2},
  [195] = {.lex_state = 117, .external_lex_state = 2},
  [196] = {.lex_state = 37, .external_lex_state = 2},
  [197] = {.lex_state = 117, .external_lex_state = 2},
  [198] = {.lex_state = 23, .external_lex_state = 2},
  [199] = {.lex_state = 23, .external_lex_state = 2},
  [200] = {.lex_state = 111, .external_lex_state = 6},
  [201] = {.lex_state = 23, .external_lex_state = 2},
  [202] = {.lex_state = 37, .external_lex_state = 2},
  [203] = {.lex_state = 117, .external_lex_state = 2},
  [204] = {.lex_state = 37, .external_lex_state = 2},
  [205] = {.lex_state = 24, .external_lex_state = 3},
  [206] = {.lex_state = 117, .external_lex_state = 2},
  [207] = {.lex_state = 117, .external_lex_state = 2},
  [208] = {.lex_state = 117, .external_lex_state = 2},
  [209] = {.lex_state = 24, .external_lex_state = 3},
  [210] = {.lex_state = 117, .external_lex_state = 2},
  [211] = {.lex_state = 117, .external_lex_state = 2},
  [212] = {.lex_state = 117, .external_lex_state = 2},
  [213] = {.lex_state = 117, .external_lex_state = 2},
  [214] = {.lex_state = 117, .external_lex_state = 2},
  [215] = {.lex_state = 117, .external_lex_state = 2},
  [216] = {.lex_state = 117, .external_lex_state = 2},
  [217] = {.lex_state = 115, .external_lex_state = 5},
  [218] = {.lex_state = 115, .external_lex_state = 5},
  [219] = {.lex_state = 115, .external_lex_state = 5},
  [220] = {.lex_state = 115, .external_lex_state = 5},
  [221] = {.lex_state = 16, .external_lex_state = 5},
  [222] = {.lex_state = 16, .external_lex_state = 5},
  [223] = {.lex_state = 114, .external_lex_state = 8},
  [224] = {.lex_state = 115, .external_lex_state = 5},
  [225] = {.lex_state = 114, .external_lex_state = 8},
  [226] = {.lex_state = 16, .external_lex_state = 5},
  [227] = {.lex_state = 115, .external_lex_state = 5},
  [228] = {.lex_state = 115, .external_lex_state = 5},
  [229] = {.lex_state = 12, .external_lex_state = 8},
  [230] = {.lex_state = 16, .external_lex_state = 5},
  [231] = {.lex_state = 115, .external_lex_state = 5},
  [232] = {.lex_state = 115, .external_lex_state = 5},
  [233] = {.lex_state = 12, .external_lex_state = 8},
  [234] = {.lex_state = 115, .external_lex_state = 5},
  [235] = {.lex_state = 114, .external_lex_state = 8},
  [236] = {.lex_state = 111, .external_lex_state = 9},
  [237] = {.lex_state = 1, .external_lex_state = 9},
  [238] = {.lex_state = 111, .external_lex_state = 9},
  [239] = {.lex_state = 115, .external_lex_state = 5},
  [240] = {.lex_state = 114, .external_lex_state = 8},
  [241] = {.lex_state = 111, .external_lex_state = 9},
  [242] = {.lex_state = 111, .external_lex_state = 9},
  [243] = {.lex_state = 115, .external_lex_state = 5},
  [244] = {.lex_state = 114, .external_lex_state = 8},
  [245] = {.lex_state = 114, .external_lex_state = 8},
  [246] = {.lex_state = 111, .external_lex_state = 9},
  [247] = {.lex_state = 114, .external_lex_state = 8},
  [248] = {.lex_state = 12, .external_lex_state = 8},
  [249] = {.lex_state = 115, .external_lex_state = 5},
  [250] = {.lex_state = 111, .external_lex_state = 9},
  [251] = {.lex_state = 12, .external_lex_state = 8},
  [252] = {.lex_state = 111, .external_lex_state = 9},
  [253] = {.lex_state = 115, .external_lex_state = 5},
  [254] = {.lex_state = 114, .external_lex_state = 8},
  [255] = {.lex_state = 114, .external_lex_state = 8},
  [256] = {.lex_state = 115, .external_lex_state = 5},
  [257] = {.lex_state = 114, .external_lex_state = 8},
  [258] = {.lex_state = 115, .external_lex_state = 5},
  [259] = {.lex_state = 115, .external_lex_state = 5},
  [260] = {.lex_state = 1, .external_lex_state = 9},
  [261] = {.lex_state = 12, .external_lex_state = 8},
  [262] = {.lex_state = 1, .external_lex_state = 9},
  [263] = {.lex_state = 114, .external_lex_state = 8},
  [264] = {.lex_state = 1, .external_lex_state = 9},
  [265] = {.lex_state = 111, .external_lex_state = 9},
  [266] = {.lex_state = 115, .external_lex_state = 5},
  [267] = {.lex_state = 114, .external_lex_state = 8},
  [268] = {.lex_state = 114, .external_lex_state = 8},
  [269] = {.lex_state = 12, .external_lex_state = 8},
  [270] = {.lex_state = 1, .external_lex_state = 9},
  [271] = {.lex_state = 12, .external_lex_state = 8},
  [272] = {.lex_state = 114, .external_lex_state = 8},
  [273] = {.lex_state = 111, .external_lex_state = 9},
  [274] = {.lex_state = 111, .external_lex_state = 9},
  [275] = {.lex_state = 115, .external_lex_state = 9},
  [276] = {.lex_state = 114, .external_lex_state = 6},
  [277] = {.lex_state = 115, .external_lex_state = 9},
  [278] = {.lex_state = 115, .external_lex_state = 9},
  [279] = {.lex_state = 115, .external_lex_state = 9},
  [280] = {.lex_state = 111, .external_lex_state = 9},
  [281] = {.lex_state = 111, .external_lex_state = 9},
  [282] = {.lex_state = 111, .external_lex_state = 9},
  [283] = {.lex_state = 111, .external_lex_state = 9},
  [284] = {.lex_state = 111, .external_lex_state = 9},
  [285] = {.lex_state = 111, .external_lex_state = 9},
  [286] = {.lex_state = 111, .external_lex_state = 9},
  [287] = {.lex_state = 111, .external_lex_state = 9},
  [288] = {.lex_state = 111, .external_lex_state = 8},
  [289] = {.lex_state = 111, .external_lex_state = 8},
  [290] = {.lex_state = 111, .external_lex_state = 8},
  [291] = {.lex_state = 111, .external_lex_state = 8},
  [292] = {.lex_state = 111, .external_lex_state = 9},
  [293] = {.lex_state = 1, .external_lex_state = 5},
  [294] = {.lex_state = 114, .external_lex_state = 8},
  [295] = {.lex_state = 114, .external_lex_state = 8},
  [296] = {.lex_state = 114, .external_lex_state = 6},
  [297] = {.lex_state = 111, .external_lex_state = 5},
  [298] = {.lex_state = 111, .external_lex_state = 8},
  [299] = {.lex_state = 111, .external_lex_state = 9},
  [300] = {.lex_state = 114, .external_lex_state = 8},
  [301] = {.lex_state = 111, .external_lex_state = 9},
  [302] = {.lex_state = 111, .external_lex_state = 9},
  [303] = {.lex_state = 111, .external_lex_state = 9},
  [304] = {.lex_state = 114, .external_lex_state = 8},
  [305] = {.lex_state = 111, .external_lex_state = 9},
  [306] = {.lex_state = 111, .external_lex_state = 9},
  [307] = {.lex_state = 111, .external_lex_state = 9},
  [308] = {.lex_state = 111, .external_lex_state = 9},
  [309] = {.lex_state = 111, .external_lex_state = 9},
  [310] = {.lex_state = 111, .external_lex_state = 9},
  [311] = {.lex_state = 111, .external_lex_state = 9},
  [312] = {.lex_state = 111, .external_lex_state = 9},
  [313] = {.lex_state = 111, .external_lex_state = 9},
  [314] = {.lex_state = 111, .external_lex_state = 9},
  [315] = {.lex_state = 111, .external_lex_state = 5},
  [316] = {.lex_state = 111, .external_lex_state = 9},
  [317] = {.lex_state = 111, .external_lex_state = 9},
  [318] = {.lex_state = 111, .external_lex_state = 9},
  [319] = {.lex_state = 111, .external_lex_state = 9},
  [320] = {.lex_state = 111, .external_lex_state = 9},
  [321] = {.lex_state = 111, .external_lex_state = 9},
  [322] = {.lex_state = 111, .external_lex_state = 8},
  [323] = {.lex_state = 111, .external_lex_state = 9},
  [324] = {.lex_state = 111, .external_lex_state = 9},
  [325] = {.lex_state = 16, .external_lex_state = 9},
  [326] = {.lex_state = 111, .external_lex_state = 9},
  [327] = {.lex_state = 111, .external_lex_state = 9},
  [328] = {.lex_state = 111, .external_lex_state = 9},
  [329] = {.lex_state = 111, .external_lex_state = 9},
  [330] = {.lex_state = 111, .external_lex_state = 9},
  [331] = {.lex_state = 111, .external_lex_state = 9},
  [332] = {.lex_state = 111, .external_lex_state = 9},
  [333] = {.lex_state = 114, .external_lex_state = 8},
  [334] = {.lex_state = 114, .external_lex_state = 8},
  [335] = {.lex_state = 114, .external_lex_state = 8},
  [336] = {.lex_state = 111, .external_lex_state = 9},
  [337] = {.lex_state = 111, .external_lex_state = 9},
  [338] = {.lex_state = 114, .external_lex_state = 8},
  [339] = {.lex_state = 111, .external_lex_state = 9},
  [340] = {.lex_state = 111, .external_lex_state = 9},
  [341] = {.lex_state = 111, .external_lex_state = 9},
  [342] = {.lex_state = 111, .external_lex_state = 9},
  [343] = {.lex_state = 111, .external_lex_state = 9},
  [344] = {.lex_state = 111, .external_lex_state = 9},
  [345] = {.lex_state = 111, .external_lex_state = 9},
  [346] = {.lex_state = 111, .external_lex_state = 9},
  [347] = {.lex_state = 111, .external_lex_state = 9},
  [348] = {.lex_state = 111, .external_lex_state = 9},
  [349] = {.lex_state = 114, .external_lex_state = 8},
  [350] = {.lex_state = 111, .external_lex_state = 5},
  [351] = {.lex_state = 111, .external_lex_state = 5},
  [352] = {.lex_state = 114, .external_lex_state = 8},
  [353] = {.lex_state = 114, .external_lex_state = 8},
  [354] = {.lex_state = 111, .external_lex_state = 8},
  [355] = {.lex_state = 115, .external_lex_state = 9},
  [356] = {.lex_state = 114, .external_lex_state = 6},
  [357] = {.lex_state = 115, .external_lex_state = 9},
  [358] = {.lex_state = 114, .external_lex_state = 6},
  [359] = {.lex_state = 115, .external_lex_state = 9},
  [360] = {.lex_state = 111, .external_lex_state = 5},
  [361] = {.lex_state = 114, .external_lex_state = 8},
  [362] = {.lex_state = 114, .external_lex_state = 8},
  [363] = {.lex_state = 114, .external_lex_state = 8},
  [364] = {.lex_state = 115, .external_lex_state = 9},
  [365] = {.lex_state = 109, .external_lex_state = 6},
  [366] = {.lex_state = 114, .external_lex_state = 8},
  [367] = {.lex_state = 114, .external_lex_state = 8},
  [368] = {.lex_state = 12, .external_lex_state = 8},
  [369] = {.lex_state = 12, .external_lex_state = 8},
  [370] = {.lex_state = 12, .external_lex_state = 8},
  [371] = {.lex_state = 114, .external_lex_state = 8},
  [372] = {.lex_state = 114, .external_lex_state = 8},
  [373] = {.lex_state = 114, .external_lex_state = 8},
  [374] = {.lex_state = 114, .external_lex_state = 8},
  [375] = {.lex_state = 114, .external_lex_state = 8},
  [376] = {.lex_state = 114, .external_lex_state = 8},
  [377] = {.lex_state = 114, .external_lex_state = 8},
  [378] = {.lex_state = 12, .external_lex_state = 8},
  [379] = {.lex_state = 114, .external_lex_state = 8},
  [380] = {.lex_state = 114, .external_lex_state = 8},
  [381] = {.lex_state = 114, .external_lex_state = 8},
  [382] = {.lex_state = 114, .external_lex_state = 8},
  [383] = {.lex_state = 12, .external_lex_state = 8},
  [384] = {.lex_state = 12, .external_lex_state = 8},
  [385] = {.lex_state = 1, .external_lex_state = 9},
  [386] = {.lex_state = 114, .external_lex_state = 8},
  [387] = {.lex_state = 114, .external_lex_state = 8},
  [388] = {.lex_state = 114, .external_lex_state = 8},
  [389] = {.lex_state = 114, .external_lex_state = 8},
  [390] = {.lex_state = 1, .external_lex_state = 9},
  [391] = {.lex_state = 1, .external_lex_state = 9},
  [392] = {.lex_state = 114, .external_lex_state = 8},
  [393] = {.lex_state = 114, .external_lex_state = 8},
  [394] = {.lex_state = 114, .external_lex_state = 8},
  [395] = {.lex_state = 12, .external_lex_state = 6},
  [396] = {.lex_state = 114, .external_lex_state = 8},
  [397] = {.lex_state = 1, .external_lex_state = 9},
  [398] = {.lex_state = 1, .external_lex_state = 9},
  [399] = {.lex_state = 114, .external_lex_state = 8},
  [400] = {.lex_state = 114, .external_lex_state = 8},
  [401] = {.lex_state = 114, .external_lex_state = 8},
  [402] = {.lex_state = 114, .external_lex_state = 8},
  [403] = {.lex_state = 114, .external_lex_state = 8},
  [404] = {.lex_state = 114, .external_lex_state = 8},
  [405] = {.lex_state = 1, .external_lex_state = 9},
  [406] = {.lex_state = 114, .external_lex_state = 8},
  [407] = {.lex_state = 12, .external_lex_state = 8},
  [408] = {.lex_state = 12, .external_lex_state = 8},
  [409] = {.lex_state = 1, .external_lex_state = 8},
  [410] = {.lex_state = 12, .external_lex_state = 6},
  [411] = {.lex_state = 114, .external_lex_state = 6},
  [412] = {.lex_state = 1, .external_lex_state = 8},
  [413] = {.lex_state = 12, .external_lex_state = 6},
  [414] = {.lex_state = 114, .external_lex_state = 6},
  [415] = {.lex_state = 114, .external_lex_state = 8},
  [416] = {.lex_state = 114, .external_lex_state = 8},
  [417] = {.lex_state = 114, .external_lex_state = 6},
  [418] = {.lex_state = 114, .external_lex_state = 8},
  [419] = {.lex_state = 114, .external_lex_state = 8},
  [420] = {.lex_state = 12, .external_lex_state = 8},
  [421] = {.lex_state = 12, .external_lex_state = 8},
  [422] = {.lex_state = 1, .external_lex_state = 8},
  [423] = {.lex_state = 1, .external_lex_state = 5},
  [424] = {.lex_state = 111, .external_lex_state = 5},
  [425] = {.lex_state = 111, .external_lex_state = 8},
  [426] = {.lex_state = 12, .external_lex_state = 8},
  [427] = {.lex_state = 12, .external_lex_state = 8},
  [428] = {.lex_state = 12, .external_lex_state = 6},
  [429] = {.lex_state = 12, .external_lex_state = 8},
  [430] = {.lex_state = 12, .external_lex_state = 8},
  [431] = {.lex_state = 12, .external_lex_state = 8},
  [432] = {.lex_state = 12, .external_lex_state = 8},
  [433] = {.lex_state = 12, .external_lex_state = 8},
  [434] = {.lex_state = 12, .external_lex_state = 8},
  [435] = {.lex_state = 12, .external_lex_state = 8},
  [436] = {.lex_state = 12, .external_lex_state = 8},
  [437] = {.lex_state = 12, .external_lex_state = 8},
  [438] = {.lex_state = 114, .external_lex_state = 8},
  [439] = {.lex_state = 12, .external_lex_state = 8},
  [440] = {.lex_state = 12, .external_lex_state = 8},
  [441] = {.lex_state = 12, .external_lex_state = 8},
  [442] = {.lex_state = 12, .external_lex_state = 8},
  [443] = {.lex_state = 1, .external_lex_state = 9},
  [444] = {.lex_state = 1, .external_lex_state = 9},
  [445] = {.lex_state = 114, .external_lex_state = 6},
  [446] = {.lex_state = 16, .external_lex_state = 9},
  [447] = {.lex_state = 1, .external_lex_state = 5},
  [448] = {.lex_state = 114, .external_lex_state = 8},
  [449] = {.lex_state = 16, .external_lex_state = 9},
  [450] = {.lex_state = 1, .external_lex_state = 9},
  [451] = {.lex_state = 1, .external_lex_state = 9},
  [452] = {.lex_state = 1, .external_lex_state = 9},
  [453] = {.lex_state = 1, .external_lex_state = 9},
  [454] = {.lex_state = 1, .external_lex_state = 9},
  [455] = {.lex_state = 1, .external_lex_state = 9},
  [456] = {.lex_state = 1, .external_lex_state = 9},
  [457] = {.lex_state = 1, .external_lex_state = 9},
  [458] = {.lex_state = 1, .external_lex_state = 9},
  [459] = {.lex_state = 1, .external_lex_state = 9},
  [460] = {.lex_state = 1, .external_lex_state = 9},
  [461] = {.lex_state = 1, .external_lex_state = 9},
  [462] = {.lex_state = 1, .external_lex_state = 9},
  [463] = {.lex_state = 1, .external_lex_state = 9},
  [464] = {.lex_state = 1, .external_lex_state = 9},
  [465] = {.lex_state = 1, .external_lex_state = 9},
  [466] = {.lex_state = 114, .external_lex_state = 8},
  [467] = {.lex_state = 1, .external_lex_state = 9},
  [468] = {.lex_state = 114, .external_lex_state = 8},
  [469] = {.lex_state = 1, .external_lex_state = 8},
  [470] = {.lex_state = 16, .external_lex_state = 9},
  [471] = {.lex_state = 111, .external_lex_state = 8},
  [472] = {.lex_state = 111, .external_lex_state = 8},
  [473] = {.lex_state = 16, .external_lex_state = 9},
  [474] = {.lex_state = 16, .external_lex_state = 9},
  [475] = {.lex_state = 16, .external_lex_state = 9},
  [476] = {.lex_state = 16, .external_lex_state = 9},
  [477] = {.lex_state = 16, .external_lex_state = 9},
  [478] = {.lex_state = 16, .external_lex_state = 9},
  [479] = {.lex_state = 16, .external_lex_state = 9},
  [480] = {.lex_state = 16, .external_lex_state = 9},
  [481] = {.lex_state = 16, .external_lex_state = 9},
  [482] = {.lex_state = 16, .external_lex_state = 9},
  [483] = {.lex_state = 16, .external_lex_state = 5},
  [484] = {.lex_state = 115, .external_lex_state = 9},
  [485] = {.lex_state = 115, .external_lex_state = 9},
  [486] = {.lex_state = 16, .external_lex_state = 9},
  [487] = {.lex_state = 16, .external_lex_state = 9},
  [488] = {.lex_state = 1, .external_lex_state = 8},
  [489] = {.lex_state = 1, .external_lex_state = 8},
  [490] = {.lex_state = 114, .external_lex_state = 6},
  [491] = {.lex_state = 115, .external_lex_state = 9},
  [492] = {.lex_state = 115, .external_lex_state = 9},
  [493] = {.lex_state = 115, .external_lex_state = 9},
  [494] = {.lex_state = 115, .external_lex_state = 9},
  [495] = {.lex_state = 115, .external_lex_state = 9},
  [496] = {.lex_state = 1, .external_lex_state = 8},
  [497] = {.lex_state = 1, .external_lex_state = 8},
  [498] = {.lex_state = 1, .external_lex_state = 8},
  [499] = {.lex_state = 1, .external_lex_state = 8},
  [500] = {.lex_state = 1, .external_lex_state = 8},
  [501] = {.lex_state = 1, .external_lex_state = 8},
  [502] = {.lex_state = 1, .external_lex_state = 8},
  [503] = {.lex_state = 1, .external_lex_state = 8},
  [504] = {.lex_state = 1, .external_lex_state = 8},
  [505] = {.lex_state = 1, .external_lex_state = 8},
  [506] = {.lex_state = 1, .external_lex_state = 8},
  [507] = {.lex_state = 115, .external_lex_state = 9},
  [508] = {.lex_state = 115, .external_lex_state = 9},
  [509] = {.lex_state = 115, .external_lex_state = 9},
  [510] = {.lex_state = 115, .external_lex_state = 9},
  [511] = {.lex_state = 1, .external_lex_state = 8},
  [512] = {.lex_state = 1, .external_lex_state = 8},
  [513] = {.lex_state = 1, .external_lex_state = 8},
  [514] = {.lex_state = 1, .external_lex_state = 8},
  [515] = {.lex_state = 115, .external_lex_state = 9},
  [516] = {.lex_state = 1, .external_lex_state = 6},
  [517] = {.lex_state = 115, .external_lex_state = 9},
  [518] = {.lex_state = 1, .external_lex_state = 8},
  [519] = {.lex_state = 1, .external_lex_state = 8},
  [520] = {.lex_state = 115, .external_lex_state = 9},
  [521] = {.lex_state = 111, .external_lex_state = 5},
  [522] = {.lex_state = 115, .external_lex_state = 9},
  [523] = {.lex_state = 115, .external_lex_state = 9},
  [524] = {.lex_state = 16, .external_lex_state = 9},
  [525] = {.lex_state = 16, .external_lex_state = 9},
  [526] = {.lex_state = 16, .external_lex_state = 9},
  [527] = {.lex_state = 16, .external_lex_state = 9},
  [528] = {.lex_state = 16, .external_lex_state = 9},
  [529] = {.lex_state = 115, .external_lex_state = 9},
  [530] = {.lex_state = 115, .external_lex_state = 9},
  [531] = {.lex_state = 16, .external_lex_state = 9},
  [532] = {.lex_state = 16, .external_lex_state = 9},
  [533] = {.lex_state = 2, .external_lex_state = 6},
  [534] = {.lex_state = 115, .external_lex_state = 5},
  [535] = {.lex_state = 115, .external_lex_state = 9},
  [536] = {.lex_state = 115, .external_lex_state = 9},
  [537] = {.lex_state = 16, .external_lex_state = 9},
  [538] = {.lex_state = 115, .external_lex_state = 9},
  [539] = {.lex_state = 16, .external_lex_state = 9},
  [540] = {.lex_state = 115, .external_lex_state = 5},
  [541] = {.lex_state = 115, .external_lex_state = 9},
  [542] = {.lex_state = 115, .external_lex_state = 9},
  [543] = {.lex_state = 115, .external_lex_state = 9},
  [544] = {.lex_state = 16, .external_lex_state = 9},
  [545] = {.lex_state = 115, .external_lex_state = 9},
  [546] = {.lex_state = 16, .external_lex_state = 9},
  [547] = {.lex_state = 115, .external_lex_state = 9},
  [548] = {.lex_state = 1, .external_lex_state = 5},
  [549] = {.lex_state = 16, .external_lex_state = 9},
  [550] = {.lex_state = 115, .external_lex_state = 9},
  [551] = {.lex_state = 115, .external_lex_state = 9},
  [552] = {.lex_state = 16, .external_lex_state = 9},
  [553] = {.lex_state = 115, .external_lex_state = 9},
  [554] = {.lex_state = 114, .external_lex_state = 6},
  [555] = {.lex_state = 114, .external_lex_state = 6},
  [556] = {.lex_state = 115, .external_lex_state = 5},
  [557] = {.lex_state = 111, .external_lex_state = 6},
  [558] = {.lex_state = 115, .external_lex_state = 9},
  [559] = {.lex_state = 115, .external_lex_state = 9},
  [560] = {.lex_state = 115, .external_lex_state = 5},
  [561] = {.lex_state = 114, .external_lex_state = 6},
  [562] = {.lex_state = 115, .external_lex_state = 9},
  [563] = {.lex_state = 111, .external_lex_state = 8},
  [564] = {.lex_state = 111, .external_lex_state = 6},
  [565] = {.lex_state = 115, .external_lex_state = 9},
  [566] = {.lex_state = 111, .external_lex_state = 8},
  [567] = {.lex_state = 111, .external_lex_state = 8},
  [568] = {.lex_state = 111, .external_lex_state = 8},
  [569] = {.lex_state = 1, .external_lex_state = 8},
  [570] = {.lex_state = 111, .external_lex_state = 8},
  [571] = {.lex_state = 115, .external_lex_state = 9},
  [572] = {.lex_state = 111, .external_lex_state = 8},
  [573] = {.lex_state = 111, .external_lex_state = 8},
  [574] = {.lex_state = 111, .external_lex_state = 8},
  [575] = {.lex_state = 111, .external_lex_state = 8},
  [576] = {.lex_state = 1, .external_lex_state = 8},
  [577] = {.lex_state = 111, .external_lex_state = 8},
  [578] = {.lex_state = 115, .external_lex_state = 9},
  [579] = {.lex_state = 12, .external_lex_state = 6},
  [580] = {.lex_state = 115, .external_lex_state = 9},
  [581] = {.lex_state = 38, .external_lex_state = 2},
  [582] = {.lex_state = 111, .external_lex_state = 8},
  [583] = {.lex_state = 111, .external_lex_state = 8},
  [584] = {.lex_state = 111, .external_lex_state = 6},
  [585] = {.lex_state = 111, .external_lex_state = 8},
  [586] = {.lex_state = 1, .external_lex_state = 5},
  [587] = {.lex_state = 111, .external_lex_state = 8},
  [588] = {.lex_state = 111, .external_lex_state = 8},
  [589] = {.lex_state = 111, .external_lex_state = 8},
  [590] = {.lex_state = 1, .external_lex_state = 6},
  [591] = {.lex_state = 111, .external_lex_state = 8},
  [592] = {.lex_state = 38, .external_lex_state = 2},
  [593] = {.lex_state = 1, .external_lex_state = 8},
  [594] = {.lex_state = 1, .external_lex_state = 5},
  [595] = {.lex_state = 38, .external_lex_state = 2},
  [596] = {.lex_state = 111, .external_lex_state = 8},
  [597] = {.lex_state = 111, .external_lex_state = 8},
  [598] = {.lex_state = 38, .external_lex_state = 2},
  [599] = {.lex_state = 111, .external_lex_state = 8},
  [600] = {.lex_state = 111, .external_lex_state = 8},
  [601] = {.lex_state = 114, .external_lex_state = 6},
  [602] = {.lex_state = 111, .external_lex_state = 8},
  [603] = {.lex_state = 111, .external_lex_state = 8},
  [604] = {.lex_state = 12, .external_lex_state = 6},
  [605] = {.lex_state = 111, .external_lex_state = 8},
  [606] = {.lex_state = 114, .external_lex_state = 6},
  [607] = {.lex_state = 1, .external_lex_state = 5},
  [608] = {.lex_state = 111, .external_lex_state = 5},
  [609] = {.lex_state = 111, .external_lex_state = 8},
  [610] = {.lex_state = 114, .external_lex_state = 6},
  [611] = {.lex_state = 115, .external_lex_state = 9},
  [612] = {.lex_state = 1, .external_lex_state = 8},
  [613] = {.lex_state = 111, .external_lex_state = 8},
  [614] = {.lex_state = 12, .external_lex_state = 6},
  [615] = {.lex_state = 1, .external_lex_state = 8},
  [616] = {.lex_state = 111, .external_lex_state = 8},
  [617] = {.lex_state = 111, .external_lex_state = 8},
  [618] = {.lex_state = 1, .external_lex_state = 8},
  [619] = {.lex_state = 115, .external_lex_state = 9},
  [620] = {.lex_state = 115, .external_lex_state = 9},
  [621] = {.lex_state = 115, .external_lex_state = 9},
  [622] = {.lex_state = 16, .external_lex_state = 5},
  [623] = {.lex_state = 115, .external_lex_state = 9},
  [624] = {.lex_state = 111, .external_lex_state = 6},
  [625] = {.lex_state = 111, .external_lex_state = 8},
  [626] = {.lex_state = 115, .external_lex_state = 9},
  [627] = {.lex_state = 111, .external_lex_state = 8},
  [628] = {.lex_state = 111, .external_lex_state = 5},
  [629] = {.lex_state = 111, .external_lex_state = 5},
  [630] = {.lex_state = 111, .external_lex_state = 5},
  [631] = {.lex_state = 111, .external_lex_state = 8},
  [632] = {.lex_state = 111, .external_lex_state = 8},
  [633] = {.lex_state = 111, .external_lex_state = 5},
  [634] = {.lex_state = 111, .external_lex_state = 8},
  [635] = {.lex_state = 111, .external_lex_state = 8},
  [636] = {.lex_state = 111, .external_lex_state = 8},
  [637] = {.lex_state = 12, .external_lex_state = 6},
  [638] = {.lex_state = 111, .external_lex_state = 5},
  [639] = {.lex_state = 111, .external_lex_state = 8},
  [640] = {.lex_state = 111, .external_lex_state = 8},
  [641] = {.lex_state = 111, .external_lex_state = 8},
  [642] = {.lex_state = 111, .external_lex_state = 8},
  [643] = {.lex_state = 111, .external_lex_state = 8},
  [644] = {.lex_state = 111, .external_lex_state = 8},
  [645] = {.lex_state = 111, .external_lex_state = 8},
  [646] = {.lex_state = 111, .external_lex_state = 8},
  [647] = {.lex_state = 111, .external_lex_state = 8},
  [648] = {.lex_state = 111, .external_lex_state = 8},
  [649] = {.lex_state = 111, .external_lex_state = 8},
  [650] = {.lex_state = 111, .external_lex_state = 8},
  [651] = {.lex_state = 111, .external_lex_state = 8},
  [652] = {.lex_state = 115, .external_lex_state = 9},
  [653] = {.lex_state = 114, .external_lex_state = 6},
  [654] = {.lex_state = 115, .external_lex_state = 9},
  [655] = {.lex_state = 115, .external_lex_state = 9},
  [656] = {.lex_state = 115, .external_lex_state = 9},
  [657] = {.lex_state = 115, .external_lex_state = 9},
  [658] = {.lex_state = 115, .external_lex_state = 9},
  [659] = {.lex_state = 111, .external_lex_state = 5},
  [660] = {.lex_state = 115, .external_lex_state = 9},
  [661] = {.lex_state = 109, .external_lex_state = 6},
  [662] = {.lex_state = 115, .external_lex_state = 9},
  [663] = {.lex_state = 115, .external_lex_state = 5},
  [664] = {.lex_state = 16, .external_lex_state = 5},
  [665] = {.lex_state = 115, .external_lex_state = 5},
  [666] = {.lex_state = 16, .external_lex_state = 5},
  [667] = {.lex_state = 16, .external_lex_state = 5},
  [668] = {.lex_state = 16, .external_lex_state = 5},
  [669] = {.lex_state = 111, .external_lex_state = 6},
  [670] = {.lex_state = 115, .external_lex_state = 5},
  [671] = {.lex_state = 115, .external_lex_state = 5},
  [672] = {.lex_state = 1, .external_lex_state = 6},
  [673] = {.lex_state = 111, .external_lex_state = 6},
  [674] = {.lex_state = 115, .external_lex_state = 5},
  [675] = {.lex_state = 115, .external_lex_state = 5},
  [676] = {.lex_state = 115, .external_lex_state = 5},
  [677] = {.lex_state = 5, .external_lex_state = 10},
  [678] = {.lex_state = 115, .external_lex_state = 5},
  [679] = {.lex_state = 7, .external_lex_state = 10},
  [680] = {.lex_state = 7, .external_lex_state = 10},
  [681] = {.lex_state = 30},
  [682] = {.lex_state = 21, .external_lex_state = 2},
  [683] = {.lex_state = 7, .external_lex_state = 10},
  [684] = {.lex_state = 7, .external_lex_state = 10},
  [685] = {.lex_state = 7, .external_lex_state = 10},
  [686] = {.lex_state = 7, .external_lex_state = 10},
  [687] = {.lex_state = 29, .external_lex_state = 11},
  [688] = {.lex_state = 29},
  [689] = {.lex_state = 25},
  [690] = {.lex_state = 36, .external_lex_state = 12},
  [691] = {.lex_state = 35, .external_lex_state = 13},
  [692] = {.lex_state = 35, .external_lex_state = 13},
  [693] = {.lex_state = 35, .external_lex_state = 13},
  [694] = {.lex_state = 36, .external_lex_state = 12},
  [695] = {.lex_state = 36, .external_lex_state = 12},
  [696] = {.lex_state = 36, .external_lex_state = 12},
  [697] = {.lex_state = 25},
  [698] = {.lex_state = 36, .external_lex_state = 12},
  [699] = {.lex_state = 35, .external_lex_state = 13},
  [700] = {.lex_state = 35, .external_lex_state = 13},
  [701] = {.lex_state = 35, .external_lex_state = 13},
  [702] = {.lex_state = 35, .external_lex_state = 13},
  [703] = {.lex_state = 36, .external_lex_state = 12},
  [704] = {.lex_state = 36, .external_lex_state = 12},
  [705] = {.lex_state = 36, .external_lex_state = 12},
  [706] = {.lex_state = 35, .external_lex_state = 13},
  [707] = {.lex_state = 35, .external_lex_state = 13},
  [708] = {.lex_state = 36, .external_lex_state = 12},
  [709] = {.lex_state = 35, .external_lex_state = 13},
  [710] = {.lex_state = 35, .external_lex_state = 13},
  [711] = {.lex_state = 35, .external_lex_state = 13},
  [712] = {.lex_state = 35, .external_lex_state = 13},
  [713] = {.lex_state = 35, .external_lex_state = 13},
  [714] = {.lex_state = 36, .external_lex_state = 12},
  [715] = {.lex_state = 36, .external_lex_state = 12},
  [716] = {.lex_state = 35, .external_lex_state = 13},
  [717] = {.lex_state = 35, .external_lex_state = 13},
  [718] = {.lex_state = 35, .external_lex_state = 13},
  [719] = {.lex_state = 36, .external_lex_state = 12},
  [720] = {.lex_state = 36, .external_lex_state = 12},
  [721] = {.lex_state = 36, .external_lex_state = 12},
  [722] = {.lex_state = 36, .external_lex_state = 12},
  [723] = {.lex_state = 36, .external_lex_state = 12},
  [724] = {.lex_state = 25},
  [725] = {.lex_state = 25},
  [726] = {.lex_state = 36, .external_lex_state = 12},
  [727] = {.lex_state = 36, .external_lex_state = 12},
  [728] = {.lex_state = 25, .external_lex_state = 14},
  [729] = {.lex_state = 25, .external_lex_state = 14},
  [730] = {.lex_state = 35, .external_lex_state = 13},
  [731] = {.lex_state = 35, .external_lex_state = 13},
  [732] = {.lex_state = 35, .external_lex_state = 13},
  [733] = {.lex_state = 35, .external_lex_state = 13},
  [734] = {.lex_state = 36, .external_lex_state = 12},
  [735] = {.lex_state = 35, .external_lex_state = 13},
  [736] = {.lex_state = 36, .external_lex_state = 12},
  [737] = {.lex_state = 36, .external_lex_state = 12},
  [738] = {.lex_state = 36, .external_lex_state = 12},
  [739] = {.lex_state = 36, .external_lex_state = 12},
  [740] = {.lex_state = 36, .external_lex_state = 12},
  [741] = {.lex_state = 36, .external_lex_state = 12},
  [742] = {.lex_state = 36, .external_lex_state = 12},
  [743] = {.lex_state = 36, .external_lex_state = 12},
  [744] = {.lex_state = 35, .external_lex_state = 13},
  [745] = {.lex_state = 35, .external_lex_state = 13},
  [746] = {.lex_state = 35, .external_lex_state = 13},
  [747] = {.lex_state = 36, .external_lex_state = 12},
  [748] = {.lex_state = 36, .external_lex_state = 12},
  [749] = {.lex_state = 36, .external_lex_state = 12},
  [750] = {.lex_state = 35, .external_lex_state = 13},
  [751] = {.lex_state = 36, .external_lex_state = 12},
  [752] = {.lex_state = 35, .external_lex_state = 13},
  [753] = {.lex_state = 36, .external_lex_state = 12},
  [754] = {.lex_state = 35, .external_lex_state = 13},
  [755] = {.lex_state = 36, .external_lex_state = 12},
  [756] = {.lex_state = 36, .external_lex_state = 12},
  [757] = {.lex_state = 35, .external_lex_state = 13},
  [758] = {.lex_state = 36, .external_lex_state = 12},
  [759] = {.lex_state = 35, .external_lex_state = 13},
  [760] = {.lex_state = 36, .external_lex_state = 12},
  [761] = {.lex_state = 35, .external_lex_state = 13},
  [762] = {.lex_state = 35, .external_lex_state = 13},
  [763] = {.lex_state = 36, .external_lex_state = 12},
  [764] = {.lex_state = 36, .external_lex_state = 12},
  [765] = {.lex_state = 35, .external_lex_state = 13},
  [766] = {.lex_state = 35, .external_lex_state = 13},
  [767] = {.lex_state = 36, .external_lex_state = 12},
  [768] = {.lex_state = 35, .external_lex_state = 13},
  [769] = {.lex_state = 36, .external_lex_state = 12},
  [770] = {.lex_state = 36, .external_lex_state = 12},
  [771] = {.lex_state = 36, .external_lex_state = 12},
  [772] = {.lex_state = 35, .external_lex_state = 13},
  [773] = {.lex_state = 35, .external_lex_state = 13},
  [774] = {.lex_state = 35, .external_lex_state = 13},
  [775] = {.lex_state = 35, .external_lex_state = 13},
  [776] = {.lex_state = 35, .external_lex_state = 13},
  [777] = {.lex_state = 35, .external_lex_state = 13},
  [778] = {.lex_state = 36, .external_lex_state = 12},
  [779] = {.lex_state = 36, .external_lex_state = 12},
  [780] = {.lex_state = 36, .external_lex_state = 12},
  [781] = {.lex_state = 36, .external_lex_state = 12},
  [782] = {.lex_state = 35, .external_lex_state = 13},
  [783] = {.lex_state = 35, .external_lex_state = 13},
  [784] = {.lex_state = 35, .external_lex_state = 13},
  [785] = {.lex_state = 35, .external_lex_state = 13},
  [786] = {.lex_state = 35, .external_lex_state = 13},
  [787] = {.lex_state = 35, .external_lex_state = 13},
  [788] = {.lex_state = 36, .external_lex_state = 12},
  [789] = {.lex_state = 35, .external_lex_state = 13},
  [790] = {.lex_state = 36, .external_lex_state = 12},
  [791] = {.lex_state = 36, .external_lex_state = 12},
  [792] = {.lex_state = 25},
  [793] = {.lex_state = 36, .external_lex_state = 12},
  [794] = {.lex_state = 35, .external_lex_state = 13},
  [795] = {.lex_state = 36, .external_lex_state = 12},
  [796] = {.lex_state = 35, .external_lex_state = 13},
  [797] = {.lex_state = 35, .external_lex_state = 13},
  [798] = {.lex_state = 35, .external_lex_state = 13},
  [799] = {.lex_state = 35, .external_lex_state = 13},
  [800] = {.lex_state = 35, .external_lex_state = 13},
  [801] = {.lex_state = 36, .external_lex_state = 12},
  [802] = {.lex_state = 25},
  [803] = {.lex_state = 36, .external_lex_state = 12},
  [804] = {.lex_state = 36, .external_lex_state = 12},
  [805] = {.lex_state = 36, .external_lex_state = 12},
  [806] = {.lex_state = 35, .external_lex_state = 13},
  [807] = {.lex_state = 35, .external_lex_state = 13},
  [808] = {.lex_state = 35, .external_lex_state = 13},
  [809] = {.lex_state = 35, .external_lex_state = 13},
  [810] = {.lex_state = 36, .external_lex_state = 12},
  [811] = {.lex_state = 36, .external_lex_state = 12},
  [812] = {.lex_state = 36, .external_lex_state = 12},
  [813] = {.lex_state = 36, .external_lex_state = 12},
  [814] = {.lex_state = 36, .external_lex_state = 12},
  [815] = {.lex_state = 35, .external_lex_state = 13},
  [816] = {.lex_state = 35, .external_lex_state = 13},
  [817] = {.lex_state = 35, .external_lex_state = 13},
  [818] = {.lex_state = 35, .external_lex_state = 13},
  [819] = {.lex_state = 36, .external_lex_state = 12},
  [820] = {.lex_state = 36, .external_lex_state = 12},
  [821] = {.lex_state = 25, .external_lex_state = 14},
  [822] = {.lex_state = 25},
  [823] = {.lex_state = 35, .external_lex_state = 13},
  [824] = {.lex_state = 35, .external_lex_state = 13},
  [825] = {.lex_state = 36, .external_lex_state = 12},
  [826] = {.lex_state = 35, .external_lex_state = 13},
  [827] = {.lex_state = 36, .external_lex_state = 12},
  [828] = {.lex_state = 36, .external_lex_state = 12},
  [829] = {.lex_state = 36, .external_lex_state = 12},
  [830] = {.lex_state = 35, .external_lex_state = 13},
  [831] = {.lex_state = 35, .external_lex_state = 13},
  [832] = {.lex_state = 35, .external_lex_state = 13},
  [833] = {.lex_state = 35, .external_lex_state = 13},
  [834] = {.lex_state = 35, .external_lex_state = 13},
  [835] = {.lex_state = 35, .external_lex_state = 13},
  [836] = {.lex_state = 35, .external_lex_state = 13},
  [837] = {.lex_state = 35, .external_lex_state = 13},
  [838] = {.lex_state = 35, .external_lex_state = 13},
  [839] = {.lex_state = 35, .external_lex_state = 13},
  [840] = {.lex_state = 36, .external_lex_state = 12},
  [841] = {.lex_state = 36, .external_lex_state = 12},
  [842] = {.lex_state = 36, .external_lex_state = 12},
  [843] = {.lex_state = 36, .external_lex_state = 12},
  [844] = {.lex_state = 36, .external_lex_state = 12},
  [845] = {.lex_state = 36, .external_lex_state = 12},
  [846] = {.lex_state = 36, .external_lex_state = 12},
  [847] = {.lex_state = 35, .external_lex_state = 13},
  [848] = {.lex_state = 36, .external_lex_state = 12},
  [849] = {.lex_state = 36, .external_lex_state = 12},
  [850] = {.lex_state = 36, .external_lex_state = 12},
  [851] = {.lex_state = 35, .external_lex_state = 13},
  [852] = {.lex_state = 35, .external_lex_state = 13},
  [853] = {.lex_state = 35, .external_lex_state = 13},
  [854] = {.lex_state = 35, .external_lex_state = 13},
  [855] = {.lex_state = 35, .external_lex_state = 13},
  [856] = {.lex_state = 25},
  [857] = {.lex_state = 36, .external_lex_state = 12},
  [858] = {.lex_state = 36, .external_lex_state = 12},
  [859] = {.lex_state = 36, .external_lex_state = 12},
  [860] = {.lex_state = 36, .external_lex_state = 12},
  [861] = {.lex_state = 35, .external_lex_state = 13},
  [862] = {.lex_state = 36, .external_lex_state = 12},
  [863] = {.lex_state = 36, .external_lex_state = 12},
  [864] = {.lex_state = 36, .external_lex_state = 12},
  [865] = {.lex_state = 35, .external_lex_state = 13},
  [866] = {.lex_state = 36, .external_lex_state = 12},
  [867] = {.lex_state = 35, .external_lex_state = 13},
  [868] = {.lex_state = 35, .external_lex_state = 13},
  [869] = {.lex_state = 35, .external_lex_state = 13},
  [870] = {.lex_state = 35, .external_lex_state = 13},
  [871] = {.lex_state = 35, .external_lex_state = 13},
  [872] = {.lex_state = 35, .external_lex_state = 13},
  [873] = {.lex_state = 36, .external_lex_state = 12},
  [874] = {.lex_state = 36, .external_lex_state = 12},
  [875] = {.lex_state = 36, .external_lex_state = 12},
  [876] = {.lex_state = 36, .external_lex_state = 12},
  [877] = {.lex_state = 36, .external_lex_state = 12},
  [878] = {.lex_state = 36, .external_lex_state = 12},
  [879] = {.lex_state = 36, .external_lex_state = 12},
  [880] = {.lex_state = 25, .external_lex_state = 14},
  [881] = {.lex_state = 36, .external_lex_state = 12},
  [882] = {.lex_state = 36, .external_lex_state = 12},
  [883] = {.lex_state = 36, .external_lex_state = 12},
  [884] = {.lex_state = 35, .external_lex_state = 13},
  [885] = {.lex_state = 35, .external_lex_state = 13},
  [886] = {.lex_state = 36, .external_lex_state = 12},
  [887] = {.lex_state = 35, .external_lex_state = 13},
  [888] = {.lex_state = 35, .external_lex_state = 13},
  [889] = {.lex_state = 35, .external_lex_state = 13},
  [890] = {.lex_state = 35, .external_lex_state = 13},
  [891] = {.lex_state = 36, .external_lex_state = 12},
  [892] = {.lex_state = 36, .external_lex_state = 12},
  [893] = {.lex_state = 35, .external_lex_state = 13},
  [894] = {.lex_state = 35, .external_lex_state = 13},
  [895] = {.lex_state = 25, .external_lex_state = 14},
  [896] = {.lex_state = 36, .external_lex_state = 12},
  [897] = {.lex_state = 36, .external_lex_state = 12},
  [898] = {.lex_state = 36, .external_lex_state = 12},
  [899] = {.lex_state = 35, .external_lex_state = 13},
  [900] = {.lex_state = 35, .external_lex_state = 13},
  [901] = {.lex_state = 35, .external_lex_state = 13},
  [902] = {.lex_state = 35, .external_lex_state = 13},
  [903] = {.lex_state = 36, .external_lex_state = 12},
  [904] = {.lex_state = 36, .external_lex_state = 12},
  [905] = {.lex_state = 36, .external_lex_state = 12},
  [906] = {.lex_state = 36, .external_lex_state = 12},
  [907] = {.lex_state = 35, .external_lex_state = 13},
  [908] = {.lex_state = 35, .external_lex_state = 13},
  [909] = {.lex_state = 35, .external_lex_state = 13},
  [910] = {.lex_state = 25},
  [911] = {.lex_state = 36, .external_lex_state = 13},
  [912] = {.lex_state = 36, .external_lex_state = 13},
  [913] = {.lex_state = 25},
  [914] = {.lex_state = 36, .external_lex_state = 13},
  [915] = {.lex_state = 25},
  [916] = {.lex_state = 36, .external_lex_state = 13},
  [917] = {.lex_state = 36, .external_lex_state = 13},
  [918] = {.lex_state = 36, .external_lex_state = 13},
  [919] = {.lex_state = 36, .external_lex_state = 13},
  [920] = {.lex_state = 36, .external_lex_state = 13},
  [921] = {.lex_state = 25},
  [922] = {.lex_state = 25},
  [923] = {.lex_state = 25},
  [924] = {.lex_state = 36, .external_lex_state = 13},
  [925] = {.lex_state = 25},
  [926] = {.lex_state = 36, .external_lex_state = 13},
  [927] = {.lex_state = 36, .external_lex_state = 13},
  [928] = {.lex_state = 36, .external_lex_state = 13},
  [929] = {.lex_state = 36, .external_lex_state = 13},
  [930] = {.lex_state = 36, .external_lex_state = 13},
  [931] = {.lex_state = 25},
  [932] = {.lex_state = 36, .external_lex_state = 13},
  [933] = {.lex_state = 36, .external_lex_state = 13},
  [934] = {.lex_state = 25},
  [935] = {.lex_state = 36, .external_lex_state = 13},
  [936] = {.lex_state = 36, .external_lex_state = 13},
  [937] = {.lex_state = 36, .external_lex_state = 13},
  [938] = {.lex_state = 36, .external_lex_state = 13},
  [939] = {.lex_state = 36, .external_lex_state = 13},
  [940] = {.lex_state = 36, .external_lex_state = 13},
  [941] = {.lex_state = 36, .external_lex_state = 13},
  [942] = {.lex_state = 36, .external_lex_state = 13},
  [943] = {.lex_state = 36, .external_lex_state = 13},
  [944] = {.lex_state = 36, .external_lex_state = 13},
  [945] = {.lex_state = 36, .external_lex_state = 13},
  [946] = {.lex_state = 36, .external_lex_state = 13},
  [947] = {.lex_state = 36, .external_lex_state = 13},
  [948] = {.lex_state = 36, .external_lex_state = 13},
  [949] = {.lex_state = 36, .external_lex_state = 13},
  [950] = {.lex_state = 36, .external_lex_state = 13},
  [951] = {.lex_state = 36, .external_lex_state = 13},
  [952] = {.lex_state = 36, .external_lex_state = 13},
  [953] = {.lex_state = 36, .external_lex_state = 13},
  [954] = {.lex_state = 36, .external_lex_state = 13},
  [955] = {.lex_state = 36, .external_lex_state = 13},
  [956] = {.lex_state = 36, .external_lex_state = 13},
  [957] = {.lex_state = 36, .external_lex_state = 13},
  [958] = {.lex_state = 36, .external_lex_state = 13},
  [959] = {.lex_state = 36, .external_lex_state = 13},
  [960] = {.lex_state = 36, .external_lex_state = 13},
  [961] = {.lex_state = 25},
  [962] = {.lex_state = 36, .external_lex_state = 13},
  [963] = {.lex_state = 36, .external_lex_state = 13},
  [964] = {.lex_state = 36, .external_lex_state = 13},
  [965] = {.lex_state = 36, .external_lex_state = 13},
  [966] = {.lex_state = 36, .external_lex_state = 13},
  [967] = {.lex_state = 36, .external_lex_state = 13},
  [968] = {.lex_state = 36, .external_lex_state = 13},
  [969] = {.lex_state = 36, .external_lex_state = 13},
  [970] = {.lex_state = 36, .external_lex_state = 13},
  [971] = {.lex_state = 36, .external_lex_state = 13},
  [972] = {.lex_state = 25},
  [973] = {.lex_state = 36, .external_lex_state = 13},
  [974] = {.lex_state = 36, .external_lex_state = 13},
  [975] = {.lex_state = 36, .external_lex_state = 13},
  [976] = {.lex_state = 36, .external_lex_state = 13},
  [977] = {.lex_state = 36, .external_lex_state = 13},
  [978] = {.lex_state = 36, .external_lex_state = 13},
  [979] = {.lex_state = 36, .external_lex_state = 13},
  [980] = {.lex_state = 36, .external_lex_state = 13},
  [981] = {.lex_state = 36, .external_lex_state = 13},
  [982] = {.lex_state = 36, .external_lex_state = 13},
  [983] = {.lex_state = 36, .external_lex_state = 13},
  [984] = {.lex_state = 36, .external_lex_state = 13},
  [985] = {.lex_state = 36, .external_lex_state = 13},
  [986] = {.lex_state = 36, .external_lex_state = 13},
  [987] = {.lex_state = 25},
  [988] = {.lex_state = 36, .external_lex_state = 13},
  [989] = {.lex_state = 25},
  [990] = {.lex_state = 36, .external_lex_state = 13},
  [991] = {.lex_state = 36, .external_lex_state = 13},
  [992] = {.lex_state = 36, .external_lex_state = 13},
  [993] = {.lex_state = 36, .external_lex_state = 13},
  [994] = {.lex_state = 36, .external_lex_state = 13},
  [995] = {.lex_state = 25},
  [996] = {.lex_state = 36, .external_lex_state = 13},
  [997] = {.lex_state = 36, .external_lex_state = 13},
  [998] = {.lex_state = 25},
  [999] = {.lex_state = 25},
  [1000] = {.lex_state = 36, .external_lex_state = 13},
  [1001] = {.lex_state = 36, .external_lex_state = 13},
  [1002] = {.lex_state = 36, .external_lex_state = 13},
  [1003] = {.lex_state = 36, .external_lex_state = 13},
  [1004] = {.lex_state = 36, .external_lex_state = 13},
  [1005] = {.lex_state = 36, .external_lex_state = 13},
  [1006] = {.lex_state = 36, .external_lex_state = 13},
  [1007] = {.lex_state = 36, .external_lex_state = 13},
  [1008] = {.lex_state = 36, .external_lex_state = 13},
  [1009] = {.lex_state = 36, .external_lex_state = 13},
  [1010] = {.lex_state = 25},
  [1011] = {.lex_state = 25},
  [1012] = {.lex_state = 25},
  [1013] = {.lex_state = 25},
  [1014] = {.lex_state = 25},
  [1015] = {.lex_state = 25},
  [1016] = {.lex_state = 36, .external_lex_state = 13},
  [1017] = {.lex_state = 36, .external_lex_state = 13},
  [1018] = {.lex_state = 36, .external_lex_state = 13},
  [1019] = {.lex_state = 36, .external_lex_state = 13},
  [1020] = {.lex_state = 36, .external_lex_state = 13},
  [1021] = {.lex_state = 36, .external_lex_state = 13},
  [1022] = {.lex_state = 36, .external_lex_state = 13},
  [1023] = {.lex_state = 36, .external_lex_state = 13},
  [1024] = {.lex_state = 36, .external_lex_state = 13},
  [1025] = {.lex_state = 36, .external_lex_state = 13},
  [1026] = {.lex_state = 36, .external_lex_state = 13},
  [1027] = {.lex_state = 36, .external_lex_state = 13},
  [1028] = {.lex_state = 36, .external_lex_state = 13},
  [1029] = {.lex_state = 36, .external_lex_state = 13},
  [1030] = {.lex_state = 36, .external_lex_state = 13},
  [1031] = {.lex_state = 36, .external_lex_state = 13},
  [1032] = {.lex_state = 36, .external_lex_state = 13},
  [1033] = {.lex_state = 36, .external_lex_state = 13},
  [1034] = {.lex_state = 36, .external_lex_state = 13},
  [1035] = {.lex_state = 36, .external_lex_state = 13},
  [1036] = {.lex_state = 36, .external_lex_state = 13},
  [1037] = {.lex_state = 36, .external_lex_state = 13},
  [1038] = {.lex_state = 36, .external_lex_state = 13},
  [1039] = {.lex_state = 36, .external_lex_state = 13},
  [1040] = {.lex_state = 36, .external_lex_state = 13},
  [1041] = {.lex_state = 36, .external_lex_state = 13},
  [1042] = {.lex_state = 36, .external_lex_state = 13},
  [1043] = {.lex_state = 36, .external_lex_state = 13},
  [1044] = {.lex_state = 36, .external_lex_state = 13},
  [1045] = {.lex_state = 36, .external_lex_state = 13},
  [1046] = {.lex_state = 36, .external_lex_state = 13},
  [1047] = {.lex_state = 36, .external_lex_state = 13},
  [1048] = {.lex_state = 36, .external_lex_state = 13},
  [1049] = {.lex_state = 36, .external_lex_state = 13},
  [1050] = {.lex_state = 36, .external_lex_state = 13},
  [1051] = {.lex_state = 36, .external_lex_state = 13},
  [1052] = {.lex_state = 36, .external_lex_state = 13},
  [1053] = {.lex_state = 36, .external_lex_state = 13},
  [1054] = {.lex_state = 36, .external_lex_state = 13},
  [1055] = {.lex_state = 36, .external_lex_state = 13},
  [1056] = {.lex_state = 36, .external_lex_state = 13},
  [1057] = {.lex_state = 36, .external_lex_state = 13},
  [1058] = {.lex_state = 36, .external_lex_state = 13},
  [1059] = {.lex_state = 36, .external_lex_state = 13},
  [1060] = {.lex_state = 36, .external_lex_state = 13},
  [1061] = {.lex_state = 36, .external_lex_state = 13},
  [1062] = {.lex_state = 36, .external_lex_state = 13},
  [1063] = {.lex_state = 36, .external_lex_state = 13},
  [1064] = {.lex_state = 36, .external_lex_state = 13},
  [1065] = {.lex_state = 36, .external_lex_state = 13},
  [1066] = {.lex_state = 36, .external_lex_state = 13},
  [1067] = {.lex_state = 36, .external_lex_state = 13},
  [1068] = {.lex_state = 36, .external_lex_state = 13},
  [1069] = {.lex_state = 36, .external_lex_state = 13},
  [1070] = {.lex_state = 36, .external_lex_state = 13},
  [1071] = {.lex_state = 36, .external_lex_state = 13},
  [1072] = {.lex_state = 36, .external_lex_state = 13},
  [1073] = {.lex_state = 36, .external_lex_state = 13},
  [1074] = {.lex_state = 36, .external_lex_state = 13},
  [1075] = {.lex_state = 36, .external_lex_state = 13},
  [1076] = {.lex_state = 36, .external_lex_state = 13},
  [1077] = {.lex_state = 36, .external_lex_state = 13},
  [1078] = {.lex_state = 36, .external_lex_state = 13},
  [1079] = {.lex_state = 36, .external_lex_state = 13},
  [1080] = {.lex_state = 36, .external_lex_state = 13},
  [1081] = {.lex_state = 36, .external_lex_state = 13},
  [1082] = {.lex_state = 36, .external_lex_state = 13},
  [1083] = {.lex_state = 36, .external_lex_state = 13},
  [1084] = {.lex_state = 36, .external_lex_state = 13},
  [1085] = {.lex_state = 36, .external_lex_state = 13},
  [1086] = {.lex_state = 36, .external_lex_state = 13},
  [1087] = {.lex_state = 36, .external_lex_state = 13},
  [1088] = {.lex_state = 36, .external_lex_state = 13},
  [1089] = {.lex_state = 36, .external_lex_state = 13},
  [1090] = {.lex_state = 36, .external_lex_state = 13},
  [1091] = {.lex_state = 36, .external_lex_state = 13},
  [1092] = {.lex_state = 36, .external_lex_state = 13},
  [1093] = {.lex_state = 36, .external_lex_state = 13},
  [1094] = {.lex_state = 36, .external_lex_state = 13},
  [1095] = {.lex_state = 36, .external_lex_state = 13},
  [1096] = {.lex_state = 36, .external_lex_state = 13},
  [1097] = {.lex_state = 36, .external_lex_state = 13},
  [1098] = {.lex_state = 36, .external_lex_state = 13},
  [1099] = {.lex_state = 25},
  [1100] = {.lex_state = 36, .external_lex_state = 13},
  [1101] = {.lex_state = 36, .external_lex_state = 13},
  [1102] = {.lex_state = 36, .external_lex_state = 13},
  [1103] = {.lex_state = 36, .external_lex_state = 13},
  [1104] = {.lex_state = 36, .external_lex_state = 13},
  [1105] = {.lex_state = 36, .external_lex_state = 13},
  [1106] = {.lex_state = 36, .external_lex_state = 13},
  [1107] = {.lex_state = 36, .external_lex_state = 13},
  [1108] = {.lex_state = 36, .external_lex_state = 13},
  [1109] = {.lex_state = 36, .external_lex_state = 13},
  [1110] = {.lex_state = 36, .external_lex_state = 13},
  [1111] = {.lex_state = 36, .external_lex_state = 13},
  [1112] = {.lex_state = 36, .external_lex_state = 13},
  [1113] = {.lex_state = 36, .external_lex_state = 13},
  [1114] = {.lex_state = 36, .external_lex_state = 13},
  [1115] = {.lex_state = 36, .external_lex_state = 13},
  [1116] = {.lex_state = 36, .external_lex_state = 13},
  [1117] = {.lex_state = 36, .external_lex_state = 13},
  [1118] = {.lex_state = 36, .external_lex_state = 13},
  [1119] = {.lex_state = 36, .external_lex_state = 13},
  [1120] = {.lex_state = 36, .external_lex_state = 13},
  [1121] = {.lex_state = 36, .external_lex_state = 13},
  [1122] = {.lex_state = 36, .external_lex_state = 13},
  [1123] = {.lex_state = 36, .external_lex_state = 13},
  [1124] = {.lex_state = 36, .external_lex_state = 13},
  [1125] = {.lex_state = 36, .external_lex_state = 13},
  [1126] = {.lex_state = 36, .external_lex_state = 13},
  [1127] = {.lex_state = 36, .external_lex_state = 13},
  [1128] = {.lex_state = 36, .external_lex_state = 13},
  [1129] = {.lex_state = 36, .external_lex_state = 13},
  [1130] = {.lex_state = 36, .external_lex_state = 13},
  [1131] = {.lex_state = 36, .external_lex_state = 13},
  [1132] = {.lex_state = 36, .external_lex_state = 13},
  [1133] = {.lex_state = 36, .external_lex_state = 13},
  [1134] = {.lex_state = 36, .external_lex_state = 13},
  [1135] = {.lex_state = 36, .external_lex_state = 13},
  [1136] = {.lex_state = 36, .external_lex_state = 13},
  [1137] = {.lex_state = 36, .external_lex_state = 13},
  [1138] = {.lex_state = 36, .external_lex_state = 13},
  [1139] = {.lex_state = 36, .external_lex_state = 13},
  [1140] = {.lex_state = 36, .external_lex_state = 13},
  [1141] = {.lex_state = 25},
  [1142] = {.lex_state = 36, .external_lex_state = 13},
  [1143] = {.lex_state = 36, .external_lex_state = 13},
  [1144] = {.lex_state = 36, .external_lex_state = 13},
  [1145] = {.lex_state = 36, .external_lex_state = 13},
  [1146] = {.lex_state = 36, .external_lex_state = 13},
  [1147] = {.lex_state = 36, .external_lex_state = 13},
  [1148] = {.lex_state = 36, .external_lex_state = 13},
  [1149] = {.lex_state = 36, .external_lex_state = 13},
  [1150] = {.lex_state = 36, .external_lex_state = 13},
  [1151] = {.lex_state = 36, .external_lex_state = 13},
  [1152] = {.lex_state = 25},
  [1153] = {.lex_state = 36, .external_lex_state = 13},
  [1154] = {.lex_state = 36, .external_lex_state = 13},
  [1155] = {.lex_state = 36, .external_lex_state = 13},
  [1156] = {.lex_state = 36, .external_lex_state = 13},
  [1157] = {.lex_state = 36, .external_lex_state = 13},
  [1158] = {.lex_state = 36, .external_lex_state = 13},
  [1159] = {.lex_state = 36, .external_lex_state = 13},
  [1160] = {.lex_state = 36, .external_lex_state = 13},
  [1161] = {.lex_state = 36, .external_lex_state = 13},
  [1162] = {.lex_state = 36, .external_lex_state = 13},
  [1163] = {.lex_state = 36, .external_lex_state = 13},
  [1164] = {.lex_state = 36, .external_lex_state = 13},
  [1165] = {.lex_state = 36, .external_lex_state = 13},
  [1166] = {.lex_state = 36, .external_lex_state = 13},
  [1167] = {.lex_state = 36, .external_lex_state = 13},
  [1168] = {.lex_state = 36, .external_lex_state = 13},
  [1169] = {.lex_state = 36, .external_lex_state = 13},
  [1170] = {.lex_state = 36, .external_lex_state = 13},
  [1171] = {.lex_state = 36, .external_lex_state = 13},
  [1172] = {.lex_state = 36, .external_lex_state = 13},
  [1173] = {.lex_state = 36, .external_lex_state = 13},
  [1174] = {.lex_state = 36, .external_lex_state = 13},
  [1175] = {.lex_state = 36, .external_lex_state = 13},
  [1176] = {.lex_state = 36, .external_lex_state = 13},
  [1177] = {.lex_state = 36, .external_lex_state = 13},
  [1178] = {.lex_state = 36, .external_lex_state = 13},
  [1179] = {.lex_state = 36, .external_lex_state = 13},
  [1180] = {.lex_state = 36, .external_lex_state = 13},
  [1181] = {.lex_state = 36, .external_lex_state = 13},
  [1182] = {.lex_state = 36, .external_lex_state = 13},
  [1183] = {.lex_state = 36, .external_lex_state = 13},
  [1184] = {.lex_state = 36, .external_lex_state = 13},
  [1185] = {.lex_state = 36, .external_lex_state = 13},
  [1186] = {.lex_state = 25},
  [1187] = {.lex_state = 36, .external_lex_state = 13},
  [1188] = {.lex_state = 36, .external_lex_state = 13},
  [1189] = {.lex_state = 36, .external_lex_state = 13},
  [1190] = {.lex_state = 36, .external_lex_state = 13},
  [1191] = {.lex_state = 36, .external_lex_state = 13},
  [1192] = {.lex_state = 36, .external_lex_state = 13},
  [1193] = {.lex_state = 36, .external_lex_state = 13},
  [1194] = {.lex_state = 36, .external_lex_state = 13},
  [1195] = {.lex_state = 36, .external_lex_state = 13},
  [1196] = {.lex_state = 36, .external_lex_state = 13},
  [1197] = {.lex_state = 36, .external_lex_state = 13},
  [1198] = {.lex_state = 36, .external_lex_state = 13},
  [1199] = {.lex_state = 36, .external_lex_state = 13},
  [1200] = {.lex_state = 36, .external_lex_state = 13},
  [1201] = {.lex_state = 36, .external_lex_state = 13},
  [1202] = {.lex_state = 36, .external_lex_state = 13},
  [1203] = {.lex_state = 36, .external_lex_state = 13},
  [1204] = {.lex_state = 36, .external_lex_state = 13},
  [1205] = {.lex_state = 36, .external_lex_state = 13},
  [1206] = {.lex_state = 36, .external_lex_state = 13},
  [1207] = {.lex_state = 36, .external_lex_state = 13},
  [1208] = {.lex_state = 36, .external_lex_state = 13},
  [1209] = {.lex_state = 36, .external_lex_state = 13},
  [1210] = {.lex_state = 36, .external_lex_state = 13},
  [1211] = {.lex_state = 36, .external_lex_state = 13},
  [1212] = {.lex_state = 36, .external_lex_state = 13},
  [1213] = {.lex_state = 36, .external_lex_state = 13},
  [1214] = {.lex_state = 36, .external_lex_state = 13},
  [1215] = {.lex_state = 36, .external_lex_state = 13},
  [1216] = {.lex_state = 36, .external_lex_state = 13},
  [1217] = {.lex_state = 36, .external_lex_state = 13},
  [1218] = {.lex_state = 36, .external_lex_state = 13},
  [1219] = {.lex_state = 36, .external_lex_state = 13},
  [1220] = {.lex_state = 36, .external_lex_state = 13},
  [1221] = {.lex_state = 36, .external_lex_state = 13},
  [1222] = {.lex_state = 36, .external_lex_state = 13},
  [1223] = {.lex_state = 36, .external_lex_state = 13},
  [1224] = {.lex_state = 36, .external_lex_state = 13},
  [1225] = {.lex_state = 25},
  [1226] = {.lex_state = 36, .external_lex_state = 13},
  [1227] = {.lex_state = 36, .external_lex_state = 13},
  [1228] = {.lex_state = 36, .external_lex_state = 13},
  [1229] = {.lex_state = 36, .external_lex_state = 13},
  [1230] = {.lex_state = 36, .external_lex_state = 13},
  [1231] = {.lex_state = 36, .external_lex_state = 13},
  [1232] = {.lex_state = 36, .external_lex_state = 13},
  [1233] = {.lex_state = 36, .external_lex_state = 13},
  [1234] = {.lex_state = 36, .external_lex_state = 13},
  [1235] = {.lex_state = 36, .external_lex_state = 13},
  [1236] = {.lex_state = 36, .external_lex_state = 13},
  [1237] = {.lex_state = 36, .external_lex_state = 13},
  [1238] = {.lex_state = 25},
  [1239] = {.lex_state = 36, .external_lex_state = 13},
  [1240] = {.lex_state = 36, .external_lex_state = 13},
  [1241] = {.lex_state = 36, .external_lex_state = 13},
  [1242] = {.lex_state = 36, .external_lex_state = 13},
  [1243] = {.lex_state = 36, .external_lex_state = 13},
  [1244] = {.lex_state = 36, .external_lex_state = 13},
  [1245] = {.lex_state = 25},
  [1246] = {.lex_state = 36, .external_lex_state = 13},
  [1247] = {.lex_state = 36, .external_lex_state = 13},
  [1248] = {.lex_state = 36, .external_lex_state = 13},
  [1249] = {.lex_state = 36, .external_lex_state = 13},
  [1250] = {.lex_state = 36, .external_lex_state = 13},
  [1251] = {.lex_state = 36, .external_lex_state = 13},
  [1252] = {.lex_state = 36, .external_lex_state = 13},
  [1253] = {.lex_state = 36, .external_lex_state = 13},
  [1254] = {.lex_state = 36, .external_lex_state = 13},
  [1255] = {.lex_state = 36, .external_lex_state = 13},
  [1256] = {.lex_state = 36, .external_lex_state = 13},
  [1257] = {.lex_state = 36, .external_lex_state = 13},
  [1258] = {.lex_state = 36, .external_lex_state = 13},
  [1259] = {.lex_state = 36, .external_lex_state = 13},
  [1260] = {.lex_state = 36, .external_lex_state = 13},
  [1261] = {.lex_state = 36, .external_lex_state = 13},
  [1262] = {.lex_state = 36, .external_lex_state = 13},
  [1263] = {.lex_state = 36, .external_lex_state = 13},
  [1264] = {.lex_state = 36, .external_lex_state = 13},
  [1265] = {.lex_state = 36, .external_lex_state = 13},
  [1266] = {.lex_state = 36, .external_lex_state = 13},
  [1267] = {.lex_state = 36, .external_lex_state = 13},
  [1268] = {.lex_state = 36, .external_lex_state = 13},
  [1269] = {.lex_state = 36, .external_lex_state = 13},
  [1270] = {.lex_state = 36, .external_lex_state = 13},
  [1271] = {.lex_state = 36, .external_lex_state = 13},
  [1272] = {.lex_state = 36, .external_lex_state = 13},
  [1273] = {.lex_state = 36, .external_lex_state = 13},
  [1274] = {.lex_state = 36, .external_lex_state = 13},
  [1275] = {.lex_state = 36, .external_lex_state = 13},
  [1276] = {.lex_state = 36, .external_lex_state = 13},
  [1277] = {.lex_state = 36, .external_lex_state = 13},
  [1278] = {.lex_state = 36, .external_lex_state = 13},
  [1279] = {.lex_state = 36, .external_lex_state = 13},
  [1280] = {.lex_state = 36, .external_lex_state = 13},
  [1281] = {.lex_state = 36, .external_lex_state = 13},
  [1282] = {.lex_state = 36, .external_lex_state = 13},
  [1283] = {.lex_state = 36, .external_lex_state = 13},
  [1284] = {.lex_state = 36, .external_lex_state = 13},
  [1285] = {.lex_state = 36, .external_lex_state = 13},
  [1286] = {.lex_state = 36, .external_lex_state = 13},
  [1287] = {.lex_state = 36, .external_lex_state = 13},
  [1288] = {.lex_state = 36, .external_lex_state = 13},
  [1289] = {.lex_state = 36, .external_lex_state = 13},
  [1290] = {.lex_state = 36, .external_lex_state = 13},
  [1291] = {.lex_state = 36, .external_lex_state = 13},
  [1292] = {.lex_state = 25},
  [1293] = {.lex_state = 36, .external_lex_state = 13},
  [1294] = {.lex_state = 36, .external_lex_state = 13},
  [1295] = {.lex_state = 36, .external_lex_state = 13},
  [1296] = {.lex_state = 36, .external_lex_state = 13},
  [1297] = {.lex_state = 36, .external_lex_state = 13},
  [1298] = {.lex_state = 36, .external_lex_state = 13},
  [1299] = {.lex_state = 36, .external_lex_state = 13},
  [1300] = {.lex_state = 36, .external_lex_state = 13},
  [1301] = {.lex_state = 36, .external_lex_state = 13},
  [1302] = {.lex_state = 36, .external_lex_state = 13},
  [1303] = {.lex_state = 36, .external_lex_state = 13},
  [1304] = {.lex_state = 36, .external_lex_state = 13},
  [1305] = {.lex_state = 20, .external_lex_state = 13},
  [1306] = {.lex_state = 110, .external_lex_state = 6},
  [1307] = {.lex_state = 110, .external_lex_state = 6},
  [1308] = {.lex_state = 110, .external_lex_state = 6},
  [1309] = {.lex_state = 110, .external_lex_state = 6},
  [1310] = {.lex_state = 110, .external_lex_state = 6},
  [1311] = {.lex_state = 110, .external_lex_state = 6},
  [1312] = {.lex_state = 110, .external_lex_state = 6},
  [1313] = {.lex_state = 110, .external_lex_state = 6},
  [1314] = {.lex_state = 110, .external_lex_state = 6},
  [1315] = {.lex_state = 110, .external_lex_state = 6},
  [1316] = {.lex_state = 17, .external_lex_state = 10},
  [1317] = {.lex_state = 110, .external_lex_state = 6},
  [1318] = {.lex_state = 110, .external_lex_state = 8},
  [1319] = {.lex_state = 110, .external_lex_state = 6},
  [1320] = {.lex_state = 110, .external_lex_state = 8},
  [1321] = {.lex_state = 110, .external_lex_state = 6},
  [1322] = {.lex_state = 110, .external_lex_state = 6},
  [1323] = {.lex_state = 110, .external_lex_state = 6},
  [1324] = {.lex_state = 110, .external_lex_state = 6},
  [1325] = {.lex_state = 110, .external_lex_state = 6},
  [1326] = {.lex_state = 110, .external_lex_state = 6},
  [1327] = {.lex_state = 110, .external_lex_state = 6},
  [1328] = {.lex_state = 110, .external_lex_state = 6},
  [1329] = {.lex_state = 110, .external_lex_state = 6},
  [1330] = {.lex_state = 6, .external_lex_state = 15},
  [1331] = {.lex_state = 110, .external_lex_state = 6},
  [1332] = {.lex_state = 110, .external_lex_state = 6},
  [1333] = {.lex_state = 110, .external_lex_state = 6},
  [1334] = {.lex_state = 38, .external_lex_state = 2},
  [1335] = {.lex_state = 110, .external_lex_state = 6},
  [1336] = {.lex_state = 110, .external_lex_state = 8},
  [1337] = {.lex_state = 110, .external_lex_state = 8},
  [1338] = {.lex_state = 38, .external_lex_state = 16},
  [1339] = {.lex_state = 110, .external_lex_state = 8},
  [1340] = {.lex_state = 110, .external_lex_state = 8},
  [1341] = {.lex_state = 110, .external_lex_state = 8},
  [1342] = {.lex_state = 110, .external_lex_state = 8},
  [1343] = {.lex_state = 110, .external_lex_state = 8},
  [1344] = {.lex_state = 38, .external_lex_state = 16},
  [1345] = {.lex_state = 110, .external_lex_state = 8},
  [1346] = {.lex_state = 110, .external_lex_state = 8},
  [1347] = {.lex_state = 110, .external_lex_state = 8},
  [1348] = {.lex_state = 6, .external_lex_state = 15},
  [1349] = {.lex_state = 38, .external_lex_state = 16},
  [1350] = {.lex_state = 110, .external_lex_state = 8},
  [1351] = {.lex_state = 110, .external_lex_state = 8},
  [1352] = {.lex_state = 110, .external_lex_state = 8},
  [1353] = {.lex_state = 110, .external_lex_state = 8},
  [1354] = {.lex_state = 6, .external_lex_state = 15},
  [1355] = {.lex_state = 110, .external_lex_state = 8},
  [1356] = {.lex_state = 6, .external_lex_state = 10},
  [1357] = {.lex_state = 110, .external_lex_state = 8},
  [1358] = {.lex_state = 116, .external_lex_state = 10},
  [1359] = {.lex_state = 38, .external_lex_state = 16},
  [1360] = {.lex_state = 110, .external_lex_state = 8},
  [1361] = {.lex_state = 110, .external_lex_state = 8},
  [1362] = {.lex_state = 110, .external_lex_state = 6},
  [1363] = {.lex_state = 38, .external_lex_state = 16},
  [1364] = {.lex_state = 110, .external_lex_state = 8},
  [1365] = {.lex_state = 110, .external_lex_state = 6},
  [1366] = {.lex_state = 110, .external_lex_state = 8},
  [1367] = {.lex_state = 110, .external_lex_state = 8},
  [1368] = {.lex_state = 110, .external_lex_state = 6},
  [1369] = {.lex_state = 116, .external_lex_state = 10},
  [1370] = {.lex_state = 110, .external_lex_state = 6},
  [1371] = {.lex_state = 110, .external_lex_state = 8},
  [1372] = {.lex_state = 110, .external_lex_state = 8},
  [1373] = {.lex_state = 110, .external_lex_state = 8},
  [1374] = {.lex_state = 110, .external_lex_state = 8},
  [1375] = {.lex_state = 110, .external_lex_state = 8},
  [1376] = {.lex_state = 110, .external_lex_state = 8},
  [1377] = {.lex_state = 110, .external_lex_state = 8},
  [1378] = {.lex_state = 110, .external_lex_state = 8},
  [1379] = {.lex_state = 110, .external_lex_state = 8},
  [1380] = {.lex_state = 110, .external_lex_state = 8},
  [1381] = {.lex_state = 110, .external_lex_state = 6},
  [1382] = {.lex_state = 110, .external_lex_state = 6},
  [1383] = {.lex_state = 6, .external_lex_state = 15},
  [1384] = {.lex_state = 6, .external_lex_state = 10},
  [1385] = {.lex_state = 110, .external_lex_state = 6},
  [1386] = {.lex_state = 116, .external_lex_state = 10},
  [1387] = {.lex_state = 38, .external_lex_state = 16},
  [1388] = {.lex_state = 110, .external_lex_state = 6},
  [1389] = {.lex_state = 110, .external_lex_state = 6},
  [1390] = {.lex_state = 110, .external_lex_state = 6},
  [1391] = {.lex_state = 110, .external_lex_state = 6},
  [1392] = {.lex_state = 110, .external_lex_state = 6},
  [1393] = {.lex_state = 110, .external_lex_state = 6},
  [1394] = {.lex_state = 110, .external_lex_state = 8},
  [1395] = {.lex_state = 110, .external_lex_state = 8},
  [1396] = {.lex_state = 41},
  [1397] = {.lex_state = 110, .external_lex_state = 8},
  [1398] = {.lex_state = 6, .external_lex_state = 15},
  [1399] = {.lex_state = 110, .external_lex_state = 6},
  [1400] = {.lex_state = 110, .external_lex_state = 6},
  [1401] = {.lex_state = 110, .external_lex_state = 6},
  [1402] = {.lex_state = 6, .external_lex_state = 15},
  [1403] = {.lex_state = 110, .external_lex_state = 6},
  [1404] = {.lex_state = 110, .external_lex_state = 6},
  [1405] = {.lex_state = 110, .external_lex_state = 6},
  [1406] = {.lex_state = 6, .external_lex_state = 15},
  [1407] = {.lex_state = 6, .external_lex_state = 15},
  [1408] = {.lex_state = 31, .external_lex_state = 17},
  [1409] = {.lex_state = 6, .external_lex_state = 15},
  [1410] = {.lex_state = 110, .external_lex_state = 6},
  [1411] = {.lex_state = 110, .external_lex_state = 6},
  [1412] = {.lex_state = 110, .external_lex_state = 6},
  [1413] = {.lex_state = 110, .external_lex_state = 6},
  [1414] = {.lex_state = 110, .external_lex_state = 6},
  [1415] = {.lex_state = 6, .external_lex_state = 15},
  [1416] = {.lex_state = 110, .external_lex_state = 6},
  [1417] = {.lex_state = 41},
  [1418] = {.lex_state = 38, .external_lex_state = 16},
  [1419] = {.lex_state = 38, .external_lex_state = 2},
  [1420] = {.lex_state = 38, .external_lex_state = 2},
  [1421] = {.lex_state = 110, .external_lex_state = 6},
  [1422] = {.lex_state = 110, .external_lex_state = 6},
  [1423] = {.lex_state = 38, .external_lex_state = 16},
  [1424] = {.lex_state = 110, .external_lex_state = 6},
  [1425] = {.lex_state = 38, .external_lex_state = 16},
  [1426] = {.lex_state = 38, .external_lex_state = 16},
  [1427] = {.lex_state = 38, .external_lex_state = 16},
  [1428] = {.lex_state = 38, .external_lex_state = 16},
  [1429] = {.lex_state = 110, .external_lex_state = 6},
  [1430] = {.lex_state = 110, .external_lex_state = 6},
  [1431] = {.lex_state = 38, .external_lex_state = 16},
  [1432] = {.lex_state = 41},
  [1433] = {.lex_state = 38, .external_lex_state = 16},
  [1434] = {.lex_state = 6, .external_lex_state = 15},
  [1435] = {.lex_state = 6, .external_lex_state = 15},
  [1436] = {.lex_state = 34, .external_lex_state = 17},
  [1437] = {.lex_state = 38, .external_lex_state = 16},
  [1438] = {.lex_state = 38, .external_lex_state = 16},
  [1439] = {.lex_state = 31, .external_lex_state = 17},
  [1440] = {.lex_state = 41},
  [1441] = {.lex_state = 38, .external_lex_state = 16},
  [1442] = {.lex_state = 110, .external_lex_state = 6},
  [1443] = {.lex_state = 110, .external_lex_state = 6},
  [1444] = {.lex_state = 110, .external_lex_state = 6},
  [1445] = {.lex_state = 110, .external_lex_state = 6},
  [1446] = {.lex_state = 110, .external_lex_state = 6},
  [1447] = {.lex_state = 110, .external_lex_state = 6},
  [1448] = {.lex_state = 110, .external_lex_state = 6},
  [1449] = {.lex_state = 110, .external_lex_state = 6},
  [1450] = {.lex_state = 110, .external_lex_state = 6},
  [1451] = {.lex_state = 38, .external_lex_state = 2},
  [1452] = {.lex_state = 6, .external_lex_state = 15},
  [1453] = {.lex_state = 6, .external_lex_state = 15},
  [1454] = {.lex_state = 6, .external_lex_state = 15},
  [1455] = {.lex_state = 6, .external_lex_state = 15},
  [1456] = {.lex_state = 38, .external_lex_state = 16},
  [1457] = {.lex_state = 110, .external_lex_state = 6},
  [1458] = {.lex_state = 6, .external_lex_state = 15},
  [1459] = {.lex_state = 110, .external_lex_state = 6},
  [1460] = {.lex_state = 6, .external_lex_state = 15},
  [1461] = {.lex_state = 6, .external_lex_state = 15},
  [1462] = {.lex_state = 110, .external_lex_state = 6},
  [1463] = {.lex_state = 110, .external_lex_state = 8},
  [1464] = {.lex_state = 6, .external_lex_state = 15},
  [1465] = {.lex_state = 6, .external_lex_state = 15},
  [1466] = {.lex_state = 6, .external_lex_state = 15},
  [1467] = {.lex_state = 6, .external_lex_state = 15},
  [1468] = {.lex_state = 6, .external_lex_state = 15},
  [1469] = {.lex_state = 6, .external_lex_state = 15},
  [1470] = {.lex_state = 6, .external_lex_state = 15},
  [1471] = {.lex_state = 6, .external_lex_state = 15},
  [1472] = {.lex_state = 6, .external_lex_state = 15},
  [1473] = {.lex_state = 6, .external_lex_state = 15},
  [1474] = {.lex_state = 110, .external_lex_state = 6},
  [1475] = {.lex_state = 38, .external_lex_state = 16},
  [1476] = {.lex_state = 38, .external_lex_state = 16},
  [1477] = {.lex_state = 6, .external_lex_state = 10},
  [1478] = {.lex_state = 110, .external_lex_state = 6},
  [1479] = {.lex_state = 38, .external_lex_state = 16},
  [1480] = {.lex_state = 38, .external_lex_state = 16},
  [1481] = {.lex_state = 38, .external_lex_state = 16},
  [1482] = {.lex_state = 110, .external_lex_state = 6},
  [1483] = {.lex_state = 38, .external_lex_state = 16},
  [1484] = {.lex_state = 110, .external_lex_state = 6},
  [1485] = {.lex_state = 38, .external_lex_state = 16},
  [1486] = {.lex_state = 110, .external_lex_state = 6},
  [1487] = {.lex_state = 38, .external_lex_state = 16},
  [1488] = {.lex_state = 110, .external_lex_state = 8},
  [1489] = {.lex_state = 110, .external_lex_state = 8},
  [1490] = {.lex_state = 31, .external_lex_state = 17},
  [1491] = {.lex_state = 41},
  [1492] = {.lex_state = 41},
  [1493] = {.lex_state = 110, .external_lex_state = 6},
  [1494] = {.lex_state = 110, .external_lex_state = 6},
  [1495] = {.lex_state = 110, .external_lex_state = 8},
  [1496] = {.lex_state = 38, .external_lex_state = 16},
  [1497] = {.lex_state = 38, .external_lex_state = 16},
  [1498] = {.lex_state = 110, .external_lex_state = 6},
  [1499] = {.lex_state = 110, .external_lex_state = 6},
  [1500] = {.lex_state = 38, .external_lex_state = 16},
  [1501] = {.lex_state = 110, .external_lex_state = 6},
  [1502] = {.lex_state = 110, .external_lex_state = 8},
  [1503] = {.lex_state = 110, .external_lex_state = 6},
  [1504] = {.lex_state = 110, .external_lex_state = 8},
  [1505] = {.lex_state = 110, .external_lex_state = 6},
  [1506] = {.lex_state = 41},
  [1507] = {.lex_state = 41},
  [1508] = {.lex_state = 110, .external_lex_state = 6},
  [1509] = {.lex_state = 110, .external_lex_state = 6},
  [1510] = {.lex_state = 38, .external_lex_state = 16},
  [1511] = {.lex_state = 38, .external_lex_state = 16},
  [1512] = {.lex_state = 110, .external_lex_state = 8},
  [1513] = {.lex_state = 31, .external_lex_state = 17},
  [1514] = {.lex_state = 38, .external_lex_state = 2},
  [1515] = {.lex_state = 38, .external_lex_state = 2},
  [1516] = {.lex_state = 31, .external_lex_state = 17},
  [1517] = {.lex_state = 32, .external_lex_state = 18},
  [1518] = {.lex_state = 38, .external_lex_state = 2},
  [1519] = {.lex_state = 33},
  [1520] = {.lex_state = 38},
  [1521] = {.lex_state = 110, .external_lex_state = 8},
  [1522] = {.lex_state = 110, .external_lex_state = 8},
  [1523] = {.lex_state = 33, .external_lex_state = 17},
  [1524] = {.lex_state = 31, .external_lex_state = 17},
  [1525] = {.lex_state = 38},
  [1526] = {.lex_state = 38},
  [1527] = {.lex_state = 110, .external_lex_state = 8},
  [1528] = {.lex_state = 38},
  [1529] = {.lex_state = 31, .external_lex_state = 17},
  [1530] = {.lex_state = 38},
  [1531] = {.lex_state = 31, .external_lex_state = 17},
  [1532] = {.lex_state = 110, .external_lex_state = 8},
  [1533] = {.lex_state = 110, .external_lex_state = 8},
  [1534] = {.lex_state = 31, .external_lex_state = 17},
  [1535] = {.lex_state = 38, .external_lex_state = 2},
  [1536] = {.lex_state = 38, .external_lex_state = 2},
  [1537] = {.lex_state = 110, .external_lex_state = 8},
  [1538] = {.lex_state = 38, .external_lex_state = 2},
  [1539] = {.lex_state = 38, .external_lex_state = 2},
  [1540] = {.lex_state = 6, .external_lex_state = 10},
  [1541] = {.lex_state = 110, .external_lex_state = 8},
  [1542] = {.lex_state = 110, .external_lex_state = 8},
  [1543] = {.lex_state = 31, .external_lex_state = 17},
  [1544] = {.lex_state = 38, .external_lex_state = 2},
  [1545] = {.lex_state = 38, .external_lex_state = 2},
  [1546] = {.lex_state = 110, .external_lex_state = 8},
  [1547] = {.lex_state = 110, .external_lex_state = 8},
  [1548] = {.lex_state = 38, .external_lex_state = 2},
  [1549] = {.lex_state = 110, .external_lex_state = 8},
  [1550] = {.lex_state = 110, .external_lex_state = 8},
  [1551] = {.lex_state = 34},
  [1552] = {.lex_state = 110, .external_lex_state = 8},
  [1553] = {.lex_state = 110, .external_lex_state = 8},
  [1554] = {.lex_state = 110, .external_lex_state = 8},
  [1555] = {.lex_state = 38, .external_lex_state = 2},
  [1556] = {.lex_state = 38, .external_lex_state = 2},
  [1557] = {.lex_state = 38, .external_lex_state = 19},
  [1558] = {.lex_state = 110, .external_lex_state = 8},
  [1559] = {.lex_state = 38},
  [1560] = {.lex_state = 38, .external_lex_state = 2},
  [1561] = {.lex_state = 110, .external_lex_state = 8},
  [1562] = {.lex_state = 110, .external_lex_state = 8},
  [1563] = {.lex_state = 110, .external_lex_state = 8},
  [1564] = {.lex_state = 110, .external_lex_state = 8},
  [1565] = {.lex_state = 6, .external_lex_state = 10},
  [1566] = {.lex_state = 38, .external_lex_state = 19},
  [1567] = {.lex_state = 110, .external_lex_state = 8},
  [1568] = {.lex_state = 32, .external_lex_state = 17},
  [1569] = {.lex_state = 31, .external_lex_state = 17},
  [1570] = {.lex_state = 110, .external_lex_state = 8},
  [1571] = {.lex_state = 110, .external_lex_state = 8},
  [1572] = {.lex_state = 38, .external_lex_state = 2},
  [1573] = {.lex_state = 38, .external_lex_state = 2},
  [1574] = {.lex_state = 110, .external_lex_state = 6},
  [1575] = {.lex_state = 38, .external_lex_state = 2},
  [1576] = {.lex_state = 38, .external_lex_state = 19},
  [1577] = {.lex_state = 38, .external_lex_state = 19},
  [1578] = {.lex_state = 31, .external_lex_state = 17},
  [1579] = {.lex_state = 31, .external_lex_state = 17},
  [1580] = {.lex_state = 31, .external_lex_state = 17},
  [1581] = {.lex_state = 38, .external_lex_state = 2},
  [1582] = {.lex_state = 31, .external_lex_state = 17},
  [1583] = {.lex_state = 31, .external_lex_state = 17},
  [1584] = {.lex_state = 6, .external_lex_state = 10},
  [1585] = {.lex_state = 38, .external_lex_state = 2},
  [1586] = {.lex_state = 31, .external_lex_state = 17},
  [1587] = {.lex_state = 31, .external_lex_state = 17},
  [1588] = {.lex_state = 38, .external_lex_state = 2},
  [1589] = {.lex_state = 21},
  [1590] = {.lex_state = 38, .external_lex_state = 2},
  [1591] = {.lex_state = 38},
  [1592] = {.lex_state = 38, .external_lex_state = 2},
  [1593] = {.lex_state = 38, .external_lex_state = 2},
  [1594] = {.lex_state = 6, .external_lex_state = 10},
  [1595] = {.lex_state = 31, .external_lex_state = 17},
  [1596] = {.lex_state = 38, .external_lex_state = 2},
  [1597] = {.lex_state = 38, .external_lex_state = 2},
  [1598] = {.lex_state = 31, .external_lex_state = 17},
  [1599] = {.lex_state = 31, .external_lex_state = 17},
  [1600] = {.lex_state = 38, .external_lex_state = 2},
  [1601] = {.lex_state = 31, .external_lex_state = 17},
  [1602] = {.lex_state = 38, .external_lex_state = 2},
  [1603] = {.lex_state = 38, .external_lex_state = 2},
  [1604] = {.lex_state = 31, .external_lex_state = 17},
  [1605] = {.lex_state = 38, .external_lex_state = 2},
  [1606] = {.lex_state = 34},
  [1607] = {.lex_state = 31, .external_lex_state = 17},
  [1608] = {.lex_state = 31, .external_lex_state = 17},
  [1609] = {.lex_state = 6, .external_lex_state = 10},
  [1610] = {.lex_state = 31, .external_lex_state = 17},
  [1611] = {.lex_state = 38, .external_lex_state = 19},
  [1612] = {.lex_state = 38},
  [1613] = {.lex_state = 6, .external_lex_state = 10},
  [1614] = {.lex_state = 6, .external_lex_state = 10},
  [1615] = {.lex_state = 110, .external_lex_state = 8},
  [1616] = {.lex_state = 6, .external_lex_state = 10},
  [1617] = {.lex_state = 6, .external_lex_state = 10},
  [1618] = {.lex_state = 6, .external_lex_state = 10},
  [1619] = {.lex_state = 6, .external_lex_state = 10},
  [1620] = {.lex_state = 31, .external_lex_state = 17},
  [1621] = {.lex_state = 31, .external_lex_state = 17},
  [1622] = {.lex_state = 38, .external_lex_state = 2},
  [1623] = {.lex_state = 38, .external_lex_state = 2},
  [1624] = {.lex_state = 38, .external_lex_state = 19},
  [1625] = {.lex_state = 31, .external_lex_state = 17},
  [1626] = {.lex_state = 6, .external_lex_state = 10},
  [1627] = {.lex_state = 38, .external_lex_state = 19},
  [1628] = {.lex_state = 110, .external_lex_state = 6},
  [1629] = {.lex_state = 32, .external_lex_state = 11},
  [1630] = {.lex_state = 38},
  [1631] = {.lex_state = 110, .external_lex_state = 6},
  [1632] = {.lex_state = 110, .external_lex_state = 6},
  [1633] = {.lex_state = 38},
  [1634] = {.lex_state = 110, .external_lex_state = 6},
  [1635] = {.lex_state = 110, .external_lex_state = 6},
  [1636] = {.lex_state = 35, .external_lex_state = 20},
  [1637] = {.lex_state = 110, .external_lex_state = 6},
  [1638] = {.lex_state = 110, .external_lex_state = 6},
  [1639] = {.lex_state = 35, .external_lex_state = 20},
  [1640] = {.lex_state = 110, .external_lex_state = 6},
  [1641] = {.lex_state = 38, .external_lex_state = 2},
  [1642] = {.lex_state = 110, .external_lex_state = 6},
  [1643] = {.lex_state = 110, .external_lex_state = 6},
  [1644] = {.lex_state = 38, .external_lex_state = 2},
  [1645] = {.lex_state = 32, .external_lex_state = 17},
  [1646] = {.lex_state = 31},
  [1647] = {.lex_state = 110, .external_lex_state = 6},
  [1648] = {.lex_state = 110, .external_lex_state = 6},
  [1649] = {.lex_state = 110, .external_lex_state = 6},
  [1650] = {.lex_state = 110, .external_lex_state = 6},
  [1651] = {.lex_state = 110, .external_lex_state = 6},
  [1652] = {.lex_state = 38},
  [1653] = {.lex_state = 110, .external_lex_state = 6},
  [1654] = {.lex_state = 31},
  [1655] = {.lex_state = 31},
  [1656] = {.lex_state = 32, .external_lex_state = 17},
  [1657] = {.lex_state = 38},
  [1658] = {.lex_state = 32, .external_lex_state = 17},
  [1659] = {.lex_state = 110, .external_lex_state = 6},
  [1660] = {.lex_state = 38},
  [1661] = {.lex_state = 31},
  [1662] = {.lex_state = 32, .external_lex_state = 17},
  [1663] = {.lex_state = 110, .external_lex_state = 6},
  [1664] = {.lex_state = 32, .external_lex_state = 17},
  [1665] = {.lex_state = 110, .external_lex_state = 6},
  [1666] = {.lex_state = 110, .external_lex_state = 6},
  [1667] = {.lex_state = 110, .external_lex_state = 6},
  [1668] = {.lex_state = 32, .external_lex_state = 17},
  [1669] = {.lex_state = 38},
  [1670] = {.lex_state = 32, .external_lex_state = 17},
  [1671] = {.lex_state = 35, .external_lex_state = 20},
  [1672] = {.lex_state = 36, .external_lex_state = 20},
  [1673] = {.lex_state = 110, .external_lex_state = 6},
  [1674] = {.lex_state = 35, .external_lex_state = 20},
  [1675] = {.lex_state = 32, .external_lex_state = 17},
  [1676] = {.lex_state = 110, .external_lex_state = 6},
  [1677] = {.lex_state = 110, .external_lex_state = 6},
  [1678] = {.lex_state = 32, .external_lex_state = 17},
  [1679] = {.lex_state = 110, .external_lex_state = 6},
  [1680] = {.lex_state = 110, .external_lex_state = 6},
  [1681] = {.lex_state = 38},
  [1682] = {.lex_state = 38},
  [1683] = {.lex_state = 110, .external_lex_state = 6},
  [1684] = {.lex_state = 110, .external_lex_state = 6},
  [1685] = {.lex_state = 32, .external_lex_state = 17},
  [1686] = {.lex_state = 32, .external_lex_state = 17},
  [1687] = {.lex_state = 32, .external_lex_state = 17},
  [1688] = {.lex_state = 31},
  [1689] = {.lex_state = 32, .external_lex_state = 17},
  [1690] = {.lex_state = 38},
  [1691] = {.lex_state = 38},
  [1692] = {.lex_state = 31},
  [1693] = {.lex_state = 110, .external_lex_state = 6},
  [1694] = {.lex_state = 33},
  [1695] = {.lex_state = 32, .external_lex_state = 17},
  [1696] = {.lex_state = 32, .external_lex_state = 17},
  [1697] = {.lex_state = 110, .external_lex_state = 6},
  [1698] = {.lex_state = 32, .external_lex_state = 17},
  [1699] = {.lex_state = 34},
  [1700] = {.lex_state = 32, .external_lex_state = 17},
  [1701] = {.lex_state = 32, .external_lex_state = 18},
  [1702] = {.lex_state = 32, .external_lex_state = 11},
  [1703] = {.lex_state = 32, .external_lex_state = 18},
  [1704] = {.lex_state = 32, .external_lex_state = 17},
  [1705] = {.lex_state = 38},
  [1706] = {.lex_state = 32, .external_lex_state = 17},
  [1707] = {.lex_state = 36, .external_lex_state = 20},
  [1708] = {.lex_state = 110, .external_lex_state = 6},
  [1709] = {.lex_state = 32, .external_lex_state = 17},
  [1710] = {.lex_state = 32, .external_lex_state = 17},
  [1711] = {.lex_state = 38},
  [1712] = {.lex_state = 110, .external_lex_state = 6},
  [1713] = {.lex_state = 32, .external_lex_state = 17},
  [1714] = {.lex_state = 36, .external_lex_state = 20},
  [1715] = {.lex_state = 38},
  [1716] = {.lex_state = 110, .external_lex_state = 6},
  [1717] = {.lex_state = 110, .external_lex_state = 6},
  [1718] = {.lex_state = 32, .external_lex_state = 17},
  [1719] = {.lex_state = 110, .external_lex_state = 6},
  [1720] = {.lex_state = 32, .external_lex_state = 17},
  [1721] = {.lex_state = 110, .external_lex_state = 6},
  [1722] = {.lex_state = 110, .external_lex_state = 6},
  [1723] = {.lex_state = 110, .external_lex_state = 6},
  [1724] = {.lex_state = 38},
  [1725] = {.lex_state = 32, .external_lex_state = 17},
  [1726] = {.lex_state = 110, .external_lex_state = 6},
  [1727] = {.lex_state = 32, .external_lex_state = 17},
  [1728] = {.lex_state = 110, .external_lex_state = 6},
  [1729] = {.lex_state = 32, .external_lex_state = 17},
  [1730] = {.lex_state = 38},
  [1731] = {.lex_state = 110, .external_lex_state = 6},
  [1732] = {.lex_state = 110, .external_lex_state = 6},
  [1733] = {.lex_state = 38},
  [1734] = {.lex_state = 33},
  [1735] = {.lex_state = 110, .external_lex_state = 6},
  [1736] = {.lex_state = 36, .external_lex_state = 20},
  [1737] = {.lex_state = 110, .external_lex_state = 6},
  [1738] = {.lex_state = 38, .external_lex_state = 2},
  [1739] = {.lex_state = 31},
  [1740] = {.lex_state = 110, .external_lex_state = 6},
  [1741] = {.lex_state = 32, .external_lex_state = 18},
  [1742] = {.lex_state = 39, .external_lex_state = 13},
  [1743] = {.lex_state = 36, .external_lex_state = 20},
  [1744] = {.lex_state = 36, .external_lex_state = 20},
  [1745] = {.lex_state = 39, .external_lex_state = 13},
  [1746] = {.lex_state = 39, .external_lex_state = 13},
  [1747] = {.lex_state = 39, .external_lex_state = 13},
  [1748] = {.lex_state = 31},
  [1749] = {.lex_state = 32, .external_lex_state = 18},
  [1750] = {.lex_state = 32, .external_lex_state = 18},
  [1751] = {.lex_state = 39, .external_lex_state = 13},
  [1752] = {.lex_state = 38, .external_lex_state = 14},
  [1753] = {.lex_state = 32, .external_lex_state = 18},
  [1754] = {.lex_state = 39, .external_lex_state = 13},
  [1755] = {.lex_state = 32, .external_lex_state = 18},
  [1756] = {.lex_state = 32, .external_lex_state = 18},
  [1757] = {.lex_state = 39, .external_lex_state = 13},
  [1758] = {.lex_state = 38},
  [1759] = {.lex_state = 39, .external_lex_state = 13},
  [1760] = {.lex_state = 32, .external_lex_state = 18},
  [1761] = {.lex_state = 39, .external_lex_state = 13},
  [1762] = {.lex_state = 39, .external_lex_state = 13},
  [1763] = {.lex_state = 32, .external_lex_state = 18},
  [1764] = {.lex_state = 32, .external_lex_state = 18},
  [1765] = {.lex_state = 32, .external_lex_state = 18},
  [1766] = {.lex_state = 32, .external_lex_state = 18},
  [1767] = {.lex_state = 39, .external_lex_state = 13},
  [1768] = {.lex_state = 32, .external_lex_state = 18},
  [1769] = {.lex_state = 39, .external_lex_state = 13},
  [1770] = {.lex_state = 39, .external_lex_state = 13},
  [1771] = {.lex_state = 39, .external_lex_state = 13},
  [1772] = {.lex_state = 32, .external_lex_state = 18},
  [1773] = {.lex_state = 32, .external_lex_state = 18},
  [1774] = {.lex_state = 39, .external_lex_state = 13},
  [1775] = {.lex_state = 32, .external_lex_state = 18},
  [1776] = {.lex_state = 39, .external_lex_state = 13},
  [1777] = {.lex_state = 32, .external_lex_state = 18},
  [1778] = {.lex_state = 36, .external_lex_state = 20},
  [1779] = {.lex_state = 36, .external_lex_state = 13},
  [1780] = {.lex_state = 39, .external_lex_state = 13},
  [1781] = {.lex_state = 32, .external_lex_state = 18},
  [1782] = {.lex_state = 39, .external_lex_state = 13},
  [1783] = {.lex_state = 39, .external_lex_state = 13},
  [1784] = {.lex_state = 36, .external_lex_state = 20},
  [1785] = {.lex_state = 39, .external_lex_state = 13},
  [1786] = {.lex_state = 32, .external_lex_state = 18},
  [1787] = {.lex_state = 32, .external_lex_state = 18},
  [1788] = {.lex_state = 39, .external_lex_state = 13},
  [1789] = {.lex_state = 36, .external_lex_state = 20},
  [1790] = {.lex_state = 39, .external_lex_state = 13},
  [1791] = {.lex_state = 39, .external_lex_state = 13},
  [1792] = {.lex_state = 36, .external_lex_state = 20},
  [1793] = {.lex_state = 32, .external_lex_state = 18},
  [1794] = {.lex_state = 39, .external_lex_state = 13},
  [1795] = {.lex_state = 39, .external_lex_state = 13},
  [1796] = {.lex_state = 32, .external_lex_state = 18},
  [1797] = {.lex_state = 36, .external_lex_state = 20},
  [1798] = {.lex_state = 39, .external_lex_state = 13},
  [1799] = {.lex_state = 38, .external_lex_state = 14},
  [1800] = {.lex_state = 39, .external_lex_state = 13},
  [1801] = {.lex_state = 36, .external_lex_state = 20},
  [1802] = {.lex_state = 32, .external_lex_state = 11},
  [1803] = {.lex_state = 32, .external_lex_state = 18},
  [1804] = {.lex_state = 39, .external_lex_state = 13},
  [1805] = {.lex_state = 32, .external_lex_state = 18},
  [1806] = {.lex_state = 39, .external_lex_state = 13},
  [1807] = {.lex_state = 39, .external_lex_state = 13},
  [1808] = {.lex_state = 32, .external_lex_state = 18},
  [1809] = {.lex_state = 32, .external_lex_state = 18},
  [1810] = {.lex_state = 39, .external_lex_state = 13},
  [1811] = {.lex_state = 39, .external_lex_state = 13},
  [1812] = {.lex_state = 39, .external_lex_state = 13},
  [1813] = {.lex_state = 39, .external_lex_state = 13},
  [1814] = {.lex_state = 39, .external_lex_state = 13},
  [1815] = {.lex_state = 39, .external_lex_state = 13},
  [1816] = {.lex_state = 39, .external_lex_state = 13},
  [1817] = {.lex_state = 36, .external_lex_state = 20},
  [1818] = {.lex_state = 36, .external_lex_state = 20},
  [1819] = {.lex_state = 39, .external_lex_state = 13},
  [1820] = {.lex_state = 39, .external_lex_state = 13},
  [1821] = {.lex_state = 39, .external_lex_state = 13},
  [1822] = {.lex_state = 36, .external_lex_state = 20},
  [1823] = {.lex_state = 36, .external_lex_state = 20},
  [1824] = {.lex_state = 36, .external_lex_state = 20},
  [1825] = {.lex_state = 36, .external_lex_state = 20},
  [1826] = {.lex_state = 36, .external_lex_state = 20},
  [1827] = {.lex_state = 38, .external_lex_state = 14},
  [1828] = {.lex_state = 39, .external_lex_state = 13},
  [1829] = {.lex_state = 36, .external_lex_state = 20},
  [1830] = {.lex_state = 32, .external_lex_state = 18},
  [1831] = {.lex_state = 39, .external_lex_state = 13},
  [1832] = {.lex_state = 39, .external_lex_state = 13},
  [1833] = {.lex_state = 39, .external_lex_state = 13},
  [1834] = {.lex_state = 39, .external_lex_state = 13},
  [1835] = {.lex_state = 39, .external_lex_state = 13},
  [1836] = {.lex_state = 39, .external_lex_state = 13},
  [1837] = {.lex_state = 36, .external_lex_state = 20},
  [1838] = {.lex_state = 39, .external_lex_state = 13},
  [1839] = {.lex_state = 39, .external_lex_state = 13},
  [1840] = {.lex_state = 35, .external_lex_state = 13},
  [1841] = {.lex_state = 36, .external_lex_state = 20},
  [1842] = {.lex_state = 35, .external_lex_state = 13},
  [1843] = {.lex_state = 31},
  [1844] = {.lex_state = 36, .external_lex_state = 20},
  [1845] = {.lex_state = 36, .external_lex_state = 20},
  [1846] = {.lex_state = 36, .external_lex_state = 20},
  [1847] = {.lex_state = 36, .external_lex_state = 20},
  [1848] = {.lex_state = 36, .external_lex_state = 20},
  [1849] = {.lex_state = 36, .external_lex_state = 20},
  [1850] = {.lex_state = 39, .external_lex_state = 13},
  [1851] = {.lex_state = 36, .external_lex_state = 13},
  [1852] = {.lex_state = 36, .external_lex_state = 20},
  [1853] = {.lex_state = 39, .external_lex_state = 13},
  [1854] = {.lex_state = 39, .external_lex_state = 13},
  [1855] = {.lex_state = 35, .external_lex_state = 13},
  [1856] = {.lex_state = 38},
  [1857] = {.lex_state = 35, .external_lex_state = 13},
  [1858] = {.lex_state = 31},
  [1859] = {.lex_state = 32},
  [1860] = {.lex_state = 31},
  [1861] = {.lex_state = 32},
  [1862] = {.lex_state = 32, .external_lex_state = 11},
  [1863] = {.lex_state = 31},
  [1864] = {.lex_state = 31},
  [1865] = {.lex_state = 38},
  [1866] = {.lex_state = 31},
  [1867] = {.lex_state = 31},
  [1868] = {.lex_state = 32, .external_lex_state = 11},
  [1869] = {.lex_state = 32},
  [1870] = {.lex_state = 31},
  [1871] = {.lex_state = 31},
  [1872] = {.lex_state = 32},
  [1873] = {.lex_state = 32, .external_lex_state = 11},
  [1874] = {.lex_state = 38},
  [1875] = {.lex_state = 32},
  [1876] = {.lex_state = 38},
  [1877] = {.lex_state = 31},
  [1878] = {.lex_state = 38},
  [1879] = {.lex_state = 32, .external_lex_state = 11},
  [1880] = {.lex_state = 32, .external_lex_state = 11},
  [1881] = {.lex_state = 31},
  [1882] = {.lex_state = 38},
  [1883] = {.lex_state = 31},
  [1884] = {.lex_state = 32},
  [1885] = {.lex_state = 36, .external_lex_state = 13},
  [1886] = {.lex_state = 32, .external_lex_state = 11},
  [1887] = {.lex_state = 38},
  [1888] = {.lex_state = 38},
  [1889] = {.lex_state = 31},
  [1890] = {.lex_state = 31},
  [1891] = {.lex_state = 38},
  [1892] = {.lex_state = 32, .external_lex_state = 11},
  [1893] = {.lex_state = 31},
  [1894] = {.lex_state = 31},
  [1895] = {.lex_state = 32, .external_lex_state = 11},
  [1896] = {.lex_state = 38},
  [1897] = {.lex_state = 38},
  [1898] = {.lex_state = 31},
  [1899] = {.lex_state = 31},
  [1900] = {.lex_state = 31},
  [1901] = {.lex_state = 38},
  [1902] = {.lex_state = 38},
  [1903] = {.lex_state = 38},
  [1904] = {.lex_state = 38},
  [1905] = {.lex_state = 32},
  [1906] = {.lex_state = 38},
  [1907] = {.lex_state = 32},
  [1908] = {.lex_state = 32},
  [1909] = {.lex_state = 32},
  [1910] = {.lex_state = 38},
  [1911] = {.lex_state = 40, .external_lex_state = 11},
  [1912] = {.lex_state = 40, .external_lex_state = 11},
  [1913] = {.lex_state = 3, .external_lex_state = 10},
  [1914] = {.lex_state = 38},
  [1915] = {.lex_state = 38},
  [1916] = {.lex_state = 38},
  [1917] = {.lex_state = 38},
  [1918] = {.lex_state = 38},
  [1919] = {.lex_state = 38},
  [1920] = {.lex_state = 38},
  [1921] = {.lex_state = 38},
  [1922] = {.lex_state = 38},
  [1923] = {.lex_state = 38},
  [1924] = {.lex_state = 38},
  [1925] = {.lex_state = 38},
  [1926] = {.lex_state = 38},
  [1927] = {.lex_state = 38},
  [1928] = {.lex_state = 38},
  [1929] = {.lex_state = 38},
  [1930] = {.lex_state = 38},
  [1931] = {.lex_state = 38},
  [1932] = {.lex_state = 38},
  [1933] = {.lex_state = 38},
  [1934] = {.lex_state = 38},
  [1935] = {.lex_state = 38},
  [1936] = {.lex_state = 38},
  [1937] = {.lex_state = 38},
  [1938] = {.lex_state = 38},
  [1939] = {.lex_state = 38},
  [1940] = {.lex_state = 38},
  [1941] = {.lex_state = 38},
  [1942] = {.lex_state = 38},
  [1943] = {.lex_state = 38},
  [1944] = {.lex_state = 38},
  [1945] = {.lex_state = 38},
  [1946] = {.lex_state = 38},
  [1947] = {.lex_state = 38},
  [1948] = {.lex_state = 38},
  [1949] = {.lex_state = 38},
  [1950] = {.lex_state = 38},
  [1951] = {.lex_state = 116, .external_lex_state = 15},
  [1952] = {.lex_state = 38},
  [1953] = {.lex_state = 38},
  [1954] = {.lex_state = 38},
  [1955] = {.lex_state = 38},
  [1956] = {.lex_state = 38},
  [1957] = {.lex_state = 116, .external_lex_state = 15},
  [1958] = {.lex_state = 38},
  [1959] = {.lex_state = 38},
  [1960] = {.lex_state = 38},
  [1961] = {.lex_state = 38},
  [1962] = {.lex_state = 38},
  [1963] = {.lex_state = 38},
  [1964] = {.lex_state = 116, .external_lex_state = 15},
  [1965] = {.lex_state = 38},
  [1966] = {.lex_state = 116, .external_lex_state = 15},
  [1967] = {.lex_state = 38},
  [1968] = {.lex_state = 38},
  [1969] = {.lex_state = 116, .external_lex_state = 15},
  [1970] = {.lex_state = 116, .external_lex_state = 15},
  [1971] = {.lex_state = 116, .external_lex_state = 15},
  [1972] = {.lex_state = 116, .external_lex_state = 15},
  [1973] = {.lex_state = 116, .external_lex_state = 15},
  [1974] = {.lex_state = 116, .external_lex_state = 15},
  [1975] = {.lex_state = 116, .external_lex_state = 15},
  [1976] = {.lex_state = 116, .external_lex_state = 15},
  [1977] = {.lex_state = 116, .external_lex_state = 10},
  [1978] = {.lex_state = 116, .external_lex_state = 15},
  [1979] = {.lex_state = 116, .external_lex_state = 15},
  [1980] = {.lex_state = 116, .external_lex_state = 15},
  [1981] = {.lex_state = 116, .external_lex_state = 15},
  [1982] = {.lex_state = 116, .external_lex_state = 15},
  [1983] = {.lex_state = 116, .external_lex_state = 15},
  [1984] = {.lex_state = 116, .external_lex_state = 15},
  [1985] = {.lex_state = 116, .external_lex_state = 15},
  [1986] = {.lex_state = 116, .external_lex_state = 15},
  [1987] = {.lex_state = 116, .external_lex_state = 15},
  [1988] = {.lex_state = 116, .external_lex_state = 15},
  [1989] = {.lex_state = 116, .external_lex_state = 15},
  [1990] = {.lex_state = 116, .external_lex_state = 15},
  [1991] = {.lex_state = 116, .external_lex_state = 15},
  [1992] = {.lex_state = 116, .external_lex_state = 15},
  [1993] = {.lex_state = 116, .external_lex_state = 15},
  [1994] = {.lex_state = 116, .external_lex_state = 10},
  [1995] = {.lex_state = 116, .external_lex_state = 15},
  [1996] = {.lex_state = 116, .external_lex_state = 10},
  [1997] = {.lex_state = 26, .external_lex_state = 18},
  [1998] = {.lex_state = 26},
  [1999] = {.lex_state = 38, .external_lex_state = 17},
  [2000] = {.lex_state = 38, .external_lex_state = 17},
  [2001] = {.lex_state = 38, .external_lex_state = 17},
  [2002] = {.lex_state = 38, .external_lex_state = 17},
  [2003] = {.lex_state = 26, .external_lex_state = 13},
  [2004] = {.lex_state = 26},
  [2005] = {.lex_state = 26},
  [2006] = {.lex_state = 26},
  [2007] = {.lex_state = 38},
  [2008] = {.lex_state = 26},
  [2009] = {.lex_state = 26},
  [2010] = {.lex_state = 38, .external_lex_state = 17},
  [2011] = {.lex_state = 26},
  [2012] = {.lex_state = 26},
  [2013] = {.lex_state = 26},
  [2014] = {.lex_state = 38, .external_lex_state = 17},
  [2015] = {.lex_state = 26},
  [2016] = {.lex_state = 38, .external_lex_state = 17},
  [2017] = {.lex_state = 38, .external_lex_state = 17},
  [2018] = {.lex_state = 26},
  [2019] = {.lex_state = 38, .external_lex_state = 17},
  [2020] = {.lex_state = 38, .external_lex_state = 17},
  [2021] = {.lex_state = 38, .external_lex_state = 17},
  [2022] = {.lex_state = 38},
  [2023] = {.lex_state = 38, .external_lex_state = 17},
  [2024] = {.lex_state = 38, .external_lex_state = 17},
  [2025] = {.lex_state = 38, .external_lex_state = 17},
  [2026] = {.lex_state = 26},
  [2027] = {.lex_state = 26},
  [2028] = {.lex_state = 26},
  [2029] = {.lex_state = 38, .external_lex_state = 17},
  [2030] = {.lex_state = 26},
  [2031] = {.lex_state = 26},
  [2032] = {.lex_state = 38, .external_lex_state = 17},
  [2033] = {.lex_state = 26},
  [2034] = {.lex_state = 38, .external_lex_state = 17},
  [2035] = {.lex_state = 26},
  [2036] = {.lex_state = 26},
  [2037] = {.lex_state = 38, .external_lex_state = 17},
  [2038] = {.lex_state = 26},
  [2039] = {.lex_state = 38, .external_lex_state = 17},
  [2040] = {.lex_state = 26},
  [2041] = {.lex_state = 38, .external_lex_state = 17},
  [2042] = {.lex_state = 38, .external_lex_state = 17},
  [2043] = {.lex_state = 38, .external_lex_state = 17},
  [2044] = {.lex_state = 26},
  [2045] = {.lex_state = 38, .external_lex_state = 17},
  [2046] = {.lex_state = 38, .external_lex_state = 17},
  [2047] = {.lex_state = 38, .external_lex_state = 17},
  [2048] = {.lex_state = 26},
  [2049] = {.lex_state = 38, .external_lex_state = 17},
  [2050] = {.lex_state = 26},
  [2051] = {.lex_state = 38, .external_lex_state = 17},
  [2052] = {.lex_state = 26},
  [2053] = {.lex_state = 38, .external_lex_state = 17},
  [2054] = {.lex_state = 38, .external_lex_state = 17},
  [2055] = {.lex_state = 27},
  [2056] = {.lex_state = 27},
  [2057] = {.lex_state = 27},
  [2058] = {.lex_state = 27},
  [2059] = {.lex_state = 41},
  [2060] = {.lex_state = 27},
  [2061] = {.lex_state = 27},
  [2062] = {.lex_state = 27},
  [2063] = {.lex_state = 27},
  [2064] = {.lex_state = 27},
  [2065] = {.lex_state = 27},
  [2066] = {.lex_state = 27},
  [2067] = {.lex_state = 26, .external_lex_state = 21},
  [2068] = {.lex_state = 41},
  [2069] = {.lex_state = 27},
  [2070] = {.lex_state = 27},
  [2071] = {.lex_state = 41},
  [2072] = {.lex_state = 27},
  [2073] = {.lex_state = 27},
  [2074] = {.lex_state = 27},
  [2075] = {.lex_state = 26, .external_lex_state = 21},
  [2076] = {.lex_state = 27},
  [2077] = {.lex_state = 27},
  [2078] = {.lex_state = 27},
  [2079] = {.lex_state = 26, .external_lex_state = 21},
  [2080] = {.lex_state = 27},
  [2081] = {.lex_state = 41},
  [2082] = {.lex_state = 27},
  [2083] = {.lex_state = 26, .external_lex_state = 21},
  [2084] = {.lex_state = 27},
  [2085] = {.lex_state = 27},
  [2086] = {.lex_state = 27},
  [2087] = {.lex_state = 27},
  [2088] = {.lex_state = 27},
  [2089] = {.lex_state = 26, .external_lex_state = 21},
  [2090] = {.lex_state = 27},
  [2091] = {.lex_state = 27},
  [2092] = {.lex_state = 27},
  [2093] = {.lex_state = 26, .external_lex_state = 21},
  [2094] = {.lex_state = 27},
  [2095] = {.lex_state = 26, .external_lex_state = 21},
  [2096] = {.lex_state = 41},
  [2097] = {.lex_state = 27},
  [2098] = {.lex_state = 27},
  [2099] = {.lex_state = 27},
  [2100] = {.lex_state = 26, .external_lex_state = 21},
  [2101] = {.lex_state = 27},
  [2102] = {.lex_state = 27},
  [2103] = {.lex_state = 26, .external_lex_state = 21},
  [2104] = {.lex_state = 27},
  [2105] = {.lex_state = 41},
  [2106] = {.lex_state = 26, .external_lex_state = 21},
  [2107] = {.lex_state = 26, .external_lex_state = 21},
  [2108] = {.lex_state = 26, .external_lex_state = 21},
  [2109] = {.lex_state = 27},
  [2110] = {.lex_state = 38},
  [2111] = {.lex_state = 26, .external_lex_state = 21},
  [2112] = {.lex_state = 26, .external_lex_state = 21},
  [2113] = {.lex_state = 27},
  [2114] = {.lex_state = 26, .external_lex_state = 21},
  [2115] = {.lex_state = 27},
  [2116] = {.lex_state = 26, .external_lex_state = 21},
  [2117] = {.lex_state = 26, .external_lex_state = 21},
  [2118] = {.lex_state = 27},
  [2119] = {.lex_state = 27},
  [2120] = {.lex_state = 26, .external_lex_state = 21},
  [2121] = {.lex_state = 26, .external_lex_state = 21},
  [2122] = {.lex_state = 26, .external_lex_state = 21},
  [2123] = {.lex_state = 26, .external_lex_state = 21},
  [2124] = {.lex_state = 27},
  [2125] = {.lex_state = 26, .external_lex_state = 21},
  [2126] = {.lex_state = 27},
  [2127] = {.lex_state = 26, .external_lex_state = 21},
  [2128] = {.lex_state = 27},
  [2129] = {.lex_state = 27},
  [2130] = {.lex_state = 26, .external_lex_state = 21},
  [2131] = {.lex_state = 27},
  [2132] = {.lex_state = 27},
  [2133] = {.lex_state = 26, .external_lex_state = 21},
  [2134] = {.lex_state = 26, .external_lex_state = 21},
  [2135] = {.lex_state = 27},
  [2136] = {.lex_state = 38},
  [2137] = {.lex_state = 38},
  [2138] = {.lex_state = 38},
  [2139] = {.lex_state = 38},
  [2140] = {.lex_state = 38},
  [2141] = {.lex_state = 28},
  [2142] = {.lex_state = 38},
  [2143] = {.lex_state = 42},
  [2144] = {.lex_state = 42},
  [2145] = {.lex_state = 31, .external_lex_state = 22},
  [2146] = {.lex_state = 42},
  [2147] = {.lex_state = 42},
  [2148] = {.lex_state = 43, .external_lex_state = 21},
  [2149] = {.lex_state = 42},
  [2150] = {.lex_state = 42},
  [2151] = {.lex_state = 42},
  [2152] = {.lex_state = 42},
  [2153] = {.lex_state = 42},
  [2154] = {.lex_state = 42},
  [2155] = {.lex_state = 31, .external_lex_state = 22},
  [2156] = {.lex_state = 42},
  [2157] = {.lex_state = 43, .external_lex_state = 21},
  [2158] = {.lex_state = 42},
  [2159] = {.lex_state = 42},
  [2160] = {.lex_state = 43, .external_lex_state = 21},
  [2161] = {.lex_state = 42},
  [2162] = {.lex_state = 42},
  [2163] = {.lex_state = 42},
  [2164] = {.lex_state = 42},
  [2165] = {.lex_state = 42},
  [2166] = {.lex_state = 43, .external_lex_state = 21},
  [2167] = {.lex_state = 42},
  [2168] = {.lex_state = 31, .external_lex_state = 22},
  [2169] = {.lex_state = 43, .external_lex_state = 21},
  [2170] = {.lex_state = 42},
  [2171] = {.lex_state = 42},
  [2172] = {.lex_state = 42},
  [2173] = {.lex_state = 31, .external_lex_state = 22},
  [2174] = {.lex_state = 43, .external_lex_state = 21},
  [2175] = {.lex_state = 42},
  [2176] = {.lex_state = 42},
  [2177] = {.lex_state = 42},
  [2178] = {.lex_state = 42},
  [2179] = {.lex_state = 43, .external_lex_state = 21},
  [2180] = {.lex_state = 43, .external_lex_state = 21},
  [2181] = {.lex_state = 42},
  [2182] = {.lex_state = 42},
  [2183] = {.lex_state = 42},
  [2184] = {.lex_state = 42},
  [2185] = {.lex_state = 43, .external_lex_state = 21},
  [2186] = {.lex_state = 42},
  [2187] = {.lex_state = 42},
  [2188] = {.lex_state = 42},
  [2189] = {.lex_state = 43, .external_lex_state = 21},
  [2190] = {.lex_state = 42},
  [2191] = {.lex_state = 42},
  [2192] = {.lex_state = 42},
  [2193] = {.lex_state = 43, .external_lex_state = 21},
  [2194] = {.lex_state = 43, .external_lex_state = 21},
  [2195] = {.lex_state = 43, .external_lex_state = 21},
  [2196] = {.lex_state = 43, .external_lex_state = 21},
  [2197] = {.lex_state = 42},
  [2198] = {.lex_state = 42},
  [2199] = {.lex_state = 42},
  [2200] = {.lex_state = 42},
  [2201] = {.lex_state = 43, .external_lex_state = 21},
  [2202] = {.lex_state = 43, .external_lex_state = 21},
  [2203] = {.lex_state = 43, .external_lex_state = 21},
  [2204] = {.lex_state = 43, .external_lex_state = 21},
  [2205] = {.lex_state = 42},
  [2206] = {.lex_state = 43, .external_lex_state = 21},
  [2207] = {.lex_state = 42},
  [2208] = {.lex_state = 43, .external_lex_state = 21},
  [2209] = {.lex_state = 43, .external_lex_state = 21},
  [2210] = {.lex_state = 26},
  [2211] = {.lex_state = 31, .external_lex_state = 22},
  [2212] = {.lex_state = 42},
  [2213] = {.lex_state = 43, .external_lex_state = 21},
  [2214] = {.lex_state = 42},
  [2215] = {.lex_state = 43, .external_lex_state = 21},
  [2216] = {.lex_state = 42},
  [2217] = {.lex_state = 43, .external_lex_state = 21},
  [2218] = {.lex_state = 43, .external_lex_state = 21},
  [2219] = {.lex_state = 42},
  [2220] = {.lex_state = 42},
  [2221] = {.lex_state = 43, .external_lex_state = 21},
  [2222] = {.lex_state = 42},
  [2223] = {.lex_state = 42},
  [2224] = {.lex_state = 4, .external_lex_state = 15},
  [2225] = {.lex_state = 43},
  [2226] = {.lex_state = 43},
  [2227] = {.lex_state = 43},
  [2228] = {.lex_state = 43},
  [2229] = {.lex_state = 42, .external_lex_state = 17},
  [2230] = {.lex_state = 42, .external_lex_state = 17},
  [2231] = {.lex_state = 42, .external_lex_state = 17},
  [2232] = {.lex_state = 42, .external_lex_state = 17},
  [2233] = {.lex_state = 42, .external_lex_state = 17},
  [2234] = {.lex_state = 42, .external_lex_state = 17},
  [2235] = {.lex_state = 42, .external_lex_state = 17},
  [2236] = {.lex_state = 4, .external_lex_state = 15},
  [2237] = {.lex_state = 42, .external_lex_state = 17},
  [2238] = {.lex_state = 42, .external_lex_state = 17},
  [2239] = {.lex_state = 42, .external_lex_state = 17},
  [2240] = {.lex_state = 42, .external_lex_state = 17},
  [2241] = {.lex_state = 4, .external_lex_state = 15},
  [2242] = {.lex_state = 42, .external_lex_state = 17},
  [2243] = {.lex_state = 4, .external_lex_state = 10},
  [2244] = {.lex_state = 4, .external_lex_state = 10},
  [2245] = {.lex_state = 42, .external_lex_state = 17},
  [2246] = {.lex_state = 42, .external_lex_state = 17},
  [2247] = {.lex_state = 42, .external_lex_state = 17},
  [2248] = {.lex_state = 4, .external_lex_state = 10},
  [2249] = {.lex_state = 42, .external_lex_state = 17},
  [2250] = {.lex_state = 42, .external_lex_state = 17},
  [2251] = {.lex_state = 4, .external_lex_state = 10},
  [2252] = {.lex_state = 4, .external_lex_state = 15},
  [2253] = {.lex_state = 42, .external_lex_state = 17},
  [2254] = {.lex_state = 42, .external_lex_state = 17},
  [2255] = {.lex_state = 42, .external_lex_state = 17},
  [2256] = {.lex_state = 4, .external_lex_state = 10},
  [2257] = {.lex_state = 4, .external_lex_state = 15},
  [2258] = {.lex_state = 42, .external_lex_state = 17},
  [2259] = {.lex_state = 4, .external_lex_state = 10},
  [2260] = {.lex_state = 4, .external_lex_state = 15},
  [2261] = {.lex_state = 4, .external_lex_state = 15},
  [2262] = {.lex_state = 31, .external_lex_state = 22},
  [2263] = {.lex_state = 4, .external_lex_state = 15},
  [2264] = {.lex_state = 31, .external_lex_state = 22},
  [2265] = {.lex_state = 31, .external_lex_state = 22},
  [2266] = {.lex_state = 4, .external_lex_state = 15},
  [2267] = {.lex_state = 4, .external_lex_state = 15},
  [2268] = {.lex_state = 42},
  [2269] = {.lex_state = 31, .external_lex_state = 22},
  [2270] = {.lex_state = 4, .external_lex_state = 10},
  [2271] = {.lex_state = 31, .external_lex_state = 22},
  [2272] = {.lex_state = 4, .external_lex_state = 15},
  [2273] = {.lex_state = 4, .external_lex_state = 15},
  [2274] = {.lex_state = 4, .external_lex_state = 15},
  [2275] = {.lex_state = 4, .external_lex_state = 15},
  [2276] = {.lex_state = 31, .external_lex_state = 22},
  [2277] = {.lex_state = 4, .external_lex_state = 15},
  [2278] = {.lex_state = 37},
  [2279] = {.lex_state = 4, .external_lex_state = 15},
  [2280] = {.lex_state = 31, .external_lex_state = 22},
  [2281] = {.lex_state = 37},
  [2282] = {.lex_state = 31, .external_lex_state = 22},
  [2283] = {.lex_state = 42},
  [2284] = {.lex_state = 4, .external_lex_state = 15},
  [2285] = {.lex_state = 4, .external_lex_state = 15},
  [2286] = {.lex_state = 4, .external_lex_state = 15},
  [2287] = {.lex_state = 4, .external_lex_state = 15},
  [2288] = {.lex_state = 4, .external_lex_state = 15},
  [2289] = {.lex_state = 4, .external_lex_state = 15},
  [2290] = {.lex_state = 31, .external_lex_state = 22},
  [2291] = {.lex_state = 31, .external_lex_state = 22},
  [2292] = {.lex_state = 31, .external_lex_state = 22},
  [2293] = {.lex_state = 31, .external_lex_state = 22},
  [2294] = {.lex_state = 37},
  [2295] = {.lex_state = 31, .external_lex_state = 22},
  [2296] = {.lex_state = 31, .external_lex_state = 22},
  [2297] = {.lex_state = 31, .external_lex_state = 22},
  [2298] = {.lex_state = 4, .external_lex_state = 15},
  [2299] = {.lex_state = 4, .external_lex_state = 15},
  [2300] = {.lex_state = 4, .external_lex_state = 15},
  [2301] = {.lex_state = 31, .external_lex_state = 22},
  [2302] = {.lex_state = 31, .external_lex_state = 22},
  [2303] = {.lex_state = 31, .external_lex_state = 22},
  [2304] = {.lex_state = 37},
  [2305] = {.lex_state = 4, .external_lex_state = 15},
  [2306] = {.lex_state = 4, .external_lex_state = 15},
  [2307] = {.lex_state = 4, .external_lex_state = 15},
  [2308] = {.lex_state = 4, .external_lex_state = 15},
  [2309] = {.lex_state = 4, .external_lex_state = 15},
  [2310] = {.lex_state = 31, .external_lex_state = 22},
  [2311] = {.lex_state = 116, .external_lex_state = 10},
  [2312] = {.lex_state = 4, .external_lex_state = 10},
  [2313] = {.lex_state = 116, .external_lex_state = 10},
  [2314] = {.lex_state = 116, .external_lex_state = 10},
  [2315] = {.lex_state = 4, .external_lex_state = 10},
  [2316] = {.lex_state = 44},
  [2317] = {.lex_state = 116, .external_lex_state = 10},
  [2318] = {.lex_state = 37},
  [2319] = {.lex_state = 44},
  [2320] = {.lex_state = 117, .external_lex_state = 17},
  [2321] = {.lex_state = 116, .external_lex_state = 10},
  [2322] = {.lex_state = 44},
  [2323] = {.lex_state = 38},
  [2324] = {.lex_state = 38},
  [2325] = {.lex_state = 4, .external_lex_state = 10},
  [2326] = {.lex_state = 4, .external_lex_state = 10},
  [2327] = {.lex_state = 4, .external_lex_state = 10},
  [2328] = {.lex_state = 116, .external_lex_state = 10},
  [2329] = {.lex_state = 44},
  [2330] = {.lex_state = 44},
  [2331] = {.lex_state = 44},
  [2332] = {.lex_state = 44},
  [2333] = {.lex_state = 116, .external_lex_state = 10},
  [2334] = {.lex_state = 116, .external_lex_state = 10},
  [2335] = {.lex_state = 44},
  [2336] = {.lex_state = 116, .external_lex_state = 10},
  [2337] = {.lex_state = 38, .external_lex_state = 17},
  [2338] = {.lex_state = 44},
  [2339] = {.lex_state = 44},
  [2340] = {.lex_state = 44},
  [2341] = {.lex_state = 44},
  [2342] = {.lex_state = 117, .external_lex_state = 17},
  [2343] = {.lex_state = 44},
  [2344] = {.lex_state = 4, .external_lex_state = 10},
  [2345] = {.lex_state = 44},
  [2346] = {.lex_state = 44},
  [2347] = {.lex_state = 44},
  [2348] = {.lex_state = 117, .external_lex_state = 17},
  [2349] = {.lex_state = 116, .external_lex_state = 10},
  [2350] = {.lex_state = 116, .external_lex_state = 10},
  [2351] = {.lex_state = 32, .external_lex_state = 18},
  [2352] = {.lex_state = 116, .external_lex_state = 10},
  [2353] = {.lex_state = 116, .external_lex_state = 10},
  [2354] = {.lex_state = 44},
  [2355] = {.lex_state = 44},
  [2356] = {.lex_state = 44},
  [2357] = {.lex_state = 116, .external_lex_state = 10},
  [2358] = {.lex_state = 44},
  [2359] = {.lex_state = 44},
  [2360] = {.lex_state = 44},
  [2361] = {.lex_state = 44},
  [2362] = {.lex_state = 32, .external_lex_state = 18},
  [2363] = {.lex_state = 44},
  [2364] = {.lex_state = 44},
  [2365] = {.lex_state = 39, .external_lex_state = 20},
  [2366] = {.lex_state = 44},
  [2367] = {.lex_state = 44},
  [2368] = {.lex_state = 44},
  [2369] = {.lex_state = 44},
  [2370] = {.lex_state = 44},
  [2371] = {.lex_state = 44},
  [2372] = {.lex_state = 116, .external_lex_state = 10},
  [2373] = {.lex_state = 32, .external_lex_state = 18},
  [2374] = {.lex_state = 38},
  [2375] = {.lex_state = 116, .external_lex_state = 10},
  [2376] = {.lex_state = 116, .external_lex_state = 10},
  [2377] = {.lex_state = 117, .external_lex_state = 17},
  [2378] = {.lex_state = 116, .external_lex_state = 10},
  [2379] = {.lex_state = 44},
  [2380] = {.lex_state = 32, .external_lex_state = 18},
  [2381] = {.lex_state = 116, .external_lex_state = 10},
  [2382] = {.lex_state = 116, .external_lex_state = 10},
  [2383] = {.lex_state = 116, .external_lex_state = 10},
  [2384] = {.lex_state = 116, .external_lex_state = 10},
  [2385] = {.lex_state = 39, .external_lex_state = 13},
  [2386] = {.lex_state = 39, .external_lex_state = 13},
  [2387] = {.lex_state = 24, .external_lex_state = 20},
  [2388] = {.lex_state = 24, .external_lex_state = 20},
  [2389] = {.lex_state = 39, .external_lex_state = 13},
  [2390] = {.lex_state = 43},
  [2391] = {.lex_state = 24, .external_lex_state = 20},
  [2392] = {.lex_state = 39, .external_lex_state = 13},
  [2393] = {.lex_state = 24, .external_lex_state = 20},
  [2394] = {.lex_state = 39, .external_lex_state = 13},
  [2395] = {.lex_state = 39, .external_lex_state = 13},
  [2396] = {.lex_state = 117},
  [2397] = {.lex_state = 39, .external_lex_state = 13},
  [2398] = {.lex_state = 24, .external_lex_state = 20},
  [2399] = {.lex_state = 24, .external_lex_state = 20},
  [2400] = {.lex_state = 24, .external_lex_state = 20},
  [2401] = {.lex_state = 39, .external_lex_state = 13},
  [2402] = {.lex_state = 24, .external_lex_state = 20},
  [2403] = {.lex_state = 32, .external_lex_state = 18},
  [2404] = {.lex_state = 24, .external_lex_state = 20},
  [2405] = {.lex_state = 32, .external_lex_state = 18},
  [2406] = {.lex_state = 43},
  [2407] = {.lex_state = 39, .external_lex_state = 13},
  [2408] = {.lex_state = 24, .external_lex_state = 20},
  [2409] = {.lex_state = 39, .external_lex_state = 13},
  [2410] = {.lex_state = 39, .external_lex_state = 13},
  [2411] = {.lex_state = 43},
  [2412] = {.lex_state = 43, .external_lex_state = 17},
  [2413] = {.lex_state = 24, .external_lex_state = 20},
  [2414] = {.lex_state = 24, .external_lex_state = 20},
  [2415] = {.lex_state = 39, .external_lex_state = 13},
  [2416] = {.lex_state = 24, .external_lex_state = 20},
  [2417] = {.lex_state = 39, .external_lex_state = 13},
  [2418] = {.lex_state = 24, .external_lex_state = 20},
  [2419] = {.lex_state = 24, .external_lex_state = 20},
  [2420] = {.lex_state = 39, .external_lex_state = 13},
  [2421] = {.lex_state = 24, .external_lex_state = 20},
  [2422] = {.lex_state = 39, .external_lex_state = 13},
  [2423] = {.lex_state = 39, .external_lex_state = 13},
  [2424] = {.lex_state = 39, .external_lex_state = 13},
  [2425] = {.lex_state = 24, .external_lex_state = 20},
  [2426] = {.lex_state = 43, .external_lex_state = 17},
  [2427] = {.lex_state = 39, .external_lex_state = 13},
  [2428] = {.lex_state = 24, .external_lex_state = 20},
  [2429] = {.lex_state = 39, .external_lex_state = 13},
  [2430] = {.lex_state = 24, .external_lex_state = 20},
  [2431] = {.lex_state = 24, .external_lex_state = 20},
  [2432] = {.lex_state = 39, .external_lex_state = 13},
  [2433] = {.lex_state = 24, .external_lex_state = 20},
  [2434] = {.lex_state = 24, .external_lex_state = 20},
  [2435] = {.lex_state = 39, .external_lex_state = 13},
  [2436] = {.lex_state = 117},
  [2437] = {.lex_state = 39, .external_lex_state = 13},
  [2438] = {.lex_state = 24, .external_lex_state = 20},
  [2439] = {.lex_state = 43},
  [2440] = {.lex_state = 39, .external_lex_state = 13},
  [2441] = {.lex_state = 24, .external_lex_state = 20},
  [2442] = {.lex_state = 39, .external_lex_state = 13},
  [2443] = {.lex_state = 39, .external_lex_state = 13},
  [2444] = {.lex_state = 32, .external_lex_state = 18},
  [2445] = {.lex_state = 43},
  [2446] = {.lex_state = 24, .external_lex_state = 20},
  [2447] = {.lex_state = 39, .external_lex_state = 13},
  [2448] = {.lex_state = 24, .external_lex_state = 20},
  [2449] = {.lex_state = 43, .external_lex_state = 17},
  [2450] = {.lex_state = 24, .external_lex_state = 20},
  [2451] = {.lex_state = 24, .external_lex_state = 20},
  [2452] = {.lex_state = 39, .external_lex_state = 13},
  [2453] = {.lex_state = 43},
  [2454] = {.lex_state = 117},
  [2455] = {.lex_state = 24, .external_lex_state = 20},
  [2456] = {.lex_state = 24, .external_lex_state = 20},
  [2457] = {.lex_state = 24, .external_lex_state = 20},
  [2458] = {.lex_state = 39, .external_lex_state = 13},
  [2459] = {.lex_state = 39, .external_lex_state = 13},
  [2460] = {.lex_state = 39, .external_lex_state = 13},
  [2461] = {.lex_state = 24, .external_lex_state = 20},
  [2462] = {.lex_state = 39, .external_lex_state = 13},
  [2463] = {.lex_state = 24, .external_lex_state = 20},
  [2464] = {.lex_state = 117},
  [2465] = {.lex_state = 117},
  [2466] = {.lex_state = 24, .external_lex_state = 20},
  [2467] = {.lex_state = 24, .external_lex_state = 20},
  [2468] = {.lex_state = 24, .external_lex_state = 20},
  [2469] = {.lex_state = 39, .external_lex_state = 13},
  [2470] = {.lex_state = 39, .external_lex_state = 13},
  [2471] = {.lex_state = 43, .external_lex_state = 17},
  [2472] = {.lex_state = 24, .external_lex_state = 20},
  [2473] = {.lex_state = 24, .external_lex_state = 20},
  [2474] = {.lex_state = 43},
  [2475] = {.lex_state = 39, .external_lex_state = 13},
  [2476] = {.lex_state = 24, .external_lex_state = 20},
  [2477] = {.lex_state = 24, .external_lex_state = 20},
  [2478] = {.lex_state = 43},
  [2479] = {.lex_state = 39, .external_lex_state = 13},
  [2480] = {.lex_state = 39, .external_lex_state = 13},
  [2481] = {.lex_state = 39, .external_lex_state = 13},
  [2482] = {.lex_state = 24, .external_lex_state = 20},
  [2483] = {.lex_state = 39, .external_lex_state = 13},
  [2484] = {.lex_state = 24, .external_lex_state = 20},
  [2485] = {.lex_state = 117},
  [2486] = {.lex_state = 39, .external_lex_state = 13},
  [2487] = {.lex_state = 24, .external_lex_state = 20},
  [2488] = {.lex_state = 39, .external_lex_state = 13},
  [2489] = {.lex_state = 39, .external_lex_state = 13},
  [2490] = {.lex_state = 24, .external_lex_state = 20},
  [2491] = {.lex_state = 39, .external_lex_state = 13},
  [2492] = {.lex_state = 39, .external_lex_state = 13},
  [2493] = {.lex_state = 117},
  [2494] = {.lex_state = 24, .external_lex_state = 20},
  [2495] = {.lex_state = 24, .external_lex_state = 20},
  [2496] = {.lex_state = 24, .external_lex_state = 20},
  [2497] = {.lex_state = 39, .external_lex_state = 13},
  [2498] = {.lex_state = 24, .external_lex_state = 20},
  [2499] = {.lex_state = 24, .external_lex_state = 20},
  [2500] = {.lex_state = 39, .external_lex_state = 13},
  [2501] = {.lex_state = 24, .external_lex_state = 20},
  [2502] = {.lex_state = 24, .external_lex_state = 20},
  [2503] = {.lex_state = 39, .external_lex_state = 13},
  [2504] = {.lex_state = 39, .external_lex_state = 13},
  [2505] = {.lex_state = 39, .external_lex_state = 13},
  [2506] = {.lex_state = 39, .external_lex_state = 13},
  [2507] = {.lex_state = 39, .external_lex_state = 13},
  [2508] = {.lex_state = 32, .external_lex_state = 18},
  [2509] = {.lex_state = 24, .external_lex_state = 20},
  [2510] = {.lex_state = 39, .external_lex_state = 13},
  [2511] = {.lex_state = 24, .external_lex_state = 20},
  [2512] = {.lex_state = 24, .external_lex_state = 20},
  [2513] = {.lex_state = 39, .external_lex_state = 13},
  [2514] = {.lex_state = 43},
  [2515] = {.lex_state = 39, .external_lex_state = 13},
  [2516] = {.lex_state = 43},
  [2517] = {.lex_state = 43},
  [2518] = {.lex_state = 39, .external_lex_state = 13},
  [2519] = {.lex_state = 24, .external_lex_state = 20},
  [2520] = {.lex_state = 24, .external_lex_state = 20},
  [2521] = {.lex_state = 24, .external_lex_state = 20},
  [2522] = {.lex_state = 31},
  [2523] = {.lex_state = 24, .external_lex_state = 20},
  [2524] = {.lex_state = 24, .external_lex_state = 20},
  [2525] = {.lex_state = 117},
  [2526] = {.lex_state = 24, .external_lex_state = 20},
  [2527] = {.lex_state = 24, .external_lex_state = 20},
  [2528] = {.lex_state = 34},
  [2529] = {.lex_state = 31},
  [2530] = {.lex_state = 43},
  [2531] = {.lex_state = 43},
  [2532] = {.lex_state = 24, .external_lex_state = 20},
  [2533] = {.lex_state = 24, .external_lex_state = 20},
  [2534] = {.lex_state = 43},
  [2535] = {.lex_state = 43},
  [2536] = {.lex_state = 24, .external_lex_state = 20},
  [2537] = {.lex_state = 43},
  [2538] = {.lex_state = 24, .external_lex_state = 20},
  [2539] = {.lex_state = 24, .external_lex_state = 20},
  [2540] = {.lex_state = 43},
  [2541] = {.lex_state = 24, .external_lex_state = 20},
  [2542] = {.lex_state = 34},
  [2543] = {.lex_state = 43},
  [2544] = {.lex_state = 24, .external_lex_state = 20},
  [2545] = {.lex_state = 24, .external_lex_state = 20},
  [2546] = {.lex_state = 117},
  [2547] = {.lex_state = 24, .external_lex_state = 20},
  [2548] = {.lex_state = 43},
  [2549] = {.lex_state = 43},
  [2550] = {.lex_state = 43},
  [2551] = {.lex_state = 43},
  [2552] = {.lex_state = 43},
  [2553] = {.lex_state = 24, .external_lex_state = 20},
  [2554] = {.lex_state = 24, .external_lex_state = 20},
  [2555] = {.lex_state = 43},
  [2556] = {.lex_state = 43},
  [2557] = {.lex_state = 24, .external_lex_state = 20},
  [2558] = {.lex_state = 117},
  [2559] = {.lex_state = 43},
  [2560] = {.lex_state = 24, .external_lex_state = 20},
  [2561] = {.lex_state = 43},
  [2562] = {.lex_state = 24, .external_lex_state = 20},
  [2563] = {.lex_state = 24, .external_lex_state = 20},
  [2564] = {.lex_state = 43},
  [2565] = {.lex_state = 24, .external_lex_state = 20},
  [2566] = {.lex_state = 43},
  [2567] = {.lex_state = 24, .external_lex_state = 20},
  [2568] = {.lex_state = 24, .external_lex_state = 20},
  [2569] = {.lex_state = 43},
  [2570] = {.lex_state = 43},
  [2571] = {.lex_state = 37},
  [2572] = {.lex_state = 43},
  [2573] = {.lex_state = 37},
  [2574] = {.lex_state = 43},
  [2575] = {.lex_state = 43},
  [2576] = {.lex_state = 37},
  [2577] = {.lex_state = 43},
  [2578] = {.lex_state = 43},
  [2579] = {.lex_state = 43},
  [2580] = {.lex_state = 43},
  [2581] = {.lex_state = 43},
  [2582] = {.lex_state = 37},
  [2583] = {.lex_state = 43},
  [2584] = {.lex_state = 43},
  [2585] = {.lex_state = 43},
  [2586] = {.lex_state = 43},
  [2587] = {.lex_state = 43},
  [2588] = {.lex_state = 43},
  [2589] = {.lex_state = 34},
  [2590] = {.lex_state = 43},
  [2591] = {.lex_state = 43},
  [2592] = {.lex_state = 117},
  [2593] = {.lex_state = 43},
  [2594] = {.lex_state = 43},
  [2595] = {.lex_state = 43},
  [2596] = {.lex_state = 43},
  [2597] = {.lex_state = 43},
  [2598] = {.lex_state = 37},
  [2599] = {.lex_state = 43},
  [2600] = {.lex_state = 43},
  [2601] = {.lex_state = 43},
  [2602] = {.lex_state = 43},
  [2603] = {.lex_state = 43},
  [2604] = {.lex_state = 117},
  [2605] = {.lex_state = 43},
  [2606] = {.lex_state = 43},
  [2607] = {.lex_state = 43},
  [2608] = {.lex_state = 43},
  [2609] = {.lex_state = 34},
  [2610] = {.lex_state = 43},
  [2611] = {.lex_state = 43},
  [2612] = {.lex_state = 37},
  [2613] = {.lex_state = 43},
  [2614] = {.lex_state = 43},
  [2615] = {.lex_state = 32, .external_lex_state = 18},
  [2616] = {.lex_state = 43},
  [2617] = {.lex_state = 43},
  [2618] = {.lex_state = 43},
  [2619] = {.lex_state = 43},
  [2620] = {.lex_state = 32, .external_lex_state = 18},
  [2621] = {.lex_state = 43},
  [2622] = {.lex_state = 37},
  [2623] = {.lex_state = 43},
  [2624] = {.lex_state = 43},
  [2625] = {.lex_state = 117},
  [2626] = {.lex_state = 117},
  [2627] = {.lex_state = 117, .external_lex_state = 23},
  [2628] = {.lex_state = 117},
  [2629] = {.lex_state = 24, .external_lex_state = 13},
  [2630] = {.lex_state = 24, .external_lex_state = 13},
  [2631] = {.lex_state = 117},
  [2632] = {.lex_state = 24, .external_lex_state = 13},
  [2633] = {.lex_state = 24, .external_lex_state = 13},
  [2634] = {.lex_state = 117},
  [2635] = {.lex_state = 117},
  [2636] = {.lex_state = 117},
  [2637] = {.lex_state = 24, .external_lex_state = 13},
  [2638] = {.lex_state = 37},
  [2639] = {.lex_state = 117},
  [2640] = {.lex_state = 24, .external_lex_state = 13},
  [2641] = {.lex_state = 117},
  [2642] = {.lex_state = 117},
  [2643] = {.lex_state = 117},
  [2644] = {.lex_state = 24, .external_lex_state = 13},
  [2645] = {.lex_state = 117},
  [2646] = {.lex_state = 117},
  [2647] = {.lex_state = 24, .external_lex_state = 13},
  [2648] = {.lex_state = 24, .external_lex_state = 13},
  [2649] = {.lex_state = 117},
  [2650] = {.lex_state = 34},
  [2651] = {.lex_state = 117},
  [2652] = {.lex_state = 24, .external_lex_state = 13},
  [2653] = {.lex_state = 117},
  [2654] = {.lex_state = 117},
  [2655] = {.lex_state = 117},
  [2656] = {.lex_state = 117},
  [2657] = {.lex_state = 117},
  [2658] = {.lex_state = 117},
  [2659] = {.lex_state = 117},
  [2660] = {.lex_state = 117},
  [2661] = {.lex_state = 117, .external_lex_state = 23},
  [2662] = {.lex_state = 117},
  [2663] = {.lex_state = 34},
  [2664] = {.lex_state = 24, .external_lex_state = 13},
  [2665] = {.lex_state = 117},
  [2666] = {.lex_state = 32, .external_lex_state = 11},
  [2667] = {.lex_state = 117},
  [2668] = {.lex_state = 117},
  [2669] = {.lex_state = 24, .external_lex_state = 13},
  [2670] = {.lex_state = 32, .external_lex_state = 11},
  [2671] = {.lex_state = 24, .external_lex_state = 13},
  [2672] = {.lex_state = 24, .external_lex_state = 13},
  [2673] = {.lex_state = 24, .external_lex_state = 13},
  [2674] = {.lex_state = 117},
  [2675] = {.lex_state = 34},
  [2676] = {.lex_state = 37},
  [2677] = {.lex_state = 24, .external_lex_state = 13},
  [2678] = {.lex_state = 117},
  [2679] = {.lex_state = 24, .external_lex_state = 13},
  [2680] = {.lex_state = 117},
  [2681] = {.lex_state = 117},
  [2682] = {.lex_state = 117},
  [2683] = {.lex_state = 117},
  [2684] = {.lex_state = 24, .external_lex_state = 13},
  [2685] = {.lex_state = 117},
  [2686] = {.lex_state = 117},
  [2687] = {.lex_state = 37},
  [2688] = {.lex_state = 24, .external_lex_state = 13},
  [2689] = {.lex_state = 24, .external_lex_state = 13},
  [2690] = {.lex_state = 24, .external_lex_state = 13},
  [2691] = {.lex_state = 24, .external_lex_state = 13},
  [2692] = {.lex_state = 24, .external_lex_state = 13},
  [2693] = {.lex_state = 117},
  [2694] = {.lex_state = 117},
  [2695] = {.lex_state = 117},
  [2696] = {.lex_state = 117},
  [2697] = {.lex_state = 117},
  [2698] = {.lex_state = 24, .external_lex_state = 13},
  [2699] = {.lex_state = 117},
  [2700] = {.lex_state = 34},
  [2701] = {.lex_state = 117},
  [2702] = {.lex_state = 117},
  [2703] = {.lex_state = 117},
  [2704] = {.lex_state = 117},
  [2705] = {.lex_state = 24, .external_lex_state = 13},
  [2706] = {.lex_state = 117},
  [2707] = {.lex_state = 117},
  [2708] = {.lex_state = 117},
  [2709] = {.lex_state = 117},
  [2710] = {.lex_state = 117},
  [2711] = {.lex_state = 24, .external_lex_state = 13},
  [2712] = {.lex_state = 117},
  [2713] = {.lex_state = 117},
  [2714] = {.lex_state = 34},
  [2715] = {.lex_state = 117},
  [2716] = {.lex_state = 117},
  [2717] = {.lex_state = 24, .external_lex_state = 13},
  [2718] = {.lex_state = 37},
  [2719] = {.lex_state = 117},
  [2720] = {.lex_state = 37},
  [2721] = {.lex_state = 37},
  [2722] = {.lex_state = 117},
  [2723] = {.lex_state = 117},
  [2724] = {.lex_state = 32, .external_lex_state = 11},
  [2725] = {.lex_state = 24, .external_lex_state = 13},
  [2726] = {.lex_state = 34},
  [2727] = {.lex_state = 117},
  [2728] = {.lex_state = 117},
  [2729] = {.lex_state = 37},
  [2730] = {.lex_state = 117},
  [2731] = {.lex_state = 117},
  [2732] = {.lex_state = 24, .external_lex_state = 13},
  [2733] = {.lex_state = 24, .external_lex_state = 13},
  [2734] = {.lex_state = 32, .external_lex_state = 11},
  [2735] = {.lex_state = 34},
  [2736] = {.lex_state = 117},
  [2737] = {.lex_state = 24, .external_lex_state = 13},
  [2738] = {.lex_state = 34},
  [2739] = {.lex_state = 37},
  [2740] = {.lex_state = 24, .external_lex_state = 13},
  [2741] = {.lex_state = 24, .external_lex_state = 13},
  [2742] = {.lex_state = 24, .external_lex_state = 13},
  [2743] = {.lex_state = 117},
  [2744] = {.lex_state = 24, .external_lex_state = 13},
  [2745] = {.lex_state = 117},
  [2746] = {.lex_state = 117},
  [2747] = {.lex_state = 117},
  [2748] = {.lex_state = 34},
  [2749] = {.lex_state = 117},
  [2750] = {.lex_state = 117},
  [2751] = {.lex_state = 117},
  [2752] = {.lex_state = 117},
  [2753] = {.lex_state = 117},
  [2754] = {.lex_state = 117},
  [2755] = {.lex_state = 117},
  [2756] = {.lex_state = 37},
  [2757] = {.lex_state = 117},
  [2758] = {.lex_state = 24, .external_lex_state = 13},
  [2759] = {.lex_state = 117},
  [2760] = {.lex_state = 24, .external_lex_state = 13},
  [2761] = {.lex_state = 117},
  [2762] = {.lex_state = 24, .external_lex_state = 13},
  [2763] = {.lex_state = 24, .external_lex_state = 13},
  [2764] = {.lex_state = 24, .external_lex_state = 13},
  [2765] = {.lex_state = 24, .external_lex_state = 13},
  [2766] = {.lex_state = 24, .external_lex_state = 13},
  [2767] = {.lex_state = 117},
  [2768] = {.lex_state = 117},
  [2769] = {.lex_state = 117},
  [2770] = {.lex_state = 117},
  [2771] = {.lex_state = 117},
  [2772] = {.lex_state = 37},
  [2773] = {.lex_state = 34},
  [2774] = {.lex_state = 24, .external_lex_state = 13},
  [2775] = {.lex_state = 24, .external_lex_state = 13},
  [2776] = {.lex_state = 24, .external_lex_state = 13},
  [2777] = {.lex_state = 34},
  [2778] = {.lex_state = 34},
  [2779] = {.lex_state = 24, .external_lex_state = 13},
  [2780] = {.lex_state = 24, .external_lex_state = 13},
  [2781] = {.lex_state = 117},
  [2782] = {.lex_state = 117},
  [2783] = {.lex_state = 117},
  [2784] = {.lex_state = 34},
  [2785] = {.lex_state = 34},
  [2786] = {.lex_state = 117},
  [2787] = {.lex_state = 117},
  [2788] = {.lex_state = 24, .external_lex_state = 13},
  [2789] = {.lex_state = 34},
  [2790] = {.lex_state = 34},
  [2791] = {.lex_state = 37},
  [2792] = {.lex_state = 24, .external_lex_state = 13},
  [2793] = {.lex_state = 24, .external_lex_state = 13},
  [2794] = {.lex_state = 24, .external_lex_state = 13},
  [2795] = {.lex_state = 24, .external_lex_state = 13},
  [2796] = {.lex_state = 117},
  [2797] = {.lex_state = 117},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__concat] = true,
  },
  [18] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [19] = {
    [ts_external_token__empty_value] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2753),
    [sym__statements] = STATE(2752),
    [sym_redirected_statement] = STATE(1314),
    [sym_for_statement] = STATE(1314),
    [sym_c_style_for_statement] = STATE(1314),
    [sym_while_statement] = STATE(1314),
    [sym_if_statement] = STATE(1314),
    [sym_case_statement] = STATE(1314),
    [sym_function_definition] = STATE(1314),
    [sym_compound_statement] = STATE(1314),
    [sym_subshell] = STATE(1314),
    [sym_pipeline] = STATE(1314),
    [sym_list] = STATE(1314),
    [sym_negated_command] = STATE(1314),
    [sym_test_command] = STATE(1314),
    [sym_declaration_command] = STATE(1314),
    [sym_unset_command] = STATE(1314),
    [sym_command] = STATE(1314),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(224),
    [sym_subscript] = STATE(2552),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(561),
    [sym_string] = STATE(267),
    [sym_simple_expansion] = STATE(267),
    [sym_string_expansion] = STATE(267),
    [sym_expansion] = STATE(267),
    [sym_command_substitution] = STATE(267),
    [sym_process_substitution] = STATE(267),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(296),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_elif_clause] = STATE(2304),
    [sym_else_clause] = STATE(2721),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_if_statement_repeat1] = STATE(2304),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_elif_clause] = STATE(2294),
    [sym_else_clause] = STATE(2729),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_if_statement_repeat1] = STATE(2294),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(2),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_elif_clause] = STATE(2281),
    [sym_else_clause] = STATE(2676),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_if_statement_repeat1] = STATE(2281),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(3),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_elif_clause] = STATE(2278),
    [sym_else_clause] = STATE(2638),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_if_statement_repeat1] = STATE(2278),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_done] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_fi] = ACTIONS(131),
    [anon_sym_elif] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [7] = {
    [sym__statements] = STATE(2528),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(155),
    [sym_variable_assignment] = STATE(222),
    [sym_subscript] = STATE(2619),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(233),
    [sym_simple_expansion] = STATE(233),
    [sym_string_expansion] = STATE(233),
    [sym_expansion] = STATE(233),
    [sym_command_substitution] = STATE(233),
    [sym_process_substitution] = STATE(233),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(428),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(201),
    [anon_sym_SEMI_SEMI] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [8] = {
    [aux_sym__statements2] = STATE(9),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(229),
    [anon_sym_elif] = ACTIONS(229),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [9] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(231),
    [anon_sym_elif] = ACTIONS(231),
    [anon_sym_else] = ACTIONS(231),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [10] = {
    [sym__statements] = STATE(2609),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(155),
    [sym_variable_assignment] = STATE(222),
    [sym_subscript] = STATE(2619),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(233),
    [sym_simple_expansion] = STATE(233),
    [sym_string_expansion] = STATE(233),
    [sym_expansion] = STATE(233),
    [sym_command_substitution] = STATE(233),
    [sym_process_substitution] = STATE(233),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(428),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(233),
    [anon_sym_SEMI_SEMI] = ACTIONS(235),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [11] = {
    [sym__statements] = STATE(2542),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(155),
    [sym_variable_assignment] = STATE(222),
    [sym_subscript] = STATE(2619),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(233),
    [sym_simple_expansion] = STATE(233),
    [sym_string_expansion] = STATE(233),
    [sym_expansion] = STATE(233),
    [sym_command_substitution] = STATE(233),
    [sym_process_substitution] = STATE(233),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(428),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(237),
    [anon_sym_SEMI_SEMI] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [12] = {
    [sym__statements] = STATE(2589),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(155),
    [sym_variable_assignment] = STATE(222),
    [sym_subscript] = STATE(2619),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(233),
    [sym_simple_expansion] = STATE(233),
    [sym_string_expansion] = STATE(233),
    [sym_expansion] = STATE(233),
    [sym_command_substitution] = STATE(233),
    [sym_process_substitution] = STATE(233),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(428),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(241),
    [anon_sym_SEMI_SEMI] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [13] = {
    [sym__statements] = STATE(2660),
    [sym_redirected_statement] = STATE(1368),
    [sym_for_statement] = STATE(1368),
    [sym_c_style_for_statement] = STATE(1368),
    [sym_while_statement] = STATE(1368),
    [sym_if_statement] = STATE(1368),
    [sym_case_statement] = STATE(1368),
    [sym_function_definition] = STATE(1368),
    [sym_compound_statement] = STATE(1368),
    [sym_subshell] = STATE(1368),
    [sym_pipeline] = STATE(1368),
    [sym_list] = STATE(1368),
    [sym_negated_command] = STATE(1368),
    [sym_test_command] = STATE(1368),
    [sym_declaration_command] = STATE(1368),
    [sym_unset_command] = STATE(1368),
    [sym_command] = STATE(1368),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [14] = {
    [sym__statements] = STATE(2639),
    [sym_redirected_statement] = STATE(1368),
    [sym_for_statement] = STATE(1368),
    [sym_c_style_for_statement] = STATE(1368),
    [sym_while_statement] = STATE(1368),
    [sym_if_statement] = STATE(1368),
    [sym_case_statement] = STATE(1368),
    [sym_function_definition] = STATE(1368),
    [sym_compound_statement] = STATE(1368),
    [sym_subshell] = STATE(1368),
    [sym_pipeline] = STATE(1368),
    [sym_list] = STATE(1368),
    [sym_negated_command] = STATE(1368),
    [sym_test_command] = STATE(1368),
    [sym_declaration_command] = STATE(1368),
    [sym_unset_command] = STATE(1368),
    [sym_command] = STATE(1368),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [15] = {
    [sym__statements] = STATE(2686),
    [sym_redirected_statement] = STATE(1368),
    [sym_for_statement] = STATE(1368),
    [sym_c_style_for_statement] = STATE(1368),
    [sym_while_statement] = STATE(1368),
    [sym_if_statement] = STATE(1368),
    [sym_case_statement] = STATE(1368),
    [sym_function_definition] = STATE(1368),
    [sym_compound_statement] = STATE(1368),
    [sym_subshell] = STATE(1368),
    [sym_pipeline] = STATE(1368),
    [sym_list] = STATE(1368),
    [sym_negated_command] = STATE(1368),
    [sym_test_command] = STATE(1368),
    [sym_declaration_command] = STATE(1368),
    [sym_unset_command] = STATE(1368),
    [sym_command] = STATE(1368),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [16] = {
    [sym__statements] = STATE(2730),
    [sym_redirected_statement] = STATE(1368),
    [sym_for_statement] = STATE(1368),
    [sym_c_style_for_statement] = STATE(1368),
    [sym_while_statement] = STATE(1368),
    [sym_if_statement] = STATE(1368),
    [sym_case_statement] = STATE(1368),
    [sym_function_definition] = STATE(1368),
    [sym_compound_statement] = STATE(1368),
    [sym_subshell] = STATE(1368),
    [sym_pipeline] = STATE(1368),
    [sym_list] = STATE(1368),
    [sym_negated_command] = STATE(1368),
    [sym_test_command] = STATE(1368),
    [sym_declaration_command] = STATE(1368),
    [sym_unset_command] = STATE(1368),
    [sym_command] = STATE(1368),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [17] = {
    [sym__statements] = STATE(2722),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [sym__statements] = STATE(2786),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1544),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [aux_sym__statements2] = STATE(57),
    [sym_redirected_statement] = STATE(1381),
    [sym_for_statement] = STATE(1381),
    [sym_c_style_for_statement] = STATE(1381),
    [sym_while_statement] = STATE(1381),
    [sym_if_statement] = STATE(1381),
    [sym_case_statement] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_compound_statement] = STATE(1381),
    [sym_subshell] = STATE(1381),
    [sym_pipeline] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_negated_command] = STATE(1381),
    [sym_test_command] = STATE(1381),
    [sym_declaration_command] = STATE(1381),
    [sym_unset_command] = STATE(1381),
    [sym_command] = STATE(1381),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(243),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [sym__statements] = STATE(2783),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(2787),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1514),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(2631),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [sym__statements] = STATE(2757),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [sym__statements] = STATE(2746),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(2745),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1518),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(261),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(2719),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(2674),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1536),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(2668),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(2667),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(2715),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [sym__statements] = STATE(2707),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1538),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(2665),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(2658),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [aux_sym__statements2] = STATE(92),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [aux_sym__statements2] = STATE(36),
    [sym_redirected_statement] = STATE(1381),
    [sym_for_statement] = STATE(1381),
    [sym_c_style_for_statement] = STATE(1381),
    [sym_while_statement] = STATE(1381),
    [sym_if_statement] = STATE(1381),
    [sym_case_statement] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_compound_statement] = STATE(1381),
    [sym_subshell] = STATE(1381),
    [sym_pipeline] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_negated_command] = STATE(1381),
    [sym_test_command] = STATE(1381),
    [sym_declaration_command] = STATE(1381),
    [sym_unset_command] = STATE(1381),
    [sym_command] = STATE(1381),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(243),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [37] = {
    [sym__statements] = STATE(2716),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1585),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [sym__statements] = STATE(2656),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1545),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(2626),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(2625),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [sym__statements] = STATE(2713),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(2628),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1588),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(2654),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(2655),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(2657),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1590),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(2681),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(2682),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(2685),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1593),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(2704),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(2706),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(2708),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1602),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(2696),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(2723),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(2727),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1622),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(2750),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(2751),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [aux_sym__statements2] = STATE(36),
    [sym_redirected_statement] = STATE(1381),
    [sym_for_statement] = STATE(1381),
    [sym_c_style_for_statement] = STATE(1381),
    [sym_while_statement] = STATE(1381),
    [sym_if_statement] = STATE(1381),
    [sym_case_statement] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_compound_statement] = STATE(1381),
    [sym_subshell] = STATE(1381),
    [sym_pipeline] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_negated_command] = STATE(1381),
    [sym_test_command] = STATE(1381),
    [sym_declaration_command] = STATE(1381),
    [sym_unset_command] = STATE(1381),
    [sym_command] = STATE(1381),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(243),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [sym__statements] = STATE(2755),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1605),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym__statements] = STATE(2781),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(2782),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(2709),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [sym__statements] = STATE(2653),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [sym__statements] = STATE(2712),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [sym__statements] = STATE(2702),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1600),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [sym__statements] = STATE(2697),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [aux_sym__statements2] = STATE(59),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [sym__statements] = STATE(2768),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1555),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [sym__statements] = STATE(2796),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(2797),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(2710),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1603),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [aux_sym__statements2] = STATE(36),
    [sym_redirected_statement] = STATE(1381),
    [sym_for_statement] = STATE(1381),
    [sym_c_style_for_statement] = STATE(1381),
    [sym_while_statement] = STATE(1381),
    [sym_if_statement] = STATE(1381),
    [sym_case_statement] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_compound_statement] = STATE(1381),
    [sym_subshell] = STATE(1381),
    [sym_pipeline] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_negated_command] = STATE(1381),
    [sym_test_command] = STATE(1381),
    [sym_declaration_command] = STATE(1381),
    [sym_unset_command] = STATE(1381),
    [sym_command] = STATE(1381),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(243),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [aux_sym__statements2] = STATE(72),
    [sym_redirected_statement] = STATE(1381),
    [sym_for_statement] = STATE(1381),
    [sym_c_style_for_statement] = STATE(1381),
    [sym_while_statement] = STATE(1381),
    [sym_if_statement] = STATE(1381),
    [sym_case_statement] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_compound_statement] = STATE(1381),
    [sym_subshell] = STATE(1381),
    [sym_pipeline] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_negated_command] = STATE(1381),
    [sym_test_command] = STATE(1381),
    [sym_declaration_command] = STATE(1381),
    [sym_unset_command] = STATE(1381),
    [sym_command] = STATE(1381),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(243),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [sym__statements] = STATE(2767),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(2703),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [sym__statements] = STATE(2701),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(2695),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1572),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [sym__statements] = STATE(2683),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(2680),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(2678),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1592),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(2634),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(2646),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [sym__statements] = STATE(2645),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [sym__statements] = STATE(2643),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1560),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [85] = {
    [sym__statements] = STATE(2659),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(2649),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [aux_sym__statements2] = STATE(26),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(2651),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1535),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(2693),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(2694),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(2699),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1515),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(279),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(2759),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(2761),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(2728),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1539),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(2771),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(2770),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [sym__statements] = STATE(2769),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1556),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [sym__statements] = STATE(2754),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(2749),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(2747),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1575),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(2636),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1548),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(2642),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(2641),
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(2635),
    [sym_redirected_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_c_style_for_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_case_statement] = STATE(1310),
    [sym_function_definition] = STATE(1310),
    [sym_compound_statement] = STATE(1310),
    [sym_subshell] = STATE(1310),
    [sym_pipeline] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_negated_command] = STATE(1310),
    [sym_test_command] = STATE(1310),
    [sym_declaration_command] = STATE(1310),
    [sym_unset_command] = STATE(1310),
    [sym_command] = STATE(1310),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(1623),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [sym_redirected_statement] = STATE(1321),
    [sym_for_statement] = STATE(1321),
    [sym_c_style_for_statement] = STATE(1321),
    [sym_while_statement] = STATE(1321),
    [sym_if_statement] = STATE(1321),
    [sym_case_statement] = STATE(1321),
    [sym_function_definition] = STATE(1321),
    [sym_compound_statement] = STATE(1321),
    [sym_subshell] = STATE(1321),
    [sym_pipeline] = STATE(1321),
    [sym_list] = STATE(1321),
    [sym_negated_command] = STATE(1321),
    [sym_test_command] = STATE(1321),
    [sym_declaration_command] = STATE(1321),
    [sym_unset_command] = STATE(1321),
    [sym_command] = STATE(1321),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [107] = {
    [sym__terminated_statement] = STATE(2598),
    [sym_redirected_statement] = STATE(1382),
    [sym_for_statement] = STATE(1382),
    [sym_c_style_for_statement] = STATE(1382),
    [sym_while_statement] = STATE(1382),
    [sym_if_statement] = STATE(1382),
    [sym_case_statement] = STATE(1382),
    [sym_function_definition] = STATE(1382),
    [sym_compound_statement] = STATE(1382),
    [sym_subshell] = STATE(1382),
    [sym_pipeline] = STATE(1382),
    [sym_list] = STATE(1382),
    [sym_negated_command] = STATE(1382),
    [sym_test_command] = STATE(1382),
    [sym_declaration_command] = STATE(1382),
    [sym_unset_command] = STATE(1382),
    [sym_command] = STATE(1382),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(232),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [108] = {
    [sym__terminated_statement] = STATE(2720),
    [sym_redirected_statement] = STATE(1382),
    [sym_for_statement] = STATE(1382),
    [sym_c_style_for_statement] = STATE(1382),
    [sym_while_statement] = STATE(1382),
    [sym_if_statement] = STATE(1382),
    [sym_case_statement] = STATE(1382),
    [sym_function_definition] = STATE(1382),
    [sym_compound_statement] = STATE(1382),
    [sym_subshell] = STATE(1382),
    [sym_pipeline] = STATE(1382),
    [sym_list] = STATE(1382),
    [sym_negated_command] = STATE(1382),
    [sym_test_command] = STATE(1382),
    [sym_declaration_command] = STATE(1382),
    [sym_unset_command] = STATE(1382),
    [sym_command] = STATE(1382),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(232),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym__terminated_statement] = STATE(2571),
    [sym_redirected_statement] = STATE(1382),
    [sym_for_statement] = STATE(1382),
    [sym_c_style_for_statement] = STATE(1382),
    [sym_while_statement] = STATE(1382),
    [sym_if_statement] = STATE(1382),
    [sym_case_statement] = STATE(1382),
    [sym_function_definition] = STATE(1382),
    [sym_compound_statement] = STATE(1382),
    [sym_subshell] = STATE(1382),
    [sym_pipeline] = STATE(1382),
    [sym_list] = STATE(1382),
    [sym_negated_command] = STATE(1382),
    [sym_test_command] = STATE(1382),
    [sym_declaration_command] = STATE(1382),
    [sym_unset_command] = STATE(1382),
    [sym_command] = STATE(1382),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(232),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym__terminated_statement] = STATE(2718),
    [sym_redirected_statement] = STATE(1382),
    [sym_for_statement] = STATE(1382),
    [sym_c_style_for_statement] = STATE(1382),
    [sym_while_statement] = STATE(1382),
    [sym_if_statement] = STATE(1382),
    [sym_case_statement] = STATE(1382),
    [sym_function_definition] = STATE(1382),
    [sym_compound_statement] = STATE(1382),
    [sym_subshell] = STATE(1382),
    [sym_pipeline] = STATE(1382),
    [sym_list] = STATE(1382),
    [sym_negated_command] = STATE(1382),
    [sym_test_command] = STATE(1382),
    [sym_declaration_command] = STATE(1382),
    [sym_unset_command] = STATE(1382),
    [sym_command] = STATE(1382),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(232),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [111] = {
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym_redirected_statement] = STATE(1333),
    [sym_for_statement] = STATE(1333),
    [sym_c_style_for_statement] = STATE(1333),
    [sym_while_statement] = STATE(1333),
    [sym_if_statement] = STATE(1333),
    [sym_case_statement] = STATE(1333),
    [sym_function_definition] = STATE(1333),
    [sym_compound_statement] = STATE(1333),
    [sym_subshell] = STATE(1333),
    [sym_pipeline] = STATE(1333),
    [sym_list] = STATE(1333),
    [sym_negated_command] = STATE(1333),
    [sym_test_command] = STATE(1333),
    [sym_declaration_command] = STATE(1333),
    [sym_unset_command] = STATE(1333),
    [sym_command] = STATE(1333),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(218),
    [sym_subscript] = STATE(2552),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(561),
    [sym_string] = STATE(267),
    [sym_simple_expansion] = STATE(267),
    [sym_string_expansion] = STATE(267),
    [sym_expansion] = STATE(267),
    [sym_command_substitution] = STATE(267),
    [sym_process_substitution] = STATE(267),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(296),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [113] = {
    [sym_redirected_statement] = STATE(1362),
    [sym_for_statement] = STATE(1362),
    [sym_c_style_for_statement] = STATE(1362),
    [sym_while_statement] = STATE(1362),
    [sym_if_statement] = STATE(1362),
    [sym_case_statement] = STATE(1362),
    [sym_function_definition] = STATE(1362),
    [sym_compound_statement] = STATE(1362),
    [sym_subshell] = STATE(1362),
    [sym_pipeline] = STATE(1362),
    [sym_list] = STATE(1362),
    [sym_negated_command] = STATE(1362),
    [sym_test_command] = STATE(1362),
    [sym_declaration_command] = STATE(1362),
    [sym_unset_command] = STATE(1362),
    [sym_command] = STATE(1362),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(256),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym_redirected_statement] = STATE(1365),
    [sym_for_statement] = STATE(1365),
    [sym_c_style_for_statement] = STATE(1365),
    [sym_while_statement] = STATE(1365),
    [sym_if_statement] = STATE(1365),
    [sym_case_statement] = STATE(1365),
    [sym_function_definition] = STATE(1365),
    [sym_compound_statement] = STATE(1365),
    [sym_subshell] = STATE(1365),
    [sym_pipeline] = STATE(1365),
    [sym_list] = STATE(1365),
    [sym_negated_command] = STATE(1365),
    [sym_test_command] = STATE(1365),
    [sym_declaration_command] = STATE(1365),
    [sym_unset_command] = STATE(1365),
    [sym_command] = STATE(1365),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(239),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(281),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(287),
    [anon_sym_while] = ACTIONS(290),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_function] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(302),
    [anon_sym_LBRACE] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(314),
    [anon_sym_declare] = ACTIONS(317),
    [anon_sym_typeset] = ACTIONS(317),
    [anon_sym_export] = ACTIONS(317),
    [anon_sym_readonly] = ACTIONS(317),
    [anon_sym_local] = ACTIONS(317),
    [anon_sym_unset] = ACTIONS(320),
    [anon_sym_unsetenv] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(326),
    [anon_sym_LT_AMP] = ACTIONS(326),
    [anon_sym_GT_AMP] = ACTIONS(326),
    [anon_sym_GT_PIPE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(329),
    [sym__special_character] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_raw_string] = ACTIONS(338),
    [sym_ansii_c_string] = ACTIONS(338),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(341),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(344),
    [anon_sym_BQUOTE] = ACTIONS(347),
    [anon_sym_LT_LPAREN] = ACTIONS(350),
    [anon_sym_GT_LPAREN] = ACTIONS(350),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(353),
    [sym_variable_name] = ACTIONS(356),
  },
  [115] = {
    [sym_redirected_statement] = STATE(1328),
    [sym_for_statement] = STATE(1328),
    [sym_c_style_for_statement] = STATE(1328),
    [sym_while_statement] = STATE(1328),
    [sym_if_statement] = STATE(1328),
    [sym_case_statement] = STATE(1328),
    [sym_function_definition] = STATE(1328),
    [sym_compound_statement] = STATE(1328),
    [sym_subshell] = STATE(1328),
    [sym_pipeline] = STATE(1328),
    [sym_list] = STATE(1328),
    [sym_negated_command] = STATE(1328),
    [sym_test_command] = STATE(1328),
    [sym_declaration_command] = STATE(1328),
    [sym_unset_command] = STATE(1328),
    [sym_command] = STATE(1328),
    [sym_command_name] = STATE(155),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2619),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(233),
    [sym_simple_expansion] = STATE(233),
    [sym_string_expansion] = STATE(233),
    [sym_expansion] = STATE(233),
    [sym_command_substitution] = STATE(233),
    [sym_process_substitution] = STATE(233),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(428),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [116] = {
    [sym__terminated_statement] = STATE(2739),
    [sym_redirected_statement] = STATE(1382),
    [sym_for_statement] = STATE(1382),
    [sym_c_style_for_statement] = STATE(1382),
    [sym_while_statement] = STATE(1382),
    [sym_if_statement] = STATE(1382),
    [sym_case_statement] = STATE(1382),
    [sym_function_definition] = STATE(1382),
    [sym_compound_statement] = STATE(1382),
    [sym_subshell] = STATE(1382),
    [sym_pipeline] = STATE(1382),
    [sym_list] = STATE(1382),
    [sym_negated_command] = STATE(1382),
    [sym_test_command] = STATE(1382),
    [sym_declaration_command] = STATE(1382),
    [sym_unset_command] = STATE(1382),
    [sym_command] = STATE(1382),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(232),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [117] = {
    [sym_redirected_statement] = STATE(1308),
    [sym_for_statement] = STATE(1308),
    [sym_c_style_for_statement] = STATE(1308),
    [sym_while_statement] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_case_statement] = STATE(1308),
    [sym_function_definition] = STATE(1308),
    [sym_compound_statement] = STATE(1308),
    [sym_subshell] = STATE(1308),
    [sym_pipeline] = STATE(1308),
    [sym_list] = STATE(1308),
    [sym_negated_command] = STATE(1308),
    [sym_test_command] = STATE(1308),
    [sym_declaration_command] = STATE(1308),
    [sym_unset_command] = STATE(1308),
    [sym_command] = STATE(1308),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(220),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [118] = {
    [sym_redirected_statement] = STATE(1315),
    [sym_for_statement] = STATE(1315),
    [sym_c_style_for_statement] = STATE(1315),
    [sym_while_statement] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_case_statement] = STATE(1315),
    [sym_function_definition] = STATE(1315),
    [sym_compound_statement] = STATE(1315),
    [sym_subshell] = STATE(1315),
    [sym_pipeline] = STATE(1315),
    [sym_list] = STATE(1315),
    [sym_negated_command] = STATE(1315),
    [sym_test_command] = STATE(1315),
    [sym_declaration_command] = STATE(1315),
    [sym_unset_command] = STATE(1315),
    [sym_command] = STATE(1315),
    [sym_command_name] = STATE(155),
    [sym_variable_assignment] = STATE(226),
    [sym_subscript] = STATE(2619),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(233),
    [sym_simple_expansion] = STATE(233),
    [sym_string_expansion] = STATE(233),
    [sym_expansion] = STATE(233),
    [sym_command_substitution] = STATE(233),
    [sym_process_substitution] = STATE(233),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(428),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [119] = {
    [sym_redirected_statement] = STATE(1325),
    [sym_for_statement] = STATE(1325),
    [sym_c_style_for_statement] = STATE(1325),
    [sym_while_statement] = STATE(1325),
    [sym_if_statement] = STATE(1325),
    [sym_case_statement] = STATE(1325),
    [sym_function_definition] = STATE(1325),
    [sym_compound_statement] = STATE(1325),
    [sym_subshell] = STATE(1325),
    [sym_pipeline] = STATE(1325),
    [sym_list] = STATE(1325),
    [sym_negated_command] = STATE(1325),
    [sym_test_command] = STATE(1325),
    [sym_declaration_command] = STATE(1325),
    [sym_unset_command] = STATE(1325),
    [sym_command] = STATE(1325),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2552),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(561),
    [sym_string] = STATE(267),
    [sym_simple_expansion] = STATE(267),
    [sym_string_expansion] = STATE(267),
    [sym_expansion] = STATE(267),
    [sym_command_substitution] = STATE(267),
    [sym_process_substitution] = STATE(267),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(296),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [120] = {
    [sym_redirected_statement] = STATE(1311),
    [sym_for_statement] = STATE(1311),
    [sym_c_style_for_statement] = STATE(1311),
    [sym_while_statement] = STATE(1311),
    [sym_if_statement] = STATE(1311),
    [sym_case_statement] = STATE(1311),
    [sym_function_definition] = STATE(1311),
    [sym_compound_statement] = STATE(1311),
    [sym_subshell] = STATE(1311),
    [sym_pipeline] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_negated_command] = STATE(1311),
    [sym_test_command] = STATE(1311),
    [sym_declaration_command] = STATE(1311),
    [sym_unset_command] = STATE(1311),
    [sym_command] = STATE(1311),
    [sym_command_name] = STATE(155),
    [sym_variable_assignment] = STATE(230),
    [sym_subscript] = STATE(2619),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(233),
    [sym_simple_expansion] = STATE(233),
    [sym_string_expansion] = STATE(233),
    [sym_expansion] = STATE(233),
    [sym_command_substitution] = STATE(233),
    [sym_process_substitution] = STATE(233),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(428),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [121] = {
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(259),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [122] = {
    [sym_redirected_statement] = STATE(1324),
    [sym_for_statement] = STATE(1324),
    [sym_c_style_for_statement] = STATE(1324),
    [sym_while_statement] = STATE(1324),
    [sym_if_statement] = STATE(1324),
    [sym_case_statement] = STATE(1324),
    [sym_function_definition] = STATE(1324),
    [sym_compound_statement] = STATE(1324),
    [sym_subshell] = STATE(1324),
    [sym_pipeline] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_negated_command] = STATE(1324),
    [sym_test_command] = STATE(1324),
    [sym_declaration_command] = STATE(1324),
    [sym_unset_command] = STATE(1324),
    [sym_command] = STATE(1324),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(228),
    [sym_subscript] = STATE(2552),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(561),
    [sym_string] = STATE(267),
    [sym_simple_expansion] = STATE(267),
    [sym_string_expansion] = STATE(267),
    [sym_expansion] = STATE(267),
    [sym_command_substitution] = STATE(267),
    [sym_process_substitution] = STATE(267),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(296),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [123] = {
    [sym_redirected_statement] = STATE(1308),
    [sym_for_statement] = STATE(1308),
    [sym_c_style_for_statement] = STATE(1308),
    [sym_while_statement] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_case_statement] = STATE(1308),
    [sym_function_definition] = STATE(1308),
    [sym_compound_statement] = STATE(1308),
    [sym_subshell] = STATE(1308),
    [sym_pipeline] = STATE(1308),
    [sym_list] = STATE(1308),
    [sym_negated_command] = STATE(1308),
    [sym_test_command] = STATE(1308),
    [sym_declaration_command] = STATE(1308),
    [sym_unset_command] = STATE(1308),
    [sym_command] = STATE(1308),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(595),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(595),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym_redirected_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_c_style_for_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_case_statement] = STATE(1312),
    [sym_function_definition] = STATE(1312),
    [sym_compound_statement] = STATE(1312),
    [sym_subshell] = STATE(1312),
    [sym_pipeline] = STATE(1312),
    [sym_list] = STATE(1312),
    [sym_negated_command] = STATE(1312),
    [sym_test_command] = STATE(1312),
    [sym_declaration_command] = STATE(1312),
    [sym_unset_command] = STATE(1312),
    [sym_command] = STATE(1312),
    [sym_command_name] = STATE(171),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2556),
    [sym_file_redirect] = STATE(598),
    [sym_concatenation] = STATE(606),
    [sym_string] = STATE(257),
    [sym_simple_expansion] = STATE(257),
    [sym_string_expansion] = STATE(257),
    [sym_expansion] = STATE(257),
    [sym_command_substitution] = STATE(257),
    [sym_process_substitution] = STATE(257),
    [aux_sym_command_repeat1] = STATE(598),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2375), 1,
      sym_heredoc_body,
    ACTIONS(265), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [60] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(379), 1,
      anon_sym_BQUOTE,
    ACTIONS(383), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(385), 1,
      sym_variable_name,
    STATE(423), 1,
      aux_sym__literal_repeat1,
    STATE(2613), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(133), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(237), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 1,
      anon_sym_DOLLAR,
    ACTIONS(391), 1,
      sym__special_character,
    ACTIONS(393), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(399), 1,
      anon_sym_BQUOTE,
    ACTIONS(403), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(405), 1,
      sym_variable_name,
    STATE(315), 1,
      aux_sym__literal_repeat1,
    STATE(2516), 1,
      sym_subscript,
    ACTIONS(401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(365), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [222] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_DOLLAR,
    ACTIONS(411), 1,
      sym__special_character,
    ACTIONS(413), 1,
      anon_sym_DQUOTE,
    ACTIONS(415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(419), 1,
      anon_sym_BQUOTE,
    ACTIONS(423), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(425), 1,
      sym_variable_name,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(407), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(246), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [303] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(379), 1,
      anon_sym_BQUOTE,
    ACTIONS(385), 1,
      sym_variable_name,
    ACTIONS(431), 1,
      aux_sym__simple_variable_name_token1,
    STATE(423), 1,
      aux_sym__literal_repeat1,
    STATE(2613), 1,
      sym_subscript,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(427), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(126), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(237), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(429), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      sym__special_character,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(449), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(452), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(461), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(464), 1,
      sym_variable_name,
    STATE(315), 1,
      aux_sym__literal_repeat1,
    STATE(2516), 1,
      sym_subscript,
    ACTIONS(458), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(433), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(435), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(438), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_DOLLAR,
    ACTIONS(411), 1,
      sym__special_character,
    ACTIONS(413), 1,
      anon_sym_DQUOTE,
    ACTIONS(415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(419), 1,
      anon_sym_BQUOTE,
    ACTIONS(425), 1,
      sym_variable_name,
    ACTIONS(467), 1,
      aux_sym__simple_variable_name_token1,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(427), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(407), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(246), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(429), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 1,
      anon_sym_DOLLAR,
    ACTIONS(391), 1,
      sym__special_character,
    ACTIONS(393), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(399), 1,
      anon_sym_BQUOTE,
    ACTIONS(405), 1,
      sym_variable_name,
    ACTIONS(469), 1,
      aux_sym__simple_variable_name_token1,
    STATE(315), 1,
      aux_sym__literal_repeat1,
    STATE(2516), 1,
      sym_subscript,
    ACTIONS(401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(427), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(127), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(429), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [627] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(474), 1,
      anon_sym_DOLLAR,
    ACTIONS(477), 1,
      sym__special_character,
    ACTIONS(480), 1,
      anon_sym_DQUOTE,
    ACTIONS(483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(486), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(489), 1,
      anon_sym_BQUOTE,
    ACTIONS(495), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(498), 1,
      sym_variable_name,
    STATE(423), 1,
      aux_sym__literal_repeat1,
    STATE(2613), 1,
      sym_subscript,
    ACTIONS(433), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(471), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(133), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(237), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(438), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [708] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(504), 1,
      anon_sym_DOLLAR,
    ACTIONS(507), 1,
      sym__special_character,
    ACTIONS(510), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(516), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(519), 1,
      anon_sym_BQUOTE,
    ACTIONS(525), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(528), 1,
      sym_variable_name,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(433), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(522), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(501), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(246), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(438), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [789] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(535), 1,
      anon_sym_esac,
    ACTIONS(537), 1,
      anon_sym_SEMI_SEMI,
    STATE(2344), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [851] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(547), 1,
      sym_raw_string,
    STATE(349), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(543), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(549), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_DOLLAR,
    ACTIONS(411), 1,
      sym__special_character,
    ACTIONS(413), 1,
      anon_sym_DQUOTE,
    ACTIONS(415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(423), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(425), 1,
      sym_variable_name,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(407), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(246), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [991] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(551), 1,
      anon_sym_esac,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    STATE(2315), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1053] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(559), 1,
      sym_raw_string,
    STATE(418), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(555), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(561), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_DOLLAR,
    ACTIONS(411), 1,
      sym__special_character,
    ACTIONS(413), 1,
      anon_sym_DQUOTE,
    ACTIONS(415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(425), 1,
      sym_variable_name,
    ACTIONS(563), 1,
      aux_sym__simple_variable_name_token1,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(427), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(407), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(137), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(246), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(429), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [1193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(569), 1,
      sym_raw_string,
    STATE(368), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(565), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(571), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 1,
      anon_sym_DQUOTE,
    ACTIONS(575), 1,
      sym_raw_string,
    STATE(280), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(573), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(577), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1316] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(581), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1393] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2376), 1,
      sym_heredoc_body,
    ACTIONS(265), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1450] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_DOLLAR,
    ACTIONS(608), 1,
      sym__special_character,
    ACTIONS(611), 1,
      anon_sym_DQUOTE,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(620), 1,
      anon_sym_BQUOTE,
    STATE(145), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(598), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(602), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(623), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(595), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(600), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1527] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(537), 1,
      anon_sym_RPAREN,
    STATE(2317), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1586] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(626), 1,
      sym__simple_heredoc_body,
    ACTIONS(628), 1,
      sym__heredoc_body_beginning,
    STATE(2333), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(154), 1,
      aux_sym_command_repeat2,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(630), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(632), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1722] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(646), 1,
      anon_sym_BQUOTE,
    STATE(145), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(636), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(638), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1799] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(652), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(650), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(656), 1,
      sym_raw_string,
    STATE(385), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(654), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(658), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(664), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(666), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(668), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    STATE(653), 1,
      sym_concatenation,
    ACTIONS(662), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(670), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(581), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(660), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(247), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1988] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_DQUOTE,
    ACTIONS(676), 1,
      sym_raw_string,
    STATE(535), 1,
      sym_string,
    ACTIONS(539), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(672), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(678), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(636), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(638), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2126] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(143), 1,
      aux_sym_command_repeat2,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(680), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(682), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2203] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(265), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 1,
      anon_sym_DQUOTE,
    ACTIONS(688), 1,
      sym_raw_string,
    STATE(552), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(684), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(690), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2315] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(664), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(666), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(668), 1,
      anon_sym_BQUOTE,
    STATE(152), 1,
      aux_sym_command_repeat2,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    STATE(653), 1,
      sym_concatenation,
    ACTIONS(662), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(670), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(660), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(680), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(247), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(682), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2392] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(646), 1,
      anon_sym_BQUOTE,
    STATE(149), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(630), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(632), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(646), 1,
      anon_sym_BQUOTE,
    STATE(145), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(581), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 1,
      anon_sym_DQUOTE,
    ACTIONS(696), 1,
      sym_raw_string,
    STATE(660), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(692), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(698), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(664), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(666), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(668), 1,
      anon_sym_BQUOTE,
    STATE(163), 1,
      aux_sym_command_repeat2,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    STATE(653), 1,
      sym_concatenation,
    ACTIONS(662), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(670), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(630), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(660), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(247), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(632), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2684] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(664), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(666), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(668), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    STATE(653), 1,
      sym_concatenation,
    ACTIONS(662), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(670), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(636), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(660), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(247), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(638), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2761] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 1,
      ts_builtin_sym_end,
    ACTIONS(626), 1,
      sym__simple_heredoc_body,
    ACTIONS(628), 1,
      sym__heredoc_body_beginning,
    STATE(2321), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2820] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 1,
      anon_sym_DOLLAR,
    ACTIONS(709), 1,
      sym__special_character,
    ACTIONS(712), 1,
      anon_sym_DQUOTE,
    ACTIONS(715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(718), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(721), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    STATE(653), 1,
      sym_concatenation,
    ACTIONS(703), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(724), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(598), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(700), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(247), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(600), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2897] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    STATE(2334), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2956] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_DOLLAR,
    ACTIONS(736), 1,
      sym__special_character,
    ACTIONS(739), 1,
      anon_sym_DQUOTE,
    ACTIONS(742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(748), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(598), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(730), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(751), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(727), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(600), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3033] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    STATE(2372), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DQUOTE,
    ACTIONS(756), 1,
      sym_raw_string,
    STATE(330), 1,
      sym_string,
    ACTIONS(539), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(754), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(758), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3153] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(537), 1,
      anon_sym_SEMI_SEMI,
    STATE(2357), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3212] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(646), 1,
      anon_sym_BQUOTE,
    STATE(160), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(680), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(682), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DQUOTE,
    ACTIONS(764), 1,
      sym_raw_string,
    STATE(563), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(760), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(766), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3349] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(179), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(680), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(682), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3423] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_DOLLAR,
    ACTIONS(778), 1,
      sym__special_character,
    ACTIONS(781), 1,
      anon_sym_DQUOTE,
    ACTIONS(784), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(787), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(790), 1,
      anon_sym_BQUOTE,
    ACTIONS(796), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(771), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(793), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(174), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(768), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(773), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3497] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_DOLLAR,
    ACTIONS(805), 1,
      sym__special_character,
    ACTIONS(808), 1,
      anon_sym_DQUOTE,
    ACTIONS(811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(817), 1,
      anon_sym_BQUOTE,
    ACTIONS(823), 1,
      aux_sym__simple_variable_name_token1,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(771), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(820), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(175), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(799), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(422), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(773), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3571] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 1,
      anon_sym_DOLLAR,
    ACTIONS(832), 1,
      sym__special_character,
    ACTIONS(835), 1,
      anon_sym_DQUOTE,
    ACTIONS(838), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(841), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(844), 1,
      anon_sym_BQUOTE,
    ACTIONS(850), 1,
      aux_sym__simple_variable_name_token1,
    STATE(624), 1,
      aux_sym__literal_repeat1,
    ACTIONS(847), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(176), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(771), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(826), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(322), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(773), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3645] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(189), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(630), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(632), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3719] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2353), 1,
      sym_heredoc_body,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3775] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(145), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(581), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3849] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(861), 1,
      sym__special_character,
    ACTIONS(863), 1,
      anon_sym_DQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(867), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(869), 1,
      anon_sym_BQUOTE,
    ACTIONS(873), 1,
      aux_sym__simple_variable_name_token1,
    STATE(624), 1,
      aux_sym__literal_repeat1,
    ACTIONS(871), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(853), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(855), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(322), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(857), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3923] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DQUOTE,
    ACTIONS(881), 1,
      anon_sym_DOLLAR,
    ACTIONS(883), 1,
      sym__special_character,
    ACTIONS(885), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(887), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(889), 1,
      anon_sym_BQUOTE,
    ACTIONS(893), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(891), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(174), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(875), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(879), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3997] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_DOLLAR,
    ACTIONS(899), 1,
      sym__special_character,
    ACTIONS(901), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(905), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(907), 1,
      anon_sym_BQUOTE,
    ACTIONS(911), 1,
      aux_sym__simple_variable_name_token1,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(853), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(909), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(188), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(895), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(422), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(857), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym_raw_string,
    STATE(618), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(913), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(917), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4131] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DQUOTE,
    ACTIONS(881), 1,
      anon_sym_DOLLAR,
    ACTIONS(883), 1,
      sym__special_character,
    ACTIONS(885), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(887), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(889), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(853), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(891), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(875), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(857), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4205] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_BQUOTE,
    STATE(2313), 1,
      sym_heredoc_body,
    ACTIONS(533), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4263] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(537), 1,
      anon_sym_BQUOTE,
    STATE(2336), 1,
      sym_heredoc_body,
    ACTIONS(533), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(863), 1,
      anon_sym_DQUOTE,
    ACTIONS(923), 1,
      sym_raw_string,
    STATE(616), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(921), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(925), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4381] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_DOLLAR,
    ACTIONS(899), 1,
      sym__special_character,
    ACTIONS(901), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(905), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(907), 1,
      anon_sym_BQUOTE,
    ACTIONS(927), 1,
      aux_sym__simple_variable_name_token1,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(909), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(175), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(895), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(422), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(879), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4455] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(642), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(644), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(145), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(555), 1,
      sym_concatenation,
    ACTIONS(636), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(640), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(648), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(634), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(638), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4529] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(861), 1,
      sym__special_character,
    ACTIONS(863), 1,
      anon_sym_DQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(867), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(869), 1,
      anon_sym_BQUOTE,
    ACTIONS(929), 1,
      aux_sym__simple_variable_name_token1,
    STATE(624), 1,
      aux_sym__literal_repeat1,
    ACTIONS(871), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(176), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(855), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(877), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(322), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(879), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4603] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4654] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DQUOTE,
    ACTIONS(881), 1,
      anon_sym_DOLLAR,
    ACTIONS(883), 1,
      sym__special_character,
    ACTIONS(885), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(887), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(893), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(891), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(174), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(875), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(879), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4725] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_esac,
    ACTIONS(937), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4778] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(155), 1,
      sym_command_name,
    STATE(428), 1,
      aux_sym__literal_repeat1,
    STATE(579), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(217), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(581), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1416), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(233), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4869] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4920] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(171), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(606), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(598), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1416), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5011] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(937), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5062] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_esac,
    ACTIONS(537), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5115] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_esac,
    ACTIONS(943), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5168] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DQUOTE,
    ACTIONS(881), 1,
      anon_sym_DOLLAR,
    ACTIONS(883), 1,
      sym__special_character,
    ACTIONS(885), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(887), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(945), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(853), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(891), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(192), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(875), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(857), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5239] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_esac,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5292] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(173), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(606), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(595), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1416), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5383] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5434] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(158), 1,
      sym_command_name,
    STATE(296), 1,
      aux_sym__literal_repeat1,
    STATE(561), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(592), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1648), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5525] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(265), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5573] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      ts_builtin_sym_end,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5623] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 1,
      ts_builtin_sym_end,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5673] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5723] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(652), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(650), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5771] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(937), 1,
      ts_builtin_sym_end,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5821] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5870] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5917] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(533), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5964] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6013] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_BQUOTE,
    ACTIONS(533), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6062] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_BQUOTE,
    ACTIONS(533), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(531), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      sym_variable_name,
    ACTIONS(947), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(951), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6162] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(955), 1,
      anon_sym_LF,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(959), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(957), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      sym_variable_name,
    ACTIONS(947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(951), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6327] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LF,
    ACTIONS(983), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(551), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(975), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(977), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(979), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(977), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(979), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(987), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(989), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6500] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1001), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(959), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1003), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 1,
      anon_sym_LPAREN,
    ACTIONS(1007), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      sym_variable_name,
    ACTIONS(947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(951), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6663] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_LF,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1011), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(959), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 1,
      anon_sym_LPAREN,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(977), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 9,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1021), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6942] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1025), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7048] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_BQUOTE,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1031), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1033), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1029), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__concat,
    STATE(274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      sym__concat,
    STATE(264), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1045), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 1,
      sym__concat,
    STATE(241), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1053), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7300] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1057), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1059), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1053), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__concat,
    STATE(241), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 1,
      sym__concat,
    STATE(238), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1045), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7502] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1072), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1074), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__concat,
    STATE(274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1045), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7800] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_BQUOTE,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1031), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1033), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      sym__concat,
    STATE(274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 1,
      sym__concat,
    STATE(238), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8004] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1088), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1090), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1053), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1065), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8158] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1097), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1021), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      sym_variable_name,
    ACTIONS(947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(951), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [8316] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1031), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      sym__concat,
    STATE(264), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 1,
      sym__concat,
    STATE(262), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      sym__concat,
    STATE(262), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1053), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 1,
      sym__concat,
    STATE(238), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1086), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1084), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8656] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(953), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1011), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1065), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      sym__concat,
    STATE(264), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1053), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      sym__concat,
    STATE(273), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      sym__concat,
    STATE(273), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1053), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      sym__concat,
    STATE(355), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1123), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      sym__concat,
    STATE(277), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 1,
      sym__concat,
    STATE(277), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1053), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym__concat,
    STATE(278), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1134), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1138), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1142), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1146), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1158), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      sym__concat,
    STATE(289), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1053), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 1,
      sym__concat,
    STATE(289), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    STATE(298), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    STATE(291), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1172), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 1,
      sym__special_character,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1178), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1176), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1184), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1188), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      sym__special_character,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1190), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1192), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      sym__special_character,
    STATE(297), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym__concat,
    STATE(291), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1053), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1231), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1188), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1184), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1239), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__special_character,
    STATE(297), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1251), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1146), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1172), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1142), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    STATE(298), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1263), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 1,
      sym__concat,
    STATE(446), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1138), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1158), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1134), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1231), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1239), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1184), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1188), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1231), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1207), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1134), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__special_character,
    STATE(350), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      sym__special_character,
    STATE(350), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1178), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1176), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1158), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1138), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      sym__concat,
    STATE(288), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 1,
      sym__concat,
    STATE(357), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1053), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      sym__special_character,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1278), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1280), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__concat,
    STATE(357), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      sym__special_character,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym__concat,
    STATE(278), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1086), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1084), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__special_character,
    STATE(297), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1178), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1176), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1142), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      sym__concat,
    STATE(355), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13074] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      anon_sym_DQUOTE,
    ACTIONS(1292), 1,
      sym_raw_string,
    STATE(1379), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1288), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1294), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [13127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1134), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1138), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1065), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1172), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1207), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1231), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1235), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1142), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1211), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1188), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1184), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1146), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1134), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1239), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1138), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__special_character,
    STATE(410), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1123), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1146), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1142), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1146), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1146), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1172), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1142), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1065), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1158), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      sym__concat,
    STATE(412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1053), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(410), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      sym__concat,
    STATE(412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__special_character,
    STATE(410), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1280), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      sym__special_character,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1138), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1158), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1190), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1192), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1134), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1172), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(409), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1263), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 1,
      sym__special_character,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1251), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      sym__special_character,
    STATE(350), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1251), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      sym__concat,
    STATE(288), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1263), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__special_character,
    STATE(410), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1190), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1192), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1239), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1184), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1188), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1211), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1235), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1231), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1239), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1207), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1158), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1280), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym__concat,
    STATE(449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1053), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__special_character,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      sym__concat,
    STATE(449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1172), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1239), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1184), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1188), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1231), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1207), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(409), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 1,
      sym__concat,
    STATE(446), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1188), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1184), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1239), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1172), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      sym__special_character,
    STATE(483), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1158), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1207), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1172), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1158), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1231), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1235), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1211), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1188), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1184), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1239), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1158), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1172), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1146), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1172), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1142), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      sym__special_character,
    STATE(516), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1158), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1327), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1239), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1231), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1138), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1184), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1207), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      anon_sym_DQUOTE,
    ACTIONS(1292), 1,
      sym_raw_string,
    STATE(1379), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1288), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1294), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [20382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      sym__special_character,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1178), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1176), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1134), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1188), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1146), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      sym__special_character,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1142), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1231), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1138), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1134), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      sym__special_character,
    STATE(556), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      sym__special_character,
    STATE(557), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1138), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym__special_character,
    STATE(556), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1178), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1176), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1134), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__special_character,
    STATE(564), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1138), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1142), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1231), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1146), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1239), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22380] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1345), 1,
      sym__special_character,
    STATE(148), 1,
      sym_command_name,
    STATE(428), 1,
      aux_sym__literal_repeat1,
    STATE(579), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(217), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1334), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(233), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1188), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      sym__special_character,
    STATE(557), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1347), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1184), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1239), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__special_character,
    STATE(516), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1347), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22882] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1359), 1,
      sym__special_character,
    STATE(162), 1,
      sym_command_name,
    STATE(296), 1,
      aux_sym__literal_repeat1,
    STATE(561), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1334), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1142), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1327), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23040] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1361), 1,
      sym__special_character,
    STATE(177), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(606), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1334), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1146), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23198] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1361), 1,
      sym__special_character,
    STATE(159), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(606), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1334), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1172), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1142), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1138), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1184), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1065), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1158), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1138), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1134), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1134), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1188), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1227), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      sym__special_character,
    STATE(483), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1178), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1176), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      sym__special_character,
    STATE(564), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1347), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1146), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1231), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1327), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1158), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1172), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1239), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1184), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1188), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1211), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1235), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1231), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1207), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1065), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1207), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1146), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1142), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1084), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1134), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25884] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_DQUOTE,
    ACTIONS(1371), 1,
      sym_raw_string,
    STATE(1521), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1367), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1373), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [25936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1327), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1084), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1327), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1327), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1039), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1084), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      sym_raw_string,
    STATE(1398), 1,
      sym_string,
    ACTIONS(1375), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1381), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [26601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26642] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1385), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1565), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26706] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1403), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1616), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26770] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1411), 1,
      sym_raw_string,
    STATE(1524), 1,
      sym_string,
    ACTIONS(1405), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1415), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1407), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1413), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(539), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(1421), 1,
      sym_raw_string,
    ACTIONS(1423), 1,
      anon_sym_POUND,
    STATE(1510), 1,
      sym_string,
    ACTIONS(541), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1417), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(1425), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(539), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [26876] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1427), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1540), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26940] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1429), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1617), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27004] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1431), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1613), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27068] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1433), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1626), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1808), 1,
      sym_string,
    ACTIONS(1435), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1445), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1437), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(539), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27184] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1729), 1,
      sym_string,
    ACTIONS(1447), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1457), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1449), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(539), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27236] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1461), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1889), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1485), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_POUND,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1507), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1217), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(1513), 1,
      anon_sym_POUND,
    ACTIONS(1515), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(948), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1511), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
    ACTIONS(1521), 1,
      anon_sym_POUND,
    ACTIONS(1523), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(949), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1519), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27496] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1529), 1,
      anon_sym_POUND,
    ACTIONS(1531), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(950), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1527), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27561] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1533), 1,
      anon_sym_RBRACE,
    ACTIONS(1537), 1,
      anon_sym_POUND,
    ACTIONS(1539), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(952), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27626] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1529), 1,
      anon_sym_POUND,
    ACTIONS(1541), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(950), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1527), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27691] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1543), 1,
      anon_sym_RBRACE,
    ACTIONS(1547), 1,
      anon_sym_POUND,
    ACTIONS(1549), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(955), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27756] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(1551), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1883), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27821] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
    ACTIONS(1557), 1,
      anon_sym_POUND,
    ACTIONS(1559), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27886] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1561), 1,
      anon_sym_RBRACE,
    ACTIONS(1565), 1,
      anon_sym_POUND,
    ACTIONS(1567), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(962), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27951] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1569), 1,
      anon_sym_RBRACE,
    ACTIONS(1573), 1,
      anon_sym_POUND,
    ACTIONS(1575), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(963), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28016] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1577), 1,
      anon_sym_RBRACE,
    ACTIONS(1581), 1,
      anon_sym_POUND,
    ACTIONS(1583), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28081] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(1589), 1,
      anon_sym_POUND,
    ACTIONS(1591), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(965), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(1597), 1,
      anon_sym_POUND,
    ACTIONS(1599), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(967), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(1589), 1,
      anon_sym_POUND,
    ACTIONS(1601), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(965), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1603), 1,
      anon_sym_RBRACE,
    ACTIONS(1607), 1,
      anon_sym_POUND,
    ACTIONS(1609), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(970), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28341] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    ACTIONS(1615), 1,
      anon_sym_POUND,
    ACTIONS(1617), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28406] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1619), 1,
      anon_sym_RBRACE,
    ACTIONS(1623), 1,
      anon_sym_POUND,
    ACTIONS(1625), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1177), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_POUND,
    ACTIONS(1633), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(973), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28536] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1635), 1,
      anon_sym_RBRACE,
    ACTIONS(1639), 1,
      anon_sym_POUND,
    ACTIONS(1641), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1039), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1637), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28601] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1643), 1,
      anon_sym_RBRACE,
    ACTIONS(1647), 1,
      anon_sym_POUND,
    ACTIONS(1649), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1038), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1645), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28666] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1651), 1,
      anon_sym_RBRACE,
    ACTIONS(1655), 1,
      anon_sym_POUND,
    ACTIONS(1657), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1037), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1653), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28731] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1659), 1,
      anon_sym_RBRACE,
    ACTIONS(1663), 1,
      anon_sym_POUND,
    ACTIONS(1665), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(977), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1661), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28796] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(1671), 1,
      anon_sym_POUND,
    ACTIONS(1673), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1036), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28861] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1675), 1,
      anon_sym_RBRACE,
    ACTIONS(1679), 1,
      anon_sym_POUND,
    ACTIONS(1681), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1033), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1677), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28926] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(1671), 1,
      anon_sym_POUND,
    ACTIONS(1683), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1036), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28991] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1685), 1,
      anon_sym_RBRACE,
    ACTIONS(1689), 1,
      anon_sym_POUND,
    ACTIONS(1691), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(978), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29056] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1693), 1,
      anon_sym_RBRACE,
    ACTIONS(1697), 1,
      anon_sym_POUND,
    ACTIONS(1699), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(979), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1695), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29121] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1701), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_POUND,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(980), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1703), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29186] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(1713), 1,
      anon_sym_POUND,
    ACTIONS(1715), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(982), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1711), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29251] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(1721), 1,
      anon_sym_POUND,
    ACTIONS(1723), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1027), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1719), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29316] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1701), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_POUND,
    ACTIONS(1725), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(980), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1703), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29381] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    ACTIONS(1731), 1,
      anon_sym_POUND,
    ACTIONS(1733), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1021), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1729), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29446] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
    ACTIONS(1739), 1,
      anon_sym_POUND,
    ACTIONS(1741), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1737), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29511] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(1743), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1858), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29576] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(1745), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1894), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29641] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    ACTIONS(1751), 1,
      anon_sym_POUND,
    ACTIONS(1753), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(988), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1749), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29706] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
    ACTIONS(1759), 1,
      anon_sym_POUND,
    ACTIONS(1761), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(991), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1757), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29771] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(1763), 1,
      sym_regex,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1655), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29836] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    ACTIONS(1787), 1,
      sym_regex,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1908), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29901] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(1793), 1,
      anon_sym_POUND,
    ACTIONS(1795), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1003), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1791), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29966] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1797), 1,
      anon_sym_RBRACE,
    ACTIONS(1801), 1,
      anon_sym_POUND,
    ACTIONS(1803), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1004), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1799), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    ACTIONS(1809), 1,
      anon_sym_POUND,
    ACTIONS(1811), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1005), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30096] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(1817), 1,
      anon_sym_POUND,
    ACTIONS(1819), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1006), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1815), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30161] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1821), 1,
      anon_sym_RBRACE,
    ACTIONS(1825), 1,
      anon_sym_POUND,
    ACTIONS(1827), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1008), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1823), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30226] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1829), 1,
      anon_sym_RBRACE,
    ACTIONS(1833), 1,
      anon_sym_POUND,
    ACTIONS(1835), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(944), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1831), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30291] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    ACTIONS(1841), 1,
      anon_sym_POUND,
    ACTIONS(1843), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1193), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1839), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30356] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(1817), 1,
      anon_sym_POUND,
    ACTIONS(1845), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1006), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1815), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30421] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(1851), 1,
      anon_sym_POUND,
    ACTIONS(1853), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(942), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30486] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1855), 1,
      anon_sym_RBRACE,
    ACTIONS(1859), 1,
      anon_sym_POUND,
    ACTIONS(1861), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(945), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1857), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30551] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(1867), 1,
      anon_sym_POUND,
    ACTIONS(1869), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(936), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1865), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30616] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1871), 1,
      anon_sym_RBRACE,
    ACTIONS(1875), 1,
      anon_sym_POUND,
    ACTIONS(1877), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(928), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1873), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30681] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1879), 1,
      anon_sym_RBRACE,
    ACTIONS(1883), 1,
      anon_sym_POUND,
    ACTIONS(1885), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1046), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1881), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30746] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(1891), 1,
      anon_sym_POUND,
    ACTIONS(1893), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1051), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1889), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30811] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1895), 1,
      anon_sym_RBRACE,
    ACTIONS(1899), 1,
      anon_sym_POUND,
    ACTIONS(1901), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1055), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1897), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30876] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(1867), 1,
      anon_sym_POUND,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(936), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1865), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    ACTIONS(1909), 1,
      anon_sym_POUND,
    ACTIONS(1911), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(939), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1907), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1917), 1,
      anon_sym_POUND,
    ACTIONS(1919), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1086), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1915), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    ACTIONS(1615), 1,
      anon_sym_POUND,
    ACTIONS(1921), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31136] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1927), 1,
      anon_sym_POUND,
    ACTIONS(1929), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1049), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1925), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_POUND,
    ACTIONS(1937), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1933), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1943), 1,
      anon_sym_POUND,
    ACTIONS(1945), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1229), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1941), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31331] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_RBRACE,
    ACTIONS(1951), 1,
      anon_sym_POUND,
    ACTIONS(1953), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1053), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1949), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    ACTIONS(1959), 1,
      anon_sym_POUND,
    ACTIONS(1961), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1020), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1957), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(1967), 1,
      anon_sym_POUND,
    ACTIONS(1969), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(914), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1965), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31526] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(1975), 1,
      anon_sym_POUND,
    ACTIONS(1977), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1973), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31591] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_POUND,
    ACTIONS(1985), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1030), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1981), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    ACTIONS(1991), 1,
      anon_sym_POUND,
    ACTIONS(1993), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1058), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1989), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_POUND,
    ACTIONS(1995), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1933), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31786] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(1891), 1,
      anon_sym_POUND,
    ACTIONS(1997), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1051), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1889), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31851] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(2003), 1,
      anon_sym_POUND,
    ACTIONS(2005), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(919), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31916] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2011), 1,
      anon_sym_POUND,
    ACTIONS(2013), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1070), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2009), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2019), 1,
      anon_sym_POUND,
    ACTIONS(2021), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32046] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_POUND,
    ACTIONS(2029), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(924), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2025), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32111] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_POUND,
    ACTIONS(2037), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(935), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32176] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    ACTIONS(2045), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1071), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32241] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2051), 1,
      anon_sym_POUND,
    ACTIONS(2053), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32306] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(2059), 1,
      anon_sym_POUND,
    ACTIONS(2061), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(932), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32371] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_POUND,
    ACTIONS(2063), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(935), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32436] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2065), 1,
      anon_sym_RBRACE,
    ACTIONS(2069), 1,
      anon_sym_POUND,
    ACTIONS(2071), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1077), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2067), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32501] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2051), 1,
      anon_sym_POUND,
    ACTIONS(2073), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32566] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2075), 1,
      anon_sym_RBRACE,
    ACTIONS(2079), 1,
      anon_sym_POUND,
    ACTIONS(2081), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1080), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2077), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32631] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2083), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_POUND,
    ACTIONS(2089), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2085), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32696] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    ACTIONS(2095), 1,
      anon_sym_POUND,
    ACTIONS(2097), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(937), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2093), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32761] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    ACTIONS(2103), 1,
      anon_sym_POUND,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1100), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2101), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32826] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_POUND,
    ACTIONS(2113), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1104), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32891] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(2119), 1,
      anon_sym_POUND,
    ACTIONS(2121), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1105), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32956] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    ACTIONS(2129), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1117), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    ACTIONS(2135), 1,
      anon_sym_POUND,
    ACTIONS(2137), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1123), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2133), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33086] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    ACTIONS(2139), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1117), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33151] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    ACTIONS(2145), 1,
      anon_sym_POUND,
    ACTIONS(2147), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1128), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2143), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(2153), 1,
      anon_sym_POUND,
    ACTIONS(2155), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1133), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2151), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33281] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
    ACTIONS(2161), 1,
      anon_sym_POUND,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2159), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33346] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2165), 1,
      anon_sym_RBRACE,
    ACTIONS(2169), 1,
      anon_sym_POUND,
    ACTIONS(2171), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(912), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2167), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33411] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2173), 1,
      anon_sym_RBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1054), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2175), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33476] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(2185), 1,
      anon_sym_POUND,
    ACTIONS(2187), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1138), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2183), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33541] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2189), 1,
      anon_sym_RBRACE,
    ACTIONS(2193), 1,
      anon_sym_POUND,
    ACTIONS(2195), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1139), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2191), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_RBRACE,
    ACTIONS(2201), 1,
      anon_sym_POUND,
    ACTIONS(2203), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1140), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2199), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33671] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    ACTIONS(2211), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_POUND,
    ACTIONS(2219), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1142), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33801] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(2225), 1,
      anon_sym_POUND,
    ACTIONS(2227), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1144), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2223), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33866] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_POUND,
    ACTIONS(2229), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1142), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33931] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(2231), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1864), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [33996] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(2237), 1,
      anon_sym_POUND,
    ACTIONS(2239), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1153), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2235), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34061] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(2245), 1,
      anon_sym_POUND,
    ACTIONS(2247), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1056), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2243), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34126] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(2253), 1,
      anon_sym_POUND,
    ACTIONS(2255), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1159), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2251), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34191] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    ACTIONS(2261), 1,
      anon_sym_POUND,
    ACTIONS(2263), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2259), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2265), 1,
      anon_sym_RBRACE,
    ACTIONS(2269), 1,
      anon_sym_POUND,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2267), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34321] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    ACTIONS(2277), 1,
      anon_sym_POUND,
    ACTIONS(2279), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2275), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(2285), 1,
      anon_sym_POUND,
    ACTIONS(2287), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2283), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34451] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2289), 1,
      anon_sym_RBRACE,
    ACTIONS(2293), 1,
      anon_sym_POUND,
    ACTIONS(2295), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(947), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2291), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34516] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(2285), 1,
      anon_sym_POUND,
    ACTIONS(2297), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2283), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34581] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(2299), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1860), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [34646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(2305), 1,
      anon_sym_POUND,
    ACTIONS(2307), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2303), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    ACTIONS(2313), 1,
      anon_sym_POUND,
    ACTIONS(2315), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1062), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2311), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34776] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(2321), 1,
      anon_sym_POUND,
    ACTIONS(2323), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2319), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34841] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2325), 1,
      anon_sym_RBRACE,
    ACTIONS(2329), 1,
      anon_sym_POUND,
    ACTIONS(2331), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1243), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2327), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34906] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2333), 1,
      anon_sym_RBRACE,
    ACTIONS(2337), 1,
      anon_sym_POUND,
    ACTIONS(2339), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2335), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34971] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2341), 1,
      anon_sym_RBRACE,
    ACTIONS(2345), 1,
      anon_sym_POUND,
    ACTIONS(2347), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2343), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35036] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    ACTIONS(2353), 1,
      anon_sym_POUND,
    ACTIONS(2355), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1256), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2351), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(2361), 1,
      anon_sym_POUND,
    ACTIONS(2363), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1064), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2359), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    ACTIONS(2369), 1,
      anon_sym_POUND,
    ACTIONS(2371), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2367), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35231] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    ACTIONS(2353), 1,
      anon_sym_POUND,
    ACTIONS(2373), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1256), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2351), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35296] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2375), 1,
      anon_sym_RBRACE,
    ACTIONS(2379), 1,
      anon_sym_POUND,
    ACTIONS(2381), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2377), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35361] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      anon_sym_POUND,
    ACTIONS(2389), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35426] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2391), 1,
      anon_sym_RBRACE,
    ACTIONS(2395), 1,
      anon_sym_POUND,
    ACTIONS(2397), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1271), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2393), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35491] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2399), 1,
      anon_sym_RBRACE,
    ACTIONS(2403), 1,
      anon_sym_POUND,
    ACTIONS(2405), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1273), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2401), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35556] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    ACTIONS(2411), 1,
      anon_sym_POUND,
    ACTIONS(2413), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1277), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2409), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35621] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2415), 1,
      anon_sym_RBRACE,
    ACTIONS(2419), 1,
      anon_sym_POUND,
    ACTIONS(2421), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1279), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2417), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35686] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2423), 1,
      anon_sym_RBRACE,
    ACTIONS(2427), 1,
      anon_sym_POUND,
    ACTIONS(2429), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1281), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2425), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35751] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2415), 1,
      anon_sym_RBRACE,
    ACTIONS(2419), 1,
      anon_sym_POUND,
    ACTIONS(2431), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1279), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2417), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35816] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_word,
    ACTIONS(1389), 1,
      anon_sym_BANG,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      sym__special_character,
    ACTIONS(2437), 1,
      anon_sym_DQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2443), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2445), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      sym_test_operator,
    ACTIONS(2451), 1,
      sym_regex,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2447), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1614), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35881] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(2453), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1870), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35946] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(2459), 1,
      anon_sym_POUND,
    ACTIONS(2461), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1119), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2457), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36011] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2463), 1,
      anon_sym_RBRACE,
    ACTIONS(2467), 1,
      anon_sym_POUND,
    ACTIONS(2469), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1216), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2465), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36076] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    ACTIONS(2475), 1,
      anon_sym_POUND,
    ACTIONS(2477), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1296), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2473), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2479), 1,
      anon_sym_RBRACE,
    ACTIONS(2483), 1,
      anon_sym_POUND,
    ACTIONS(2485), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2481), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36206] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2491), 1,
      anon_sym_POUND,
    ACTIONS(2493), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1069), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2489), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36271] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2499), 1,
      anon_sym_POUND,
    ACTIONS(2501), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1301), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2497), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36336] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_POUND,
    ACTIONS(2509), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2505), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      anon_sym_POUND,
    ACTIONS(2517), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1299), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36466] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2523), 1,
      anon_sym_POUND,
    ACTIONS(2525), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1298), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36531] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2531), 1,
      anon_sym_POUND,
    ACTIONS(2533), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1157), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2535), 1,
      anon_sym_RBRACE,
    ACTIONS(2539), 1,
      anon_sym_POUND,
    ACTIONS(2541), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1297), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36661] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      anon_sym_RBRACE,
    ACTIONS(2547), 1,
      anon_sym_POUND,
    ACTIONS(2549), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36726] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2491), 1,
      anon_sym_POUND,
    ACTIONS(2551), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1069), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2489), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36791] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_POUND,
    ACTIONS(2559), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1072), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2565), 1,
      anon_sym_POUND,
    ACTIONS(2567), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1073), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36921] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2575), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36986] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_POUND,
    ACTIONS(2583), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1075), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37051] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_POUND,
    ACTIONS(2591), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37116] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2597), 1,
      anon_sym_POUND,
    ACTIONS(2599), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1208), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37181] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2601), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2607), 1,
      anon_sym_POUND,
    ACTIONS(2609), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(997), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37311] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_POUND,
    ACTIONS(2617), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1205), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37376] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2623), 1,
      anon_sym_POUND,
    ACTIONS(2625), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1089), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    ACTIONS(2633), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    ACTIONS(2639), 1,
      anon_sym_POUND,
    ACTIONS(2641), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2637), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37571] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(2647), 1,
      anon_sym_POUND,
    ACTIONS(2649), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1097), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2645), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(2655), 1,
      anon_sym_POUND,
    ACTIONS(2657), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1095), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2653), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37701] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(2663), 1,
      anon_sym_POUND,
    ACTIONS(2665), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1001), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2661), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37766] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2671), 1,
      anon_sym_POUND,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1194), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(2647), 1,
      anon_sym_POUND,
    ACTIONS(2675), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1097), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2645), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    ACTIONS(2681), 1,
      anon_sym_POUND,
    ACTIONS(2683), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1101), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2679), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37961] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    ACTIONS(2689), 1,
      anon_sym_POUND,
    ACTIONS(2691), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2687), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38026] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2693), 1,
      anon_sym_RBRACE,
    ACTIONS(2697), 1,
      anon_sym_POUND,
    ACTIONS(2699), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1103), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2695), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38091] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    ACTIONS(2701), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1900), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38156] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      anon_sym_POUND,
    ACTIONS(2709), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1109), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2705), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38221] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    ACTIONS(2715), 1,
      anon_sym_POUND,
    ACTIONS(2717), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1293), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38286] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    ACTIONS(2723), 1,
      anon_sym_POUND,
    ACTIONS(2725), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1111), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2721), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38351] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      anon_sym_RBRACE,
    ACTIONS(2547), 1,
      anon_sym_POUND,
    ACTIONS(2727), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38416] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    ACTIONS(2733), 1,
      anon_sym_POUND,
    ACTIONS(2735), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38481] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    ACTIONS(2741), 1,
      anon_sym_POUND,
    ACTIONS(2743), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1028), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    ACTIONS(2749), 1,
      anon_sym_POUND,
    ACTIONS(2751), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2747), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38611] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_POUND,
    ACTIONS(2759), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1025), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38676] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    ACTIONS(2741), 1,
      anon_sym_POUND,
    ACTIONS(2761), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1028), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38741] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1286), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2765), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38806] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(2775), 1,
      anon_sym_POUND,
    ACTIONS(2777), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1029), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2773), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38871] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    ACTIONS(2783), 1,
      anon_sym_POUND,
    ACTIONS(2785), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1276), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2781), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(2791), 1,
      anon_sym_POUND,
    ACTIONS(2793), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1275), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39001] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2797), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39066] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    ACTIONS(2807), 1,
      anon_sym_POUND,
    ACTIONS(2809), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1259), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2805), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39131] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2815), 1,
      anon_sym_POUND,
    ACTIONS(2817), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39196] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(2823), 1,
      anon_sym_POUND,
    ACTIONS(2825), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2821), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39261] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2831), 1,
      anon_sym_POUND,
    ACTIONS(2833), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2829), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39326] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2835), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2797), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39391] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2815), 1,
      anon_sym_POUND,
    ACTIONS(2837), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39456] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(2843), 1,
      anon_sym_POUND,
    ACTIONS(2845), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1184), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39521] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    ACTIONS(2851), 1,
      anon_sym_POUND,
    ACTIONS(2853), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39586] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(2859), 1,
      anon_sym_POUND,
    ACTIONS(2861), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2857), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39651] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1763), 1,
      sym_regex,
    ACTIONS(2863), 1,
      anon_sym_BANG,
    ACTIONS(2865), 1,
      sym__special_character,
    ACTIONS(2867), 1,
      sym_test_operator,
    STATE(1692), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1655), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [39716] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2873), 1,
      anon_sym_POUND,
    ACTIONS(2875), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1270), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39781] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2881), 1,
      anon_sym_POUND,
    ACTIONS(2883), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2879), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39846] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_POUND,
    ACTIONS(2891), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1118), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39911] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(2897), 1,
      anon_sym_POUND,
    ACTIONS(2899), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1175), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2895), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39976] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2901), 1,
      anon_sym_RBRACE,
    ACTIONS(2905), 1,
      anon_sym_POUND,
    ACTIONS(2907), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2903), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40041] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(2913), 1,
      anon_sym_POUND,
    ACTIONS(2915), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1274), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2911), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40106] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2917), 1,
      anon_sym_RBRACE,
    ACTIONS(2921), 1,
      anon_sym_POUND,
    ACTIONS(2923), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1090), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2919), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40171] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(2929), 1,
      anon_sym_POUND,
    ACTIONS(2931), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1174), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2927), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40236] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(2937), 1,
      anon_sym_POUND,
    ACTIONS(2939), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1173), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2935), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(2945), 1,
      anon_sym_POUND,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2943), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    ACTIONS(2953), 1,
      anon_sym_POUND,
    ACTIONS(2955), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    ACTIONS(2961), 1,
      anon_sym_POUND,
    ACTIONS(2963), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1114), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40496] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_POUND,
    ACTIONS(2965), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1118), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40561] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(2971), 1,
      anon_sym_POUND,
    ACTIONS(2973), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1239), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2969), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40626] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_word,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    ACTIONS(2979), 1,
      anon_sym_BANG,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      sym__special_character,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      sym_test_operator,
    ACTIONS(2997), 1,
      sym_regex,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2985), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1886), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [40691] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
    ACTIONS(3003), 1,
      anon_sym_POUND,
    ACTIONS(3005), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1044), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40756] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(2945), 1,
      anon_sym_POUND,
    ACTIONS(3007), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2943), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40821] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3013), 1,
      anon_sym_POUND,
    ACTIONS(3015), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3011), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40886] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3017), 1,
      anon_sym_RBRACE,
    ACTIONS(3021), 1,
      anon_sym_POUND,
    ACTIONS(3023), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3019), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40951] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    ACTIONS(3029), 1,
      anon_sym_POUND,
    ACTIONS(3031), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(946), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3027), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41016] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3033), 1,
      anon_sym_RBRACE,
    ACTIONS(3037), 1,
      anon_sym_POUND,
    ACTIONS(3039), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1121), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3035), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41081] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    ACTIONS(3045), 1,
      anon_sym_POUND,
    ACTIONS(3047), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1122), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3043), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(3053), 1,
      anon_sym_POUND,
    ACTIONS(3055), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3051), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    ACTIONS(3061), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1147), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3059), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1154), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3067), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41341] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(3077), 1,
      anon_sym_POUND,
    ACTIONS(3079), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1150), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3075), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41406] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3081), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1154), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3067), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3083), 1,
      anon_sym_RBRACE,
    ACTIONS(3087), 1,
      anon_sym_POUND,
    ACTIONS(3089), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1155), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3085), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41536] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3091), 1,
      anon_sym_RBRACE,
    ACTIONS(3095), 1,
      anon_sym_POUND,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1156), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3093), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41601] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1908), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3099), 1,
      anon_sym_RBRACE,
    ACTIONS(3103), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1163), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3101), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41787] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_word,
    ACTIONS(1389), 1,
      anon_sym_BANG,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      sym__special_character,
    ACTIONS(2437), 1,
      anon_sym_DQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2443), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2445), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      sym_test_operator,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2447), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1584), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1871), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41911] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1905), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3111), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    ACTIONS(3119), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(916), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42283] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1890), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42345] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1881), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42407] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_word,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    ACTIONS(2979), 1,
      anon_sym_BANG,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      sym__special_character,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2985), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1880), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42531] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(2863), 1,
      anon_sym_BANG,
    ACTIONS(2865), 1,
      sym__special_character,
    ACTIONS(2867), 1,
      sym_test_operator,
    STATE(1692), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1877), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    ACTIONS(3125), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(917), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3123), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42655] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(1851), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(942), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    ACTIONS(3131), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(941), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3129), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(2003), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(919), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42903] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1861), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43027] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    ACTIONS(3137), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(918), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3135), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43089] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1843), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1855), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43523] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    ACTIONS(3149), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(938), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3147), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43709] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43833] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1533), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1543), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    ACTIONS(3157), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(958), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3155), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
    ACTIONS(1557), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    ACTIONS(3163), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(959), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3161), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    ACTIONS(3169), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(960), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3167), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44763] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(2863), 1,
      anon_sym_BANG,
    ACTIONS(2865), 1,
      sym__special_character,
    ACTIONS(2867), 1,
      sym_test_operator,
    STATE(1692), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1893), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [44825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1603), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(974), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3179), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45135] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(973), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3183), 1,
      anon_sym_RBRACE,
    ACTIONS(3187), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(975), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3185), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
    ACTIONS(3193), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3191), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45445] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1867), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [45507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45569] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3199), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1701), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(3205), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(992), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3203), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
    ACTIONS(1759), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(991), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1757), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    ACTIONS(3211), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(993), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3209), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3213), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46375] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1875), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46437] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46499] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1655), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46561] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(994), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3219), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46685] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46871] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1898), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46933] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46995] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47057] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1909), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47119] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1871), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    ACTIONS(3235), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(985), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3233), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47305] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(986), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1821), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47615] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    ACTIONS(3247), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1035), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3245), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47739] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1030), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1981), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47801] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(2863), 1,
      anon_sym_BANG,
    ACTIONS(2865), 1,
      sym__special_character,
    ACTIONS(2867), 1,
      sym_test_operator,
    STATE(1692), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1646), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47863] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1866), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47925] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1859), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47987] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(2863), 1,
      anon_sym_BANG,
    ACTIONS(2865), 1,
      sym__special_character,
    ACTIONS(2867), 1,
      sym_test_operator,
    STATE(1692), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1863), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48049] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_word,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    ACTIONS(2979), 1,
      anon_sym_BANG,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      sym__special_character,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2985), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1873), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48111] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1899), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3249), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    ACTIONS(3257), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1040), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3259), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48545] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(3267), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1057), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3265), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2607), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(997), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(3271), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1016), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3269), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48731] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48793] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    ACTIONS(3277), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(996), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3275), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    ACTIONS(3283), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1017), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    ACTIONS(1731), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1021), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1729), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3285), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3285), 1,
      anon_sym_RBRACE,
    ACTIONS(3289), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1019), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3287), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1675), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49661] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3295), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3297), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49909] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3301), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3301), 1,
      anon_sym_RBRACE,
    ACTIONS(3305), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1041), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3303), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50095] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    ACTIONS(3311), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1042), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3309), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
    ACTIONS(3003), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1044), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50219] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50281] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    ACTIONS(3317), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1043), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3315), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50343] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50405] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1879), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50529] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50653] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3319), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50777] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2065), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3321), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    ACTIONS(3331), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1059), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3329), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    ACTIONS(3337), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1060), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3335), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    ACTIONS(2313), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1062), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2311), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3339), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3339), 1,
      anon_sym_RBRACE,
    ACTIONS(3343), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1061), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3341), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2075), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3345), 1,
      anon_sym_RBRACE,
    ACTIONS(3349), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3347), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3345), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1917), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1086), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1915), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    ACTIONS(3355), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1093), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3353), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3357), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52389] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3363), 1,
      anon_sym_RBRACE,
    ACTIONS(3367), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1098), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3365), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3363), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    ACTIONS(3373), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1081), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3371), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    ACTIONS(3379), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1082), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3377), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52885] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3381), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    ACTIONS(3389), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1083), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3387), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53319] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(2863), 1,
      anon_sym_BANG,
    ACTIONS(2865), 1,
      sym__special_character,
    ACTIONS(2867), 1,
      sym_test_operator,
    STATE(1692), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1655), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [53381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3393), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    ACTIONS(3403), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1106), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3401), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    ACTIONS(3409), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1107), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3407), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1109), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2705), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    ACTIONS(3417), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3415), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3419), 1,
      anon_sym_RBRACE,
    ACTIONS(3423), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1134), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3421), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3419), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3425), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(2153), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1133), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2151), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    ACTIONS(3433), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3431), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    ACTIONS(3439), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1136), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3437), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3441), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    ACTIONS(3447), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1124), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3445), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3455), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55923] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_word,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    ACTIONS(2979), 1,
      anon_sym_BANG,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      sym__special_character,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2985), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1895), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    ACTIONS(3461), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1160), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3459), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56109] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(2253), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1159), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2251), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    ACTIONS(3465), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(940), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3463), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3467), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3467), 1,
      anon_sym_RBRACE,
    ACTIONS(3471), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1125), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3469), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(3053), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3051), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56481] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3473), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56543] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3473), 1,
      anon_sym_RBRACE,
    ACTIONS(3477), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1130), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3475), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56605] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_word,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    ACTIONS(2979), 1,
      anon_sym_BANG,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      sym__special_character,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2985), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1886), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3099), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56791] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56853] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56977] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    ACTIONS(3483), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1176), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3481), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57039] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3485), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3487), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57411] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57473] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    ACTIONS(3499), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1161), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3497), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57535] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    ACTIONS(3505), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1162), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57659] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
    ACTIONS(1739), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1737), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57721] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    ACTIONS(3511), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1164), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3509), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3517), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(3525), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1179), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3523), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    ACTIONS(3531), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1180), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58713] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1765), 1,
      sym_word,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      anon_sym_BANG,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1773), 1,
      sym__special_character,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      sym_test_operator,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1775), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1872), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [58775] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(2859), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2857), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58899] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    ACTIONS(3537), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    ACTIONS(3543), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1269), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3541), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59085] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59209] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1485), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59333] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3545), 1,
      sym_word,
    ACTIONS(3548), 1,
      anon_sym_RBRACE,
    ACTIONS(3553), 1,
      anon_sym_DOLLAR,
    ACTIONS(3556), 1,
      sym__special_character,
    ACTIONS(3559), 1,
      anon_sym_DQUOTE,
    ACTIONS(3565), 1,
      anon_sym_POUND,
    ACTIONS(3568), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3571), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3574), 1,
      anon_sym_BQUOTE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3562), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3577), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3550), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59457] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2873), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1270), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59519] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3580), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59643] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3582), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59705] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3584), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    ACTIONS(3590), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3588), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
    ACTIONS(3596), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1201), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3594), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60015] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3598), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3598), 1,
      anon_sym_RBRACE,
    ACTIONS(3602), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1202), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3600), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60201] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60387] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_RBRACE,
    ACTIONS(3608), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3606), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3604), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(2321), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2319), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60759] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3610), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60821] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3612), 1,
      anon_sym_RBRACE,
    ACTIONS(3616), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1240), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3614), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60883] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3612), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3618), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61069] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61131] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_word,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    ACTIONS(2979), 1,
      anon_sym_BANG,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      sym__special_character,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2985), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1862), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61193] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
    ACTIONS(3628), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3626), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61255] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    ACTIONS(3632), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1219), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3630), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61317] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    ACTIONS(3638), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3636), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61503] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61565] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3640), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3640), 1,
      anon_sym_RBRACE,
    ACTIONS(3644), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1223), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3642), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61689] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61751] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3646), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61813] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61937] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1463), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_BANG,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      sym__special_character,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1481), 1,
      sym_test_operator,
    STATE(1606), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1646), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3648), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62123] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3650), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62185] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3654), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62371] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_word,
    ACTIONS(1389), 1,
      anon_sym_BANG,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      sym__special_character,
    ACTIONS(2437), 1,
      anon_sym_DQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2443), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2445), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      sym_test_operator,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2447), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1614), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [62433] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62495] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62557] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    ACTIONS(3662), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3660), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62619] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62681] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
    ACTIONS(3668), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3666), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2881), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2879), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62805] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3670), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62867] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3670), 1,
      anon_sym_RBRACE,
    ACTIONS(3674), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1246), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3672), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62991] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2375), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3676), 1,
      anon_sym_RBRACE,
    ACTIONS(3680), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1266), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3678), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63301] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3676), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63363] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
    ACTIONS(3686), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3684), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63487] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
    ACTIONS(3692), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1268), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3690), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63673] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3694), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3696), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3698), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3700), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2423), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1115), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3704), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64107] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2415), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    ACTIONS(3712), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1137), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3710), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3714), 1,
      anon_sym_RBRACE,
    ACTIONS(3718), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3716), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3714), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64727] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2499), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1301), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2497), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64975] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    ACTIONS(3730), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1282), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3728), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    ACTIONS(3736), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1283), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3734), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    ACTIONS(3742), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3740), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1286), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2765), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65285] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_word,
    ACTIONS(1389), 1,
      anon_sym_BANG,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(2433), 1,
      anon_sym_LPAREN,
    ACTIONS(2435), 1,
      sym__special_character,
    ACTIONS(2437), 1,
      anon_sym_DQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2443), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2445), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      sym_test_operator,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2447), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1619), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
    ACTIONS(3748), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3746), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3750), 1,
      anon_sym_RBRACE,
    ACTIONS(3754), 1,
      anon_sym_POUND,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1302), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3752), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3750), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3758), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1491), 1,
      sym__special_character,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1495), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      sym_raw_string,
    ACTIONS(3766), 1,
      anon_sym_POUND,
    STATE(1778), 1,
      sym_string,
    ACTIONS(3762), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3768), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(539), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(541), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
  [66138] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3770), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1307), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3772), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3791), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1307), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3782), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3780), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3800), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3803), 1,
      sym_file_descriptor,
    ACTIONS(3778), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3797), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3780), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3794), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66305] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_LF,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1011), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(977), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 17,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym__special_character,
    STATE(1329), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3806), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3808), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66465] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1001), 1,
      anon_sym_LF,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(959), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1003), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LF,
    ACTIONS(3818), 1,
      anon_sym_DQUOTE,
    ACTIONS(3820), 1,
      sym_raw_string,
    STATE(1995), 1,
      sym_string,
    ACTIONS(3816), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(3822), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [66592] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3770), 1,
      anon_sym_LF,
    ACTIONS(3826), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1323), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3824), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1378), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66672] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_BQUOTE,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1031), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1033), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1029), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 1,
      sym__concat,
    STATE(1320), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1065), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66758] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1021), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1031), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3836), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3839), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1323), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3780), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3833), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(969), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66959] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_BQUOTE,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1031), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1033), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(985), 1,
      anon_sym_LF,
    ACTIONS(3826), 1,
      sym_file_descriptor,
    ACTIONS(977), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(979), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(987), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(989), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3824), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67057] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LF,
    ACTIONS(983), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3826), 1,
      sym_file_descriptor,
    ACTIONS(551), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(975), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(977), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(979), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1317), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3824), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3842), 1,
      sym__special_character,
    STATE(1329), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 1,
      sym__concat,
    STATE(1348), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [67178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym__special_character,
    STATE(1329), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3847), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3849), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym__special_character,
    STATE(1329), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3851), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3853), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(955), 1,
      anon_sym_LF,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(959), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(957), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67301] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3863), 1,
      anon_sym_DOLLAR,
    ACTIONS(3865), 1,
      sym_file_descriptor,
    ACTIONS(3868), 1,
      sym_variable_name,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(3857), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1334), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3860), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3855), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67346] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3770), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3812), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1188), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1235), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67453] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1349), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1041), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1172), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1158), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67649] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1349), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3873), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1378), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1146), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 1,
      sym__concat,
    STATE(1383), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [67819] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3879), 1,
      sym__concat,
    STATE(1359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1051), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1239), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1378), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3881), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3883), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1184), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 1,
      sym__concat,
    STATE(1348), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3885), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1211), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      sym__special_character,
    STATE(1356), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1489), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [68123] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_DQUOTE,
    ACTIONS(3892), 1,
      anon_sym_LF,
    ACTIONS(3896), 1,
      anon_sym_DOLLAR,
    ACTIONS(3898), 1,
      sym__special_character,
    ACTIONS(3900), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3902), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3904), 1,
      anon_sym_BQUOTE,
    STATE(1977), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3906), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1386), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3890), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3894), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68177] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3908), 1,
      sym__concat,
    STATE(1359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1063), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68277] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1097), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1021), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68325] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1349), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3883), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3881), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1142), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1057), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1059), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1231), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68503] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1011), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68551] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_DQUOTE,
    ACTIONS(3896), 1,
      anon_sym_DOLLAR,
    ACTIONS(3898), 1,
      sym__special_character,
    ACTIONS(3900), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3902), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3904), 1,
      anon_sym_BQUOTE,
    ACTIONS(3911), 1,
      anon_sym_LF,
    STATE(1977), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3906), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1386), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3890), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3913), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68605] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1088), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1090), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [68687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1065), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1378), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3917), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3919), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1138), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym__concat,
    STATE(1320), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1053), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1134), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1207), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68983] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1072), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1074), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [69029] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(971), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(981), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1025), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1306), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [69075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__concat,
    STATE(1383), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym__special_character,
    STATE(1356), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1039), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69175] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3933), 1,
      anon_sym_LF,
    ACTIONS(3937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3940), 1,
      sym__special_character,
    ACTIONS(3943), 1,
      anon_sym_DQUOTE,
    ACTIONS(3946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3949), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3952), 1,
      anon_sym_BQUOTE,
    STATE(1977), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3955), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1386), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3930), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3935), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69229] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1241), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3958), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3960), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3964), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3968), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3970), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3972), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3976), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3978), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3980), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1489), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1489), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3881), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3883), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69516] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3984), 1,
      anon_sym_esac,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2650), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1559), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      sym__concat,
    STATE(1489), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3917), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3919), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 1,
      sym__concat,
    ACTIONS(1134), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3992), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3994), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3996), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4000), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 1,
      sym__concat,
    ACTIONS(1138), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4004), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4008), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4012), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 1,
      sym__concat,
    ACTIONS(1065), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      sym__concat,
    ACTIONS(1142), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69918] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4016), 1,
      sym__concat,
    STATE(1490), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3885), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4014), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [69953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      sym__concat,
    ACTIONS(1146), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4020), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4024), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4028), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4032), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4036), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 1,
      sym__concat,
    ACTIONS(1150), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4040), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70201] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3986), 1,
      sym__special_character,
    ACTIONS(4042), 1,
      anon_sym_esac,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2675), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1591), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70258] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1142), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1144), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70289] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4044), 1,
      sym__special_character,
    STATE(1419), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1196), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70324] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4047), 1,
      sym__special_character,
    STATE(1419), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3849), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3847), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4051), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4055), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70421] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1205), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4059), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70483] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1213), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70514] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1217), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70545] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1221), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70576] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1231), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1229), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3919), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4063), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70669] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1233), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70700] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3986), 1,
      sym__special_character,
    ACTIONS(4065), 1,
      anon_sym_esac,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2778), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1520), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70757] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1225), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 1,
      sym__concat,
    ACTIONS(1154), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 1,
      sym__concat,
    ACTIONS(1158), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70850] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4016), 1,
      sym__concat,
    STATE(1490), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1041), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [70885] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1349), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1086), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70920] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1211), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1209), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70951] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4067), 1,
      sym__concat,
    STATE(1439), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [70986] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3986), 1,
      sym__special_character,
    ACTIONS(4070), 1,
      anon_sym_esac,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2748), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1612), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71043] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1186), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4074), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4078), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4080), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4082), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4084), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4086), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4093), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4097), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3851), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3853), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71361] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4047), 1,
      sym__special_character,
    STATE(1419), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3853), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3851), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 1,
      sym__concat,
    ACTIONS(1172), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__concat,
    ACTIONS(1261), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    ACTIONS(1257), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    ACTIONS(1257), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71520] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1184), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1182), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4103), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__concat,
    ACTIONS(1247), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3883), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      sym__concat,
    ACTIONS(1243), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      sym__concat,
    ACTIONS(1239), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4107), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3875), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 1,
      sym__concat,
    ACTIONS(1184), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 1,
      sym__concat,
    ACTIONS(1188), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym__concat,
    ACTIONS(1211), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__concat,
    ACTIONS(1227), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym__concat,
    ACTIONS(1235), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      sym__concat,
    ACTIONS(1231), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__concat,
    ACTIONS(1223), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1219), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__concat,
    ACTIONS(1215), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      sym__concat,
    ACTIONS(1207), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4111), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72113] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1239), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1237), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72144] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1245), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [72204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4115), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72235] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1152), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72266] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1146), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1148), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72297] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1255), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4119), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72359] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1255), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4123), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72421] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1259), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4127), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72483] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1172), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1174), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      sym__concat,
    STATE(1488), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 1,
      sym__concat,
    STATE(1320), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1053), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72584] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4134), 1,
      sym__concat,
    STATE(1439), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1051), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [72619] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3986), 1,
      sym__special_character,
    ACTIONS(4136), 1,
      anon_sym_esac,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2789), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1530), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72676] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3986), 1,
      sym__special_character,
    ACTIONS(4138), 1,
      anon_sym_esac,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2790), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1528), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4142), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4146), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 1,
      sym__concat,
    STATE(1488), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1053), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72830] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1065), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1063), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72861] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1140), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4150), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4152), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4154), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4156), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72954] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1158), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1160), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3806), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3808), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3881), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3883), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3847), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3849), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3917), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3919), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4160), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73156] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3986), 1,
      sym__special_character,
    ACTIONS(4162), 1,
      anon_sym_esac,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2735), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1525), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73213] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3982), 1,
      sym_word,
    ACTIONS(3986), 1,
      sym__special_character,
    ACTIONS(4164), 1,
      anon_sym_esac,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2738), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4168), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4172), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73332] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1134), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1136), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73363] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1156), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73424] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1235), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1233), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73454] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73486] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73518] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1156), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73548] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      sym__concat,
    STATE(1701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1041), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73582] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73614] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym__special_character,
    STATE(1519), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1196), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73648] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2650), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1134), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1138), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73760] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4185), 1,
      sym__concat,
    STATE(1656), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1041), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [73794] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1134), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1136), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73824] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2790), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73876] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2789), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1065), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73958] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2777), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74010] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1158), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1160), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74040] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2663), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74092] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1138), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1140), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1142), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1146), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74182] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1205), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74212] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74244] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74306] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74338] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_QMARK,
    ACTIONS(4199), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4203), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4195), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4197), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1158), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74466] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1213), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74496] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74528] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1172), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74620] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74712] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4211), 1,
      sym__special_character,
    STATE(1551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1196), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1239), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74836] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74868] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74900] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(4220), 1,
      anon_sym_LPAREN,
    ACTIONS(4222), 1,
      sym__special_character,
    ACTIONS(4224), 1,
      anon_sym_DQUOTE,
    ACTIONS(4226), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4228), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_BQUOTE,
    ACTIONS(4234), 1,
      sym__empty_value,
    STATE(293), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(607), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4218), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1188), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74982] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2773), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75034] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4236), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1231), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_QMARK,
    ACTIONS(4199), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4203), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4238), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4197), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75222] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LPAREN,
    ACTIONS(4244), 1,
      anon_sym_DOLLAR,
    ACTIONS(4246), 1,
      sym__special_character,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4252), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4254), 1,
      anon_sym_BQUOTE,
    ACTIONS(4258), 1,
      sym__empty_value,
    STATE(534), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(663), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4240), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(275), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75304] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4260), 1,
      sym__concat,
    STATE(1568), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75338] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4016), 1,
      sym__concat,
    STATE(1490), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1041), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1184), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75432] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75464] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3873), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1039), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [75524] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75556] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_LPAREN,
    ACTIONS(4271), 1,
      anon_sym_DOLLAR,
    ACTIONS(4273), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      anon_sym_DQUOTE,
    ACTIONS(4277), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4279), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4281), 1,
      anon_sym_BQUOTE,
    ACTIONS(4285), 1,
      sym__empty_value,
    STATE(622), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4283), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(666), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(325), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75608] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4289), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR,
    ACTIONS(4293), 1,
      sym__special_character,
    ACTIONS(4295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4299), 1,
      anon_sym_BQUOTE,
    ACTIONS(4303), 1,
      sym__empty_value,
    STATE(1581), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4301), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1738), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4287), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1437), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75660] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75690] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1142), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1144), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75720] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1172), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1174), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75750] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4047), 1,
      sym__special_character,
    STATE(1419), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1176), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1178), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75784] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1259), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75814] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_QMARK,
    ACTIONS(4199), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4203), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4305), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4197), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75880] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4307), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75912] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75942] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1146), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1148), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75972] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      sym_word,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4315), 1,
      sym_raw_string,
    ACTIONS(4317), 1,
      anon_sym_POUND,
    STATE(2025), 1,
      sym_string,
    ACTIONS(4311), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(4319), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(539), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76046] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76078] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2700), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76130] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76162] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4327), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76222] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1152), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76252] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3883), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3881), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76282] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1041), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76312] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76342] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1241), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76372] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76404] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1239), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1237), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76434] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76466] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76498] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1184), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1182), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76528] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76560] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4339), 1,
      sym__special_character,
    STATE(1551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4337), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76594] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1188), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1186), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76624] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1211), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1209), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76682] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76712] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4345), 1,
      anon_sym_LPAREN,
    ACTIONS(4347), 1,
      anon_sym_DOLLAR,
    ACTIONS(4349), 1,
      sym__special_character,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4353), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4357), 1,
      anon_sym_BQUOTE,
    ACTIONS(4361), 1,
      sym__empty_value,
    STATE(560), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4359), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(676), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4343), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(359), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76764] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2485), 1,
      sym_concatenation,
    STATE(2675), 1,
      sym_last_case_item,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3988), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_QMARK,
    ACTIONS(4199), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4203), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4363), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4197), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [76852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_QMARK,
    ACTIONS(4199), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4203), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4367), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4197), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [76946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_QMARK,
    ACTIONS(4199), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4203), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4369), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4197), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [76982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77038] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1231), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77068] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77098] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77130] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(953), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77162] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(389), 1,
      anon_sym_DOLLAR,
    ACTIONS(4379), 1,
      anon_sym_LPAREN,
    ACTIONS(4381), 1,
      sym__special_character,
    ACTIONS(4383), 1,
      anon_sym_DQUOTE,
    ACTIONS(4385), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4387), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4389), 1,
      anon_sym_BQUOTE,
    ACTIONS(4393), 1,
      sym__empty_value,
    STATE(360), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4391), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(659), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4377), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(265), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77214] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_QMARK,
    ACTIONS(4199), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4203), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4395), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4197), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77280] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_DOLLAR,
    ACTIONS(4399), 1,
      anon_sym_LPAREN,
    ACTIONS(4401), 1,
      sym__special_character,
    ACTIONS(4403), 1,
      anon_sym_DQUOTE,
    ACTIONS(4405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4409), 1,
      anon_sym_BQUOTE,
    ACTIONS(4413), 1,
      sym__empty_value,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(638), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4397), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(250), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3964), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77361] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4415), 1,
      sym__special_character,
    STATE(1702), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4337), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77394] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3875), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3992), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77501] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_DOLLAR,
    ACTIONS(4439), 1,
      sym__special_character,
    ACTIONS(4442), 1,
      anon_sym_DQUOTE,
    ACTIONS(4445), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4448), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4451), 1,
      anon_sym_BQUOTE,
    STATE(2323), 1,
      aux_sym__literal_repeat1,
    STATE(2464), 1,
      sym_concatenation,
    ACTIONS(4454), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4433), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3976), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3970), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3972), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4461), 1,
      sym__concat,
    ACTIONS(4457), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4459), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4111), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4024), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      sym__concat,
    ACTIONS(4463), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4465), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4012), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77757] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1353), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1355), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3994), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3996), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4000), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77844] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1327), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1325), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77873] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4185), 1,
      sym__concat,
    STATE(1656), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3885), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4014), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77906] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4371), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4469), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4103), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4040), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4051), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4055), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4028), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78080] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4471), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1660), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4004), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78158] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4473), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78187] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4473), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78216] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4475), 1,
      sym__concat,
    STATE(1568), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1051), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78249] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4477), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78298] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1138), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1140), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4115), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78356] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4479), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78405] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4481), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78434] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1065), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3968), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78492] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1142), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1144), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4059), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4146), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4119), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78608] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1146), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1148), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78637] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4483), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1682), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78686] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1152), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__concat,
    ACTIONS(4485), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4487), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1041), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4168), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4497), 1,
      sym__concat,
    ACTIONS(4493), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4495), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78839] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1156), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4142), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4107), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78926] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1158), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1160), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3883), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4093), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79013] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1690), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79062] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4501), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4074), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4150), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4152), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79169] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1172), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1174), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79198] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1259), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79227] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79256] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4327), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4503), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79285] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79314] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4505), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79363] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3933), 1,
      anon_sym_RPAREN,
    ACTIONS(4510), 1,
      anon_sym_DOLLAR,
    ACTIONS(4513), 1,
      sym__special_character,
    ACTIONS(4516), 1,
      anon_sym_DQUOTE,
    ACTIONS(4519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4522), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4525), 1,
      anon_sym_BQUOTE,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4528), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4507), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79412] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4531), 1,
      sym__special_character,
    STATE(1739), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4337), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3919), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79474] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4533), 1,
      sym__special_character,
    STATE(1519), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4337), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79507] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79536] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1241), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4063), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79594] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1239), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1237), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79623] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1041), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [79652] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1184), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1182), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79681] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4535), 1,
      sym__concat,
    STATE(1703), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1051), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79714] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4537), 1,
      sym__special_character,
    STATE(1702), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1196), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79747] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4540), 1,
      sym__concat,
    STATE(1703), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79780] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1188), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1186), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79809] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1630), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79858] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1211), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1209), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1707), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1063), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4008), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79949] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79978] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1235), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1233), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80007] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4548), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1657), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4020), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80085] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1231), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 1,
      sym__concat,
    STATE(1707), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1051), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80147] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4552), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3978), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3980), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4080), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4082), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80254] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4172), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80312] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4123), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4078), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4084), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4086), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80428] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4554), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80477] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1213), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4127), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80535] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1207), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1205), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3958), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3960), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80593] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1134), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1136), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80622] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4556), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1715), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4160), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4032), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80729] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4423), 1,
      sym__special_character,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4558), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4417), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80778] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1041), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [80807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4036), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4560), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4562), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4097), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80898] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1086), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80927] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4564), 1,
      sym__special_character,
    STATE(1739), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1196), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4154), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4156), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80989] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      sym__concat,
    STATE(1701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3885), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4014), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81022] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2442), 1,
      aux_sym__literal_repeat1,
    STATE(2795), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4567), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2477), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1241), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1182), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81126] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2423), 1,
      aux_sym__literal_repeat1,
    STATE(2711), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4583), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2404), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81174] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2424), 1,
      aux_sym__literal_repeat1,
    STATE(2725), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4585), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2416), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81222] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2437), 1,
      aux_sym__literal_repeat1,
    STATE(2637), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4587), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2441), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81270] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1041), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81298] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1205), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81326] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1213), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81354] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2491), 1,
      aux_sym__literal_repeat1,
    STATE(2664), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4589), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2467), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81402] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(1345), 1,
      sym__special_character,
    ACTIONS(4593), 1,
      sym_regex,
    STATE(395), 1,
      aux_sym__literal_repeat1,
    STATE(637), 1,
      sym_concatenation,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4591), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(261), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81450] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81478] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2513), 1,
      aux_sym__literal_repeat1,
    STATE(2762), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4595), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2511), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81526] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81582] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2469), 1,
      aux_sym__literal_repeat1,
    STATE(2652), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4597), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2463), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81630] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_DOLLAR,
    ACTIONS(4601), 1,
      sym__special_character,
    ACTIONS(4603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4605), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4607), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4609), 1,
      anon_sym_BQUOTE,
    STATE(1977), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4611), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1358), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81676] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2486), 1,
      aux_sym__literal_repeat1,
    STATE(2765), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4613), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2482), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81724] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1235), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1233), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81752] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2543), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2488), 1,
      aux_sym__literal_repeat1,
    STATE(2774), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81800] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2506), 1,
      aux_sym__literal_repeat1,
    STATE(2763), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2509), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81848] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81876] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1211), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1209), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81904] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1188), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1186), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81932] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1184), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1182), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81960] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2452), 1,
      aux_sym__literal_repeat1,
    STATE(2647), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4619), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2456), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82008] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1239), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1237), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82036] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2497), 1,
      aux_sym__literal_repeat1,
    STATE(2776), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4621), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2499), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82084] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2475), 1,
      aux_sym__literal_repeat1,
    STATE(2717), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4623), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2473), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82132] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2483), 1,
      aux_sym__literal_repeat1,
    STATE(2766), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4625), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2512), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82180] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1241), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82208] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1152), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82236] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2510), 1,
      aux_sym__literal_repeat1,
    STATE(2632), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4627), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2434), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82284] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1146), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1148), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82312] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2507), 1,
      aux_sym__literal_repeat1,
    STATE(2629), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4629), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2494), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82360] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1136), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 1,
      sym__special_character,
    STATE(1851), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4631), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4633), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82448] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2481), 1,
      aux_sym__literal_repeat1,
    STATE(2780), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2487), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82496] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82524] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2427), 1,
      aux_sym__literal_repeat1,
    STATE(2630), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4639), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2418), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82572] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2503), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4641), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1140), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82648] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2489), 1,
      aux_sym__literal_repeat1,
    STATE(2644), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4643), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2496), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82696] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1259), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82724] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1172), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1174), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82752] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2492), 1,
      aux_sym__literal_repeat1,
    STATE(2779), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4645), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2490), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1063), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82828] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2432), 1,
      aux_sym__literal_repeat1,
    STATE(2760), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4647), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2446), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82876] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
    STATE(2633), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4649), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2498), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1144), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82952] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1142), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1144), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82980] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2500), 1,
      aux_sym__literal_repeat1,
    STATE(2669), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4651), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83028] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2443), 1,
      aux_sym__literal_repeat1,
    STATE(2671), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4653), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2428), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83076] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1148), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83132] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2407), 1,
      aux_sym__literal_repeat1,
    STATE(2788), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4655), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83180] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1361), 1,
      sym__special_character,
    ACTIONS(4659), 1,
      sym_regex,
    STATE(276), 1,
      aux_sym__literal_repeat1,
    STATE(490), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4657), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83228] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2417), 1,
      aux_sym__literal_repeat1,
    STATE(2692), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4661), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2419), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1152), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83304] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1041), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83332] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1138), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1140), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83360] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2447), 1,
      aux_sym__literal_repeat1,
    STATE(2764), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4663), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2448), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83408] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1158), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1160), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83436] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2515), 1,
      aux_sym__literal_repeat1,
    STATE(2673), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83484] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2470), 1,
      aux_sym__literal_repeat1,
    STATE(2793), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4667), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2468), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83532] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1134), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1136), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83560] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1156), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83588] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2435), 1,
      aux_sym__literal_repeat1,
    STATE(2742), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4669), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2438), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83636] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2504), 1,
      aux_sym__literal_repeat1,
    STATE(2688), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4671), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2413), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83684] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2409), 1,
      aux_sym__literal_repeat1,
    STATE(2705), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4673), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83732] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2459), 1,
      aux_sym__literal_repeat1,
    STATE(2758), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4675), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2457), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83780] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2410), 1,
      aux_sym__literal_repeat1,
    STATE(2794), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4677), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2414), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83828] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2392), 1,
      aux_sym__literal_repeat1,
    STATE(2689), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4679), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83876] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2415), 1,
      aux_sym__literal_repeat1,
    STATE(2698), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4681), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2402), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1156), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1160), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83980] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2395), 1,
      aux_sym__literal_repeat1,
    STATE(2677), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4683), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2393), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84028] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2420), 1,
      aux_sym__literal_repeat1,
    STATE(2733), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4685), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84076] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2462), 1,
      aux_sym__literal_repeat1,
    STATE(2648), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4687), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2472), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1174), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1259), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1255), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1255), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1245), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84264] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1359), 1,
      sym__special_character,
    ACTIONS(4691), 1,
      sym_regex,
    STATE(414), 1,
      aux_sym__literal_repeat1,
    STATE(601), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4689), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(244), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84312] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2385), 1,
      aux_sym__literal_repeat1,
    STATE(2740), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4693), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1237), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84388] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1231), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1229), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84416] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2458), 1,
      aux_sym__literal_repeat1,
    STATE(2737), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4695), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2461), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84464] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2386), 1,
      aux_sym__literal_repeat1,
    STATE(2690), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2388), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84512] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2394), 1,
      aux_sym__literal_repeat1,
    STATE(2679), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4699), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2387), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84560] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2422), 1,
      aux_sym__literal_repeat1,
    STATE(2732), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4701), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84608] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2460), 1,
      aux_sym__literal_repeat1,
    STATE(2792), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84656] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2440), 1,
      aux_sym__literal_repeat1,
    STATE(2741), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4705), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2430), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1186), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84732] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2429), 1,
      aux_sym__literal_repeat1,
    STATE(2640), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4707), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84780] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2401), 1,
      aux_sym__literal_repeat1,
    STATE(2691), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4709), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4713), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1209), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4495), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84912] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4715), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COLON,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1225), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1233), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1229), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1221), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1217), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1213), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85116] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2397), 1,
      aux_sym__literal_repeat1,
    STATE(2684), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4727), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      sym__special_character,
    STATE(1851), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1196), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1205), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85224] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2389), 1,
      aux_sym__literal_repeat1,
    STATE(2672), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4732), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2391), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85272] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      sym__special_character,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    STATE(2480), 1,
      aux_sym__literal_repeat1,
    STATE(2744), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4734), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2484), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4485), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4487), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85348] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_DOLLAR,
    ACTIONS(4601), 1,
      sym__special_character,
    ACTIONS(4603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4605), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4607), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4609), 1,
      anon_sym_BQUOTE,
    STATE(1977), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4611), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4738), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85422] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4740), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85457] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_RPAREN,
    ACTIONS(4750), 1,
      anon_sym_QMARK,
    ACTIONS(4746), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4752), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4748), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4744), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85492] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4754), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85527] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_QMARK,
    ACTIONS(4756), 1,
      anon_sym_RPAREN,
    ACTIONS(4746), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4752), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4748), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4744), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85562] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4371), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4469), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85589] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4766), 1,
      anon_sym_QMARK,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85624] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4768), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85659] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(1332), 1,
      aux_sym__literal_repeat1,
    STATE(1447), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4770), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1394), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85704] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85739] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4788), 1,
      anon_sym_COLON,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85774] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4473), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85801] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4327), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4503), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85828] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4790), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85863] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4792), 1,
      anon_sym_COLON,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85898] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4371), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4469), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85925] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RBRACK,
    ACTIONS(4800), 1,
      anon_sym_QMARK,
    ACTIONS(4796), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4802), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4794), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85960] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_DOLLAR,
    ACTIONS(4808), 1,
      sym__special_character,
    ACTIONS(4810), 1,
      anon_sym_DQUOTE,
    ACTIONS(4812), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4816), 1,
      anon_sym_BQUOTE,
    STATE(1501), 1,
      aux_sym__literal_repeat1,
    STATE(1693), 1,
      sym_concatenation,
    ACTIONS(4818), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4804), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1504), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86005] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_QMARK,
    ACTIONS(4820), 1,
      anon_sym_RPAREN,
    ACTIONS(4746), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4752), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4748), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4744), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86040] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(1331), 1,
      aux_sym__literal_repeat1,
    STATE(1459), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4822), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1395), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86085] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_QMARK,
    ACTIONS(4824), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86120] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(1313), 1,
      aux_sym__literal_repeat1,
    STATE(1429), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4826), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86165] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4481), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86192] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_QMARK,
    ACTIONS(4824), 1,
      anon_sym_RBRACK,
    ACTIONS(4796), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4802), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4794), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86227] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4824), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86262] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4830), 1,
      sym__special_character,
    STATE(1331), 1,
      aux_sym__literal_repeat1,
    STATE(1459), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4828), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1352), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86307] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4832), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86342] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4481), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1041), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86396] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4473), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86423] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(4836), 1,
      sym__special_character,
    STATE(2380), 1,
      aux_sym__literal_repeat1,
    STATE(2615), 1,
      sym_concatenation,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4834), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2444), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86468] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR,
    ACTIONS(4293), 1,
      sym__special_character,
    ACTIONS(4295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4299), 1,
      anon_sym_BQUOTE,
    STATE(1451), 1,
      aux_sym__literal_repeat1,
    STATE(1573), 1,
      sym_concatenation,
    ACTIONS(4301), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4838), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1344), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86513] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4840), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86548] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86583] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR,
    ACTIONS(4293), 1,
      sym__special_character,
    ACTIONS(4295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4299), 1,
      anon_sym_BQUOTE,
    STATE(1420), 1,
      aux_sym__literal_repeat1,
    STATE(1596), 1,
      sym_concatenation,
    ACTIONS(4301), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4844), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1363), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86628] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4327), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4503), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86655] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4766), 1,
      anon_sym_QMARK,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86690] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4846), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86725] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_RBRACK,
    ACTIONS(4800), 1,
      anon_sym_QMARK,
    ACTIONS(4796), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4802), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4794), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86760] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_DOLLAR,
    ACTIONS(4808), 1,
      sym__special_character,
    ACTIONS(4810), 1,
      anon_sym_DQUOTE,
    ACTIONS(4812), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4816), 1,
      anon_sym_BQUOTE,
    STATE(1503), 1,
      aux_sym__literal_repeat1,
    STATE(1679), 1,
      sym_concatenation,
    ACTIONS(4818), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4848), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86805] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_DOLLAR,
    ACTIONS(4808), 1,
      sym__special_character,
    ACTIONS(4810), 1,
      anon_sym_DQUOTE,
    ACTIONS(4812), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4816), 1,
      anon_sym_BQUOTE,
    STATE(1450), 1,
      aux_sym__literal_repeat1,
    STATE(1631), 1,
      sym_concatenation,
    ACTIONS(4818), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4850), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1463), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86850] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86885] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4760), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86920] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_QMARK,
    ACTIONS(4854), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4719), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4725), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4721), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4717), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86955] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__special_character,
    STATE(2374), 1,
      aux_sym__literal_repeat1,
    STATE(2558), 1,
      sym_concatenation,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4856), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2377), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87000] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(4836), 1,
      sym__special_character,
    STATE(2351), 1,
      aux_sym__literal_repeat1,
    STATE(2620), 1,
      sym_concatenation,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4858), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2403), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87045] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_DOLLAR,
    ACTIONS(4864), 1,
      sym__special_character,
    ACTIONS(4866), 1,
      anon_sym_DQUOTE,
    ACTIONS(4868), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_BQUOTE,
    STATE(2248), 1,
      aux_sym__literal_repeat1,
    STATE(2326), 1,
      sym_concatenation,
    ACTIONS(4874), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4860), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87090] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4830), 1,
      sym__special_character,
    STATE(1332), 1,
      aux_sym__literal_repeat1,
    STATE(1447), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1346), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87135] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_RPAREN,
    ACTIONS(4750), 1,
      anon_sym_QMARK,
    ACTIONS(4746), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4752), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4748), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4744), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87170] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4830), 1,
      sym__special_character,
    STATE(1313), 1,
      aux_sym__literal_repeat1,
    STATE(1429), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4878), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87215] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4473), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [87242] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4473), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [87269] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_QMARK,
    ACTIONS(4880), 1,
      anon_sym_RPAREN,
    ACTIONS(4746), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4752), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4748), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4744), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87304] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_DOLLAR,
    ACTIONS(4864), 1,
      sym__special_character,
    ACTIONS(4866), 1,
      anon_sym_DQUOTE,
    ACTIONS(4868), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_BQUOTE,
    STATE(2256), 1,
      aux_sym__literal_repeat1,
    STATE(2327), 1,
      sym_concatenation,
    ACTIONS(4874), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4882), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87349] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(4886), 1,
      anon_sym_RBRACK,
    ACTIONS(4888), 1,
      sym__special_character,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1796), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87391] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(4888), 1,
      sym__special_character,
    ACTIONS(4890), 1,
      anon_sym_RBRACK,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1796), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87433] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LF,
    ACTIONS(4894), 1,
      anon_sym_DQUOTE,
    ACTIONS(4896), 1,
      sym_raw_string,
    STATE(2277), 1,
      sym_string,
    ACTIONS(541), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4892), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(4898), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [87469] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_DOLLAR,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4353), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4357), 1,
      anon_sym_BQUOTE,
    ACTIONS(4359), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4900), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87506] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(4224), 1,
      anon_sym_DQUOTE,
    ACTIONS(4226), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4228), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_BQUOTE,
    ACTIONS(4232), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4902), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(391), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87543] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2437), 1,
      anon_sym_DQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2443), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2445), 1,
      anon_sym_BQUOTE,
    ACTIONS(4906), 1,
      anon_sym_DOLLAR,
    ACTIONS(2447), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4904), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1406), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87580] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4353), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4357), 1,
      anon_sym_BQUOTE,
    ACTIONS(4908), 1,
      anon_sym_DOLLAR,
    ACTIONS(4359), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4900), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87617] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_DOLLAR,
    ACTIONS(4866), 1,
      anon_sym_DQUOTE,
    ACTIONS(4868), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_BQUOTE,
    ACTIONS(4874), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4910), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87654] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4912), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1578), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87691] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(4916), 1,
      anon_sym_DOLLAR,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(370), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87728] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4918), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(362), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87765] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1662), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87802] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4922), 1,
      anon_sym_DOLLAR,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1662), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87839] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_DQUOTE,
    ACTIONS(4226), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4228), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4230), 1,
      anon_sym_BQUOTE,
    ACTIONS(4924), 1,
      anon_sym_DOLLAR,
    ACTIONS(4232), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4902), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(391), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87876] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      anon_sym_DOLLAR,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1796), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87913] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_DOLLAR,
    ACTIONS(4810), 1,
      anon_sym_DQUOTE,
    ACTIONS(4812), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4816), 1,
      anon_sym_BQUOTE,
    ACTIONS(4818), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1527), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87950] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1489), 1,
      anon_sym_DOLLAR,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1789), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87987] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_DQUOTE,
    ACTIONS(4405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4409), 1,
      anon_sym_BQUOTE,
    ACTIONS(4932), 1,
      anon_sym_DOLLAR,
    ACTIONS(4411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4930), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(282), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88024] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4934), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(406), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88061] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4421), 1,
      anon_sym_DOLLAR,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4936), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2023), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88098] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(389), 1,
      anon_sym_DOLLAR,
    ACTIONS(4383), 1,
      anon_sym_DQUOTE,
    ACTIONS(4385), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4387), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4389), 1,
      anon_sym_BQUOTE,
    ACTIONS(4391), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4938), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(324), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88135] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    ACTIONS(4942), 1,
      anon_sym_DOLLAR,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4940), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88172] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(370), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88209] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_DOLLAR,
    ACTIONS(4603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4605), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4607), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4609), 1,
      anon_sym_BQUOTE,
    ACTIONS(4611), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4944), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1974), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88246] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4299), 1,
      anon_sym_BQUOTE,
    ACTIONS(4948), 1,
      anon_sym_DOLLAR,
    ACTIONS(4301), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4946), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1496), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88283] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_DOLLAR,
    ACTIONS(4954), 1,
      anon_sym_DQUOTE,
    ACTIONS(4956), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4958), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4960), 1,
      anon_sym_BQUOTE,
    ACTIONS(4962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4950), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88320] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_DOLLAR,
    ACTIONS(4968), 1,
      anon_sym_DQUOTE,
    ACTIONS(4970), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4972), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_BQUOTE,
    ACTIONS(4976), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4964), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(605), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88357] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(4575), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4577), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_BQUOTE,
    ACTIONS(4581), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4940), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88394] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_DQUOTE,
    ACTIONS(4385), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4387), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4389), 1,
      anon_sym_BQUOTE,
    ACTIONS(4978), 1,
      anon_sym_DOLLAR,
    ACTIONS(4391), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4938), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(324), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88431] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4982), 1,
      anon_sym_DOLLAR,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88468] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(4984), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4934), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(406), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88505] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4986), 1,
      anon_sym_DOLLAR,
    ACTIONS(1783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1662), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88542] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(4988), 1,
      anon_sym_DOLLAR,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1796), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88579] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_DQUOTE,
    ACTIONS(4868), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_BQUOTE,
    ACTIONS(4990), 1,
      anon_sym_DOLLAR,
    ACTIONS(4874), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4910), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88616] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4918), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(362), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88653] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4252), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4254), 1,
      anon_sym_BQUOTE,
    ACTIONS(4996), 1,
      anon_sym_DOLLAR,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4994), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(652), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88690] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(4968), 1,
      anon_sym_DQUOTE,
    ACTIONS(4970), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4972), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_BQUOTE,
    ACTIONS(4976), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4964), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(605), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88727] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_DOLLAR,
    ACTIONS(5002), 1,
      anon_sym_DQUOTE,
    ACTIONS(5004), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5006), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5008), 1,
      anon_sym_BQUOTE,
    ACTIONS(5010), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4998), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(612), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88764] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(2987), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(5012), 1,
      anon_sym_DOLLAR,
    ACTIONS(2993), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1796), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88801] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_DOLLAR,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4252), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4254), 1,
      anon_sym_BQUOTE,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4994), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(652), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 1,
      anon_sym_LF,
    ACTIONS(5014), 1,
      sym__concat,
    STATE(1951), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88867] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4605), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4607), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4609), 1,
      anon_sym_BQUOTE,
    ACTIONS(5017), 1,
      anon_sym_DOLLAR,
    ACTIONS(4611), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4944), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1974), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88904] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(5019), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1789), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88941] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_BQUOTE,
    ACTIONS(5021), 1,
      anon_sym_DOLLAR,
    ACTIONS(1479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4912), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1578), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88978] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR,
    ACTIONS(4295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4299), 1,
      anon_sym_BQUOTE,
    ACTIONS(4301), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4946), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1496), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89015] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_LF,
    ACTIONS(5025), 1,
      sym__concat,
    STATE(1951), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89081] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_DOLLAR,
    ACTIONS(4275), 1,
      anon_sym_DQUOTE,
    ACTIONS(4277), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4279), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4281), 1,
      anon_sym_BQUOTE,
    ACTIONS(4283), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5027), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(546), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89118] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_DQUOTE,
    ACTIONS(4812), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4816), 1,
      anon_sym_BQUOTE,
    ACTIONS(5029), 1,
      anon_sym_DOLLAR,
    ACTIONS(4818), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1527), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89155] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_DOLLAR,
    ACTIONS(4403), 1,
      anon_sym_DQUOTE,
    ACTIONS(4405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4409), 1,
      anon_sym_BQUOTE,
    ACTIONS(4411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4930), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(282), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89192] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_DOLLAR,
    ACTIONS(4954), 1,
      anon_sym_DQUOTE,
    ACTIONS(4956), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4958), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4960), 1,
      anon_sym_BQUOTE,
    ACTIONS(4962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4950), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89229] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_DQUOTE,
    ACTIONS(4277), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4279), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4281), 1,
      anon_sym_BQUOTE,
    ACTIONS(5031), 1,
      anon_sym_DOLLAR,
    ACTIONS(4283), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5027), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(546), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89266] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(897), 1,
      anon_sym_DOLLAR,
    ACTIONS(5002), 1,
      anon_sym_DQUOTE,
    ACTIONS(5004), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5006), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5008), 1,
      anon_sym_BQUOTE,
    ACTIONS(5010), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4998), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(612), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LF,
    ACTIONS(5033), 1,
      sym__concat,
    STATE(1957), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89332] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(2437), 1,
      anon_sym_DQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2443), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2445), 1,
      anon_sym_BQUOTE,
    ACTIONS(2447), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4904), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1406), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__concat,
    ACTIONS(5037), 1,
      anon_sym_LF,
    STATE(1957), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5035), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89398] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4425), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4429), 1,
      anon_sym_BQUOTE,
    ACTIONS(5039), 1,
      anon_sym_DOLLAR,
    ACTIONS(4431), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4936), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2023), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89435] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1142), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1184), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1065), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1188), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym_LF,
    ACTIONS(5045), 1,
      sym__special_character,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5041), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1146), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1211), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1235), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1158), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1138), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1231), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1172), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1207), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1239), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_LF,
    ACTIONS(5047), 1,
      sym__special_character,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1134), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LF,
    ACTIONS(1039), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1808), 1,
      sym_string,
    ACTIONS(539), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1445), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1437), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1729), 1,
      sym_string,
    ACTIONS(539), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1457), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1449), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90217] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_DOLLAR,
    ACTIONS(5050), 1,
      sym__concat,
    STATE(2002), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90243] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5052), 1,
      sym__concat,
    STATE(1999), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5037), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90269] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_DOLLAR,
    ACTIONS(5052), 1,
      sym__concat,
    STATE(1999), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90295] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_DOLLAR,
    ACTIONS(5054), 1,
      sym__concat,
    STATE(2002), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(5059), 1,
      sym_raw_string,
    STATE(2567), 1,
      sym_string,
    ACTIONS(5063), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5061), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5057), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4573), 1,
      anon_sym_DQUOTE,
    ACTIONS(5059), 1,
      sym_raw_string,
    STATE(2567), 1,
      sym_string,
    ACTIONS(5063), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5061), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5057), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_DQUOTE,
    ACTIONS(5067), 1,
      sym_raw_string,
    STATE(330), 1,
      sym_string,
    ACTIONS(5069), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(758), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5065), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_DQUOTE,
    ACTIONS(5073), 1,
      sym_raw_string,
    STATE(563), 1,
      sym_string,
    ACTIONS(5075), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(766), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5071), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90440] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR,
    ACTIONS(5077), 1,
      sym__special_character,
    STATE(2022), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5043), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(5081), 1,
      sym_raw_string,
    STATE(535), 1,
      sym_string,
    ACTIONS(5083), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(678), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5079), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_DQUOTE,
    ACTIONS(5087), 1,
      sym_raw_string,
    STATE(552), 1,
      sym_string,
    ACTIONS(5089), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(690), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5085), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90523] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1207), 1,
      anon_sym_DOLLAR,
    ACTIONS(1205), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90544] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(1421), 1,
      sym_raw_string,
    STATE(1510), 1,
      sym_string,
    ACTIONS(5091), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1425), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1423), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(5095), 1,
      sym_raw_string,
    STATE(660), 1,
      sym_string,
    ACTIONS(5097), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(698), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5093), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(5101), 1,
      sym_raw_string,
    STATE(1379), 1,
      sym_string,
    ACTIONS(5103), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1294), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5099), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90631] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_DOLLAR,
    ACTIONS(1245), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90652] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(5107), 1,
      sym_raw_string,
    STATE(349), 1,
      sym_string,
    ACTIONS(5109), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(549), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5105), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90681] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90702] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_DOLLAR,
    ACTIONS(1255), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1411), 1,
      sym_raw_string,
    STATE(1524), 1,
      sym_string,
    ACTIONS(1415), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1413), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1407), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90752] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1138), 1,
      anon_sym_DOLLAR,
    ACTIONS(1140), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90773] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1172), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90794] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_DOLLAR,
    ACTIONS(1259), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90815] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR,
    ACTIONS(5111), 1,
      sym__special_character,
    STATE(2022), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90840] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_DOLLAR,
    ACTIONS(1063), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90861] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_DOLLAR,
    ACTIONS(1255), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90882] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_DOLLAR,
    ACTIONS(1136), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90903] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_DQUOTE,
    ACTIONS(5116), 1,
      sym_raw_string,
    STATE(618), 1,
      sym_string,
    ACTIONS(5118), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(917), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5114), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(5122), 1,
      sym_raw_string,
    STATE(418), 1,
      sym_string,
    ACTIONS(5124), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(561), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5120), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_DQUOTE,
    ACTIONS(5128), 1,
      sym_raw_string,
    STATE(280), 1,
      sym_string,
    ACTIONS(5130), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(577), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5126), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90990] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1158), 1,
      anon_sym_DOLLAR,
    ACTIONS(1160), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_DQUOTE,
    ACTIONS(5134), 1,
      sym_raw_string,
    STATE(616), 1,
      sym_string,
    ACTIONS(5136), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(925), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5132), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91040] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      anon_sym_DQUOTE,
    ACTIONS(5140), 1,
      sym_raw_string,
    STATE(1995), 1,
      sym_string,
    ACTIONS(5142), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(3822), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5138), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91069] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1184), 1,
      anon_sym_DOLLAR,
    ACTIONS(1182), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(5146), 1,
      sym_raw_string,
    STATE(368), 1,
      sym_string,
    ACTIONS(5148), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(571), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5144), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91119] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1213), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91140] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2437), 1,
      anon_sym_DQUOTE,
    ACTIONS(5152), 1,
      sym_raw_string,
    STATE(1398), 1,
      sym_string,
    ACTIONS(5154), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1381), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5150), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91169] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_DQUOTE,
    ACTIONS(5158), 1,
      sym_raw_string,
    STATE(1521), 1,
      sym_string,
    ACTIONS(5160), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1373), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5156), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91198] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DOLLAR,
    ACTIONS(1241), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      sym_raw_string,
    STATE(1778), 1,
      sym_string,
    ACTIONS(5162), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(3768), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(3766), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91248] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_DQUOTE,
    ACTIONS(5166), 1,
      sym_raw_string,
    STATE(385), 1,
      sym_string,
    ACTIONS(5168), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(658), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5164), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91298] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_DOLLAR,
    ACTIONS(1221), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91319] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1142), 1,
      anon_sym_DOLLAR,
    ACTIONS(1144), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91340] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym_DOLLAR,
    ACTIONS(1229), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1808), 1,
      sym_string,
    ACTIONS(1445), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1437), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91390] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_DOLLAR,
    ACTIONS(1233), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91411] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_DOLLAR,
    ACTIONS(1225), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91432] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1211), 1,
      anon_sym_DOLLAR,
    ACTIONS(1209), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91453] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    ACTIONS(4315), 1,
      sym_raw_string,
    STATE(2025), 1,
      sym_string,
    ACTIONS(5170), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4319), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4317), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91482] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1146), 1,
      anon_sym_DOLLAR,
    ACTIONS(1148), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1729), 1,
      sym_string,
    ACTIONS(1457), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1449), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91532] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_DOLLAR,
    ACTIONS(1186), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_DQUOTE,
    ACTIONS(5174), 1,
      sym_raw_string,
    STATE(2277), 1,
      sym_string,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4898), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5172), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91582] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_DOLLAR,
    ACTIONS(1237), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91603] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 1,
      anon_sym_DOLLAR,
    ACTIONS(1152), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 1,
      anon_sym_DQUOTE,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5186), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5188), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5190), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91720] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5194), 1,
      anon_sym_esac,
    ACTIONS(5192), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5196), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5198), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5200), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5202), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5204), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5206), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5208), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5210), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91910] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym_variable_name,
    STATE(885), 1,
      sym_subscript,
    ACTIONS(5212), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5218), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5214), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5216), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91938] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5224), 1,
      anon_sym_esac,
    ACTIONS(5222), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5226), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5228), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5230), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92008] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5234), 1,
      anon_sym_esac,
    ACTIONS(5232), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5236), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5238), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5240), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5242), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92102] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 1,
      sym_variable_name,
    STATE(716), 1,
      sym_subscript,
    ACTIONS(5244), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5250), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5246), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5248), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5254), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5256), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5258), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92202] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym_variable_name,
    STATE(735), 1,
      sym_subscript,
    ACTIONS(5260), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5262), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5264), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5270), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92254] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5274), 1,
      anon_sym_esac,
    ACTIONS(5272), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5276), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5278), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 1,
      sym_variable_name,
    STATE(909), 1,
      sym_subscript,
    ACTIONS(5280), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5286), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5282), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5284), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5292), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5294), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5296), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5298), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92448] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5308), 1,
      sym_variable_name,
    STATE(691), 1,
      sym_subscript,
    ACTIONS(5300), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5306), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5302), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5304), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5310), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5312), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5314), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5324), 1,
      sym_variable_name,
    STATE(700), 1,
      sym_subscript,
    ACTIONS(5316), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5322), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5318), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5320), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5326), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92600] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      sym_variable_name,
    STATE(783), 1,
      sym_subscript,
    ACTIONS(5328), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5334), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5330), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5332), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92628] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_esac,
    ACTIONS(5338), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5342), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5344), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5346), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5348), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92722] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      sym_variable_name,
    STATE(888), 1,
      sym_subscript,
    ACTIONS(5350), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5356), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5352), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5354), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5360), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5362), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 1,
      sym_variable_name,
    STATE(761), 1,
      sym_subscript,
    ACTIONS(5364), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5370), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5366), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5368), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5374), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92850] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5378), 1,
      anon_sym_esac,
    ACTIONS(5376), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5380), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      sym_variable_name,
    STATE(901), 1,
      sym_subscript,
    ACTIONS(5382), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5388), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5384), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5386), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 1,
      sym_variable_name,
    STATE(851), 1,
      sym_subscript,
    ACTIONS(5392), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5398), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5394), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5396), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92928] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 1,
      sym_variable_name,
    STATE(775), 1,
      sym_subscript,
    ACTIONS(5402), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5408), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5404), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5406), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5412), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92980] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_DOLLAR,
    ACTIONS(1041), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      sym_variable_name,
    STATE(710), 1,
      sym_subscript,
    ACTIONS(5414), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5420), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5416), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5418), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 1,
      sym_variable_name,
    STATE(786), 1,
      sym_subscript,
    ACTIONS(5424), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5430), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5426), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5428), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5434), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93080] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 1,
      sym_variable_name,
    STATE(797), 1,
      sym_subscript,
    ACTIONS(5436), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5442), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5438), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5440), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5446), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93132] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 1,
      sym_variable_name,
    STATE(784), 1,
      sym_subscript,
    ACTIONS(5448), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5454), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5450), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5452), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      sym_variable_name,
    STATE(807), 1,
      sym_subscript,
    ACTIONS(5458), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5464), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5460), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5462), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5468), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5470), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93236] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 1,
      sym_variable_name,
    STATE(731), 1,
      sym_subscript,
    ACTIONS(5472), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5478), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5474), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5476), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93264] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 1,
      sym_variable_name,
    STATE(744), 1,
      sym_subscript,
    ACTIONS(5482), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5488), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5484), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5486), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 1,
      sym_variable_name,
    STATE(837), 1,
      sym_subscript,
    ACTIONS(5492), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5498), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5494), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5496), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 1,
      sym_variable_name,
    STATE(816), 1,
      sym_subscript,
    ACTIONS(5502), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5508), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5504), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5506), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5512), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93372] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 1,
      sym_variable_name,
    STATE(831), 1,
      sym_subscript,
    ACTIONS(5514), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5516), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5518), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5524), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93424] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 1,
      sym_variable_name,
    STATE(869), 1,
      sym_subscript,
    ACTIONS(5526), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5532), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5528), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5530), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5536), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5538), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93500] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      sym_variable_name,
    STATE(854), 1,
      sym_subscript,
    ACTIONS(5540), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5546), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5542), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5544), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5552), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 1,
      sym_variable_name,
    STATE(899), 1,
      sym_subscript,
    ACTIONS(5554), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5560), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5556), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5558), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93604] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym_variable_name,
    STATE(826), 1,
      sym_subscript,
    ACTIONS(5564), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5570), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5566), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5568), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93656] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5376), 1,
      anon_sym_DOLLAR,
    ACTIONS(5380), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93675] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_DOLLAR,
    ACTIONS(5196), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93694] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5338), 1,
      anon_sym_DOLLAR,
    ACTIONS(5342), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93713] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5222), 1,
      anon_sym_DOLLAR,
    ACTIONS(5226), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93732] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5232), 1,
      anon_sym_DOLLAR,
    ACTIONS(5236), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      sym__string_content,
    ACTIONS(5178), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5184), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93772] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5272), 1,
      anon_sym_DOLLAR,
    ACTIONS(5276), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93791] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 1,
      anon_sym_DQUOTE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5326), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5586), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93851] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_DOLLAR,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5596), 1,
      sym__heredoc_body_middle,
    ACTIONS(5598), 1,
      sym__heredoc_body_end,
    STATE(2211), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [93879] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5600), 1,
      anon_sym_DOLLAR,
    ACTIONS(5602), 1,
      anon_sym_DQUOTE,
    STATE(2167), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5604), 1,
      anon_sym_DOLLAR,
    ACTIONS(5606), 1,
      anon_sym_DQUOTE,
    STATE(2152), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93939] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5614), 1,
      sym_variable_name,
    STATE(907), 1,
      sym_subscript,
    ACTIONS(5612), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5608), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5610), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93963] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5616), 1,
      anon_sym_DOLLAR,
    ACTIONS(5618), 1,
      anon_sym_DQUOTE,
    STATE(2161), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    ACTIONS(5622), 1,
      anon_sym_DQUOTE,
    STATE(2153), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_DOLLAR,
    ACTIONS(5627), 1,
      anon_sym_DQUOTE,
    ACTIONS(5629), 1,
      sym__string_content,
    ACTIONS(5632), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5635), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5638), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94053] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5643), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5645), 1,
      anon_sym_DOLLAR,
    ACTIONS(5647), 1,
      anon_sym_DQUOTE,
    STATE(2165), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94143] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5649), 1,
      anon_sym_DOLLAR,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5655), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5658), 1,
      anon_sym_BQUOTE,
    ACTIONS(5661), 1,
      sym__heredoc_body_middle,
    ACTIONS(5664), 1,
      sym__heredoc_body_end,
    STATE(2155), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5666), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94201] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5674), 1,
      sym_variable_name,
    STATE(890), 1,
      sym_subscript,
    ACTIONS(5672), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5668), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5670), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5676), 1,
      anon_sym_DOLLAR,
    ACTIONS(5678), 1,
      anon_sym_DQUOTE,
    STATE(2156), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94255] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5680), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94285] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym_variable_name,
    STATE(865), 1,
      sym_subscript,
    ACTIONS(5686), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5682), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5684), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5690), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5692), 1,
      anon_sym_DOLLAR,
    ACTIONS(5694), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR,
    ACTIONS(5698), 1,
      anon_sym_DQUOTE,
    STATE(2164), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94399] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5700), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5702), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94459] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5710), 1,
      sym_variable_name,
    STATE(870), 1,
      sym_subscript,
    ACTIONS(5708), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5704), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5706), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94483] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5712), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94513] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_DOLLAR,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5714), 1,
      sym__heredoc_body_middle,
    ACTIONS(5716), 1,
      sym__heredoc_body_end,
    STATE(2155), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94541] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5724), 1,
      sym_variable_name,
    STATE(838), 1,
      sym_subscript,
    ACTIONS(5722), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5718), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5720), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94565] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5726), 1,
      anon_sym_DOLLAR,
    ACTIONS(5728), 1,
      anon_sym_DQUOTE,
    STATE(2171), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94595] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5730), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5732), 1,
      anon_sym_DOLLAR,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE,
    STATE(2143), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94655] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_DOLLAR,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5736), 1,
      sym__heredoc_body_middle,
    ACTIONS(5738), 1,
      sym__heredoc_body_end,
    STATE(2168), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94683] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5746), 1,
      sym_variable_name,
    STATE(768), 1,
      sym_subscript,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5740), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5742), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94707] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5748), 1,
      anon_sym_DOLLAR,
    ACTIONS(5750), 1,
      anon_sym_DQUOTE,
    STATE(2178), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94737] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5752), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5754), 1,
      anon_sym_DOLLAR,
    ACTIONS(5756), 1,
      anon_sym_DQUOTE,
    STATE(2176), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5758), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94827] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_variable_name,
    STATE(750), 1,
      sym_subscript,
    ACTIONS(5764), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5760), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5762), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94851] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym_variable_name,
    STATE(745), 1,
      sym_subscript,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5768), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5770), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5776), 1,
      anon_sym_DOLLAR,
    ACTIONS(5778), 1,
      anon_sym_DQUOTE,
    STATE(2184), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5780), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5312), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5782), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94965] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5784), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94995] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5792), 1,
      sym_variable_name,
    STATE(693), 1,
      sym_subscript,
    ACTIONS(5790), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5786), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5788), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95019] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5794), 1,
      anon_sym_DOLLAR,
    ACTIONS(5796), 1,
      anon_sym_DQUOTE,
    STATE(2190), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95049] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5798), 1,
      anon_sym_DOLLAR,
    ACTIONS(5800), 1,
      anon_sym_DQUOTE,
    STATE(2144), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95079] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5802), 1,
      anon_sym_DOLLAR,
    ACTIONS(5804), 1,
      anon_sym_DQUOTE,
    STATE(2183), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95109] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5812), 1,
      sym_variable_name,
    STATE(702), 1,
      sym_subscript,
    ACTIONS(5810), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5806), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5808), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95133] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5296), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5814), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95163] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5816), 1,
      anon_sym_DOLLAR,
    ACTIONS(5818), 1,
      anon_sym_DQUOTE,
    STATE(2192), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5820), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95223] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5828), 1,
      sym_variable_name,
    STATE(718), 1,
      sym_subscript,
    ACTIONS(5826), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5822), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5824), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95247] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5836), 1,
      sym_variable_name,
    STATE(733), 1,
      sym_subscript,
    ACTIONS(5834), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5830), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5832), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95271] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5844), 1,
      sym_variable_name,
    STATE(713), 1,
      sym_subscript,
    ACTIONS(5842), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5838), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5840), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95295] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5852), 1,
      sym_variable_name,
    STATE(766), 1,
      sym_subscript,
    ACTIONS(5850), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5846), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5848), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5854), 1,
      anon_sym_DOLLAR,
    ACTIONS(5856), 1,
      anon_sym_DQUOTE,
    STATE(2200), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5858), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5860), 1,
      anon_sym_DOLLAR,
    ACTIONS(5862), 1,
      anon_sym_DQUOTE,
    STATE(2198), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95409] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5864), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95439] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5872), 1,
      sym_variable_name,
    STATE(777), 1,
      sym_subscript,
    ACTIONS(5870), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5866), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5868), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95463] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5880), 1,
      sym_variable_name,
    STATE(759), 1,
      sym_subscript,
    ACTIONS(5878), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5874), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5876), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95487] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5888), 1,
      sym_variable_name,
    STATE(872), 1,
      sym_subscript,
    ACTIONS(5886), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5882), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5884), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95511] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5896), 1,
      sym_variable_name,
    STATE(893), 1,
      sym_subscript,
    ACTIONS(5894), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5890), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5892), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95535] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5898), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95565] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5906), 1,
      sym_variable_name,
    STATE(835), 1,
      sym_subscript,
    ACTIONS(5904), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5900), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5902), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5908), 1,
      anon_sym_DOLLAR,
    ACTIONS(5910), 1,
      anon_sym_DQUOTE,
    STATE(2182), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95619] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5918), 1,
      sym_variable_name,
    STATE(799), 1,
      sym_subscript,
    ACTIONS(5916), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5912), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5914), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95643] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5926), 1,
      sym_variable_name,
    STATE(834), 1,
      sym_subscript,
    ACTIONS(5924), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5920), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5922), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5930), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5928), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [95687] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_DOLLAR,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5714), 1,
      sym__heredoc_body_middle,
    ACTIONS(5934), 1,
      sym__heredoc_body_end,
    STATE(2155), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [95715] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5936), 1,
      anon_sym_DOLLAR,
    ACTIONS(5938), 1,
      anon_sym_DQUOTE,
    STATE(2220), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95745] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5946), 1,
      sym_variable_name,
    STATE(706), 1,
      sym_subscript,
    ACTIONS(5944), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5940), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5942), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95769] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5948), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95799] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5956), 1,
      sym_variable_name,
    STATE(818), 1,
      sym_subscript,
    ACTIONS(5954), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5950), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5952), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5958), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95853] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5966), 1,
      sym_variable_name,
    STATE(789), 1,
      sym_subscript,
    ACTIONS(5964), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5960), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5962), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95877] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5974), 1,
      sym_variable_name,
    STATE(809), 1,
      sym_subscript,
    ACTIONS(5972), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5968), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5970), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95901] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5976), 1,
      anon_sym_DOLLAR,
    ACTIONS(5978), 1,
      anon_sym_DQUOTE,
    STATE(2216), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      anon_sym_DQUOTE,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5980), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95961] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5988), 1,
      sym_variable_name,
    STATE(852), 1,
      sym_subscript,
    ACTIONS(5986), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5982), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5984), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5990), 1,
      anon_sym_DOLLAR,
    ACTIONS(5992), 1,
      anon_sym_DQUOTE,
    STATE(2214), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5994), 1,
      anon_sym_DOLLAR,
    ACTIONS(5996), 1,
      anon_sym_DQUOTE,
    STATE(2205), 1,
      aux_sym_string_repeat1,
    STATE(2255), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LF,
    ACTIONS(5998), 1,
      sym__concat,
    STATE(2236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [96065] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6000), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6002), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96081] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6004), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6006), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96097] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6008), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6010), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96113] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6012), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6014), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__concat,
    ACTIONS(1215), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym__concat,
    ACTIONS(1211), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      sym__concat,
    ACTIONS(1243), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6016), 1,
      sym__concat,
    ACTIONS(5627), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    ACTIONS(1257), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 1,
      sym__concat,
    ACTIONS(1158), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 1,
      sym__concat,
    ACTIONS(1188), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_LF,
    ACTIONS(6018), 1,
      sym__concat,
    STATE(2252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 1,
      sym__concat,
    ACTIONS(1172), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 1,
      sym__concat,
    ACTIONS(1154), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__concat,
    ACTIONS(1247), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__concat,
    ACTIONS(1227), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      sym__concat,
    ACTIONS(6020), 1,
      anon_sym_LF,
    ACTIONS(6022), 1,
      anon_sym_in,
    STATE(2236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6024), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      sym__concat,
    ACTIONS(1239), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_LF,
    ACTIONS(6028), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_LF,
    ACTIONS(6030), 1,
      sym__special_character,
    STATE(2244), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1198), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym__concat,
    ACTIONS(1235), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 1,
      sym__concat,
    ACTIONS(1184), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      sym__concat,
    ACTIONS(1231), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_LF,
    ACTIONS(6035), 1,
      anon_sym_in,
    ACTIONS(6039), 1,
      sym__special_character,
    STATE(2244), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6037), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__concat,
    ACTIONS(1223), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1219), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_LF,
    ACTIONS(6043), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 1,
      anon_sym_LF,
    ACTIONS(6045), 1,
      sym__concat,
    STATE(2252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1065), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      sym__concat,
    ACTIONS(1207), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__concat,
    ACTIONS(1261), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6050), 1,
      sym__concat,
    ACTIONS(6048), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_LF,
    ACTIONS(6054), 1,
      anon_sym_in,
    STATE(2244), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6056), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      sym__concat,
    ACTIONS(6058), 1,
      anon_sym_LF,
    ACTIONS(6060), 1,
      anon_sym_in,
    STATE(2236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6062), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    ACTIONS(1257), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_LF,
    ACTIONS(6066), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96658] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_DOLLAR,
    ACTIONS(1186), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96686] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym_DOLLAR,
    ACTIONS(1229), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96700] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1184), 1,
      anon_sym_DOLLAR,
    ACTIONS(1182), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1211), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1239), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96754] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LF,
    ACTIONS(1039), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [96782] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_DOLLAR,
    ACTIONS(1237), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1065), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1184), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1188), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96852] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_DOLLAR,
    ACTIONS(1225), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1134), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96880] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_fi,
    ACTIONS(6072), 1,
      anon_sym_elif,
    ACTIONS(6074), 1,
      anon_sym_else,
    STATE(2729), 1,
      sym_else_clause,
    STATE(2318), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [96900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1227), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96914] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1207), 1,
      anon_sym_DOLLAR,
    ACTIONS(1205), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96928] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6072), 1,
      anon_sym_elif,
    ACTIONS(6074), 1,
      anon_sym_else,
    ACTIONS(6076), 1,
      anon_sym_fi,
    STATE(2721), 1,
      sym_else_clause,
    STATE(2318), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [96948] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1213), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5627), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1235), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1142), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1172), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1158), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97058] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1211), 1,
      anon_sym_DOLLAR,
    ACTIONS(1209), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97072] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1172), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97086] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_DOLLAR,
    ACTIONS(1259), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97100] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97114] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6072), 1,
      anon_sym_elif,
    ACTIONS(6074), 1,
      anon_sym_else,
    ACTIONS(6078), 1,
      anon_sym_fi,
    STATE(2687), 1,
      sym_else_clause,
    STATE(2318), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97134] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_DOLLAR,
    ACTIONS(1221), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97148] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_DOLLAR,
    ACTIONS(1233), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97162] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_DOLLAR,
    ACTIONS(1255), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1207), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97218] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DOLLAR,
    ACTIONS(1241), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97232] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_DOLLAR,
    ACTIONS(1255), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97246] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1158), 1,
      anon_sym_DOLLAR,
    ACTIONS(1160), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97260] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6072), 1,
      anon_sym_elif,
    ACTIONS(6074), 1,
      anon_sym_else,
    ACTIONS(6080), 1,
      anon_sym_fi,
    STATE(2791), 1,
      sym_else_clause,
    STATE(2318), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1146), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1138), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1231), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97350] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_DOLLAR,
    ACTIONS(1245), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6066), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_LF,
    ACTIONS(6084), 1,
      anon_sym_in,
    ACTIONS(6086), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_BQUOTE,
    ACTIONS(6088), 1,
      anon_sym_LF,
    ACTIONS(6090), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6028), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_LF,
    ACTIONS(535), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6094), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [97435] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6096), 1,
      anon_sym_SEMI,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1663), 2,
      sym_do_group,
      sym_compound_statement,
  [97452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_RPAREN,
    ACTIONS(6100), 1,
      anon_sym_LF,
    ACTIONS(6102), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97467] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6106), 1,
      anon_sym_elif,
    ACTIONS(6104), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2318), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97482] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    ACTIONS(6109), 1,
      anon_sym_SEMI,
    STATE(1659), 2,
      sym_do_group,
      sym_compound_statement,
  [97499] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4185), 1,
      sym__concat,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6113), 1,
      anon_sym_RPAREN,
    STATE(2348), 1,
      aux_sym_concatenation_repeat1,
    STATE(2396), 1,
      aux_sym_case_item_repeat1,
  [97518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      ts_builtin_sym_end,
    ACTIONS(6115), 1,
      anon_sym_LF,
    ACTIONS(6117), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97533] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6119), 1,
      anon_sym_SEMI,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1392), 2,
      sym_do_group,
      sym_compound_statement,
  [97550] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6123), 1,
      anon_sym_RPAREN,
    STATE(1519), 1,
      aux_sym__literal_repeat1,
    STATE(2436), 1,
      aux_sym_case_item_repeat1,
  [97569] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6125), 1,
      anon_sym_RPAREN,
    STATE(1519), 1,
      aux_sym__literal_repeat1,
    STATE(2465), 1,
      aux_sym_case_item_repeat1,
  [97588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6127), 1,
      anon_sym_LF,
    ACTIONS(6129), 1,
      anon_sym_in,
    ACTIONS(6131), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6020), 1,
      anon_sym_LF,
    ACTIONS(6022), 1,
      anon_sym_in,
    ACTIONS(6024), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 1,
      anon_sym_LF,
    ACTIONS(6060), 1,
      anon_sym_in,
    ACTIONS(6062), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6043), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97646] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    ACTIONS(6133), 1,
      anon_sym_SEMI,
    STATE(1391), 2,
      sym_do_group,
      sym_compound_statement,
  [97663] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    ACTIONS(6135), 1,
      anon_sym_SEMI,
    STATE(1390), 2,
      sym_do_group,
      sym_compound_statement,
  [97680] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    ACTIONS(6137), 1,
      anon_sym_SEMI,
    STATE(1634), 2,
      sym_do_group,
      sym_compound_statement,
  [97697] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    ACTIONS(6139), 1,
      anon_sym_SEMI,
    STATE(1728), 2,
      sym_do_group,
      sym_compound_statement,
  [97714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      ts_builtin_sym_end,
    ACTIONS(6141), 1,
      anon_sym_LF,
    ACTIONS(6143), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_RPAREN,
    ACTIONS(6145), 1,
      anon_sym_LF,
    ACTIONS(6147), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97744] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    ACTIONS(6149), 1,
      anon_sym_SEMI,
    STATE(1404), 2,
      sym_do_group,
      sym_compound_statement,
  [97761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_BQUOTE,
    ACTIONS(6151), 1,
      anon_sym_LF,
    ACTIONS(6153), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97776] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4185), 1,
      sym__concat,
    STATE(2348), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [97791] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    ACTIONS(6155), 1,
      anon_sym_SEMI,
    STATE(1449), 2,
      sym_do_group,
      sym_compound_statement,
  [97808] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    ACTIONS(6157), 1,
      anon_sym_SEMI,
    STATE(1737), 2,
      sym_do_group,
      sym_compound_statement,
  [97825] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    ACTIONS(6159), 1,
      anon_sym_SEMI,
    STATE(1731), 2,
      sym_do_group,
      sym_compound_statement,
  [97842] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    ACTIONS(6161), 1,
      anon_sym_SEMI,
    STATE(1635), 2,
      sym_do_group,
      sym_compound_statement,
  [97859] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4185), 1,
      sym__concat,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6163), 1,
      anon_sym_RPAREN,
    STATE(2348), 1,
      aux_sym_concatenation_repeat1,
    STATE(2493), 1,
      aux_sym_case_item_repeat1,
  [97878] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    ACTIONS(6165), 1,
      anon_sym_SEMI,
    STATE(1478), 2,
      sym_do_group,
      sym_compound_statement,
  [97895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6167), 1,
      anon_sym_LF,
    ACTIONS(935), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6169), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [97910] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    ACTIONS(6171), 1,
      anon_sym_SEMI,
    STATE(1708), 2,
      sym_do_group,
      sym_compound_statement,
  [97927] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    ACTIONS(6173), 1,
      anon_sym_SEMI,
    STATE(1388), 2,
      sym_do_group,
      sym_compound_statement,
  [97944] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    ACTIONS(6175), 1,
      anon_sym_SEMI,
    STATE(1505), 2,
      sym_do_group,
      sym_compound_statement,
  [97961] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6177), 1,
      sym__concat,
    STATE(1568), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [97975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LF,
    ACTIONS(6181), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 1,
      anon_sym_LF,
    ACTIONS(6185), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97999] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6187), 1,
      anon_sym_RBRACK,
    ACTIONS(6189), 1,
      sym__special_character,
    ACTIONS(6191), 1,
      sym__concat,
    STATE(2362), 1,
      aux_sym__literal_repeat1,
  [98015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      anon_sym_LF,
    ACTIONS(6195), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LF,
    ACTIONS(6199), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98039] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1666), 2,
      sym_do_group,
      sym_compound_statement,
  [98053] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1493), 2,
      sym_do_group,
      sym_compound_statement,
  [98067] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1494), 2,
      sym_do_group,
      sym_compound_statement,
  [98081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6100), 1,
      anon_sym_LF,
    ACTIONS(6102), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [98095] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1637), 2,
      sym_do_group,
      sym_compound_statement,
  [98109] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1474), 2,
      sym_do_group,
      sym_compound_statement,
  [98123] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1721), 2,
      sym_do_group,
      sym_compound_statement,
  [98137] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1726), 2,
      sym_do_group,
      sym_compound_statement,
  [98151] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6201), 1,
      sym__special_character,
    STATE(2362), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1196), 2,
      sym__concat,
      anon_sym_RBRACK,
  [98165] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1499), 2,
      sym_do_group,
      sym_compound_statement,
  [98179] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1486), 2,
      sym_do_group,
      sym_compound_statement,
  [98193] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      sym__special_character,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98209] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1484), 2,
      sym_do_group,
      sym_compound_statement,
  [98223] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1482), 2,
      sym_do_group,
      sym_compound_statement,
  [98237] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1740), 2,
      sym_do_group,
      sym_compound_statement,
  [98251] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1716), 2,
      sym_do_group,
      sym_compound_statement,
  [98265] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1667), 2,
      sym_do_group,
      sym_compound_statement,
  [98279] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1393), 2,
      sym_do_group,
      sym_compound_statement,
  [98293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6145), 1,
      anon_sym_LF,
    ACTIONS(6147), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [98307] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      sym__special_character,
    STATE(2405), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym__concat,
      anon_sym_RBRACK,
  [98321] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4533), 1,
      sym__special_character,
    STATE(1519), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6206), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [98335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 1,
      anon_sym_LF,
    ACTIONS(6210), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 1,
      anon_sym_LF,
    ACTIONS(6214), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98359] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4185), 1,
      sym__concat,
    STATE(2348), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6216), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [98373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 1,
      anon_sym_LF,
    ACTIONS(6220), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98385] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1676), 2,
      sym_do_group,
      sym_compound_statement,
  [98399] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6189), 1,
      sym__special_character,
    ACTIONS(6222), 1,
      anon_sym_RBRACK,
    ACTIONS(6224), 1,
      sym__concat,
    STATE(2362), 1,
      aux_sym__literal_repeat1,
  [98415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_LF,
    ACTIONS(6228), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 1,
      anon_sym_LF,
    ACTIONS(6232), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LF,
    ACTIONS(6236), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      anon_sym_LF,
    ACTIONS(6240), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98463] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6242), 1,
      anon_sym_RBRACE,
    ACTIONS(6244), 1,
      sym__special_character,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98476] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6246), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98489] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98502] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98515] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6248), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98528] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98539] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98552] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6254), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98565] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98578] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6256), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98591] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6258), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98604] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6260), 1,
      anon_sym_RPAREN,
    STATE(2454), 1,
      aux_sym_case_item_repeat1,
  [98617] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6262), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98630] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98643] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98656] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98669] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6264), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98682] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98695] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6266), 1,
      anon_sym_RBRACK,
    ACTIONS(6268), 1,
      sym__concat,
    STATE(2405), 1,
      aux_sym_concatenation_repeat1,
  [98708] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98721] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_RBRACK,
    ACTIONS(6270), 1,
      sym__concat,
    STATE(1703), 1,
      aux_sym_concatenation_repeat1,
  [98734] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_LBRACK,
    ACTIONS(6272), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98745] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6274), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98758] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98771] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6276), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98784] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6278), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98797] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6280), 1,
      anon_sym_LPAREN,
    STATE(1717), 1,
      sym_compound_statement,
  [98810] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6282), 1,
      sym__concat,
    ACTIONS(4487), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98821] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98834] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98847] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6284), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98860] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98873] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6286), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98886] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98899] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98912] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6288), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98925] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98938] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6290), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98951] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6292), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98964] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6294), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [98977] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [98990] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6296), 1,
      sym__concat,
    ACTIONS(4459), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99001] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6298), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99014] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99027] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6300), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99040] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99053] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99066] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6302), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99079] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(6304), 1,
      sym__concat,
    STATE(2466), 1,
      aux_sym_concatenation_repeat1,
  [99092] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99105] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6306), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99118] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6308), 1,
      anon_sym_RPAREN,
    STATE(2454), 1,
      aux_sym_case_item_repeat1,
  [99131] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6310), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99144] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99157] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_LBRACK,
    ACTIONS(6312), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99168] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6314), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99181] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99194] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6316), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99207] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6318), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99220] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_RBRACK,
    ACTIONS(6322), 1,
      sym__concat,
    STATE(2405), 1,
      aux_sym_concatenation_repeat1,
  [99233] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99244] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99257] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6326), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99270] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99283] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__concat,
    ACTIONS(4495), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99294] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99307] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99320] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6330), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99333] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99344] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_RPAREN,
    STATE(2454), 1,
      aux_sym_case_item_repeat1,
  [99357] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99370] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99383] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99396] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6339), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99409] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6341), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99422] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6343), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99435] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99448] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6345), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99461] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99474] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6113), 1,
      anon_sym_RPAREN,
    STATE(2396), 1,
      aux_sym_case_item_repeat1,
  [99487] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6347), 1,
      anon_sym_RPAREN,
    STATE(2454), 1,
      aux_sym_case_item_repeat1,
  [99500] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1063), 1,
      anon_sym_RBRACE,
    ACTIONS(6349), 1,
      sym__concat,
    STATE(2466), 1,
      aux_sym_concatenation_repeat1,
  [99513] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99526] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99539] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6352), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99552] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6354), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99565] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6356), 1,
      sym__concat,
    ACTIONS(4465), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99576] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99589] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99602] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6358), 1,
      anon_sym_LPAREN,
    STATE(1444), 1,
      sym_compound_statement,
  [99615] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6360), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99628] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99641] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99654] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_LBRACK,
    ACTIONS(6362), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99665] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_RBRACE,
    ACTIONS(6364), 1,
      sym__special_character,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99678] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6367), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99691] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6369), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99704] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99717] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6371), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99730] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99743] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6163), 1,
      anon_sym_RPAREN,
    STATE(2493), 1,
      aux_sym_case_item_repeat1,
  [99756] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6373), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99769] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99782] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6375), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99795] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6377), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99808] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99821] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6379), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99834] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6381), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99847] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6383), 1,
      anon_sym_RPAREN,
    STATE(2454), 1,
      aux_sym_case_item_repeat1,
  [99860] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99873] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99886] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99899] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6385), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99912] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99925] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99938] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6387), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99951] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99964] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [99977] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6389), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [99990] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6391), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [100003] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6393), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [100016] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6395), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [100029] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6397), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [100042] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      sym__special_character,
    ACTIONS(1041), 2,
      sym__concat,
      anon_sym_RBRACK,
  [100053] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [100066] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6399), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [100079] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [100092] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(6204), 1,
      sym__concat,
    STATE(2433), 1,
      aux_sym_concatenation_repeat1,
  [100105] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6401), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [100118] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_LBRACK,
    ACTIONS(6403), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100129] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6244), 1,
      sym__special_character,
    ACTIONS(6405), 1,
      anon_sym_RBRACE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
  [100142] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6362), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100150] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6409), 1,
      anon_sym_EQ,
  [100160] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      sym__special_character,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
  [100170] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1205), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100178] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1213), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100186] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100194] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6413), 1,
      aux_sym__simple_variable_name_token1,
  [100204] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100212] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100220] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1640), 1,
      sym_compound_statement,
  [100230] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1233), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100238] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100246] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6415), 1,
      anon_sym_esac,
  [100256] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6419), 1,
      aux_sym__simple_variable_name_token1,
  [100266] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_EQ,
  [100276] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6423), 1,
      anon_sym_EQ,
  [100286] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100294] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1186), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100302] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6425), 1,
      anon_sym_EQ,
  [100312] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6427), 1,
      anon_sym_EQ,
  [100322] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1237), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100330] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_EQ,
  [100340] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100348] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100356] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_EQ,
  [100366] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100374] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6433), 1,
      anon_sym_esac,
  [100384] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6435), 1,
      anon_sym_EQ,
  [100394] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100402] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1259), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100410] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1712), 1,
      sym_compound_statement,
  [100420] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1174), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100428] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6437), 1,
      anon_sym_EQ,
  [100438] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6439), 1,
      anon_sym_EQ,
  [100448] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6441), 1,
      anon_sym_EQ,
  [100458] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_EQ,
  [100468] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6324), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100476] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1160), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100484] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1156), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100492] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_EQ,
  [100502] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6332), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100510] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1152), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100518] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6216), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [100526] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6447), 1,
      anon_sym_EQ,
  [100536] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1148), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100544] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_EQ,
  [100554] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1144), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100562] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1063), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100570] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6451), 1,
      anon_sym_EQ,
  [100580] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1140), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100588] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_EQ,
  [100598] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1136), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100606] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1182), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100614] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6455), 1,
      anon_sym_EQ,
  [100624] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_EQ,
  [100634] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1723), 1,
      sym_do_group,
  [100644] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_EQ,
  [100654] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1403), 1,
      sym_do_group,
  [100664] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_EQ,
  [100674] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100682] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1653), 1,
      sym_do_group,
  [100692] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6463), 1,
      anon_sym_EQ,
  [100702] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4738), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100710] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6465), 1,
      anon_sym_EQ,
  [100720] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6467), 1,
      anon_sym_EQ,
  [100730] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_EQ,
  [100740] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6471), 2,
      anon_sym_do,
      anon_sym_then,
  [100748] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6473), 1,
      anon_sym_EQ,
  [100758] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4495), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100766] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_EQ,
  [100776] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4487), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100784] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6477), 1,
      anon_sym_EQ,
  [100794] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 1,
      anon_sym_EQ,
  [100804] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6481), 1,
      anon_sym_esac,
    ACTIONS(6483), 1,
      anon_sym_SEMI_SEMI,
  [100814] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6485), 1,
      anon_sym_EQ,
  [100824] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_EQ,
  [100834] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1410), 1,
      sym_compound_statement,
  [100844] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_EQ,
  [100854] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6491), 1,
      anon_sym_EQ,
  [100864] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6493), 1,
      anon_sym_EQ,
  [100874] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_EQ,
  [100884] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6497), 1,
      anon_sym_EQ,
  [100894] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1445), 1,
      sym_do_group,
  [100904] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_EQ,
  [100914] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100922] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_EQ,
  [100932] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      anon_sym_EQ,
  [100942] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6505), 1,
      anon_sym_EQ,
  [100952] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1405), 1,
      sym_compound_statement,
  [100962] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6507), 1,
      anon_sym_EQ,
  [100972] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6509), 1,
      anon_sym_EQ,
  [100982] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_EQ,
  [100992] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_EQ,
  [101002] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_esac,
    ACTIONS(6517), 1,
      anon_sym_SEMI_SEMI,
  [101012] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6519), 1,
      anon_sym_EQ,
  [101022] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_EQ,
  [101032] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6121), 1,
      anon_sym_do,
    STATE(1424), 1,
      sym_do_group,
  [101042] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6312), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101050] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_EQ,
  [101060] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_RBRACK,
    ACTIONS(6525), 1,
      sym__concat,
  [101070] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6527), 1,
      anon_sym_EQ,
  [101080] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_EQ,
  [101090] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6531), 1,
      anon_sym_EQ,
  [101100] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6272), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101108] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6266), 1,
      anon_sym_RBRACK,
    ACTIONS(6533), 1,
      sym__concat,
  [101118] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_EQ,
  [101128] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_do,
    STATE(1665), 1,
      sym_do_group,
  [101138] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6403), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101146] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6407), 1,
      anon_sym_LBRACK,
    ACTIONS(6537), 1,
      anon_sym_EQ,
  [101156] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_BQUOTE,
  [101163] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_RPAREN,
  [101170] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6543), 1,
      sym_heredoc_start,
  [101177] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_RPAREN,
  [101184] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
  [101191] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
  [101198] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6545), 1,
      anon_sym_RPAREN,
  [101205] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
  [101212] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
  [101219] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6547), 1,
      anon_sym_BQUOTE,
  [101226] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_RPAREN,
  [101233] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_RPAREN,
  [101240] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
  [101247] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_fi,
  [101254] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6549), 1,
      anon_sym_SEMI_SEMI,
  [101261] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
  [101268] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6551), 1,
      anon_sym_BQUOTE,
  [101275] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6553), 1,
      anon_sym_RPAREN,
  [101282] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4236), 1,
      anon_sym_RPAREN,
  [101289] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
  [101296] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6555), 1,
      anon_sym_BQUOTE,
  [101303] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_RPAREN,
  [101310] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
  [101317] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
  [101324] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_BQUOTE,
  [101331] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_esac,
  [101338] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_RPAREN,
  [101345] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
  [101352] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6563), 1,
      anon_sym_RPAREN,
  [101359] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
  [101366] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_BQUOTE,
  [101373] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_RPAREN,
  [101380] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_RPAREN,
  [101387] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6569), 1,
      anon_sym_BQUOTE,
  [101394] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_RPAREN,
  [101401] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_SEMI_SEMI,
  [101408] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6573), 1,
      sym_heredoc_start,
  [101415] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_RPAREN,
  [101422] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_esac,
  [101429] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
  [101436] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_RPAREN,
  [101443] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_RBRACK,
  [101450] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym_RPAREN,
  [101457] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_BQUOTE,
  [101464] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
  [101471] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_RBRACK,
  [101478] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
  [101485] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_RBRACE,
  [101492] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
  [101499] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_RPAREN,
  [101506] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6587), 1,
      anon_sym_esac,
  [101513] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6076), 1,
      anon_sym_fi,
  [101520] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
  [101527] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_RPAREN,
  [101534] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
  [101541] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_BQUOTE,
  [101548] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_RPAREN,
  [101555] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6593), 1,
      anon_sym_BQUOTE,
  [101562] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_RPAREN,
  [101569] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
  [101576] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_RPAREN,
  [101583] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6597), 1,
      anon_sym_SEMI_SEMI,
  [101590] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_fi,
  [101597] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
  [101604] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
  [101611] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
  [101618] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
  [101625] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
  [101632] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6601), 1,
      anon_sym_RPAREN,
  [101639] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6603), 1,
      anon_sym_BQUOTE,
  [101646] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
  [101653] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6605), 1,
      anon_sym_RPAREN,
  [101660] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6607), 1,
      anon_sym_BQUOTE,
  [101667] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
  [101674] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
  [101681] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_esac,
  [101688] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_BQUOTE,
  [101695] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_RPAREN,
  [101702] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6613), 1,
      anon_sym_RPAREN,
  [101709] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_RPAREN,
  [101716] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
  [101723] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym_BQUOTE,
  [101730] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_RPAREN,
  [101737] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_RPAREN,
  [101744] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_RPAREN,
  [101751] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
  [101758] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
  [101765] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_RPAREN,
  [101772] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6623), 1,
      anon_sym_BQUOTE,
  [101779] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym_in,
  [101786] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym_BQUOTE,
  [101793] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4307), 1,
      anon_sym_RPAREN,
  [101800] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
  [101807] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_then,
  [101814] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym_RPAREN,
  [101821] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_then,
  [101828] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_fi,
  [101835] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_RPAREN,
  [101842] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6637), 1,
      anon_sym_BQUOTE,
  [101849] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_RBRACK,
  [101856] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
  [101863] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_in,
  [101870] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
  [101877] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_RPAREN,
  [101884] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_fi,
  [101891] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(249), 1,
      anon_sym_SEMI_SEMI,
  [101898] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym_RPAREN,
  [101905] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
  [101912] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
  [101919] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_RBRACK,
  [101926] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_esac,
  [101933] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_RPAREN,
  [101940] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
  [101947] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6649), 1,
      anon_sym_esac,
  [101954] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_then,
  [101961] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
  [101968] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
  [101975] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
  [101982] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_RPAREN,
  [101989] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
  [101996] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_RPAREN,
  [102003] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_BQUOTE,
  [102010] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_RPAREN,
  [102017] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_esac,
  [102024] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6659), 1,
      anon_sym_BQUOTE,
  [102031] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_RPAREN,
  [102038] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_BQUOTE,
  [102045] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6665), 1,
      ts_builtin_sym_end,
  [102052] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6667), 1,
      ts_builtin_sym_end,
  [102059] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6669), 1,
      anon_sym_RPAREN,
  [102066] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_RPAREN,
  [102073] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6671), 1,
      sym_word,
  [102080] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6673), 1,
      anon_sym_RPAREN,
  [102087] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
  [102094] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_RPAREN,
  [102101] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
  [102108] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_BQUOTE,
  [102115] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
  [102122] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
  [102129] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
  [102136] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
  [102143] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
  [102150] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_BQUOTE,
  [102157] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_RPAREN,
  [102164] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_RPAREN,
  [102171] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_BQUOTE,
  [102178] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6683), 1,
      anon_sym_RPAREN,
  [102185] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6685), 1,
      sym_word,
  [102192] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_esac,
  [102199] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
  [102206] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_RBRACE,
  [102213] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
  [102220] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_esac,
  [102227] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6691), 1,
      anon_sym_esac,
  [102234] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
  [102241] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
  [102248] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_RPAREN,
  [102255] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym_BQUOTE,
  [102262] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6697), 1,
      anon_sym_BQUOTE,
  [102269] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_in,
  [102276] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_in,
  [102283] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_RPAREN,
  [102290] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_RPAREN,
  [102297] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
  [102304] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_esac,
  [102311] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_esac,
  [102318] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_fi,
  [102325] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_RBRACE,
  [102332] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
  [102339] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
  [102346] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
  [102353] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_RPAREN,
  [102360] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6711), 1,
      anon_sym_BQUOTE,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(125)] = 0,
  [SMALL_STATE(126)] = 60,
  [SMALL_STATE(127)] = 141,
  [SMALL_STATE(128)] = 222,
  [SMALL_STATE(129)] = 303,
  [SMALL_STATE(130)] = 384,
  [SMALL_STATE(131)] = 465,
  [SMALL_STATE(132)] = 546,
  [SMALL_STATE(133)] = 627,
  [SMALL_STATE(134)] = 708,
  [SMALL_STATE(135)] = 789,
  [SMALL_STATE(136)] = 851,
  [SMALL_STATE(137)] = 913,
  [SMALL_STATE(138)] = 991,
  [SMALL_STATE(139)] = 1053,
  [SMALL_STATE(140)] = 1115,
  [SMALL_STATE(141)] = 1193,
  [SMALL_STATE(142)] = 1255,
  [SMALL_STATE(143)] = 1316,
  [SMALL_STATE(144)] = 1393,
  [SMALL_STATE(145)] = 1450,
  [SMALL_STATE(146)] = 1527,
  [SMALL_STATE(147)] = 1586,
  [SMALL_STATE(148)] = 1645,
  [SMALL_STATE(149)] = 1722,
  [SMALL_STATE(150)] = 1799,
  [SMALL_STATE(151)] = 1850,
  [SMALL_STATE(152)] = 1911,
  [SMALL_STATE(153)] = 1988,
  [SMALL_STATE(154)] = 2049,
  [SMALL_STATE(155)] = 2126,
  [SMALL_STATE(156)] = 2203,
  [SMALL_STATE(157)] = 2254,
  [SMALL_STATE(158)] = 2315,
  [SMALL_STATE(159)] = 2392,
  [SMALL_STATE(160)] = 2469,
  [SMALL_STATE(161)] = 2546,
  [SMALL_STATE(162)] = 2607,
  [SMALL_STATE(163)] = 2684,
  [SMALL_STATE(164)] = 2761,
  [SMALL_STATE(165)] = 2820,
  [SMALL_STATE(166)] = 2897,
  [SMALL_STATE(167)] = 2956,
  [SMALL_STATE(168)] = 3033,
  [SMALL_STATE(169)] = 3092,
  [SMALL_STATE(170)] = 3153,
  [SMALL_STATE(171)] = 3212,
  [SMALL_STATE(172)] = 3289,
  [SMALL_STATE(173)] = 3349,
  [SMALL_STATE(174)] = 3423,
  [SMALL_STATE(175)] = 3497,
  [SMALL_STATE(176)] = 3571,
  [SMALL_STATE(177)] = 3645,
  [SMALL_STATE(178)] = 3719,
  [SMALL_STATE(179)] = 3775,
  [SMALL_STATE(180)] = 3849,
  [SMALL_STATE(181)] = 3923,
  [SMALL_STATE(182)] = 3997,
  [SMALL_STATE(183)] = 4071,
  [SMALL_STATE(184)] = 4131,
  [SMALL_STATE(185)] = 4205,
  [SMALL_STATE(186)] = 4263,
  [SMALL_STATE(187)] = 4321,
  [SMALL_STATE(188)] = 4381,
  [SMALL_STATE(189)] = 4455,
  [SMALL_STATE(190)] = 4529,
  [SMALL_STATE(191)] = 4603,
  [SMALL_STATE(192)] = 4654,
  [SMALL_STATE(193)] = 4725,
  [SMALL_STATE(194)] = 4778,
  [SMALL_STATE(195)] = 4869,
  [SMALL_STATE(196)] = 4920,
  [SMALL_STATE(197)] = 5011,
  [SMALL_STATE(198)] = 5062,
  [SMALL_STATE(199)] = 5115,
  [SMALL_STATE(200)] = 5168,
  [SMALL_STATE(201)] = 5239,
  [SMALL_STATE(202)] = 5292,
  [SMALL_STATE(203)] = 5383,
  [SMALL_STATE(204)] = 5434,
  [SMALL_STATE(205)] = 5525,
  [SMALL_STATE(206)] = 5573,
  [SMALL_STATE(207)] = 5623,
  [SMALL_STATE(208)] = 5673,
  [SMALL_STATE(209)] = 5723,
  [SMALL_STATE(210)] = 5771,
  [SMALL_STATE(211)] = 5821,
  [SMALL_STATE(212)] = 5870,
  [SMALL_STATE(213)] = 5917,
  [SMALL_STATE(214)] = 5964,
  [SMALL_STATE(215)] = 6013,
  [SMALL_STATE(216)] = 6062,
  [SMALL_STATE(217)] = 6111,
  [SMALL_STATE(218)] = 6162,
  [SMALL_STATE(219)] = 6223,
  [SMALL_STATE(220)] = 6276,
  [SMALL_STATE(221)] = 6327,
  [SMALL_STATE(222)] = 6388,
  [SMALL_STATE(223)] = 6449,
  [SMALL_STATE(224)] = 6500,
  [SMALL_STATE(225)] = 6561,
  [SMALL_STATE(226)] = 6612,
  [SMALL_STATE(227)] = 6663,
  [SMALL_STATE(228)] = 6724,
  [SMALL_STATE(229)] = 6777,
  [SMALL_STATE(230)] = 6828,
  [SMALL_STATE(231)] = 6881,
  [SMALL_STATE(232)] = 6942,
  [SMALL_STATE(233)] = 7000,
  [SMALL_STATE(234)] = 7048,
  [SMALL_STATE(235)] = 7108,
  [SMALL_STATE(236)] = 7156,
  [SMALL_STATE(237)] = 7204,
  [SMALL_STATE(238)] = 7252,
  [SMALL_STATE(239)] = 7300,
  [SMALL_STATE(240)] = 7358,
  [SMALL_STATE(241)] = 7406,
  [SMALL_STATE(242)] = 7454,
  [SMALL_STATE(243)] = 7502,
  [SMALL_STATE(244)] = 7560,
  [SMALL_STATE(245)] = 7608,
  [SMALL_STATE(246)] = 7656,
  [SMALL_STATE(247)] = 7704,
  [SMALL_STATE(248)] = 7752,
  [SMALL_STATE(249)] = 7800,
  [SMALL_STATE(250)] = 7860,
  [SMALL_STATE(251)] = 7908,
  [SMALL_STATE(252)] = 7956,
  [SMALL_STATE(253)] = 8004,
  [SMALL_STATE(254)] = 8062,
  [SMALL_STATE(255)] = 8110,
  [SMALL_STATE(256)] = 8158,
  [SMALL_STATE(257)] = 8218,
  [SMALL_STATE(258)] = 8266,
  [SMALL_STATE(259)] = 8316,
  [SMALL_STATE(260)] = 8368,
  [SMALL_STATE(261)] = 8416,
  [SMALL_STATE(262)] = 8464,
  [SMALL_STATE(263)] = 8512,
  [SMALL_STATE(264)] = 8560,
  [SMALL_STATE(265)] = 8608,
  [SMALL_STATE(266)] = 8656,
  [SMALL_STATE(267)] = 8716,
  [SMALL_STATE(268)] = 8764,
  [SMALL_STATE(269)] = 8812,
  [SMALL_STATE(270)] = 8860,
  [SMALL_STATE(271)] = 8908,
  [SMALL_STATE(272)] = 8956,
  [SMALL_STATE(273)] = 9004,
  [SMALL_STATE(274)] = 9052,
  [SMALL_STATE(275)] = 9100,
  [SMALL_STATE(276)] = 9147,
  [SMALL_STATE(277)] = 9194,
  [SMALL_STATE(278)] = 9241,
  [SMALL_STATE(279)] = 9288,
  [SMALL_STATE(280)] = 9335,
  [SMALL_STATE(281)] = 9378,
  [SMALL_STATE(282)] = 9421,
  [SMALL_STATE(283)] = 9464,
  [SMALL_STATE(284)] = 9507,
  [SMALL_STATE(285)] = 9550,
  [SMALL_STATE(286)] = 9593,
  [SMALL_STATE(287)] = 9636,
  [SMALL_STATE(288)] = 9679,
  [SMALL_STATE(289)] = 9726,
  [SMALL_STATE(290)] = 9773,
  [SMALL_STATE(291)] = 9820,
  [SMALL_STATE(292)] = 9867,
  [SMALL_STATE(293)] = 9910,
  [SMALL_STATE(294)] = 9957,
  [SMALL_STATE(295)] = 10000,
  [SMALL_STATE(296)] = 10043,
  [SMALL_STATE(297)] = 10090,
  [SMALL_STATE(298)] = 10137,
  [SMALL_STATE(299)] = 10184,
  [SMALL_STATE(300)] = 10227,
  [SMALL_STATE(301)] = 10270,
  [SMALL_STATE(302)] = 10313,
  [SMALL_STATE(303)] = 10356,
  [SMALL_STATE(304)] = 10399,
  [SMALL_STATE(305)] = 10442,
  [SMALL_STATE(306)] = 10485,
  [SMALL_STATE(307)] = 10528,
  [SMALL_STATE(308)] = 10571,
  [SMALL_STATE(309)] = 10614,
  [SMALL_STATE(310)] = 10657,
  [SMALL_STATE(311)] = 10700,
  [SMALL_STATE(312)] = 10743,
  [SMALL_STATE(313)] = 10786,
  [SMALL_STATE(314)] = 10829,
  [SMALL_STATE(315)] = 10872,
  [SMALL_STATE(316)] = 10919,
  [SMALL_STATE(317)] = 10962,
  [SMALL_STATE(318)] = 11005,
  [SMALL_STATE(319)] = 11048,
  [SMALL_STATE(320)] = 11091,
  [SMALL_STATE(321)] = 11134,
  [SMALL_STATE(322)] = 11177,
  [SMALL_STATE(323)] = 11224,
  [SMALL_STATE(324)] = 11267,
  [SMALL_STATE(325)] = 11310,
  [SMALL_STATE(326)] = 11357,
  [SMALL_STATE(327)] = 11400,
  [SMALL_STATE(328)] = 11443,
  [SMALL_STATE(329)] = 11486,
  [SMALL_STATE(330)] = 11529,
  [SMALL_STATE(331)] = 11572,
  [SMALL_STATE(332)] = 11615,
  [SMALL_STATE(333)] = 11658,
  [SMALL_STATE(334)] = 11701,
  [SMALL_STATE(335)] = 11744,
  [SMALL_STATE(336)] = 11787,
  [SMALL_STATE(337)] = 11830,
  [SMALL_STATE(338)] = 11873,
  [SMALL_STATE(339)] = 11916,
  [SMALL_STATE(340)] = 11959,
  [SMALL_STATE(341)] = 12002,
  [SMALL_STATE(342)] = 12045,
  [SMALL_STATE(343)] = 12088,
  [SMALL_STATE(344)] = 12131,
  [SMALL_STATE(345)] = 12174,
  [SMALL_STATE(346)] = 12217,
  [SMALL_STATE(347)] = 12260,
  [SMALL_STATE(348)] = 12303,
  [SMALL_STATE(349)] = 12346,
  [SMALL_STATE(350)] = 12389,
  [SMALL_STATE(351)] = 12436,
  [SMALL_STATE(352)] = 12483,
  [SMALL_STATE(353)] = 12526,
  [SMALL_STATE(354)] = 12569,
  [SMALL_STATE(355)] = 12616,
  [SMALL_STATE(356)] = 12663,
  [SMALL_STATE(357)] = 12710,
  [SMALL_STATE(358)] = 12757,
  [SMALL_STATE(359)] = 12804,
  [SMALL_STATE(360)] = 12851,
  [SMALL_STATE(361)] = 12898,
  [SMALL_STATE(362)] = 12941,
  [SMALL_STATE(363)] = 12984,
  [SMALL_STATE(364)] = 13027,
  [SMALL_STATE(365)] = 13074,
  [SMALL_STATE(366)] = 13127,
  [SMALL_STATE(367)] = 13170,
  [SMALL_STATE(368)] = 13213,
  [SMALL_STATE(369)] = 13256,
  [SMALL_STATE(370)] = 13299,
  [SMALL_STATE(371)] = 13342,
  [SMALL_STATE(372)] = 13385,
  [SMALL_STATE(373)] = 13428,
  [SMALL_STATE(374)] = 13471,
  [SMALL_STATE(375)] = 13514,
  [SMALL_STATE(376)] = 13557,
  [SMALL_STATE(377)] = 13600,
  [SMALL_STATE(378)] = 13643,
  [SMALL_STATE(379)] = 13686,
  [SMALL_STATE(380)] = 13729,
  [SMALL_STATE(381)] = 13772,
  [SMALL_STATE(382)] = 13815,
  [SMALL_STATE(383)] = 13858,
  [SMALL_STATE(384)] = 13901,
  [SMALL_STATE(385)] = 13944,
  [SMALL_STATE(386)] = 13987,
  [SMALL_STATE(387)] = 14030,
  [SMALL_STATE(388)] = 14073,
  [SMALL_STATE(389)] = 14116,
  [SMALL_STATE(390)] = 14159,
  [SMALL_STATE(391)] = 14202,
  [SMALL_STATE(392)] = 14245,
  [SMALL_STATE(393)] = 14288,
  [SMALL_STATE(394)] = 14331,
  [SMALL_STATE(395)] = 14374,
  [SMALL_STATE(396)] = 14421,
  [SMALL_STATE(397)] = 14464,
  [SMALL_STATE(398)] = 14507,
  [SMALL_STATE(399)] = 14550,
  [SMALL_STATE(400)] = 14593,
  [SMALL_STATE(401)] = 14636,
  [SMALL_STATE(402)] = 14679,
  [SMALL_STATE(403)] = 14722,
  [SMALL_STATE(404)] = 14765,
  [SMALL_STATE(405)] = 14808,
  [SMALL_STATE(406)] = 14851,
  [SMALL_STATE(407)] = 14894,
  [SMALL_STATE(408)] = 14937,
  [SMALL_STATE(409)] = 14980,
  [SMALL_STATE(410)] = 15027,
  [SMALL_STATE(411)] = 15074,
  [SMALL_STATE(412)] = 15121,
  [SMALL_STATE(413)] = 15168,
  [SMALL_STATE(414)] = 15215,
  [SMALL_STATE(415)] = 15262,
  [SMALL_STATE(416)] = 15305,
  [SMALL_STATE(417)] = 15348,
  [SMALL_STATE(418)] = 15395,
  [SMALL_STATE(419)] = 15438,
  [SMALL_STATE(420)] = 15481,
  [SMALL_STATE(421)] = 15524,
  [SMALL_STATE(422)] = 15567,
  [SMALL_STATE(423)] = 15614,
  [SMALL_STATE(424)] = 15661,
  [SMALL_STATE(425)] = 15708,
  [SMALL_STATE(426)] = 15755,
  [SMALL_STATE(427)] = 15798,
  [SMALL_STATE(428)] = 15841,
  [SMALL_STATE(429)] = 15888,
  [SMALL_STATE(430)] = 15931,
  [SMALL_STATE(431)] = 15974,
  [SMALL_STATE(432)] = 16017,
  [SMALL_STATE(433)] = 16060,
  [SMALL_STATE(434)] = 16103,
  [SMALL_STATE(435)] = 16146,
  [SMALL_STATE(436)] = 16189,
  [SMALL_STATE(437)] = 16232,
  [SMALL_STATE(438)] = 16275,
  [SMALL_STATE(439)] = 16318,
  [SMALL_STATE(440)] = 16361,
  [SMALL_STATE(441)] = 16404,
  [SMALL_STATE(442)] = 16447,
  [SMALL_STATE(443)] = 16490,
  [SMALL_STATE(444)] = 16533,
  [SMALL_STATE(445)] = 16576,
  [SMALL_STATE(446)] = 16623,
  [SMALL_STATE(447)] = 16670,
  [SMALL_STATE(448)] = 16717,
  [SMALL_STATE(449)] = 16760,
  [SMALL_STATE(450)] = 16807,
  [SMALL_STATE(451)] = 16850,
  [SMALL_STATE(452)] = 16893,
  [SMALL_STATE(453)] = 16936,
  [SMALL_STATE(454)] = 16979,
  [SMALL_STATE(455)] = 17022,
  [SMALL_STATE(456)] = 17065,
  [SMALL_STATE(457)] = 17108,
  [SMALL_STATE(458)] = 17151,
  [SMALL_STATE(459)] = 17194,
  [SMALL_STATE(460)] = 17237,
  [SMALL_STATE(461)] = 17280,
  [SMALL_STATE(462)] = 17323,
  [SMALL_STATE(463)] = 17366,
  [SMALL_STATE(464)] = 17409,
  [SMALL_STATE(465)] = 17452,
  [SMALL_STATE(466)] = 17495,
  [SMALL_STATE(467)] = 17538,
  [SMALL_STATE(468)] = 17581,
  [SMALL_STATE(469)] = 17624,
  [SMALL_STATE(470)] = 17671,
  [SMALL_STATE(471)] = 17718,
  [SMALL_STATE(472)] = 17760,
  [SMALL_STATE(473)] = 17802,
  [SMALL_STATE(474)] = 17844,
  [SMALL_STATE(475)] = 17886,
  [SMALL_STATE(476)] = 17928,
  [SMALL_STATE(477)] = 17970,
  [SMALL_STATE(478)] = 18012,
  [SMALL_STATE(479)] = 18054,
  [SMALL_STATE(480)] = 18096,
  [SMALL_STATE(481)] = 18138,
  [SMALL_STATE(482)] = 18180,
  [SMALL_STATE(483)] = 18222,
  [SMALL_STATE(484)] = 18268,
  [SMALL_STATE(485)] = 18310,
  [SMALL_STATE(486)] = 18352,
  [SMALL_STATE(487)] = 18394,
  [SMALL_STATE(488)] = 18436,
  [SMALL_STATE(489)] = 18478,
  [SMALL_STATE(490)] = 18520,
  [SMALL_STATE(491)] = 18562,
  [SMALL_STATE(492)] = 18604,
  [SMALL_STATE(493)] = 18646,
  [SMALL_STATE(494)] = 18688,
  [SMALL_STATE(495)] = 18730,
  [SMALL_STATE(496)] = 18772,
  [SMALL_STATE(497)] = 18814,
  [SMALL_STATE(498)] = 18856,
  [SMALL_STATE(499)] = 18898,
  [SMALL_STATE(500)] = 18940,
  [SMALL_STATE(501)] = 18982,
  [SMALL_STATE(502)] = 19024,
  [SMALL_STATE(503)] = 19066,
  [SMALL_STATE(504)] = 19108,
  [SMALL_STATE(505)] = 19150,
  [SMALL_STATE(506)] = 19192,
  [SMALL_STATE(507)] = 19234,
  [SMALL_STATE(508)] = 19276,
  [SMALL_STATE(509)] = 19318,
  [SMALL_STATE(510)] = 19360,
  [SMALL_STATE(511)] = 19402,
  [SMALL_STATE(512)] = 19444,
  [SMALL_STATE(513)] = 19486,
  [SMALL_STATE(514)] = 19528,
  [SMALL_STATE(515)] = 19570,
  [SMALL_STATE(516)] = 19612,
  [SMALL_STATE(517)] = 19658,
  [SMALL_STATE(518)] = 19700,
  [SMALL_STATE(519)] = 19742,
  [SMALL_STATE(520)] = 19784,
  [SMALL_STATE(521)] = 19826,
  [SMALL_STATE(522)] = 19868,
  [SMALL_STATE(523)] = 19910,
  [SMALL_STATE(524)] = 19952,
  [SMALL_STATE(525)] = 19994,
  [SMALL_STATE(526)] = 20036,
  [SMALL_STATE(527)] = 20078,
  [SMALL_STATE(528)] = 20120,
  [SMALL_STATE(529)] = 20162,
  [SMALL_STATE(530)] = 20204,
  [SMALL_STATE(531)] = 20246,
  [SMALL_STATE(532)] = 20288,
  [SMALL_STATE(533)] = 20330,
  [SMALL_STATE(534)] = 20382,
  [SMALL_STATE(535)] = 20428,
  [SMALL_STATE(536)] = 20470,
  [SMALL_STATE(537)] = 20512,
  [SMALL_STATE(538)] = 20554,
  [SMALL_STATE(539)] = 20596,
  [SMALL_STATE(540)] = 20638,
  [SMALL_STATE(541)] = 20684,
  [SMALL_STATE(542)] = 20726,
  [SMALL_STATE(543)] = 20768,
  [SMALL_STATE(544)] = 20810,
  [SMALL_STATE(545)] = 20852,
  [SMALL_STATE(546)] = 20894,
  [SMALL_STATE(547)] = 20936,
  [SMALL_STATE(548)] = 20978,
  [SMALL_STATE(549)] = 21020,
  [SMALL_STATE(550)] = 21062,
  [SMALL_STATE(551)] = 21104,
  [SMALL_STATE(552)] = 21146,
  [SMALL_STATE(553)] = 21188,
  [SMALL_STATE(554)] = 21230,
  [SMALL_STATE(555)] = 21272,
  [SMALL_STATE(556)] = 21314,
  [SMALL_STATE(557)] = 21360,
  [SMALL_STATE(558)] = 21406,
  [SMALL_STATE(559)] = 21448,
  [SMALL_STATE(560)] = 21490,
  [SMALL_STATE(561)] = 21536,
  [SMALL_STATE(562)] = 21578,
  [SMALL_STATE(563)] = 21620,
  [SMALL_STATE(564)] = 21662,
  [SMALL_STATE(565)] = 21708,
  [SMALL_STATE(566)] = 21750,
  [SMALL_STATE(567)] = 21792,
  [SMALL_STATE(568)] = 21834,
  [SMALL_STATE(569)] = 21876,
  [SMALL_STATE(570)] = 21918,
  [SMALL_STATE(571)] = 21960,
  [SMALL_STATE(572)] = 22002,
  [SMALL_STATE(573)] = 22044,
  [SMALL_STATE(574)] = 22086,
  [SMALL_STATE(575)] = 22128,
  [SMALL_STATE(576)] = 22170,
  [SMALL_STATE(577)] = 22212,
  [SMALL_STATE(578)] = 22254,
  [SMALL_STATE(579)] = 22296,
  [SMALL_STATE(580)] = 22338,
  [SMALL_STATE(581)] = 22380,
  [SMALL_STATE(582)] = 22454,
  [SMALL_STATE(583)] = 22496,
  [SMALL_STATE(584)] = 22538,
  [SMALL_STATE(585)] = 22584,
  [SMALL_STATE(586)] = 22626,
  [SMALL_STATE(587)] = 22668,
  [SMALL_STATE(588)] = 22710,
  [SMALL_STATE(589)] = 22752,
  [SMALL_STATE(590)] = 22794,
  [SMALL_STATE(591)] = 22840,
  [SMALL_STATE(592)] = 22882,
  [SMALL_STATE(593)] = 22956,
  [SMALL_STATE(594)] = 22998,
  [SMALL_STATE(595)] = 23040,
  [SMALL_STATE(596)] = 23114,
  [SMALL_STATE(597)] = 23156,
  [SMALL_STATE(598)] = 23198,
  [SMALL_STATE(599)] = 23272,
  [SMALL_STATE(600)] = 23314,
  [SMALL_STATE(601)] = 23356,
  [SMALL_STATE(602)] = 23398,
  [SMALL_STATE(603)] = 23440,
  [SMALL_STATE(604)] = 23482,
  [SMALL_STATE(605)] = 23524,
  [SMALL_STATE(606)] = 23566,
  [SMALL_STATE(607)] = 23608,
  [SMALL_STATE(608)] = 23650,
  [SMALL_STATE(609)] = 23692,
  [SMALL_STATE(610)] = 23734,
  [SMALL_STATE(611)] = 23776,
  [SMALL_STATE(612)] = 23818,
  [SMALL_STATE(613)] = 23860,
  [SMALL_STATE(614)] = 23902,
  [SMALL_STATE(615)] = 23944,
  [SMALL_STATE(616)] = 23986,
  [SMALL_STATE(617)] = 24028,
  [SMALL_STATE(618)] = 24070,
  [SMALL_STATE(619)] = 24112,
  [SMALL_STATE(620)] = 24154,
  [SMALL_STATE(621)] = 24196,
  [SMALL_STATE(622)] = 24238,
  [SMALL_STATE(623)] = 24284,
  [SMALL_STATE(624)] = 24326,
  [SMALL_STATE(625)] = 24372,
  [SMALL_STATE(626)] = 24414,
  [SMALL_STATE(627)] = 24456,
  [SMALL_STATE(628)] = 24498,
  [SMALL_STATE(629)] = 24540,
  [SMALL_STATE(630)] = 24582,
  [SMALL_STATE(631)] = 24624,
  [SMALL_STATE(632)] = 24666,
  [SMALL_STATE(633)] = 24708,
  [SMALL_STATE(634)] = 24750,
  [SMALL_STATE(635)] = 24792,
  [SMALL_STATE(636)] = 24834,
  [SMALL_STATE(637)] = 24876,
  [SMALL_STATE(638)] = 24918,
  [SMALL_STATE(639)] = 24960,
  [SMALL_STATE(640)] = 25002,
  [SMALL_STATE(641)] = 25044,
  [SMALL_STATE(642)] = 25086,
  [SMALL_STATE(643)] = 25128,
  [SMALL_STATE(644)] = 25170,
  [SMALL_STATE(645)] = 25212,
  [SMALL_STATE(646)] = 25254,
  [SMALL_STATE(647)] = 25296,
  [SMALL_STATE(648)] = 25338,
  [SMALL_STATE(649)] = 25380,
  [SMALL_STATE(650)] = 25422,
  [SMALL_STATE(651)] = 25464,
  [SMALL_STATE(652)] = 25506,
  [SMALL_STATE(653)] = 25548,
  [SMALL_STATE(654)] = 25590,
  [SMALL_STATE(655)] = 25632,
  [SMALL_STATE(656)] = 25674,
  [SMALL_STATE(657)] = 25716,
  [SMALL_STATE(658)] = 25758,
  [SMALL_STATE(659)] = 25800,
  [SMALL_STATE(660)] = 25842,
  [SMALL_STATE(661)] = 25884,
  [SMALL_STATE(662)] = 25936,
  [SMALL_STATE(663)] = 25978,
  [SMALL_STATE(664)] = 26019,
  [SMALL_STATE(665)] = 26060,
  [SMALL_STATE(666)] = 26101,
  [SMALL_STATE(667)] = 26142,
  [SMALL_STATE(668)] = 26183,
  [SMALL_STATE(669)] = 26224,
  [SMALL_STATE(670)] = 26265,
  [SMALL_STATE(671)] = 26306,
  [SMALL_STATE(672)] = 26347,
  [SMALL_STATE(673)] = 26388,
  [SMALL_STATE(674)] = 26429,
  [SMALL_STATE(675)] = 26470,
  [SMALL_STATE(676)] = 26511,
  [SMALL_STATE(677)] = 26552,
  [SMALL_STATE(678)] = 26601,
  [SMALL_STATE(679)] = 26642,
  [SMALL_STATE(680)] = 26706,
  [SMALL_STATE(681)] = 26770,
  [SMALL_STATE(682)] = 26824,
  [SMALL_STATE(683)] = 26876,
  [SMALL_STATE(684)] = 26940,
  [SMALL_STATE(685)] = 27004,
  [SMALL_STATE(686)] = 27068,
  [SMALL_STATE(687)] = 27132,
  [SMALL_STATE(688)] = 27184,
  [SMALL_STATE(689)] = 27236,
  [SMALL_STATE(690)] = 27301,
  [SMALL_STATE(691)] = 27366,
  [SMALL_STATE(692)] = 27431,
  [SMALL_STATE(693)] = 27496,
  [SMALL_STATE(694)] = 27561,
  [SMALL_STATE(695)] = 27626,
  [SMALL_STATE(696)] = 27691,
  [SMALL_STATE(697)] = 27756,
  [SMALL_STATE(698)] = 27821,
  [SMALL_STATE(699)] = 27886,
  [SMALL_STATE(700)] = 27951,
  [SMALL_STATE(701)] = 28016,
  [SMALL_STATE(702)] = 28081,
  [SMALL_STATE(703)] = 28146,
  [SMALL_STATE(704)] = 28211,
  [SMALL_STATE(705)] = 28276,
  [SMALL_STATE(706)] = 28341,
  [SMALL_STATE(707)] = 28406,
  [SMALL_STATE(708)] = 28471,
  [SMALL_STATE(709)] = 28536,
  [SMALL_STATE(710)] = 28601,
  [SMALL_STATE(711)] = 28666,
  [SMALL_STATE(712)] = 28731,
  [SMALL_STATE(713)] = 28796,
  [SMALL_STATE(714)] = 28861,
  [SMALL_STATE(715)] = 28926,
  [SMALL_STATE(716)] = 28991,
  [SMALL_STATE(717)] = 29056,
  [SMALL_STATE(718)] = 29121,
  [SMALL_STATE(719)] = 29186,
  [SMALL_STATE(720)] = 29251,
  [SMALL_STATE(721)] = 29316,
  [SMALL_STATE(722)] = 29381,
  [SMALL_STATE(723)] = 29446,
  [SMALL_STATE(724)] = 29511,
  [SMALL_STATE(725)] = 29576,
  [SMALL_STATE(726)] = 29641,
  [SMALL_STATE(727)] = 29706,
  [SMALL_STATE(728)] = 29771,
  [SMALL_STATE(729)] = 29836,
  [SMALL_STATE(730)] = 29901,
  [SMALL_STATE(731)] = 29966,
  [SMALL_STATE(732)] = 30031,
  [SMALL_STATE(733)] = 30096,
  [SMALL_STATE(734)] = 30161,
  [SMALL_STATE(735)] = 30226,
  [SMALL_STATE(736)] = 30291,
  [SMALL_STATE(737)] = 30356,
  [SMALL_STATE(738)] = 30421,
  [SMALL_STATE(739)] = 30486,
  [SMALL_STATE(740)] = 30551,
  [SMALL_STATE(741)] = 30616,
  [SMALL_STATE(742)] = 30681,
  [SMALL_STATE(743)] = 30746,
  [SMALL_STATE(744)] = 30811,
  [SMALL_STATE(745)] = 30876,
  [SMALL_STATE(746)] = 30941,
  [SMALL_STATE(747)] = 31006,
  [SMALL_STATE(748)] = 31071,
  [SMALL_STATE(749)] = 31136,
  [SMALL_STATE(750)] = 31201,
  [SMALL_STATE(751)] = 31266,
  [SMALL_STATE(752)] = 31331,
  [SMALL_STATE(753)] = 31396,
  [SMALL_STATE(754)] = 31461,
  [SMALL_STATE(755)] = 31526,
  [SMALL_STATE(756)] = 31591,
  [SMALL_STATE(757)] = 31656,
  [SMALL_STATE(758)] = 31721,
  [SMALL_STATE(759)] = 31786,
  [SMALL_STATE(760)] = 31851,
  [SMALL_STATE(761)] = 31916,
  [SMALL_STATE(762)] = 31981,
  [SMALL_STATE(763)] = 32046,
  [SMALL_STATE(764)] = 32111,
  [SMALL_STATE(765)] = 32176,
  [SMALL_STATE(766)] = 32241,
  [SMALL_STATE(767)] = 32306,
  [SMALL_STATE(768)] = 32371,
  [SMALL_STATE(769)] = 32436,
  [SMALL_STATE(770)] = 32501,
  [SMALL_STATE(771)] = 32566,
  [SMALL_STATE(772)] = 32631,
  [SMALL_STATE(773)] = 32696,
  [SMALL_STATE(774)] = 32761,
  [SMALL_STATE(775)] = 32826,
  [SMALL_STATE(776)] = 32891,
  [SMALL_STATE(777)] = 32956,
  [SMALL_STATE(778)] = 33021,
  [SMALL_STATE(779)] = 33086,
  [SMALL_STATE(780)] = 33151,
  [SMALL_STATE(781)] = 33216,
  [SMALL_STATE(782)] = 33281,
  [SMALL_STATE(783)] = 33346,
  [SMALL_STATE(784)] = 33411,
  [SMALL_STATE(785)] = 33476,
  [SMALL_STATE(786)] = 33541,
  [SMALL_STATE(787)] = 33606,
  [SMALL_STATE(788)] = 33671,
  [SMALL_STATE(789)] = 33736,
  [SMALL_STATE(790)] = 33801,
  [SMALL_STATE(791)] = 33866,
  [SMALL_STATE(792)] = 33931,
  [SMALL_STATE(793)] = 33996,
  [SMALL_STATE(794)] = 34061,
  [SMALL_STATE(795)] = 34126,
  [SMALL_STATE(796)] = 34191,
  [SMALL_STATE(797)] = 34256,
  [SMALL_STATE(798)] = 34321,
  [SMALL_STATE(799)] = 34386,
  [SMALL_STATE(800)] = 34451,
  [SMALL_STATE(801)] = 34516,
  [SMALL_STATE(802)] = 34581,
  [SMALL_STATE(803)] = 34646,
  [SMALL_STATE(804)] = 34711,
  [SMALL_STATE(805)] = 34776,
  [SMALL_STATE(806)] = 34841,
  [SMALL_STATE(807)] = 34906,
  [SMALL_STATE(808)] = 34971,
  [SMALL_STATE(809)] = 35036,
  [SMALL_STATE(810)] = 35101,
  [SMALL_STATE(811)] = 35166,
  [SMALL_STATE(812)] = 35231,
  [SMALL_STATE(813)] = 35296,
  [SMALL_STATE(814)] = 35361,
  [SMALL_STATE(815)] = 35426,
  [SMALL_STATE(816)] = 35491,
  [SMALL_STATE(817)] = 35556,
  [SMALL_STATE(818)] = 35621,
  [SMALL_STATE(819)] = 35686,
  [SMALL_STATE(820)] = 35751,
  [SMALL_STATE(821)] = 35816,
  [SMALL_STATE(822)] = 35881,
  [SMALL_STATE(823)] = 35946,
  [SMALL_STATE(824)] = 36011,
  [SMALL_STATE(825)] = 36076,
  [SMALL_STATE(826)] = 36141,
  [SMALL_STATE(827)] = 36206,
  [SMALL_STATE(828)] = 36271,
  [SMALL_STATE(829)] = 36336,
  [SMALL_STATE(830)] = 36401,
  [SMALL_STATE(831)] = 36466,
  [SMALL_STATE(832)] = 36531,
  [SMALL_STATE(833)] = 36596,
  [SMALL_STATE(834)] = 36661,
  [SMALL_STATE(835)] = 36726,
  [SMALL_STATE(836)] = 36791,
  [SMALL_STATE(837)] = 36856,
  [SMALL_STATE(838)] = 36921,
  [SMALL_STATE(839)] = 36986,
  [SMALL_STATE(840)] = 37051,
  [SMALL_STATE(841)] = 37116,
  [SMALL_STATE(842)] = 37181,
  [SMALL_STATE(843)] = 37246,
  [SMALL_STATE(844)] = 37311,
  [SMALL_STATE(845)] = 37376,
  [SMALL_STATE(846)] = 37441,
  [SMALL_STATE(847)] = 37506,
  [SMALL_STATE(848)] = 37571,
  [SMALL_STATE(849)] = 37636,
  [SMALL_STATE(850)] = 37701,
  [SMALL_STATE(851)] = 37766,
  [SMALL_STATE(852)] = 37831,
  [SMALL_STATE(853)] = 37896,
  [SMALL_STATE(854)] = 37961,
  [SMALL_STATE(855)] = 38026,
  [SMALL_STATE(856)] = 38091,
  [SMALL_STATE(857)] = 38156,
  [SMALL_STATE(858)] = 38221,
  [SMALL_STATE(859)] = 38286,
  [SMALL_STATE(860)] = 38351,
  [SMALL_STATE(861)] = 38416,
  [SMALL_STATE(862)] = 38481,
  [SMALL_STATE(863)] = 38546,
  [SMALL_STATE(864)] = 38611,
  [SMALL_STATE(865)] = 38676,
  [SMALL_STATE(866)] = 38741,
  [SMALL_STATE(867)] = 38806,
  [SMALL_STATE(868)] = 38871,
  [SMALL_STATE(869)] = 38936,
  [SMALL_STATE(870)] = 39001,
  [SMALL_STATE(871)] = 39066,
  [SMALL_STATE(872)] = 39131,
  [SMALL_STATE(873)] = 39196,
  [SMALL_STATE(874)] = 39261,
  [SMALL_STATE(875)] = 39326,
  [SMALL_STATE(876)] = 39391,
  [SMALL_STATE(877)] = 39456,
  [SMALL_STATE(878)] = 39521,
  [SMALL_STATE(879)] = 39586,
  [SMALL_STATE(880)] = 39651,
  [SMALL_STATE(881)] = 39716,
  [SMALL_STATE(882)] = 39781,
  [SMALL_STATE(883)] = 39846,
  [SMALL_STATE(884)] = 39911,
  [SMALL_STATE(885)] = 39976,
  [SMALL_STATE(886)] = 40041,
  [SMALL_STATE(887)] = 40106,
  [SMALL_STATE(888)] = 40171,
  [SMALL_STATE(889)] = 40236,
  [SMALL_STATE(890)] = 40301,
  [SMALL_STATE(891)] = 40366,
  [SMALL_STATE(892)] = 40431,
  [SMALL_STATE(893)] = 40496,
  [SMALL_STATE(894)] = 40561,
  [SMALL_STATE(895)] = 40626,
  [SMALL_STATE(896)] = 40691,
  [SMALL_STATE(897)] = 40756,
  [SMALL_STATE(898)] = 40821,
  [SMALL_STATE(899)] = 40886,
  [SMALL_STATE(900)] = 40951,
  [SMALL_STATE(901)] = 41016,
  [SMALL_STATE(902)] = 41081,
  [SMALL_STATE(903)] = 41146,
  [SMALL_STATE(904)] = 41211,
  [SMALL_STATE(905)] = 41276,
  [SMALL_STATE(906)] = 41341,
  [SMALL_STATE(907)] = 41406,
  [SMALL_STATE(908)] = 41471,
  [SMALL_STATE(909)] = 41536,
  [SMALL_STATE(910)] = 41601,
  [SMALL_STATE(911)] = 41663,
  [SMALL_STATE(912)] = 41725,
  [SMALL_STATE(913)] = 41787,
  [SMALL_STATE(914)] = 41849,
  [SMALL_STATE(915)] = 41911,
  [SMALL_STATE(916)] = 41973,
  [SMALL_STATE(917)] = 42035,
  [SMALL_STATE(918)] = 42097,
  [SMALL_STATE(919)] = 42159,
  [SMALL_STATE(920)] = 42221,
  [SMALL_STATE(921)] = 42283,
  [SMALL_STATE(922)] = 42345,
  [SMALL_STATE(923)] = 42407,
  [SMALL_STATE(924)] = 42469,
  [SMALL_STATE(925)] = 42531,
  [SMALL_STATE(926)] = 42593,
  [SMALL_STATE(927)] = 42655,
  [SMALL_STATE(928)] = 42717,
  [SMALL_STATE(929)] = 42779,
  [SMALL_STATE(930)] = 42841,
  [SMALL_STATE(931)] = 42903,
  [SMALL_STATE(932)] = 42965,
  [SMALL_STATE(933)] = 43027,
  [SMALL_STATE(934)] = 43089,
  [SMALL_STATE(935)] = 43151,
  [SMALL_STATE(936)] = 43213,
  [SMALL_STATE(937)] = 43275,
  [SMALL_STATE(938)] = 43337,
  [SMALL_STATE(939)] = 43399,
  [SMALL_STATE(940)] = 43461,
  [SMALL_STATE(941)] = 43523,
  [SMALL_STATE(942)] = 43585,
  [SMALL_STATE(943)] = 43647,
  [SMALL_STATE(944)] = 43709,
  [SMALL_STATE(945)] = 43771,
  [SMALL_STATE(946)] = 43833,
  [SMALL_STATE(947)] = 43895,
  [SMALL_STATE(948)] = 43957,
  [SMALL_STATE(949)] = 44019,
  [SMALL_STATE(950)] = 44081,
  [SMALL_STATE(951)] = 44143,
  [SMALL_STATE(952)] = 44205,
  [SMALL_STATE(953)] = 44267,
  [SMALL_STATE(954)] = 44329,
  [SMALL_STATE(955)] = 44391,
  [SMALL_STATE(956)] = 44453,
  [SMALL_STATE(957)] = 44515,
  [SMALL_STATE(958)] = 44577,
  [SMALL_STATE(959)] = 44639,
  [SMALL_STATE(960)] = 44701,
  [SMALL_STATE(961)] = 44763,
  [SMALL_STATE(962)] = 44825,
  [SMALL_STATE(963)] = 44887,
  [SMALL_STATE(964)] = 44949,
  [SMALL_STATE(965)] = 45011,
  [SMALL_STATE(966)] = 45073,
  [SMALL_STATE(967)] = 45135,
  [SMALL_STATE(968)] = 45197,
  [SMALL_STATE(969)] = 45259,
  [SMALL_STATE(970)] = 45321,
  [SMALL_STATE(971)] = 45383,
  [SMALL_STATE(972)] = 45445,
  [SMALL_STATE(973)] = 45507,
  [SMALL_STATE(974)] = 45569,
  [SMALL_STATE(975)] = 45631,
  [SMALL_STATE(976)] = 45693,
  [SMALL_STATE(977)] = 45755,
  [SMALL_STATE(978)] = 45817,
  [SMALL_STATE(979)] = 45879,
  [SMALL_STATE(980)] = 45941,
  [SMALL_STATE(981)] = 46003,
  [SMALL_STATE(982)] = 46065,
  [SMALL_STATE(983)] = 46127,
  [SMALL_STATE(984)] = 46189,
  [SMALL_STATE(985)] = 46251,
  [SMALL_STATE(986)] = 46313,
  [SMALL_STATE(987)] = 46375,
  [SMALL_STATE(988)] = 46437,
  [SMALL_STATE(989)] = 46499,
  [SMALL_STATE(990)] = 46561,
  [SMALL_STATE(991)] = 46623,
  [SMALL_STATE(992)] = 46685,
  [SMALL_STATE(993)] = 46747,
  [SMALL_STATE(994)] = 46809,
  [SMALL_STATE(995)] = 46871,
  [SMALL_STATE(996)] = 46933,
  [SMALL_STATE(997)] = 46995,
  [SMALL_STATE(998)] = 47057,
  [SMALL_STATE(999)] = 47119,
  [SMALL_STATE(1000)] = 47181,
  [SMALL_STATE(1001)] = 47243,
  [SMALL_STATE(1002)] = 47305,
  [SMALL_STATE(1003)] = 47367,
  [SMALL_STATE(1004)] = 47429,
  [SMALL_STATE(1005)] = 47491,
  [SMALL_STATE(1006)] = 47553,
  [SMALL_STATE(1007)] = 47615,
  [SMALL_STATE(1008)] = 47677,
  [SMALL_STATE(1009)] = 47739,
  [SMALL_STATE(1010)] = 47801,
  [SMALL_STATE(1011)] = 47863,
  [SMALL_STATE(1012)] = 47925,
  [SMALL_STATE(1013)] = 47987,
  [SMALL_STATE(1014)] = 48049,
  [SMALL_STATE(1015)] = 48111,
  [SMALL_STATE(1016)] = 48173,
  [SMALL_STATE(1017)] = 48235,
  [SMALL_STATE(1018)] = 48297,
  [SMALL_STATE(1019)] = 48359,
  [SMALL_STATE(1020)] = 48421,
  [SMALL_STATE(1021)] = 48483,
  [SMALL_STATE(1022)] = 48545,
  [SMALL_STATE(1023)] = 48607,
  [SMALL_STATE(1024)] = 48669,
  [SMALL_STATE(1025)] = 48731,
  [SMALL_STATE(1026)] = 48793,
  [SMALL_STATE(1027)] = 48855,
  [SMALL_STATE(1028)] = 48917,
  [SMALL_STATE(1029)] = 48979,
  [SMALL_STATE(1030)] = 49041,
  [SMALL_STATE(1031)] = 49103,
  [SMALL_STATE(1032)] = 49165,
  [SMALL_STATE(1033)] = 49227,
  [SMALL_STATE(1034)] = 49289,
  [SMALL_STATE(1035)] = 49351,
  [SMALL_STATE(1036)] = 49413,
  [SMALL_STATE(1037)] = 49475,
  [SMALL_STATE(1038)] = 49537,
  [SMALL_STATE(1039)] = 49599,
  [SMALL_STATE(1040)] = 49661,
  [SMALL_STATE(1041)] = 49723,
  [SMALL_STATE(1042)] = 49785,
  [SMALL_STATE(1043)] = 49847,
  [SMALL_STATE(1044)] = 49909,
  [SMALL_STATE(1045)] = 49971,
  [SMALL_STATE(1046)] = 50033,
  [SMALL_STATE(1047)] = 50095,
  [SMALL_STATE(1048)] = 50157,
  [SMALL_STATE(1049)] = 50219,
  [SMALL_STATE(1050)] = 50281,
  [SMALL_STATE(1051)] = 50343,
  [SMALL_STATE(1052)] = 50405,
  [SMALL_STATE(1053)] = 50467,
  [SMALL_STATE(1054)] = 50529,
  [SMALL_STATE(1055)] = 50591,
  [SMALL_STATE(1056)] = 50653,
  [SMALL_STATE(1057)] = 50715,
  [SMALL_STATE(1058)] = 50777,
  [SMALL_STATE(1059)] = 50839,
  [SMALL_STATE(1060)] = 50901,
  [SMALL_STATE(1061)] = 50963,
  [SMALL_STATE(1062)] = 51025,
  [SMALL_STATE(1063)] = 51087,
  [SMALL_STATE(1064)] = 51149,
  [SMALL_STATE(1065)] = 51211,
  [SMALL_STATE(1066)] = 51273,
  [SMALL_STATE(1067)] = 51335,
  [SMALL_STATE(1068)] = 51397,
  [SMALL_STATE(1069)] = 51459,
  [SMALL_STATE(1070)] = 51521,
  [SMALL_STATE(1071)] = 51583,
  [SMALL_STATE(1072)] = 51645,
  [SMALL_STATE(1073)] = 51707,
  [SMALL_STATE(1074)] = 51769,
  [SMALL_STATE(1075)] = 51831,
  [SMALL_STATE(1076)] = 51893,
  [SMALL_STATE(1077)] = 51955,
  [SMALL_STATE(1078)] = 52017,
  [SMALL_STATE(1079)] = 52079,
  [SMALL_STATE(1080)] = 52141,
  [SMALL_STATE(1081)] = 52203,
  [SMALL_STATE(1082)] = 52265,
  [SMALL_STATE(1083)] = 52327,
  [SMALL_STATE(1084)] = 52389,
  [SMALL_STATE(1085)] = 52451,
  [SMALL_STATE(1086)] = 52513,
  [SMALL_STATE(1087)] = 52575,
  [SMALL_STATE(1088)] = 52637,
  [SMALL_STATE(1089)] = 52699,
  [SMALL_STATE(1090)] = 52761,
  [SMALL_STATE(1091)] = 52823,
  [SMALL_STATE(1092)] = 52885,
  [SMALL_STATE(1093)] = 52947,
  [SMALL_STATE(1094)] = 53009,
  [SMALL_STATE(1095)] = 53071,
  [SMALL_STATE(1096)] = 53133,
  [SMALL_STATE(1097)] = 53195,
  [SMALL_STATE(1098)] = 53257,
  [SMALL_STATE(1099)] = 53319,
  [SMALL_STATE(1100)] = 53381,
  [SMALL_STATE(1101)] = 53443,
  [SMALL_STATE(1102)] = 53505,
  [SMALL_STATE(1103)] = 53567,
  [SMALL_STATE(1104)] = 53629,
  [SMALL_STATE(1105)] = 53691,
  [SMALL_STATE(1106)] = 53753,
  [SMALL_STATE(1107)] = 53815,
  [SMALL_STATE(1108)] = 53877,
  [SMALL_STATE(1109)] = 53939,
  [SMALL_STATE(1110)] = 54001,
  [SMALL_STATE(1111)] = 54063,
  [SMALL_STATE(1112)] = 54125,
  [SMALL_STATE(1113)] = 54187,
  [SMALL_STATE(1114)] = 54249,
  [SMALL_STATE(1115)] = 54311,
  [SMALL_STATE(1116)] = 54373,
  [SMALL_STATE(1117)] = 54435,
  [SMALL_STATE(1118)] = 54497,
  [SMALL_STATE(1119)] = 54559,
  [SMALL_STATE(1120)] = 54621,
  [SMALL_STATE(1121)] = 54683,
  [SMALL_STATE(1122)] = 54745,
  [SMALL_STATE(1123)] = 54807,
  [SMALL_STATE(1124)] = 54869,
  [SMALL_STATE(1125)] = 54931,
  [SMALL_STATE(1126)] = 54993,
  [SMALL_STATE(1127)] = 55055,
  [SMALL_STATE(1128)] = 55117,
  [SMALL_STATE(1129)] = 55179,
  [SMALL_STATE(1130)] = 55241,
  [SMALL_STATE(1131)] = 55303,
  [SMALL_STATE(1132)] = 55365,
  [SMALL_STATE(1133)] = 55427,
  [SMALL_STATE(1134)] = 55489,
  [SMALL_STATE(1135)] = 55551,
  [SMALL_STATE(1136)] = 55613,
  [SMALL_STATE(1137)] = 55675,
  [SMALL_STATE(1138)] = 55737,
  [SMALL_STATE(1139)] = 55799,
  [SMALL_STATE(1140)] = 55861,
  [SMALL_STATE(1141)] = 55923,
  [SMALL_STATE(1142)] = 55985,
  [SMALL_STATE(1143)] = 56047,
  [SMALL_STATE(1144)] = 56109,
  [SMALL_STATE(1145)] = 56171,
  [SMALL_STATE(1146)] = 56233,
  [SMALL_STATE(1147)] = 56295,
  [SMALL_STATE(1148)] = 56357,
  [SMALL_STATE(1149)] = 56419,
  [SMALL_STATE(1150)] = 56481,
  [SMALL_STATE(1151)] = 56543,
  [SMALL_STATE(1152)] = 56605,
  [SMALL_STATE(1153)] = 56667,
  [SMALL_STATE(1154)] = 56729,
  [SMALL_STATE(1155)] = 56791,
  [SMALL_STATE(1156)] = 56853,
  [SMALL_STATE(1157)] = 56915,
  [SMALL_STATE(1158)] = 56977,
  [SMALL_STATE(1159)] = 57039,
  [SMALL_STATE(1160)] = 57101,
  [SMALL_STATE(1161)] = 57163,
  [SMALL_STATE(1162)] = 57225,
  [SMALL_STATE(1163)] = 57287,
  [SMALL_STATE(1164)] = 57349,
  [SMALL_STATE(1165)] = 57411,
  [SMALL_STATE(1166)] = 57473,
  [SMALL_STATE(1167)] = 57535,
  [SMALL_STATE(1168)] = 57597,
  [SMALL_STATE(1169)] = 57659,
  [SMALL_STATE(1170)] = 57721,
  [SMALL_STATE(1171)] = 57783,
  [SMALL_STATE(1172)] = 57845,
  [SMALL_STATE(1173)] = 57907,
  [SMALL_STATE(1174)] = 57969,
  [SMALL_STATE(1175)] = 58031,
  [SMALL_STATE(1176)] = 58093,
  [SMALL_STATE(1177)] = 58155,
  [SMALL_STATE(1178)] = 58217,
  [SMALL_STATE(1179)] = 58279,
  [SMALL_STATE(1180)] = 58341,
  [SMALL_STATE(1181)] = 58403,
  [SMALL_STATE(1182)] = 58465,
  [SMALL_STATE(1183)] = 58527,
  [SMALL_STATE(1184)] = 58589,
  [SMALL_STATE(1185)] = 58651,
  [SMALL_STATE(1186)] = 58713,
  [SMALL_STATE(1187)] = 58775,
  [SMALL_STATE(1188)] = 58837,
  [SMALL_STATE(1189)] = 58899,
  [SMALL_STATE(1190)] = 58961,
  [SMALL_STATE(1191)] = 59023,
  [SMALL_STATE(1192)] = 59085,
  [SMALL_STATE(1193)] = 59147,
  [SMALL_STATE(1194)] = 59209,
  [SMALL_STATE(1195)] = 59271,
  [SMALL_STATE(1196)] = 59333,
  [SMALL_STATE(1197)] = 59395,
  [SMALL_STATE(1198)] = 59457,
  [SMALL_STATE(1199)] = 59519,
  [SMALL_STATE(1200)] = 59581,
  [SMALL_STATE(1201)] = 59643,
  [SMALL_STATE(1202)] = 59705,
  [SMALL_STATE(1203)] = 59767,
  [SMALL_STATE(1204)] = 59829,
  [SMALL_STATE(1205)] = 59891,
  [SMALL_STATE(1206)] = 59953,
  [SMALL_STATE(1207)] = 60015,
  [SMALL_STATE(1208)] = 60077,
  [SMALL_STATE(1209)] = 60139,
  [SMALL_STATE(1210)] = 60201,
  [SMALL_STATE(1211)] = 60263,
  [SMALL_STATE(1212)] = 60325,
  [SMALL_STATE(1213)] = 60387,
  [SMALL_STATE(1214)] = 60449,
  [SMALL_STATE(1215)] = 60511,
  [SMALL_STATE(1216)] = 60573,
  [SMALL_STATE(1217)] = 60635,
  [SMALL_STATE(1218)] = 60697,
  [SMALL_STATE(1219)] = 60759,
  [SMALL_STATE(1220)] = 60821,
  [SMALL_STATE(1221)] = 60883,
  [SMALL_STATE(1222)] = 60945,
  [SMALL_STATE(1223)] = 61007,
  [SMALL_STATE(1224)] = 61069,
  [SMALL_STATE(1225)] = 61131,
  [SMALL_STATE(1226)] = 61193,
  [SMALL_STATE(1227)] = 61255,
  [SMALL_STATE(1228)] = 61317,
  [SMALL_STATE(1229)] = 61379,
  [SMALL_STATE(1230)] = 61441,
  [SMALL_STATE(1231)] = 61503,
  [SMALL_STATE(1232)] = 61565,
  [SMALL_STATE(1233)] = 61627,
  [SMALL_STATE(1234)] = 61689,
  [SMALL_STATE(1235)] = 61751,
  [SMALL_STATE(1236)] = 61813,
  [SMALL_STATE(1237)] = 61875,
  [SMALL_STATE(1238)] = 61937,
  [SMALL_STATE(1239)] = 61999,
  [SMALL_STATE(1240)] = 62061,
  [SMALL_STATE(1241)] = 62123,
  [SMALL_STATE(1242)] = 62185,
  [SMALL_STATE(1243)] = 62247,
  [SMALL_STATE(1244)] = 62309,
  [SMALL_STATE(1245)] = 62371,
  [SMALL_STATE(1246)] = 62433,
  [SMALL_STATE(1247)] = 62495,
  [SMALL_STATE(1248)] = 62557,
  [SMALL_STATE(1249)] = 62619,
  [SMALL_STATE(1250)] = 62681,
  [SMALL_STATE(1251)] = 62743,
  [SMALL_STATE(1252)] = 62805,
  [SMALL_STATE(1253)] = 62867,
  [SMALL_STATE(1254)] = 62929,
  [SMALL_STATE(1255)] = 62991,
  [SMALL_STATE(1256)] = 63053,
  [SMALL_STATE(1257)] = 63115,
  [SMALL_STATE(1258)] = 63177,
  [SMALL_STATE(1259)] = 63239,
  [SMALL_STATE(1260)] = 63301,
  [SMALL_STATE(1261)] = 63363,
  [SMALL_STATE(1262)] = 63425,
  [SMALL_STATE(1263)] = 63487,
  [SMALL_STATE(1264)] = 63549,
  [SMALL_STATE(1265)] = 63611,
  [SMALL_STATE(1266)] = 63673,
  [SMALL_STATE(1267)] = 63735,
  [SMALL_STATE(1268)] = 63797,
  [SMALL_STATE(1269)] = 63859,
  [SMALL_STATE(1270)] = 63921,
  [SMALL_STATE(1271)] = 63983,
  [SMALL_STATE(1272)] = 64045,
  [SMALL_STATE(1273)] = 64107,
  [SMALL_STATE(1274)] = 64169,
  [SMALL_STATE(1275)] = 64231,
  [SMALL_STATE(1276)] = 64293,
  [SMALL_STATE(1277)] = 64355,
  [SMALL_STATE(1278)] = 64417,
  [SMALL_STATE(1279)] = 64479,
  [SMALL_STATE(1280)] = 64541,
  [SMALL_STATE(1281)] = 64603,
  [SMALL_STATE(1282)] = 64665,
  [SMALL_STATE(1283)] = 64727,
  [SMALL_STATE(1284)] = 64789,
  [SMALL_STATE(1285)] = 64851,
  [SMALL_STATE(1286)] = 64913,
  [SMALL_STATE(1287)] = 64975,
  [SMALL_STATE(1288)] = 65037,
  [SMALL_STATE(1289)] = 65099,
  [SMALL_STATE(1290)] = 65161,
  [SMALL_STATE(1291)] = 65223,
  [SMALL_STATE(1292)] = 65285,
  [SMALL_STATE(1293)] = 65347,
  [SMALL_STATE(1294)] = 65409,
  [SMALL_STATE(1295)] = 65471,
  [SMALL_STATE(1296)] = 65533,
  [SMALL_STATE(1297)] = 65595,
  [SMALL_STATE(1298)] = 65657,
  [SMALL_STATE(1299)] = 65719,
  [SMALL_STATE(1300)] = 65781,
  [SMALL_STATE(1301)] = 65843,
  [SMALL_STATE(1302)] = 65905,
  [SMALL_STATE(1303)] = 65967,
  [SMALL_STATE(1304)] = 66029,
  [SMALL_STATE(1305)] = 66091,
  [SMALL_STATE(1306)] = 66138,
  [SMALL_STATE(1307)] = 66182,
  [SMALL_STATE(1308)] = 66226,
  [SMALL_STATE(1309)] = 66262,
  [SMALL_STATE(1310)] = 66305,
  [SMALL_STATE(1311)] = 66354,
  [SMALL_STATE(1312)] = 66391,
  [SMALL_STATE(1313)] = 66428,
  [SMALL_STATE(1314)] = 66465,
  [SMALL_STATE(1315)] = 66514,
  [SMALL_STATE(1316)] = 66549,
  [SMALL_STATE(1317)] = 66592,
  [SMALL_STATE(1318)] = 66635,
  [SMALL_STATE(1319)] = 66672,
  [SMALL_STATE(1320)] = 66721,
  [SMALL_STATE(1321)] = 66758,
  [SMALL_STATE(1322)] = 66807,
  [SMALL_STATE(1323)] = 66844,
  [SMALL_STATE(1324)] = 66887,
  [SMALL_STATE(1325)] = 66924,
  [SMALL_STATE(1326)] = 66959,
  [SMALL_STATE(1327)] = 67008,
  [SMALL_STATE(1328)] = 67057,
  [SMALL_STATE(1329)] = 67106,
  [SMALL_STATE(1330)] = 67143,
  [SMALL_STATE(1331)] = 67178,
  [SMALL_STATE(1332)] = 67215,
  [SMALL_STATE(1333)] = 67252,
  [SMALL_STATE(1334)] = 67301,
  [SMALL_STATE(1335)] = 67346,
  [SMALL_STATE(1336)] = 67389,
  [SMALL_STATE(1337)] = 67421,
  [SMALL_STATE(1338)] = 67453,
  [SMALL_STATE(1339)] = 67489,
  [SMALL_STATE(1340)] = 67521,
  [SMALL_STATE(1341)] = 67553,
  [SMALL_STATE(1342)] = 67585,
  [SMALL_STATE(1343)] = 67617,
  [SMALL_STATE(1344)] = 67649,
  [SMALL_STATE(1345)] = 67685,
  [SMALL_STATE(1346)] = 67717,
  [SMALL_STATE(1347)] = 67753,
  [SMALL_STATE(1348)] = 67785,
  [SMALL_STATE(1349)] = 67819,
  [SMALL_STATE(1350)] = 67855,
  [SMALL_STATE(1351)] = 67887,
  [SMALL_STATE(1352)] = 67919,
  [SMALL_STATE(1353)] = 67955,
  [SMALL_STATE(1354)] = 67987,
  [SMALL_STATE(1355)] = 68021,
  [SMALL_STATE(1356)] = 68053,
  [SMALL_STATE(1357)] = 68087,
  [SMALL_STATE(1358)] = 68123,
  [SMALL_STATE(1359)] = 68177,
  [SMALL_STATE(1360)] = 68213,
  [SMALL_STATE(1361)] = 68245,
  [SMALL_STATE(1362)] = 68277,
  [SMALL_STATE(1363)] = 68325,
  [SMALL_STATE(1364)] = 68361,
  [SMALL_STATE(1365)] = 68393,
  [SMALL_STATE(1366)] = 68439,
  [SMALL_STATE(1367)] = 68471,
  [SMALL_STATE(1368)] = 68503,
  [SMALL_STATE(1369)] = 68551,
  [SMALL_STATE(1370)] = 68605,
  [SMALL_STATE(1371)] = 68651,
  [SMALL_STATE(1372)] = 68687,
  [SMALL_STATE(1373)] = 68719,
  [SMALL_STATE(1374)] = 68751,
  [SMALL_STATE(1375)] = 68783,
  [SMALL_STATE(1376)] = 68815,
  [SMALL_STATE(1377)] = 68851,
  [SMALL_STATE(1378)] = 68883,
  [SMALL_STATE(1379)] = 68919,
  [SMALL_STATE(1380)] = 68951,
  [SMALL_STATE(1381)] = 68983,
  [SMALL_STATE(1382)] = 69029,
  [SMALL_STATE(1383)] = 69075,
  [SMALL_STATE(1384)] = 69109,
  [SMALL_STATE(1385)] = 69143,
  [SMALL_STATE(1386)] = 69175,
  [SMALL_STATE(1387)] = 69229,
  [SMALL_STATE(1388)] = 69260,
  [SMALL_STATE(1389)] = 69291,
  [SMALL_STATE(1390)] = 69322,
  [SMALL_STATE(1391)] = 69353,
  [SMALL_STATE(1392)] = 69384,
  [SMALL_STATE(1393)] = 69415,
  [SMALL_STATE(1394)] = 69446,
  [SMALL_STATE(1395)] = 69481,
  [SMALL_STATE(1396)] = 69516,
  [SMALL_STATE(1397)] = 69573,
  [SMALL_STATE(1398)] = 69608,
  [SMALL_STATE(1399)] = 69639,
  [SMALL_STATE(1400)] = 69670,
  [SMALL_STATE(1401)] = 69701,
  [SMALL_STATE(1402)] = 69732,
  [SMALL_STATE(1403)] = 69763,
  [SMALL_STATE(1404)] = 69794,
  [SMALL_STATE(1405)] = 69825,
  [SMALL_STATE(1406)] = 69856,
  [SMALL_STATE(1407)] = 69887,
  [SMALL_STATE(1408)] = 69918,
  [SMALL_STATE(1409)] = 69953,
  [SMALL_STATE(1410)] = 69984,
  [SMALL_STATE(1411)] = 70015,
  [SMALL_STATE(1412)] = 70046,
  [SMALL_STATE(1413)] = 70077,
  [SMALL_STATE(1414)] = 70108,
  [SMALL_STATE(1415)] = 70139,
  [SMALL_STATE(1416)] = 70170,
  [SMALL_STATE(1417)] = 70201,
  [SMALL_STATE(1418)] = 70258,
  [SMALL_STATE(1419)] = 70289,
  [SMALL_STATE(1420)] = 70324,
  [SMALL_STATE(1421)] = 70359,
  [SMALL_STATE(1422)] = 70390,
  [SMALL_STATE(1423)] = 70421,
  [SMALL_STATE(1424)] = 70452,
  [SMALL_STATE(1425)] = 70483,
  [SMALL_STATE(1426)] = 70514,
  [SMALL_STATE(1427)] = 70545,
  [SMALL_STATE(1428)] = 70576,
  [SMALL_STATE(1429)] = 70607,
  [SMALL_STATE(1430)] = 70638,
  [SMALL_STATE(1431)] = 70669,
  [SMALL_STATE(1432)] = 70700,
  [SMALL_STATE(1433)] = 70757,
  [SMALL_STATE(1434)] = 70788,
  [SMALL_STATE(1435)] = 70819,
  [SMALL_STATE(1436)] = 70850,
  [SMALL_STATE(1437)] = 70885,
  [SMALL_STATE(1438)] = 70920,
  [SMALL_STATE(1439)] = 70951,
  [SMALL_STATE(1440)] = 70986,
  [SMALL_STATE(1441)] = 71043,
  [SMALL_STATE(1442)] = 71074,
  [SMALL_STATE(1443)] = 71105,
  [SMALL_STATE(1444)] = 71136,
  [SMALL_STATE(1445)] = 71167,
  [SMALL_STATE(1446)] = 71198,
  [SMALL_STATE(1447)] = 71233,
  [SMALL_STATE(1448)] = 71264,
  [SMALL_STATE(1449)] = 71295,
  [SMALL_STATE(1450)] = 71326,
  [SMALL_STATE(1451)] = 71361,
  [SMALL_STATE(1452)] = 71396,
  [SMALL_STATE(1453)] = 71427,
  [SMALL_STATE(1454)] = 71458,
  [SMALL_STATE(1455)] = 71489,
  [SMALL_STATE(1456)] = 71520,
  [SMALL_STATE(1457)] = 71551,
  [SMALL_STATE(1458)] = 71582,
  [SMALL_STATE(1459)] = 71613,
  [SMALL_STATE(1460)] = 71644,
  [SMALL_STATE(1461)] = 71675,
  [SMALL_STATE(1462)] = 71706,
  [SMALL_STATE(1463)] = 71737,
  [SMALL_STATE(1464)] = 71772,
  [SMALL_STATE(1465)] = 71803,
  [SMALL_STATE(1466)] = 71834,
  [SMALL_STATE(1467)] = 71865,
  [SMALL_STATE(1468)] = 71896,
  [SMALL_STATE(1469)] = 71927,
  [SMALL_STATE(1470)] = 71958,
  [SMALL_STATE(1471)] = 71989,
  [SMALL_STATE(1472)] = 72020,
  [SMALL_STATE(1473)] = 72051,
  [SMALL_STATE(1474)] = 72082,
  [SMALL_STATE(1475)] = 72113,
  [SMALL_STATE(1476)] = 72144,
  [SMALL_STATE(1477)] = 72175,
  [SMALL_STATE(1478)] = 72204,
  [SMALL_STATE(1479)] = 72235,
  [SMALL_STATE(1480)] = 72266,
  [SMALL_STATE(1481)] = 72297,
  [SMALL_STATE(1482)] = 72328,
  [SMALL_STATE(1483)] = 72359,
  [SMALL_STATE(1484)] = 72390,
  [SMALL_STATE(1485)] = 72421,
  [SMALL_STATE(1486)] = 72452,
  [SMALL_STATE(1487)] = 72483,
  [SMALL_STATE(1488)] = 72514,
  [SMALL_STATE(1489)] = 72549,
  [SMALL_STATE(1490)] = 72584,
  [SMALL_STATE(1491)] = 72619,
  [SMALL_STATE(1492)] = 72676,
  [SMALL_STATE(1493)] = 72733,
  [SMALL_STATE(1494)] = 72764,
  [SMALL_STATE(1495)] = 72795,
  [SMALL_STATE(1496)] = 72830,
  [SMALL_STATE(1497)] = 72861,
  [SMALL_STATE(1498)] = 72892,
  [SMALL_STATE(1499)] = 72923,
  [SMALL_STATE(1500)] = 72954,
  [SMALL_STATE(1501)] = 72985,
  [SMALL_STATE(1502)] = 73020,
  [SMALL_STATE(1503)] = 73055,
  [SMALL_STATE(1504)] = 73090,
  [SMALL_STATE(1505)] = 73125,
  [SMALL_STATE(1506)] = 73156,
  [SMALL_STATE(1507)] = 73213,
  [SMALL_STATE(1508)] = 73270,
  [SMALL_STATE(1509)] = 73301,
  [SMALL_STATE(1510)] = 73332,
  [SMALL_STATE(1511)] = 73363,
  [SMALL_STATE(1512)] = 73394,
  [SMALL_STATE(1513)] = 73424,
  [SMALL_STATE(1514)] = 73454,
  [SMALL_STATE(1515)] = 73486,
  [SMALL_STATE(1516)] = 73518,
  [SMALL_STATE(1517)] = 73548,
  [SMALL_STATE(1518)] = 73582,
  [SMALL_STATE(1519)] = 73614,
  [SMALL_STATE(1520)] = 73648,
  [SMALL_STATE(1521)] = 73700,
  [SMALL_STATE(1522)] = 73730,
  [SMALL_STATE(1523)] = 73760,
  [SMALL_STATE(1524)] = 73794,
  [SMALL_STATE(1525)] = 73824,
  [SMALL_STATE(1526)] = 73876,
  [SMALL_STATE(1527)] = 73928,
  [SMALL_STATE(1528)] = 73958,
  [SMALL_STATE(1529)] = 74010,
  [SMALL_STATE(1530)] = 74040,
  [SMALL_STATE(1531)] = 74092,
  [SMALL_STATE(1532)] = 74122,
  [SMALL_STATE(1533)] = 74152,
  [SMALL_STATE(1534)] = 74182,
  [SMALL_STATE(1535)] = 74212,
  [SMALL_STATE(1536)] = 74244,
  [SMALL_STATE(1537)] = 74276,
  [SMALL_STATE(1538)] = 74306,
  [SMALL_STATE(1539)] = 74338,
  [SMALL_STATE(1540)] = 74370,
  [SMALL_STATE(1541)] = 74406,
  [SMALL_STATE(1542)] = 74436,
  [SMALL_STATE(1543)] = 74466,
  [SMALL_STATE(1544)] = 74496,
  [SMALL_STATE(1545)] = 74528,
  [SMALL_STATE(1546)] = 74560,
  [SMALL_STATE(1547)] = 74590,
  [SMALL_STATE(1548)] = 74620,
  [SMALL_STATE(1549)] = 74652,
  [SMALL_STATE(1550)] = 74682,
  [SMALL_STATE(1551)] = 74712,
  [SMALL_STATE(1552)] = 74746,
  [SMALL_STATE(1553)] = 74776,
  [SMALL_STATE(1554)] = 74806,
  [SMALL_STATE(1555)] = 74836,
  [SMALL_STATE(1556)] = 74868,
  [SMALL_STATE(1557)] = 74900,
  [SMALL_STATE(1558)] = 74952,
  [SMALL_STATE(1559)] = 74982,
  [SMALL_STATE(1560)] = 75034,
  [SMALL_STATE(1561)] = 75066,
  [SMALL_STATE(1562)] = 75096,
  [SMALL_STATE(1563)] = 75126,
  [SMALL_STATE(1564)] = 75156,
  [SMALL_STATE(1565)] = 75186,
  [SMALL_STATE(1566)] = 75222,
  [SMALL_STATE(1567)] = 75274,
  [SMALL_STATE(1568)] = 75304,
  [SMALL_STATE(1569)] = 75338,
  [SMALL_STATE(1570)] = 75372,
  [SMALL_STATE(1571)] = 75402,
  [SMALL_STATE(1572)] = 75432,
  [SMALL_STATE(1573)] = 75464,
  [SMALL_STATE(1574)] = 75494,
  [SMALL_STATE(1575)] = 75524,
  [SMALL_STATE(1576)] = 75556,
  [SMALL_STATE(1577)] = 75608,
  [SMALL_STATE(1578)] = 75660,
  [SMALL_STATE(1579)] = 75690,
  [SMALL_STATE(1580)] = 75720,
  [SMALL_STATE(1581)] = 75750,
  [SMALL_STATE(1582)] = 75784,
  [SMALL_STATE(1583)] = 75814,
  [SMALL_STATE(1584)] = 75844,
  [SMALL_STATE(1585)] = 75880,
  [SMALL_STATE(1586)] = 75912,
  [SMALL_STATE(1587)] = 75942,
  [SMALL_STATE(1588)] = 75972,
  [SMALL_STATE(1589)] = 76004,
  [SMALL_STATE(1590)] = 76046,
  [SMALL_STATE(1591)] = 76078,
  [SMALL_STATE(1592)] = 76130,
  [SMALL_STATE(1593)] = 76162,
  [SMALL_STATE(1594)] = 76194,
  [SMALL_STATE(1595)] = 76222,
  [SMALL_STATE(1596)] = 76252,
  [SMALL_STATE(1597)] = 76282,
  [SMALL_STATE(1598)] = 76312,
  [SMALL_STATE(1599)] = 76342,
  [SMALL_STATE(1600)] = 76372,
  [SMALL_STATE(1601)] = 76404,
  [SMALL_STATE(1602)] = 76434,
  [SMALL_STATE(1603)] = 76466,
  [SMALL_STATE(1604)] = 76498,
  [SMALL_STATE(1605)] = 76528,
  [SMALL_STATE(1606)] = 76560,
  [SMALL_STATE(1607)] = 76594,
  [SMALL_STATE(1608)] = 76624,
  [SMALL_STATE(1609)] = 76654,
  [SMALL_STATE(1610)] = 76682,
  [SMALL_STATE(1611)] = 76712,
  [SMALL_STATE(1612)] = 76764,
  [SMALL_STATE(1613)] = 76816,
  [SMALL_STATE(1614)] = 76852,
  [SMALL_STATE(1615)] = 76880,
  [SMALL_STATE(1616)] = 76910,
  [SMALL_STATE(1617)] = 76946,
  [SMALL_STATE(1618)] = 76982,
  [SMALL_STATE(1619)] = 77010,
  [SMALL_STATE(1620)] = 77038,
  [SMALL_STATE(1621)] = 77068,
  [SMALL_STATE(1622)] = 77098,
  [SMALL_STATE(1623)] = 77130,
  [SMALL_STATE(1624)] = 77162,
  [SMALL_STATE(1625)] = 77214,
  [SMALL_STATE(1626)] = 77244,
  [SMALL_STATE(1627)] = 77280,
  [SMALL_STATE(1628)] = 77332,
  [SMALL_STATE(1629)] = 77361,
  [SMALL_STATE(1630)] = 77394,
  [SMALL_STATE(1631)] = 77443,
  [SMALL_STATE(1632)] = 77472,
  [SMALL_STATE(1633)] = 77501,
  [SMALL_STATE(1634)] = 77550,
  [SMALL_STATE(1635)] = 77579,
  [SMALL_STATE(1636)] = 77608,
  [SMALL_STATE(1637)] = 77639,
  [SMALL_STATE(1638)] = 77668,
  [SMALL_STATE(1639)] = 77697,
  [SMALL_STATE(1640)] = 77728,
  [SMALL_STATE(1641)] = 77757,
  [SMALL_STATE(1642)] = 77786,
  [SMALL_STATE(1643)] = 77815,
  [SMALL_STATE(1644)] = 77844,
  [SMALL_STATE(1645)] = 77873,
  [SMALL_STATE(1646)] = 77906,
  [SMALL_STATE(1647)] = 77935,
  [SMALL_STATE(1648)] = 77964,
  [SMALL_STATE(1649)] = 77993,
  [SMALL_STATE(1650)] = 78022,
  [SMALL_STATE(1651)] = 78051,
  [SMALL_STATE(1652)] = 78080,
  [SMALL_STATE(1653)] = 78129,
  [SMALL_STATE(1654)] = 78158,
  [SMALL_STATE(1655)] = 78187,
  [SMALL_STATE(1656)] = 78216,
  [SMALL_STATE(1657)] = 78249,
  [SMALL_STATE(1658)] = 78298,
  [SMALL_STATE(1659)] = 78327,
  [SMALL_STATE(1660)] = 78356,
  [SMALL_STATE(1661)] = 78405,
  [SMALL_STATE(1662)] = 78434,
  [SMALL_STATE(1663)] = 78463,
  [SMALL_STATE(1664)] = 78492,
  [SMALL_STATE(1665)] = 78521,
  [SMALL_STATE(1666)] = 78550,
  [SMALL_STATE(1667)] = 78579,
  [SMALL_STATE(1668)] = 78608,
  [SMALL_STATE(1669)] = 78637,
  [SMALL_STATE(1670)] = 78686,
  [SMALL_STATE(1671)] = 78715,
  [SMALL_STATE(1672)] = 78746,
  [SMALL_STATE(1673)] = 78779,
  [SMALL_STATE(1674)] = 78808,
  [SMALL_STATE(1675)] = 78839,
  [SMALL_STATE(1676)] = 78868,
  [SMALL_STATE(1677)] = 78897,
  [SMALL_STATE(1678)] = 78926,
  [SMALL_STATE(1679)] = 78955,
  [SMALL_STATE(1680)] = 78984,
  [SMALL_STATE(1681)] = 79013,
  [SMALL_STATE(1682)] = 79062,
  [SMALL_STATE(1683)] = 79111,
  [SMALL_STATE(1684)] = 79140,
  [SMALL_STATE(1685)] = 79169,
  [SMALL_STATE(1686)] = 79198,
  [SMALL_STATE(1687)] = 79227,
  [SMALL_STATE(1688)] = 79256,
  [SMALL_STATE(1689)] = 79285,
  [SMALL_STATE(1690)] = 79314,
  [SMALL_STATE(1691)] = 79363,
  [SMALL_STATE(1692)] = 79412,
  [SMALL_STATE(1693)] = 79445,
  [SMALL_STATE(1694)] = 79474,
  [SMALL_STATE(1695)] = 79507,
  [SMALL_STATE(1696)] = 79536,
  [SMALL_STATE(1697)] = 79565,
  [SMALL_STATE(1698)] = 79594,
  [SMALL_STATE(1699)] = 79623,
  [SMALL_STATE(1700)] = 79652,
  [SMALL_STATE(1701)] = 79681,
  [SMALL_STATE(1702)] = 79714,
  [SMALL_STATE(1703)] = 79747,
  [SMALL_STATE(1704)] = 79780,
  [SMALL_STATE(1705)] = 79809,
  [SMALL_STATE(1706)] = 79858,
  [SMALL_STATE(1707)] = 79887,
  [SMALL_STATE(1708)] = 79920,
  [SMALL_STATE(1709)] = 79949,
  [SMALL_STATE(1710)] = 79978,
  [SMALL_STATE(1711)] = 80007,
  [SMALL_STATE(1712)] = 80056,
  [SMALL_STATE(1713)] = 80085,
  [SMALL_STATE(1714)] = 80114,
  [SMALL_STATE(1715)] = 80147,
  [SMALL_STATE(1716)] = 80196,
  [SMALL_STATE(1717)] = 80225,
  [SMALL_STATE(1718)] = 80254,
  [SMALL_STATE(1719)] = 80283,
  [SMALL_STATE(1720)] = 80312,
  [SMALL_STATE(1721)] = 80341,
  [SMALL_STATE(1722)] = 80370,
  [SMALL_STATE(1723)] = 80399,
  [SMALL_STATE(1724)] = 80428,
  [SMALL_STATE(1725)] = 80477,
  [SMALL_STATE(1726)] = 80506,
  [SMALL_STATE(1727)] = 80535,
  [SMALL_STATE(1728)] = 80564,
  [SMALL_STATE(1729)] = 80593,
  [SMALL_STATE(1730)] = 80622,
  [SMALL_STATE(1731)] = 80671,
  [SMALL_STATE(1732)] = 80700,
  [SMALL_STATE(1733)] = 80729,
  [SMALL_STATE(1734)] = 80778,
  [SMALL_STATE(1735)] = 80807,
  [SMALL_STATE(1736)] = 80836,
  [SMALL_STATE(1737)] = 80869,
  [SMALL_STATE(1738)] = 80898,
  [SMALL_STATE(1739)] = 80927,
  [SMALL_STATE(1740)] = 80960,
  [SMALL_STATE(1741)] = 80989,
  [SMALL_STATE(1742)] = 81022,
  [SMALL_STATE(1743)] = 81070,
  [SMALL_STATE(1744)] = 81098,
  [SMALL_STATE(1745)] = 81126,
  [SMALL_STATE(1746)] = 81174,
  [SMALL_STATE(1747)] = 81222,
  [SMALL_STATE(1748)] = 81270,
  [SMALL_STATE(1749)] = 81298,
  [SMALL_STATE(1750)] = 81326,
  [SMALL_STATE(1751)] = 81354,
  [SMALL_STATE(1752)] = 81402,
  [SMALL_STATE(1753)] = 81450,
  [SMALL_STATE(1754)] = 81478,
  [SMALL_STATE(1755)] = 81526,
  [SMALL_STATE(1756)] = 81554,
  [SMALL_STATE(1757)] = 81582,
  [SMALL_STATE(1758)] = 81630,
  [SMALL_STATE(1759)] = 81676,
  [SMALL_STATE(1760)] = 81724,
  [SMALL_STATE(1761)] = 81752,
  [SMALL_STATE(1762)] = 81800,
  [SMALL_STATE(1763)] = 81848,
  [SMALL_STATE(1764)] = 81876,
  [SMALL_STATE(1765)] = 81904,
  [SMALL_STATE(1766)] = 81932,
  [SMALL_STATE(1767)] = 81960,
  [SMALL_STATE(1768)] = 82008,
  [SMALL_STATE(1769)] = 82036,
  [SMALL_STATE(1770)] = 82084,
  [SMALL_STATE(1771)] = 82132,
  [SMALL_STATE(1772)] = 82180,
  [SMALL_STATE(1773)] = 82208,
  [SMALL_STATE(1774)] = 82236,
  [SMALL_STATE(1775)] = 82284,
  [SMALL_STATE(1776)] = 82312,
  [SMALL_STATE(1777)] = 82360,
  [SMALL_STATE(1778)] = 82388,
  [SMALL_STATE(1779)] = 82416,
  [SMALL_STATE(1780)] = 82448,
  [SMALL_STATE(1781)] = 82496,
  [SMALL_STATE(1782)] = 82524,
  [SMALL_STATE(1783)] = 82572,
  [SMALL_STATE(1784)] = 82620,
  [SMALL_STATE(1785)] = 82648,
  [SMALL_STATE(1786)] = 82696,
  [SMALL_STATE(1787)] = 82724,
  [SMALL_STATE(1788)] = 82752,
  [SMALL_STATE(1789)] = 82800,
  [SMALL_STATE(1790)] = 82828,
  [SMALL_STATE(1791)] = 82876,
  [SMALL_STATE(1792)] = 82924,
  [SMALL_STATE(1793)] = 82952,
  [SMALL_STATE(1794)] = 82980,
  [SMALL_STATE(1795)] = 83028,
  [SMALL_STATE(1796)] = 83076,
  [SMALL_STATE(1797)] = 83104,
  [SMALL_STATE(1798)] = 83132,
  [SMALL_STATE(1799)] = 83180,
  [SMALL_STATE(1800)] = 83228,
  [SMALL_STATE(1801)] = 83276,
  [SMALL_STATE(1802)] = 83304,
  [SMALL_STATE(1803)] = 83332,
  [SMALL_STATE(1804)] = 83360,
  [SMALL_STATE(1805)] = 83408,
  [SMALL_STATE(1806)] = 83436,
  [SMALL_STATE(1807)] = 83484,
  [SMALL_STATE(1808)] = 83532,
  [SMALL_STATE(1809)] = 83560,
  [SMALL_STATE(1810)] = 83588,
  [SMALL_STATE(1811)] = 83636,
  [SMALL_STATE(1812)] = 83684,
  [SMALL_STATE(1813)] = 83732,
  [SMALL_STATE(1814)] = 83780,
  [SMALL_STATE(1815)] = 83828,
  [SMALL_STATE(1816)] = 83876,
  [SMALL_STATE(1817)] = 83924,
  [SMALL_STATE(1818)] = 83952,
  [SMALL_STATE(1819)] = 83980,
  [SMALL_STATE(1820)] = 84028,
  [SMALL_STATE(1821)] = 84076,
  [SMALL_STATE(1822)] = 84124,
  [SMALL_STATE(1823)] = 84152,
  [SMALL_STATE(1824)] = 84180,
  [SMALL_STATE(1825)] = 84208,
  [SMALL_STATE(1826)] = 84236,
  [SMALL_STATE(1827)] = 84264,
  [SMALL_STATE(1828)] = 84312,
  [SMALL_STATE(1829)] = 84360,
  [SMALL_STATE(1830)] = 84388,
  [SMALL_STATE(1831)] = 84416,
  [SMALL_STATE(1832)] = 84464,
  [SMALL_STATE(1833)] = 84512,
  [SMALL_STATE(1834)] = 84560,
  [SMALL_STATE(1835)] = 84608,
  [SMALL_STATE(1836)] = 84656,
  [SMALL_STATE(1837)] = 84704,
  [SMALL_STATE(1838)] = 84732,
  [SMALL_STATE(1839)] = 84780,
  [SMALL_STATE(1840)] = 84828,
  [SMALL_STATE(1841)] = 84856,
  [SMALL_STATE(1842)] = 84884,
  [SMALL_STATE(1843)] = 84912,
  [SMALL_STATE(1844)] = 84948,
  [SMALL_STATE(1845)] = 84976,
  [SMALL_STATE(1846)] = 85004,
  [SMALL_STATE(1847)] = 85032,
  [SMALL_STATE(1848)] = 85060,
  [SMALL_STATE(1849)] = 85088,
  [SMALL_STATE(1850)] = 85116,
  [SMALL_STATE(1851)] = 85164,
  [SMALL_STATE(1852)] = 85196,
  [SMALL_STATE(1853)] = 85224,
  [SMALL_STATE(1854)] = 85272,
  [SMALL_STATE(1855)] = 85320,
  [SMALL_STATE(1856)] = 85348,
  [SMALL_STATE(1857)] = 85394,
  [SMALL_STATE(1858)] = 85422,
  [SMALL_STATE(1859)] = 85457,
  [SMALL_STATE(1860)] = 85492,
  [SMALL_STATE(1861)] = 85527,
  [SMALL_STATE(1862)] = 85562,
  [SMALL_STATE(1863)] = 85589,
  [SMALL_STATE(1864)] = 85624,
  [SMALL_STATE(1865)] = 85659,
  [SMALL_STATE(1866)] = 85704,
  [SMALL_STATE(1867)] = 85739,
  [SMALL_STATE(1868)] = 85774,
  [SMALL_STATE(1869)] = 85801,
  [SMALL_STATE(1870)] = 85828,
  [SMALL_STATE(1871)] = 85863,
  [SMALL_STATE(1872)] = 85898,
  [SMALL_STATE(1873)] = 85925,
  [SMALL_STATE(1874)] = 85960,
  [SMALL_STATE(1875)] = 86005,
  [SMALL_STATE(1876)] = 86040,
  [SMALL_STATE(1877)] = 86085,
  [SMALL_STATE(1878)] = 86120,
  [SMALL_STATE(1879)] = 86165,
  [SMALL_STATE(1880)] = 86192,
  [SMALL_STATE(1881)] = 86227,
  [SMALL_STATE(1882)] = 86262,
  [SMALL_STATE(1883)] = 86307,
  [SMALL_STATE(1884)] = 86342,
  [SMALL_STATE(1885)] = 86369,
  [SMALL_STATE(1886)] = 86396,
  [SMALL_STATE(1887)] = 86423,
  [SMALL_STATE(1888)] = 86468,
  [SMALL_STATE(1889)] = 86513,
  [SMALL_STATE(1890)] = 86548,
  [SMALL_STATE(1891)] = 86583,
  [SMALL_STATE(1892)] = 86628,
  [SMALL_STATE(1893)] = 86655,
  [SMALL_STATE(1894)] = 86690,
  [SMALL_STATE(1895)] = 86725,
  [SMALL_STATE(1896)] = 86760,
  [SMALL_STATE(1897)] = 86805,
  [SMALL_STATE(1898)] = 86850,
  [SMALL_STATE(1899)] = 86885,
  [SMALL_STATE(1900)] = 86920,
  [SMALL_STATE(1901)] = 86955,
  [SMALL_STATE(1902)] = 87000,
  [SMALL_STATE(1903)] = 87045,
  [SMALL_STATE(1904)] = 87090,
  [SMALL_STATE(1905)] = 87135,
  [SMALL_STATE(1906)] = 87170,
  [SMALL_STATE(1907)] = 87215,
  [SMALL_STATE(1908)] = 87242,
  [SMALL_STATE(1909)] = 87269,
  [SMALL_STATE(1910)] = 87304,
  [SMALL_STATE(1911)] = 87349,
  [SMALL_STATE(1912)] = 87391,
  [SMALL_STATE(1913)] = 87433,
  [SMALL_STATE(1914)] = 87469,
  [SMALL_STATE(1915)] = 87506,
  [SMALL_STATE(1916)] = 87543,
  [SMALL_STATE(1917)] = 87580,
  [SMALL_STATE(1918)] = 87617,
  [SMALL_STATE(1919)] = 87654,
  [SMALL_STATE(1920)] = 87691,
  [SMALL_STATE(1921)] = 87728,
  [SMALL_STATE(1922)] = 87765,
  [SMALL_STATE(1923)] = 87802,
  [SMALL_STATE(1924)] = 87839,
  [SMALL_STATE(1925)] = 87876,
  [SMALL_STATE(1926)] = 87913,
  [SMALL_STATE(1927)] = 87950,
  [SMALL_STATE(1928)] = 87987,
  [SMALL_STATE(1929)] = 88024,
  [SMALL_STATE(1930)] = 88061,
  [SMALL_STATE(1931)] = 88098,
  [SMALL_STATE(1932)] = 88135,
  [SMALL_STATE(1933)] = 88172,
  [SMALL_STATE(1934)] = 88209,
  [SMALL_STATE(1935)] = 88246,
  [SMALL_STATE(1936)] = 88283,
  [SMALL_STATE(1937)] = 88320,
  [SMALL_STATE(1938)] = 88357,
  [SMALL_STATE(1939)] = 88394,
  [SMALL_STATE(1940)] = 88431,
  [SMALL_STATE(1941)] = 88468,
  [SMALL_STATE(1942)] = 88505,
  [SMALL_STATE(1943)] = 88542,
  [SMALL_STATE(1944)] = 88579,
  [SMALL_STATE(1945)] = 88616,
  [SMALL_STATE(1946)] = 88653,
  [SMALL_STATE(1947)] = 88690,
  [SMALL_STATE(1948)] = 88727,
  [SMALL_STATE(1949)] = 88764,
  [SMALL_STATE(1950)] = 88801,
  [SMALL_STATE(1951)] = 88838,
  [SMALL_STATE(1952)] = 88867,
  [SMALL_STATE(1953)] = 88904,
  [SMALL_STATE(1954)] = 88941,
  [SMALL_STATE(1955)] = 88978,
  [SMALL_STATE(1956)] = 89015,
  [SMALL_STATE(1957)] = 89052,
  [SMALL_STATE(1958)] = 89081,
  [SMALL_STATE(1959)] = 89118,
  [SMALL_STATE(1960)] = 89155,
  [SMALL_STATE(1961)] = 89192,
  [SMALL_STATE(1962)] = 89229,
  [SMALL_STATE(1963)] = 89266,
  [SMALL_STATE(1964)] = 89303,
  [SMALL_STATE(1965)] = 89332,
  [SMALL_STATE(1966)] = 89369,
  [SMALL_STATE(1967)] = 89398,
  [SMALL_STATE(1968)] = 89435,
  [SMALL_STATE(1969)] = 89472,
  [SMALL_STATE(1970)] = 89496,
  [SMALL_STATE(1971)] = 89520,
  [SMALL_STATE(1972)] = 89544,
  [SMALL_STATE(1973)] = 89568,
  [SMALL_STATE(1974)] = 89592,
  [SMALL_STATE(1975)] = 89616,
  [SMALL_STATE(1976)] = 89640,
  [SMALL_STATE(1977)] = 89664,
  [SMALL_STATE(1978)] = 89692,
  [SMALL_STATE(1979)] = 89716,
  [SMALL_STATE(1980)] = 89740,
  [SMALL_STATE(1981)] = 89764,
  [SMALL_STATE(1982)] = 89788,
  [SMALL_STATE(1983)] = 89812,
  [SMALL_STATE(1984)] = 89836,
  [SMALL_STATE(1985)] = 89860,
  [SMALL_STATE(1986)] = 89884,
  [SMALL_STATE(1987)] = 89908,
  [SMALL_STATE(1988)] = 89932,
  [SMALL_STATE(1989)] = 89956,
  [SMALL_STATE(1990)] = 89980,
  [SMALL_STATE(1991)] = 90004,
  [SMALL_STATE(1992)] = 90028,
  [SMALL_STATE(1993)] = 90052,
  [SMALL_STATE(1994)] = 90076,
  [SMALL_STATE(1995)] = 90104,
  [SMALL_STATE(1996)] = 90128,
  [SMALL_STATE(1997)] = 90151,
  [SMALL_STATE(1998)] = 90184,
  [SMALL_STATE(1999)] = 90217,
  [SMALL_STATE(2000)] = 90243,
  [SMALL_STATE(2001)] = 90269,
  [SMALL_STATE(2002)] = 90295,
  [SMALL_STATE(2003)] = 90321,
  [SMALL_STATE(2004)] = 90353,
  [SMALL_STATE(2005)] = 90382,
  [SMALL_STATE(2006)] = 90411,
  [SMALL_STATE(2007)] = 90440,
  [SMALL_STATE(2008)] = 90465,
  [SMALL_STATE(2009)] = 90494,
  [SMALL_STATE(2010)] = 90523,
  [SMALL_STATE(2011)] = 90544,
  [SMALL_STATE(2012)] = 90573,
  [SMALL_STATE(2013)] = 90602,
  [SMALL_STATE(2014)] = 90631,
  [SMALL_STATE(2015)] = 90652,
  [SMALL_STATE(2016)] = 90681,
  [SMALL_STATE(2017)] = 90702,
  [SMALL_STATE(2018)] = 90723,
  [SMALL_STATE(2019)] = 90752,
  [SMALL_STATE(2020)] = 90773,
  [SMALL_STATE(2021)] = 90794,
  [SMALL_STATE(2022)] = 90815,
  [SMALL_STATE(2023)] = 90840,
  [SMALL_STATE(2024)] = 90861,
  [SMALL_STATE(2025)] = 90882,
  [SMALL_STATE(2026)] = 90903,
  [SMALL_STATE(2027)] = 90932,
  [SMALL_STATE(2028)] = 90961,
  [SMALL_STATE(2029)] = 90990,
  [SMALL_STATE(2030)] = 91011,
  [SMALL_STATE(2031)] = 91040,
  [SMALL_STATE(2032)] = 91069,
  [SMALL_STATE(2033)] = 91090,
  [SMALL_STATE(2034)] = 91119,
  [SMALL_STATE(2035)] = 91140,
  [SMALL_STATE(2036)] = 91169,
  [SMALL_STATE(2037)] = 91198,
  [SMALL_STATE(2038)] = 91219,
  [SMALL_STATE(2039)] = 91248,
  [SMALL_STATE(2040)] = 91269,
  [SMALL_STATE(2041)] = 91298,
  [SMALL_STATE(2042)] = 91319,
  [SMALL_STATE(2043)] = 91340,
  [SMALL_STATE(2044)] = 91361,
  [SMALL_STATE(2045)] = 91390,
  [SMALL_STATE(2046)] = 91411,
  [SMALL_STATE(2047)] = 91432,
  [SMALL_STATE(2048)] = 91453,
  [SMALL_STATE(2049)] = 91482,
  [SMALL_STATE(2050)] = 91503,
  [SMALL_STATE(2051)] = 91532,
  [SMALL_STATE(2052)] = 91553,
  [SMALL_STATE(2053)] = 91582,
  [SMALL_STATE(2054)] = 91603,
  [SMALL_STATE(2055)] = 91624,
  [SMALL_STATE(2056)] = 91648,
  [SMALL_STATE(2057)] = 91672,
  [SMALL_STATE(2058)] = 91696,
  [SMALL_STATE(2059)] = 91720,
  [SMALL_STATE(2060)] = 91742,
  [SMALL_STATE(2061)] = 91766,
  [SMALL_STATE(2062)] = 91790,
  [SMALL_STATE(2063)] = 91814,
  [SMALL_STATE(2064)] = 91838,
  [SMALL_STATE(2065)] = 91862,
  [SMALL_STATE(2066)] = 91886,
  [SMALL_STATE(2067)] = 91910,
  [SMALL_STATE(2068)] = 91938,
  [SMALL_STATE(2069)] = 91960,
  [SMALL_STATE(2070)] = 91984,
  [SMALL_STATE(2071)] = 92008,
  [SMALL_STATE(2072)] = 92030,
  [SMALL_STATE(2073)] = 92054,
  [SMALL_STATE(2074)] = 92078,
  [SMALL_STATE(2075)] = 92102,
  [SMALL_STATE(2076)] = 92130,
  [SMALL_STATE(2077)] = 92154,
  [SMALL_STATE(2078)] = 92178,
  [SMALL_STATE(2079)] = 92202,
  [SMALL_STATE(2080)] = 92230,
  [SMALL_STATE(2081)] = 92254,
  [SMALL_STATE(2082)] = 92276,
  [SMALL_STATE(2083)] = 92300,
  [SMALL_STATE(2084)] = 92328,
  [SMALL_STATE(2085)] = 92352,
  [SMALL_STATE(2086)] = 92376,
  [SMALL_STATE(2087)] = 92400,
  [SMALL_STATE(2088)] = 92424,
  [SMALL_STATE(2089)] = 92448,
  [SMALL_STATE(2090)] = 92476,
  [SMALL_STATE(2091)] = 92500,
  [SMALL_STATE(2092)] = 92524,
  [SMALL_STATE(2093)] = 92548,
  [SMALL_STATE(2094)] = 92576,
  [SMALL_STATE(2095)] = 92600,
  [SMALL_STATE(2096)] = 92628,
  [SMALL_STATE(2097)] = 92650,
  [SMALL_STATE(2098)] = 92674,
  [SMALL_STATE(2099)] = 92698,
  [SMALL_STATE(2100)] = 92722,
  [SMALL_STATE(2101)] = 92750,
  [SMALL_STATE(2102)] = 92774,
  [SMALL_STATE(2103)] = 92798,
  [SMALL_STATE(2104)] = 92826,
  [SMALL_STATE(2105)] = 92850,
  [SMALL_STATE(2106)] = 92872,
  [SMALL_STATE(2107)] = 92900,
  [SMALL_STATE(2108)] = 92928,
  [SMALL_STATE(2109)] = 92956,
  [SMALL_STATE(2110)] = 92980,
  [SMALL_STATE(2111)] = 93000,
  [SMALL_STATE(2112)] = 93028,
  [SMALL_STATE(2113)] = 93056,
  [SMALL_STATE(2114)] = 93080,
  [SMALL_STATE(2115)] = 93108,
  [SMALL_STATE(2116)] = 93132,
  [SMALL_STATE(2117)] = 93160,
  [SMALL_STATE(2118)] = 93188,
  [SMALL_STATE(2119)] = 93212,
  [SMALL_STATE(2120)] = 93236,
  [SMALL_STATE(2121)] = 93264,
  [SMALL_STATE(2122)] = 93292,
  [SMALL_STATE(2123)] = 93320,
  [SMALL_STATE(2124)] = 93348,
  [SMALL_STATE(2125)] = 93372,
  [SMALL_STATE(2126)] = 93400,
  [SMALL_STATE(2127)] = 93424,
  [SMALL_STATE(2128)] = 93452,
  [SMALL_STATE(2129)] = 93476,
  [SMALL_STATE(2130)] = 93500,
  [SMALL_STATE(2131)] = 93528,
  [SMALL_STATE(2132)] = 93552,
  [SMALL_STATE(2133)] = 93576,
  [SMALL_STATE(2134)] = 93604,
  [SMALL_STATE(2135)] = 93632,
  [SMALL_STATE(2136)] = 93656,
  [SMALL_STATE(2137)] = 93675,
  [SMALL_STATE(2138)] = 93694,
  [SMALL_STATE(2139)] = 93713,
  [SMALL_STATE(2140)] = 93732,
  [SMALL_STATE(2141)] = 93751,
  [SMALL_STATE(2142)] = 93772,
  [SMALL_STATE(2143)] = 93791,
  [SMALL_STATE(2144)] = 93821,
  [SMALL_STATE(2145)] = 93851,
  [SMALL_STATE(2146)] = 93879,
  [SMALL_STATE(2147)] = 93909,
  [SMALL_STATE(2148)] = 93939,
  [SMALL_STATE(2149)] = 93963,
  [SMALL_STATE(2150)] = 93993,
  [SMALL_STATE(2151)] = 94023,
  [SMALL_STATE(2152)] = 94053,
  [SMALL_STATE(2153)] = 94083,
  [SMALL_STATE(2154)] = 94113,
  [SMALL_STATE(2155)] = 94143,
  [SMALL_STATE(2156)] = 94171,
  [SMALL_STATE(2157)] = 94201,
  [SMALL_STATE(2158)] = 94225,
  [SMALL_STATE(2159)] = 94255,
  [SMALL_STATE(2160)] = 94285,
  [SMALL_STATE(2161)] = 94309,
  [SMALL_STATE(2162)] = 94339,
  [SMALL_STATE(2163)] = 94369,
  [SMALL_STATE(2164)] = 94399,
  [SMALL_STATE(2165)] = 94429,
  [SMALL_STATE(2166)] = 94459,
  [SMALL_STATE(2167)] = 94483,
  [SMALL_STATE(2168)] = 94513,
  [SMALL_STATE(2169)] = 94541,
  [SMALL_STATE(2170)] = 94565,
  [SMALL_STATE(2171)] = 94595,
  [SMALL_STATE(2172)] = 94625,
  [SMALL_STATE(2173)] = 94655,
  [SMALL_STATE(2174)] = 94683,
  [SMALL_STATE(2175)] = 94707,
  [SMALL_STATE(2176)] = 94737,
  [SMALL_STATE(2177)] = 94767,
  [SMALL_STATE(2178)] = 94797,
  [SMALL_STATE(2179)] = 94827,
  [SMALL_STATE(2180)] = 94851,
  [SMALL_STATE(2181)] = 94875,
  [SMALL_STATE(2182)] = 94905,
  [SMALL_STATE(2183)] = 94935,
  [SMALL_STATE(2184)] = 94965,
  [SMALL_STATE(2185)] = 94995,
  [SMALL_STATE(2186)] = 95019,
  [SMALL_STATE(2187)] = 95049,
  [SMALL_STATE(2188)] = 95079,
  [SMALL_STATE(2189)] = 95109,
  [SMALL_STATE(2190)] = 95133,
  [SMALL_STATE(2191)] = 95163,
  [SMALL_STATE(2192)] = 95193,
  [SMALL_STATE(2193)] = 95223,
  [SMALL_STATE(2194)] = 95247,
  [SMALL_STATE(2195)] = 95271,
  [SMALL_STATE(2196)] = 95295,
  [SMALL_STATE(2197)] = 95319,
  [SMALL_STATE(2198)] = 95349,
  [SMALL_STATE(2199)] = 95379,
  [SMALL_STATE(2200)] = 95409,
  [SMALL_STATE(2201)] = 95439,
  [SMALL_STATE(2202)] = 95463,
  [SMALL_STATE(2203)] = 95487,
  [SMALL_STATE(2204)] = 95511,
  [SMALL_STATE(2205)] = 95535,
  [SMALL_STATE(2206)] = 95565,
  [SMALL_STATE(2207)] = 95589,
  [SMALL_STATE(2208)] = 95619,
  [SMALL_STATE(2209)] = 95643,
  [SMALL_STATE(2210)] = 95667,
  [SMALL_STATE(2211)] = 95687,
  [SMALL_STATE(2212)] = 95715,
  [SMALL_STATE(2213)] = 95745,
  [SMALL_STATE(2214)] = 95769,
  [SMALL_STATE(2215)] = 95799,
  [SMALL_STATE(2216)] = 95823,
  [SMALL_STATE(2217)] = 95853,
  [SMALL_STATE(2218)] = 95877,
  [SMALL_STATE(2219)] = 95901,
  [SMALL_STATE(2220)] = 95931,
  [SMALL_STATE(2221)] = 95961,
  [SMALL_STATE(2222)] = 95985,
  [SMALL_STATE(2223)] = 96015,
  [SMALL_STATE(2224)] = 96045,
  [SMALL_STATE(2225)] = 96065,
  [SMALL_STATE(2226)] = 96081,
  [SMALL_STATE(2227)] = 96097,
  [SMALL_STATE(2228)] = 96113,
  [SMALL_STATE(2229)] = 96129,
  [SMALL_STATE(2230)] = 96144,
  [SMALL_STATE(2231)] = 96159,
  [SMALL_STATE(2232)] = 96174,
  [SMALL_STATE(2233)] = 96189,
  [SMALL_STATE(2234)] = 96204,
  [SMALL_STATE(2235)] = 96219,
  [SMALL_STATE(2236)] = 96234,
  [SMALL_STATE(2237)] = 96253,
  [SMALL_STATE(2238)] = 96268,
  [SMALL_STATE(2239)] = 96283,
  [SMALL_STATE(2240)] = 96298,
  [SMALL_STATE(2241)] = 96313,
  [SMALL_STATE(2242)] = 96334,
  [SMALL_STATE(2243)] = 96349,
  [SMALL_STATE(2244)] = 96364,
  [SMALL_STATE(2245)] = 96383,
  [SMALL_STATE(2246)] = 96398,
  [SMALL_STATE(2247)] = 96413,
  [SMALL_STATE(2248)] = 96428,
  [SMALL_STATE(2249)] = 96449,
  [SMALL_STATE(2250)] = 96464,
  [SMALL_STATE(2251)] = 96479,
  [SMALL_STATE(2252)] = 96494,
  [SMALL_STATE(2253)] = 96513,
  [SMALL_STATE(2254)] = 96528,
  [SMALL_STATE(2255)] = 96543,
  [SMALL_STATE(2256)] = 96558,
  [SMALL_STATE(2257)] = 96579,
  [SMALL_STATE(2258)] = 96600,
  [SMALL_STATE(2259)] = 96615,
  [SMALL_STATE(2260)] = 96630,
  [SMALL_STATE(2261)] = 96644,
  [SMALL_STATE(2262)] = 96658,
  [SMALL_STATE(2263)] = 96672,
  [SMALL_STATE(2264)] = 96686,
  [SMALL_STATE(2265)] = 96700,
  [SMALL_STATE(2266)] = 96714,
  [SMALL_STATE(2267)] = 96728,
  [SMALL_STATE(2268)] = 96742,
  [SMALL_STATE(2269)] = 96754,
  [SMALL_STATE(2270)] = 96768,
  [SMALL_STATE(2271)] = 96782,
  [SMALL_STATE(2272)] = 96796,
  [SMALL_STATE(2273)] = 96810,
  [SMALL_STATE(2274)] = 96824,
  [SMALL_STATE(2275)] = 96838,
  [SMALL_STATE(2276)] = 96852,
  [SMALL_STATE(2277)] = 96866,
  [SMALL_STATE(2278)] = 96880,
  [SMALL_STATE(2279)] = 96900,
  [SMALL_STATE(2280)] = 96914,
  [SMALL_STATE(2281)] = 96928,
  [SMALL_STATE(2282)] = 96948,
  [SMALL_STATE(2283)] = 96962,
  [SMALL_STATE(2284)] = 96974,
  [SMALL_STATE(2285)] = 96988,
  [SMALL_STATE(2286)] = 97002,
  [SMALL_STATE(2287)] = 97016,
  [SMALL_STATE(2288)] = 97030,
  [SMALL_STATE(2289)] = 97044,
  [SMALL_STATE(2290)] = 97058,
  [SMALL_STATE(2291)] = 97072,
  [SMALL_STATE(2292)] = 97086,
  [SMALL_STATE(2293)] = 97100,
  [SMALL_STATE(2294)] = 97114,
  [SMALL_STATE(2295)] = 97134,
  [SMALL_STATE(2296)] = 97148,
  [SMALL_STATE(2297)] = 97162,
  [SMALL_STATE(2298)] = 97176,
  [SMALL_STATE(2299)] = 97190,
  [SMALL_STATE(2300)] = 97204,
  [SMALL_STATE(2301)] = 97218,
  [SMALL_STATE(2302)] = 97232,
  [SMALL_STATE(2303)] = 97246,
  [SMALL_STATE(2304)] = 97260,
  [SMALL_STATE(2305)] = 97280,
  [SMALL_STATE(2306)] = 97294,
  [SMALL_STATE(2307)] = 97308,
  [SMALL_STATE(2308)] = 97322,
  [SMALL_STATE(2309)] = 97336,
  [SMALL_STATE(2310)] = 97350,
  [SMALL_STATE(2311)] = 97364,
  [SMALL_STATE(2312)] = 97377,
  [SMALL_STATE(2313)] = 97392,
  [SMALL_STATE(2314)] = 97407,
  [SMALL_STATE(2315)] = 97420,
  [SMALL_STATE(2316)] = 97435,
  [SMALL_STATE(2317)] = 97452,
  [SMALL_STATE(2318)] = 97467,
  [SMALL_STATE(2319)] = 97482,
  [SMALL_STATE(2320)] = 97499,
  [SMALL_STATE(2321)] = 97518,
  [SMALL_STATE(2322)] = 97533,
  [SMALL_STATE(2323)] = 97550,
  [SMALL_STATE(2324)] = 97569,
  [SMALL_STATE(2325)] = 97588,
  [SMALL_STATE(2326)] = 97603,
  [SMALL_STATE(2327)] = 97618,
  [SMALL_STATE(2328)] = 97633,
  [SMALL_STATE(2329)] = 97646,
  [SMALL_STATE(2330)] = 97663,
  [SMALL_STATE(2331)] = 97680,
  [SMALL_STATE(2332)] = 97697,
  [SMALL_STATE(2333)] = 97714,
  [SMALL_STATE(2334)] = 97729,
  [SMALL_STATE(2335)] = 97744,
  [SMALL_STATE(2336)] = 97761,
  [SMALL_STATE(2337)] = 97776,
  [SMALL_STATE(2338)] = 97791,
  [SMALL_STATE(2339)] = 97808,
  [SMALL_STATE(2340)] = 97825,
  [SMALL_STATE(2341)] = 97842,
  [SMALL_STATE(2342)] = 97859,
  [SMALL_STATE(2343)] = 97878,
  [SMALL_STATE(2344)] = 97895,
  [SMALL_STATE(2345)] = 97910,
  [SMALL_STATE(2346)] = 97927,
  [SMALL_STATE(2347)] = 97944,
  [SMALL_STATE(2348)] = 97961,
  [SMALL_STATE(2349)] = 97975,
  [SMALL_STATE(2350)] = 97987,
  [SMALL_STATE(2351)] = 97999,
  [SMALL_STATE(2352)] = 98015,
  [SMALL_STATE(2353)] = 98027,
  [SMALL_STATE(2354)] = 98039,
  [SMALL_STATE(2355)] = 98053,
  [SMALL_STATE(2356)] = 98067,
  [SMALL_STATE(2357)] = 98081,
  [SMALL_STATE(2358)] = 98095,
  [SMALL_STATE(2359)] = 98109,
  [SMALL_STATE(2360)] = 98123,
  [SMALL_STATE(2361)] = 98137,
  [SMALL_STATE(2362)] = 98151,
  [SMALL_STATE(2363)] = 98165,
  [SMALL_STATE(2364)] = 98179,
  [SMALL_STATE(2365)] = 98193,
  [SMALL_STATE(2366)] = 98209,
  [SMALL_STATE(2367)] = 98223,
  [SMALL_STATE(2368)] = 98237,
  [SMALL_STATE(2369)] = 98251,
  [SMALL_STATE(2370)] = 98265,
  [SMALL_STATE(2371)] = 98279,
  [SMALL_STATE(2372)] = 98293,
  [SMALL_STATE(2373)] = 98307,
  [SMALL_STATE(2374)] = 98321,
  [SMALL_STATE(2375)] = 98335,
  [SMALL_STATE(2376)] = 98347,
  [SMALL_STATE(2377)] = 98359,
  [SMALL_STATE(2378)] = 98373,
  [SMALL_STATE(2379)] = 98385,
  [SMALL_STATE(2380)] = 98399,
  [SMALL_STATE(2381)] = 98415,
  [SMALL_STATE(2382)] = 98427,
  [SMALL_STATE(2383)] = 98439,
  [SMALL_STATE(2384)] = 98451,
  [SMALL_STATE(2385)] = 98463,
  [SMALL_STATE(2386)] = 98476,
  [SMALL_STATE(2387)] = 98489,
  [SMALL_STATE(2388)] = 98502,
  [SMALL_STATE(2389)] = 98515,
  [SMALL_STATE(2390)] = 98528,
  [SMALL_STATE(2391)] = 98539,
  [SMALL_STATE(2392)] = 98552,
  [SMALL_STATE(2393)] = 98565,
  [SMALL_STATE(2394)] = 98578,
  [SMALL_STATE(2395)] = 98591,
  [SMALL_STATE(2396)] = 98604,
  [SMALL_STATE(2397)] = 98617,
  [SMALL_STATE(2398)] = 98630,
  [SMALL_STATE(2399)] = 98643,
  [SMALL_STATE(2400)] = 98656,
  [SMALL_STATE(2401)] = 98669,
  [SMALL_STATE(2402)] = 98682,
  [SMALL_STATE(2403)] = 98695,
  [SMALL_STATE(2404)] = 98708,
  [SMALL_STATE(2405)] = 98721,
  [SMALL_STATE(2406)] = 98734,
  [SMALL_STATE(2407)] = 98745,
  [SMALL_STATE(2408)] = 98758,
  [SMALL_STATE(2409)] = 98771,
  [SMALL_STATE(2410)] = 98784,
  [SMALL_STATE(2411)] = 98797,
  [SMALL_STATE(2412)] = 98810,
  [SMALL_STATE(2413)] = 98821,
  [SMALL_STATE(2414)] = 98834,
  [SMALL_STATE(2415)] = 98847,
  [SMALL_STATE(2416)] = 98860,
  [SMALL_STATE(2417)] = 98873,
  [SMALL_STATE(2418)] = 98886,
  [SMALL_STATE(2419)] = 98899,
  [SMALL_STATE(2420)] = 98912,
  [SMALL_STATE(2421)] = 98925,
  [SMALL_STATE(2422)] = 98938,
  [SMALL_STATE(2423)] = 98951,
  [SMALL_STATE(2424)] = 98964,
  [SMALL_STATE(2425)] = 98977,
  [SMALL_STATE(2426)] = 98990,
  [SMALL_STATE(2427)] = 99001,
  [SMALL_STATE(2428)] = 99014,
  [SMALL_STATE(2429)] = 99027,
  [SMALL_STATE(2430)] = 99040,
  [SMALL_STATE(2431)] = 99053,
  [SMALL_STATE(2432)] = 99066,
  [SMALL_STATE(2433)] = 99079,
  [SMALL_STATE(2434)] = 99092,
  [SMALL_STATE(2435)] = 99105,
  [SMALL_STATE(2436)] = 99118,
  [SMALL_STATE(2437)] = 99131,
  [SMALL_STATE(2438)] = 99144,
  [SMALL_STATE(2439)] = 99157,
  [SMALL_STATE(2440)] = 99168,
  [SMALL_STATE(2441)] = 99181,
  [SMALL_STATE(2442)] = 99194,
  [SMALL_STATE(2443)] = 99207,
  [SMALL_STATE(2444)] = 99220,
  [SMALL_STATE(2445)] = 99233,
  [SMALL_STATE(2446)] = 99244,
  [SMALL_STATE(2447)] = 99257,
  [SMALL_STATE(2448)] = 99270,
  [SMALL_STATE(2449)] = 99283,
  [SMALL_STATE(2450)] = 99294,
  [SMALL_STATE(2451)] = 99307,
  [SMALL_STATE(2452)] = 99320,
  [SMALL_STATE(2453)] = 99333,
  [SMALL_STATE(2454)] = 99344,
  [SMALL_STATE(2455)] = 99357,
  [SMALL_STATE(2456)] = 99370,
  [SMALL_STATE(2457)] = 99383,
  [SMALL_STATE(2458)] = 99396,
  [SMALL_STATE(2459)] = 99409,
  [SMALL_STATE(2460)] = 99422,
  [SMALL_STATE(2461)] = 99435,
  [SMALL_STATE(2462)] = 99448,
  [SMALL_STATE(2463)] = 99461,
  [SMALL_STATE(2464)] = 99474,
  [SMALL_STATE(2465)] = 99487,
  [SMALL_STATE(2466)] = 99500,
  [SMALL_STATE(2467)] = 99513,
  [SMALL_STATE(2468)] = 99526,
  [SMALL_STATE(2469)] = 99539,
  [SMALL_STATE(2470)] = 99552,
  [SMALL_STATE(2471)] = 99565,
  [SMALL_STATE(2472)] = 99576,
  [SMALL_STATE(2473)] = 99589,
  [SMALL_STATE(2474)] = 99602,
  [SMALL_STATE(2475)] = 99615,
  [SMALL_STATE(2476)] = 99628,
  [SMALL_STATE(2477)] = 99641,
  [SMALL_STATE(2478)] = 99654,
  [SMALL_STATE(2479)] = 99665,
  [SMALL_STATE(2480)] = 99678,
  [SMALL_STATE(2481)] = 99691,
  [SMALL_STATE(2482)] = 99704,
  [SMALL_STATE(2483)] = 99717,
  [SMALL_STATE(2484)] = 99730,
  [SMALL_STATE(2485)] = 99743,
  [SMALL_STATE(2486)] = 99756,
  [SMALL_STATE(2487)] = 99769,
  [SMALL_STATE(2488)] = 99782,
  [SMALL_STATE(2489)] = 99795,
  [SMALL_STATE(2490)] = 99808,
  [SMALL_STATE(2491)] = 99821,
  [SMALL_STATE(2492)] = 99834,
  [SMALL_STATE(2493)] = 99847,
  [SMALL_STATE(2494)] = 99860,
  [SMALL_STATE(2495)] = 99873,
  [SMALL_STATE(2496)] = 99886,
  [SMALL_STATE(2497)] = 99899,
  [SMALL_STATE(2498)] = 99912,
  [SMALL_STATE(2499)] = 99925,
  [SMALL_STATE(2500)] = 99938,
  [SMALL_STATE(2501)] = 99951,
  [SMALL_STATE(2502)] = 99964,
  [SMALL_STATE(2503)] = 99977,
  [SMALL_STATE(2504)] = 99990,
  [SMALL_STATE(2505)] = 100003,
  [SMALL_STATE(2506)] = 100016,
  [SMALL_STATE(2507)] = 100029,
  [SMALL_STATE(2508)] = 100042,
  [SMALL_STATE(2509)] = 100053,
  [SMALL_STATE(2510)] = 100066,
  [SMALL_STATE(2511)] = 100079,
  [SMALL_STATE(2512)] = 100092,
  [SMALL_STATE(2513)] = 100105,
  [SMALL_STATE(2514)] = 100118,
  [SMALL_STATE(2515)] = 100129,
  [SMALL_STATE(2516)] = 100142,
  [SMALL_STATE(2517)] = 100150,
  [SMALL_STATE(2518)] = 100160,
  [SMALL_STATE(2519)] = 100170,
  [SMALL_STATE(2520)] = 100178,
  [SMALL_STATE(2521)] = 100186,
  [SMALL_STATE(2522)] = 100194,
  [SMALL_STATE(2523)] = 100204,
  [SMALL_STATE(2524)] = 100212,
  [SMALL_STATE(2525)] = 100220,
  [SMALL_STATE(2526)] = 100230,
  [SMALL_STATE(2527)] = 100238,
  [SMALL_STATE(2528)] = 100246,
  [SMALL_STATE(2529)] = 100256,
  [SMALL_STATE(2530)] = 100266,
  [SMALL_STATE(2531)] = 100276,
  [SMALL_STATE(2532)] = 100286,
  [SMALL_STATE(2533)] = 100294,
  [SMALL_STATE(2534)] = 100302,
  [SMALL_STATE(2535)] = 100312,
  [SMALL_STATE(2536)] = 100322,
  [SMALL_STATE(2537)] = 100330,
  [SMALL_STATE(2538)] = 100340,
  [SMALL_STATE(2539)] = 100348,
  [SMALL_STATE(2540)] = 100356,
  [SMALL_STATE(2541)] = 100366,
  [SMALL_STATE(2542)] = 100374,
  [SMALL_STATE(2543)] = 100384,
  [SMALL_STATE(2544)] = 100394,
  [SMALL_STATE(2545)] = 100402,
  [SMALL_STATE(2546)] = 100410,
  [SMALL_STATE(2547)] = 100420,
  [SMALL_STATE(2548)] = 100428,
  [SMALL_STATE(2549)] = 100438,
  [SMALL_STATE(2550)] = 100448,
  [SMALL_STATE(2551)] = 100458,
  [SMALL_STATE(2552)] = 100468,
  [SMALL_STATE(2553)] = 100476,
  [SMALL_STATE(2554)] = 100484,
  [SMALL_STATE(2555)] = 100492,
  [SMALL_STATE(2556)] = 100502,
  [SMALL_STATE(2557)] = 100510,
  [SMALL_STATE(2558)] = 100518,
  [SMALL_STATE(2559)] = 100526,
  [SMALL_STATE(2560)] = 100536,
  [SMALL_STATE(2561)] = 100544,
  [SMALL_STATE(2562)] = 100554,
  [SMALL_STATE(2563)] = 100562,
  [SMALL_STATE(2564)] = 100570,
  [SMALL_STATE(2565)] = 100580,
  [SMALL_STATE(2566)] = 100588,
  [SMALL_STATE(2567)] = 100598,
  [SMALL_STATE(2568)] = 100606,
  [SMALL_STATE(2569)] = 100614,
  [SMALL_STATE(2570)] = 100624,
  [SMALL_STATE(2571)] = 100634,
  [SMALL_STATE(2572)] = 100644,
  [SMALL_STATE(2573)] = 100654,
  [SMALL_STATE(2574)] = 100664,
  [SMALL_STATE(2575)] = 100674,
  [SMALL_STATE(2576)] = 100682,
  [SMALL_STATE(2577)] = 100692,
  [SMALL_STATE(2578)] = 100702,
  [SMALL_STATE(2579)] = 100710,
  [SMALL_STATE(2580)] = 100720,
  [SMALL_STATE(2581)] = 100730,
  [SMALL_STATE(2582)] = 100740,
  [SMALL_STATE(2583)] = 100748,
  [SMALL_STATE(2584)] = 100758,
  [SMALL_STATE(2585)] = 100766,
  [SMALL_STATE(2586)] = 100776,
  [SMALL_STATE(2587)] = 100784,
  [SMALL_STATE(2588)] = 100794,
  [SMALL_STATE(2589)] = 100804,
  [SMALL_STATE(2590)] = 100814,
  [SMALL_STATE(2591)] = 100824,
  [SMALL_STATE(2592)] = 100834,
  [SMALL_STATE(2593)] = 100844,
  [SMALL_STATE(2594)] = 100854,
  [SMALL_STATE(2595)] = 100864,
  [SMALL_STATE(2596)] = 100874,
  [SMALL_STATE(2597)] = 100884,
  [SMALL_STATE(2598)] = 100894,
  [SMALL_STATE(2599)] = 100904,
  [SMALL_STATE(2600)] = 100914,
  [SMALL_STATE(2601)] = 100922,
  [SMALL_STATE(2602)] = 100932,
  [SMALL_STATE(2603)] = 100942,
  [SMALL_STATE(2604)] = 100952,
  [SMALL_STATE(2605)] = 100962,
  [SMALL_STATE(2606)] = 100972,
  [SMALL_STATE(2607)] = 100982,
  [SMALL_STATE(2608)] = 100992,
  [SMALL_STATE(2609)] = 101002,
  [SMALL_STATE(2610)] = 101012,
  [SMALL_STATE(2611)] = 101022,
  [SMALL_STATE(2612)] = 101032,
  [SMALL_STATE(2613)] = 101042,
  [SMALL_STATE(2614)] = 101050,
  [SMALL_STATE(2615)] = 101060,
  [SMALL_STATE(2616)] = 101070,
  [SMALL_STATE(2617)] = 101080,
  [SMALL_STATE(2618)] = 101090,
  [SMALL_STATE(2619)] = 101100,
  [SMALL_STATE(2620)] = 101108,
  [SMALL_STATE(2621)] = 101118,
  [SMALL_STATE(2622)] = 101128,
  [SMALL_STATE(2623)] = 101138,
  [SMALL_STATE(2624)] = 101146,
  [SMALL_STATE(2625)] = 101156,
  [SMALL_STATE(2626)] = 101163,
  [SMALL_STATE(2627)] = 101170,
  [SMALL_STATE(2628)] = 101177,
  [SMALL_STATE(2629)] = 101184,
  [SMALL_STATE(2630)] = 101191,
  [SMALL_STATE(2631)] = 101198,
  [SMALL_STATE(2632)] = 101205,
  [SMALL_STATE(2633)] = 101212,
  [SMALL_STATE(2634)] = 101219,
  [SMALL_STATE(2635)] = 101226,
  [SMALL_STATE(2636)] = 101233,
  [SMALL_STATE(2637)] = 101240,
  [SMALL_STATE(2638)] = 101247,
  [SMALL_STATE(2639)] = 101254,
  [SMALL_STATE(2640)] = 101261,
  [SMALL_STATE(2641)] = 101268,
  [SMALL_STATE(2642)] = 101275,
  [SMALL_STATE(2643)] = 101282,
  [SMALL_STATE(2644)] = 101289,
  [SMALL_STATE(2645)] = 101296,
  [SMALL_STATE(2646)] = 101303,
  [SMALL_STATE(2647)] = 101310,
  [SMALL_STATE(2648)] = 101317,
  [SMALL_STATE(2649)] = 101324,
  [SMALL_STATE(2650)] = 101331,
  [SMALL_STATE(2651)] = 101338,
  [SMALL_STATE(2652)] = 101345,
  [SMALL_STATE(2653)] = 101352,
  [SMALL_STATE(2654)] = 101359,
  [SMALL_STATE(2655)] = 101366,
  [SMALL_STATE(2656)] = 101373,
  [SMALL_STATE(2657)] = 101380,
  [SMALL_STATE(2658)] = 101387,
  [SMALL_STATE(2659)] = 101394,
  [SMALL_STATE(2660)] = 101401,
  [SMALL_STATE(2661)] = 101408,
  [SMALL_STATE(2662)] = 101415,
  [SMALL_STATE(2663)] = 101422,
  [SMALL_STATE(2664)] = 101429,
  [SMALL_STATE(2665)] = 101436,
  [SMALL_STATE(2666)] = 101443,
  [SMALL_STATE(2667)] = 101450,
  [SMALL_STATE(2668)] = 101457,
  [SMALL_STATE(2669)] = 101464,
  [SMALL_STATE(2670)] = 101471,
  [SMALL_STATE(2671)] = 101478,
  [SMALL_STATE(2672)] = 101485,
  [SMALL_STATE(2673)] = 101492,
  [SMALL_STATE(2674)] = 101499,
  [SMALL_STATE(2675)] = 101506,
  [SMALL_STATE(2676)] = 101513,
  [SMALL_STATE(2677)] = 101520,
  [SMALL_STATE(2678)] = 101527,
  [SMALL_STATE(2679)] = 101534,
  [SMALL_STATE(2680)] = 101541,
  [SMALL_STATE(2681)] = 101548,
  [SMALL_STATE(2682)] = 101555,
  [SMALL_STATE(2683)] = 101562,
  [SMALL_STATE(2684)] = 101569,
  [SMALL_STATE(2685)] = 101576,
  [SMALL_STATE(2686)] = 101583,
  [SMALL_STATE(2687)] = 101590,
  [SMALL_STATE(2688)] = 101597,
  [SMALL_STATE(2689)] = 101604,
  [SMALL_STATE(2690)] = 101611,
  [SMALL_STATE(2691)] = 101618,
  [SMALL_STATE(2692)] = 101625,
  [SMALL_STATE(2693)] = 101632,
  [SMALL_STATE(2694)] = 101639,
  [SMALL_STATE(2695)] = 101646,
  [SMALL_STATE(2696)] = 101653,
  [SMALL_STATE(2697)] = 101660,
  [SMALL_STATE(2698)] = 101667,
  [SMALL_STATE(2699)] = 101674,
  [SMALL_STATE(2700)] = 101681,
  [SMALL_STATE(2701)] = 101688,
  [SMALL_STATE(2702)] = 101695,
  [SMALL_STATE(2703)] = 101702,
  [SMALL_STATE(2704)] = 101709,
  [SMALL_STATE(2705)] = 101716,
  [SMALL_STATE(2706)] = 101723,
  [SMALL_STATE(2707)] = 101730,
  [SMALL_STATE(2708)] = 101737,
  [SMALL_STATE(2709)] = 101744,
  [SMALL_STATE(2710)] = 101751,
  [SMALL_STATE(2711)] = 101758,
  [SMALL_STATE(2712)] = 101765,
  [SMALL_STATE(2713)] = 101772,
  [SMALL_STATE(2714)] = 101779,
  [SMALL_STATE(2715)] = 101786,
  [SMALL_STATE(2716)] = 101793,
  [SMALL_STATE(2717)] = 101800,
  [SMALL_STATE(2718)] = 101807,
  [SMALL_STATE(2719)] = 101814,
  [SMALL_STATE(2720)] = 101821,
  [SMALL_STATE(2721)] = 101828,
  [SMALL_STATE(2722)] = 101835,
  [SMALL_STATE(2723)] = 101842,
  [SMALL_STATE(2724)] = 101849,
  [SMALL_STATE(2725)] = 101856,
  [SMALL_STATE(2726)] = 101863,
  [SMALL_STATE(2727)] = 101870,
  [SMALL_STATE(2728)] = 101877,
  [SMALL_STATE(2729)] = 101884,
  [SMALL_STATE(2730)] = 101891,
  [SMALL_STATE(2731)] = 101898,
  [SMALL_STATE(2732)] = 101905,
  [SMALL_STATE(2733)] = 101912,
  [SMALL_STATE(2734)] = 101919,
  [SMALL_STATE(2735)] = 101926,
  [SMALL_STATE(2736)] = 101933,
  [SMALL_STATE(2737)] = 101940,
  [SMALL_STATE(2738)] = 101947,
  [SMALL_STATE(2739)] = 101954,
  [SMALL_STATE(2740)] = 101961,
  [SMALL_STATE(2741)] = 101968,
  [SMALL_STATE(2742)] = 101975,
  [SMALL_STATE(2743)] = 101982,
  [SMALL_STATE(2744)] = 101989,
  [SMALL_STATE(2745)] = 101996,
  [SMALL_STATE(2746)] = 102003,
  [SMALL_STATE(2747)] = 102010,
  [SMALL_STATE(2748)] = 102017,
  [SMALL_STATE(2749)] = 102024,
  [SMALL_STATE(2750)] = 102031,
  [SMALL_STATE(2751)] = 102038,
  [SMALL_STATE(2752)] = 102045,
  [SMALL_STATE(2753)] = 102052,
  [SMALL_STATE(2754)] = 102059,
  [SMALL_STATE(2755)] = 102066,
  [SMALL_STATE(2756)] = 102073,
  [SMALL_STATE(2757)] = 102080,
  [SMALL_STATE(2758)] = 102087,
  [SMALL_STATE(2759)] = 102094,
  [SMALL_STATE(2760)] = 102101,
  [SMALL_STATE(2761)] = 102108,
  [SMALL_STATE(2762)] = 102115,
  [SMALL_STATE(2763)] = 102122,
  [SMALL_STATE(2764)] = 102129,
  [SMALL_STATE(2765)] = 102136,
  [SMALL_STATE(2766)] = 102143,
  [SMALL_STATE(2767)] = 102150,
  [SMALL_STATE(2768)] = 102157,
  [SMALL_STATE(2769)] = 102164,
  [SMALL_STATE(2770)] = 102171,
  [SMALL_STATE(2771)] = 102178,
  [SMALL_STATE(2772)] = 102185,
  [SMALL_STATE(2773)] = 102192,
  [SMALL_STATE(2774)] = 102199,
  [SMALL_STATE(2775)] = 102206,
  [SMALL_STATE(2776)] = 102213,
  [SMALL_STATE(2777)] = 102220,
  [SMALL_STATE(2778)] = 102227,
  [SMALL_STATE(2779)] = 102234,
  [SMALL_STATE(2780)] = 102241,
  [SMALL_STATE(2781)] = 102248,
  [SMALL_STATE(2782)] = 102255,
  [SMALL_STATE(2783)] = 102262,
  [SMALL_STATE(2784)] = 102269,
  [SMALL_STATE(2785)] = 102276,
  [SMALL_STATE(2786)] = 102283,
  [SMALL_STATE(2787)] = 102290,
  [SMALL_STATE(2788)] = 102297,
  [SMALL_STATE(2789)] = 102304,
  [SMALL_STATE(2790)] = 102311,
  [SMALL_STATE(2791)] = 102318,
  [SMALL_STATE(2792)] = 102325,
  [SMALL_STATE(2793)] = 102332,
  [SMALL_STATE(2794)] = 102339,
  [SMALL_STATE(2795)] = 102346,
  [SMALL_STATE(2796)] = 102353,
  [SMALL_STATE(2797)] = 102360,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(225),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2529),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1015),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(107),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(116),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1910),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2756),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(63),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(73),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(196),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1014),
  [154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1013),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(131),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(184),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1891),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1891),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2027),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(263),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2154),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(257),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2079),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(37),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(41),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(64),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2225),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2453),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 37),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 43),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(225),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2529),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1015),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(107),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(116),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1910),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2756),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(63),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(73),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(196),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1014),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1013),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(131),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(184),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1891),
  [326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1891),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2027),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(263),
  [335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2154),
  [338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(257),
  [341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2079),
  [344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(37),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(41),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(64),
  [353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2225),
  [356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2453),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(242),
  [438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2005),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(252),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2162),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2093),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(101),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(100),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(99),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(130),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2478),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(237),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2040),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(270),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2177),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2122),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(25),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(24),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(33),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(133),
  [498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2439),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(246),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2028),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(236),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2207),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2117),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(77),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(76),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(78),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(134),
  [528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2514),
  [531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(235),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1799),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2027),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(263),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2154),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2079),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(37),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(41),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(64),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(247),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1827),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2015),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(268),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2223),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2121),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(28),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(29),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(30),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(248),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1752),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2033),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(251),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2187),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2130),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(32),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(31),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(39),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(425),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2006),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(354),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2212),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2123),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(71),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(70),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(75),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(174),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(422),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2026),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(469),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2172),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2116),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(21),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(20),
  [820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(27),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(175),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(322),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2030),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(290),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2146),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2075),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(98),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(97),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(96),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(176),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1931),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [1094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1929),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1915),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1933),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [1111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1921),
  [1114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1960),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1914),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_expansion, 2),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_expansion, 2),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [1164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1961),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1947),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(608),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(633),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1950),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(554),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(614),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(610),
  [1306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1963),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(548),
  [1316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1958),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(664),
  [1322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(672),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(675),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(678),
  [1337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(669),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(673),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1736),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1196),
  [3553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2038),
  [3556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1672),
  [3559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2147),
  [3562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1736),
  [3565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1196),
  [3568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2125),
  [3571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(18),
  [3574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(61),
  [3577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(69),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1882),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2627),
  [3788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1906),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2227),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1896),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2661),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1874),
  [3803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2228),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1968),
  [3833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1876),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1878),
  [3839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2226),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1385),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1891),
  [3860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1891),
  [3863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [3865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2225),
  [3868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2390),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1477),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [3908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1955),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1965),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1966),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2031),
  [3940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1964),
  [3943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2163),
  [3946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2134),
  [3949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(51),
  [3952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(50),
  [3955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(17),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [3960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [3964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [3968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [3970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [3972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [3976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [3980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [3992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [3996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [4044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1597),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [4067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1919),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [4074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1574),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 56),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 56),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 55),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 55),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1926),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1734),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1699),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1922),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [4371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2320),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2050),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2337),
  [4442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2191),
  [4445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2114),
  [4448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(80),
  [4451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(79),
  [4454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(82),
  [4457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [4463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2000),
  [4510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2048),
  [4513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2001),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2222),
  [4519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2133),
  [4522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(54),
  [4525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(53),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1802),
  [4540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1925),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1927),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1748),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1885),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [5014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1934),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [5035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [5047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1996),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [5054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1930),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2110),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 37),
  [5194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 37),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [5236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 37),
  [5274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 37),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 37),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 45),
  [5340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 45),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 43),
  [5378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 43),
  [5380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 43),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [5624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2141),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [5629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2255),
  [5632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2103),
  [5635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(91),
  [5638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(90),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2210),
  [5652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2106),
  [5655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(38),
  [5658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(34),
  [5661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2155),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [5706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [6004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [6026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [6028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [6030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2270),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [6035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [6037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [6039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [6041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [6043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [6045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1918),
  [6048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [6060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [6064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [6066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [6068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [6084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [6104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(108),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [6131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [6201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2508),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [6206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [6216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [6334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1901),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [6349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1938),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [6364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2518),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [6433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [6471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 43),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [6515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [6665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [6667] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
